package com.sw.common.accessory.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author wupeng
 * @Description 出库单明细
 * @Date 18:47 2023/7/31
 * @Param
 * @return
 **/
@Data
@ApiModel(value = "出库申请明细对象模型")
public class WarehouseOutputBillDetailBo {

    @ApiModelProperty(value = "物料主数据ID")
    private Long materialModelId;
    @ApiModelProperty(value = "物料主数据料号")
    private String materialModelCode;
    @ApiModelProperty(value = "物料主数据名称")
    private String materialModelName;
    @ApiModelProperty(value = "物料主数据类型")
    private String materialTypeName;
    @ApiModelProperty(value = "物料主数据类别")
    private String materialCategoryName;
    @ApiModelProperty(value = "唯一码")
    private String uniqueCode;
    @ApiModelProperty(value = "批次号")
    private String batchNo;
    @ApiModelProperty(value = "物料主数据供应商")
    private String supplier;
    @ApiModelProperty(value = "物料主数据规格")
    private String specification;
    @ApiModelProperty(value = "物料主数据图号")
    private String materialTh;
    @ApiModelProperty(value = "出库数量")
    private BigDecimal outputCount;
    @ApiModelProperty(value = "需求数量")
    private BigDecimal requireCount;
    @ApiModelProperty(value = "库存数量")
    private BigDecimal quantity;
    @ApiModelProperty(value = "物料单位")
    private String unitName;
    @ApiModelProperty(value = "库位ID")
    private Long warehouseId;
    @ApiModelProperty(value = "库位名称")
    private String warehouseName;
    @ApiModelProperty(value = "去向")
    private String destination;
}