package com.sw.common.accessory.server.dto;

import com.sw.common.mybatisplus.base.BaseDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 热场物料部门维护表
 */
@Data
@ApiModel(value = "热场物料部门Dto")
public class AccessoryPartBo {

    private Long id;
    /**
     * 设备类型id
     */
    @ApiModelProperty(value = "设备类型id")
    private Integer deviceTypeId;
    /**
     * 设备类型编码
     */
    @ApiModelProperty(value = "设备类型编码")
    private String deviceTypeCode;
    /**
     * 设备类型名称
     */
    @ApiModelProperty(value = "设备类型名称")
    private String deviceTypeName;
    /**
     * 总数量
     */
    @ApiModelProperty(value = "总数量")
    private Integer totalNumber;
    /**
     * 已使用数量
     */
    @ApiModelProperty(value = "已使用数量")
    private Integer usedNumber;
    /**
     * 可使用数量
     */
    @ApiModelProperty(value = "可使用数量")
    private Integer usableNumber;
    /**
     * 是否可用
     */
    @ApiModelProperty(value = "是否可用")
    private Boolean isUse;
    /**
     * 部门
     */
    @ApiModelProperty(value = "部位对象")
    private List<PartDto> partDtos;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    private String updateBy;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
