package com.sw.common.accessory.server.dto;

import lombok.Data;

import javax.validation.constraints.ListValue;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author zhaowenjie
 */
@Data
public class ApplyAccessoryData {
    /**
     * 申请单号
     */
    @NotBlank(message = "申请单号不能为空")
    String code;
    /**
     * 审核状态 0：审核通过 1：审核不通过
     */
    @NotNull(message = "审核状态不能为空")
    @ListValue(message = "审核状态只能为0或1", values = {0, 1})
    int status;
    /**
     * 确认人
     */
    @NotBlank(message = "确认人不能为空")
    String userConfirm;
    /**
     * 辅材信息
     */
    @NotNull(message = "辅材信息不能为空")
    List<AccessoryData> accessoryDatas;

    @Data
    public static class AccessoryData {
        /**
         * 批次号
         */
        String batchCode;
        /**
         * 唯一码
         */
        @NotBlank(message = "唯一码不能为空")
        String uniqueCode;
        /**
         * 供应商
         */
        String supplier;
    }
}