package com.sw.common.accessory.server.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author zhaowenjie
 */
@Data
public class ApplyAccessoryParamDto {
    @ApiModelProperty(value = "设备号")
    @NotBlank(message = "设备号，不能为空")
    String equipmentCode;
    @NotNull(message = "物料id，不能为空")
    @ApiModelProperty(value = "物料id", required = true)
    Long materialId;
    @NotNull(message = "数量，不能为空")
    @ApiModelProperty(value = "数量", required = true)
    Integer number;
    @NotBlank(message = "申请原因，不能为空")
    @ApiModelProperty(value = "申请原因", required = true)
    String reason;
}
