/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.common.accessory.server.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sw.common.mybatisplus.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
public class DeterminationEchnologyDto{

    private Long id;

    /**
     * 价值判定
     */
    @ApiModelProperty(value = "价值判定")
    private String valueDetermination;

    /**
     * 责任部门
     */
    @ApiModelProperty(value = "责任部门")
    private String responsibleDepartment;

    /**
     * 图片id
     */
    @ApiModelProperty(value = "图片id")
    private Long pictureId;

    /**
     * 图片地址
     */
    @ApiModelProperty(value = "图片地址")
    private String pictureUrl;

    /**
     * 图片名称
     */
    @ApiModelProperty(value = "图片名称")
    private String pictureName;

    /**
     * 唯一码
     */
    @ApiModelProperty(value = "唯一码")
    private String uniqueCode;

    /**
     * 热场id
     */
    @ApiModelProperty(value = "热场id")
    private Long accessoryId;
    /**
     * 原因分析
     */
    @ApiModelProperty(value = "原因分析")
    private String reasonAnalysis;
    /**
     * 是否审核
     */
    @ApiModelProperty(value = "是否审核")
    private boolean materialAnomaly = false;
    /**
     * 是否审核通过
     */
    @ApiModelProperty(value = "是否审核通过")
    private boolean auditPass = false;
    /**
     * 入库单号
     */
    @ApiModelProperty(value = "入库单号")
    private String inputBillNo;

    /**
     * 软删
     */
    @ApiModelProperty(value = "软删")
    private boolean del = false;

    /**********热场件信息*************/
    /**
     * 物料编码
     */
    @ApiModelProperty(value = "物料编码")
    private String materialCode;

    /**
     * 物料名称
     */
    @ApiModelProperty(value = "物料名称")
    private String materialName;

    /**
     * 设备号
     */
    @ApiModelProperty(value = "设备号")
    private String equipmentCode;
    /**
     * 审核状态
     */
    @ApiModelProperty(value = "审核状态")
    private int status;

    /**
     * 结果判定
     */
    @ApiModelProperty(value = "结果判定")
    private String resultDetermination;

    /**
     * 部位名称
     */
    @ApiModelProperty(value = "部位名称")
    private String partName;

    /**
     * 异常情况
     */
    @ApiModelProperty(value = "异常情况")
    private String abnormalCondition;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    private String updateBy;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
    /**
     * 技术评审
     */
    @ApiModelProperty(value = "技术评审")
    private boolean echnologyAuthority;
}
