package com.sw.common.accessory.server.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "辅料跟换记录Dto")
public class ReplacementRecordDto {

    private Long id;
    @ApiModelProperty(value = "设备号")
    private String equipmentCode;
    @ApiModelProperty(value = "物料类型", required = true)
    private String materialType;
    @ApiModelProperty(value = "物料名称", required = true)
    private String materialName;
    @ApiModelProperty(value = "物料料号", required = true)
    private String materialCode;
    @ApiModelProperty(value = "批次号")
    private String batchCode;
    @ApiModelProperty(value = "唯一码")
    private String uniqueCode;
    @ApiModelProperty(value = "数量", required = true)
    private Integer number;
    @ApiModelProperty(value = "规格", required = true)
    private String specification;
    @ApiModelProperty(value = "供应商")
    private String supplier;
    @ApiModelProperty(value = "额定寿命", required = true)
    private Integer ratedLife;
    @ApiModelProperty(value = "已使用寿命", required = true)
    private Integer usefulLife;
    @ApiModelProperty(value = "剩余寿命", required = true)
    private Integer remainingLife;
    @ApiModelProperty(value = "预警寿命")
    private Integer warnLife;
    @ApiModelProperty(value = "物料类型（前）", required = true)
    private String materialTypeOld;
    @ApiModelProperty(value = "物料名称（前）", required = true)
    private String materialNameOld;
    @ApiModelProperty(value = "物料料号（前）", required = true)
    private String materialCodeOld;
    @ApiModelProperty(value = "批次号（前）")
    private String batchCodeOld;
    @ApiModelProperty(value = "唯一码（前）")
    private String uniqueCodeOld;
    @ApiModelProperty(value = "数量（前）", required = true)
    private Integer numberOld;
    @ApiModelProperty(value = "规格（前）", required = true)
    private String specificationOld;
    @ApiModelProperty(value = "供应商（前）")
    private String supplierOld;
    @ApiModelProperty(value = "额定寿命（前）", required = true)
    private Integer ratedLifeOld;
    @ApiModelProperty(value = "已使用寿命（前）", required = true)
    private Integer usefulLifeOld;
    @ApiModelProperty(value = "剩余寿命（前）", required = true)
    private Integer remainingLifeOld;
    @ApiModelProperty(value = "预警寿命（前）")
    private Integer warnLifeOld;
    @ApiModelProperty(value = "换下时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date replaceTime;
    @ApiModelProperty(value = "换下人")
    private String replaceUser;
    @ApiModelProperty(value = "换上时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date changeTime;
    @ApiModelProperty(value = "换上人")
    private String changeUser;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "原因", required = true)
    private String reason;
}