package com.sw.common.accessory.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 热场物料部门维护明细表
 */
@Data
@NoArgsConstructor
@TableName(value="accy_accessory_part_details")
public class AccessoryPartDetails {
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 设备类型id
     */
    private Integer deviceTypeId;
    /**
     * 设备类型编码
     */
    private String deviceTypeCode;
    /**
     * 设备类型名称
     */
    private String deviceTypeName;
    /**
     * 设备id
     */
    private Integer deviceModelId;
    /**
     * 设备编码
     */
    private String deviceModelCode;
    /**
     * 设备名称
     */
    private String deviceModelName;
    /**
     * 部门id
     */
    private Integer partId;
    /**
     * 部门编码
     */
    private String partCode;
    /**
     * 部门名称
     */
    private String partName;
    /**
     * 物料id
     */
    private Integer materialId;
    /**
     * 物料编码
     */
    private String materialCode;
    /**
     * 物料名称
     */
    private String materialName;
    /**
     * 总数量
     */
    private Integer totalNumber;
    /**
     * 已使用数量
     */
    private Integer usedNumber;
    /**
     * 可使用数量
     */
    private Integer usableNumber;
    /**
     * 是否可用
     */
    private Boolean isUse;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人
     */
    private String updateBy;
    /**
     * 修改时间
     */
    private Date updateTime;

    public void setUsableNumber(Integer totalNumber, Integer usedNumber){
        if(totalNumber>usedNumber){
            this.usableNumber = totalNumber -usedNumber;
            this.isUse = true;
        }else {
            this.usableNumber = 0;
            this.isUse = false;
        }
    }
}
