/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.common.accessory.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@TableName(value = "accy_anomaly_determination_quality")
public class DeterminationQuality implements Serializable {
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 唯一码
     */
    private String uniqueCode;

    /**
     * 热场id
     */
    private Long accessoryId;

    /**
     * 是否审核
     */
    private boolean materialAnomaly;

    /**
     * 是否审核通过
     */
    private boolean auditPass;

    /**
     * 确认评审
     */
    private String confirmationReview;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 结果判定
     */
    private String resultDetermination;
    /**
     * 异常情况
     */
    private String abnormalCondition;
    /**
     * 入库单号
     */
    private String inputBillNo;

    /**
     * 技术评审ID
     */
    private Long echnologyId;

    /**
     * 软删
     */
    private boolean del;
    /**
     * 质量评审
     */
    private boolean qualityAuthority = false;

    /**
     * 物料编码
     */
    private String materialCode;

    /**
     * 设备号
     */
    private String equipmentCode;
    /**
     * 物料编码
     */
    private String materialName;
    /**
     * 审核状态 0:待审核 1:已通过 2:未通过 3:已退回
     */
    private int status;

}
