/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.common.accessory.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@TableName(value = "accy_return_record")
public class ReturnRecord implements Serializable {
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 辅材id
     */
    private Long accessoryId;

    /**
     * 退料单号
     */
    private String code;

    /**
     * 设备号
     */
    private String equipmentCode;

    /**
     * 物料类型
     */
    private String materialType;

    /**
     * 物料名称
     */
    private String materialName;

    /**
     * 物料料号
     */
    private String materialCode;

    /**
     * 批次号
     */
    private String batchCode;

    /**
     * 唯一码
     */
    private String uniqueCode;

    /**
     * 数量
     */
    private Integer number;

    /**
     * 规格
     */
    private String specification;

    /**
     * 单位
     */
    private String unit;

    /**
     * 供应商
     */
    private String supplier;

    /**
     * 额定寿命
     */
    private Integer ratedLife;

    /**
     * 已使用寿命
     */
    private Integer usefulLife;

    /**
     * 剩余寿命
     */
    private Integer remainingLife;

    /**
     * 退库原因
     */
    private String reason;

    /**
     * 使用状态
     */
    private Integer useStatus;

    /**
     * 退库状态
     */
    private Integer status;
    /**
     * 物料状态
     */
    private Integer accessoryStatus;

    /**
     * 申请人
     */
    private String userCreate;

    /**
     * 申请时间
     */
    private Date gmtCreate;

    /**
     * 确认人
     */
    private String userConfirm;

    /**
     * 确认时间
     */
    private Date gmtConfirm;

    public ReturnRecord() {
    }

    public ReturnRecord(Long id) {
        this.id = id;
    }
}
