package com.sw.mes.auth.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sw.mes.core.annotation.Jinko;
import lombok.Data;

import java.io.Serializable;

/**
 * 角色与工厂关联表
 *
 * @author lf
 */
@Jinko(value = "新增角色与工厂关联表",author = "liangfeng")
@TableName(value = "auth_role_factory")
@Data
public class AuthRoleFactory implements Serializable {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 角色ID
     */
    private Integer roleId;

    /**
     * 工厂模型id
     */
    private Integer factoryModelId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
