package com.sw.mes.auth.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * SAP登录日志
 * @TableName sys_login_log
 */
@TableName(value ="sys_login_log")
@Data
public class SysLoginLog implements Serializable {
    /**
     *
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 设备代码
     */
    private String deviceCode;

    /**
     * 登录人信息（名字+工号）
     */
    private String loginUserInfo;

    /**
     * 班长信息（名字+工号）
     */
    private String classMonitorInfo;

    /**
     * 班次
     */
    private String classesName;

    /**
     * 班组
     */
    private String teamName;

    /**
     * 登录时间
     */
    private Date createTime;

    /**
     * 下线时间
     */
    private Date updateTime;

    /**
     * token
     */
    private String token;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
