package com.sw.mes.itemclean.clean.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * 领料单_拆箱成箱关系表
 * @TableName material_apply_order_relation
 */
@Getter
@Setter
@TableName(value ="material_apply_order_relation")
@ApiModel(value = "MaterialApplyOrderRelation对象", description = "领料单关系表")
public class MaterialApplyOrderRelation implements Serializable {

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 物料箱号_父
     */
    @ApiModelProperty("物料箱号_父")
    private String materialBoxNoParent;

    /**
     * 父ID
     */
    @ApiModelProperty("父ID")
    private Integer parentId;

    /**
     * 物料箱号_子
     */
    @ApiModelProperty("物料箱号_子")
    private String materialBoxNoSon;

    /**
     * 子ID
     */
    @ApiModelProperty("子ID")
    private Integer sonId;

}
