package com.sw.mes.itemclean.clean.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 清洗
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Getter
@Setter
@TableName("material_cleaning")
@ApiModel(value = "MaterialCleaning对象", description = "清洗")
public class MaterialCleaning implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("重量（上料总计）")
    private BigDecimal weight;

    @ApiModelProperty("物料编号")
    private String materialCode;

    @ApiModelProperty("物料名称")
    private String materialName;

    @ApiModelProperty("物料等级")
    private String materialLevel;

    @ApiModelProperty("物料型号")
    private String materialModel;

    @ApiModelProperty("电阻档位")
    private String materialGear;

    @ApiModelProperty("分选pp生产批次")
    private String productBatchNo;

    @ApiModelProperty("清洗上下料批次")
    private String cleanProductBatchNo;

    @ApiModelProperty("批次完结 1完结 0未完结")
    private Integer batchEnd;

    @ApiModelProperty("设备号")
    private String deviceNo;

    @ApiModelProperty("创建人")
    private String createUser;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    private String updateUser;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("逻辑删除标记")
    @TableLogic
    private Integer delFlag;

    @ApiModelProperty("载具号")
    private String boxNo;

    @ApiModelProperty("载具皮重")
    private String boxWeight;

    @ApiModelProperty("载具类型")
    private String typeName;

    @ApiModelProperty("上料载具箱号")
    private String preBoxNo;

    @ApiModelProperty("清洗状态 0 清洗上料 1 清洗下料 2 拆花篮成箱 3 待破碎")
    private Integer status;

    @ApiModelProperty("父箱号id")
    Integer parentId;

    @ApiModelProperty("下料人")
    private String downUser;

    @ApiModelProperty("下料时间")
    private LocalDateTime downTime;

    @ApiModelProperty("下料重量")
    private BigDecimal downWeight;

    @ApiModelProperty("备注")
    private String remark;
}
