package com.sw.mes.itemclean.clean.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 【清洗生产域—生产订单管理】清洗计划工单
 * Created by author on 2023-05-18
 */
@Data
@Accessors(chain = true)
@TableName("material_plan_order")
@ApiModel(value = "MaterialPlanOrder对象", description = "")

public class MaterialPlanOrder {

    private Long id;
    @ApiModelProperty("订单编号")
    private String aufnr;
    @ApiModelProperty("工厂编码")
    private String werks;
    @ApiModelProperty("订单类型")
    private String auart;
    @ApiModelProperty("产品物料编码")
    private String matnr;
    @ApiModelProperty("计划完成数量")
    private BigDecimal planMenge;
    @ApiModelProperty("单位")
    private String meins;
    @ApiModelProperty("客户")
    private String customer;
    @ApiModelProperty("生产部门")
    private String productDepartment;
    @ApiModelProperty("plan end date 计划结束时间")
    private Date gltrp;
    @ApiModelProperty("plan start date 计划开始时间")
    private Date gstrp;
    @ApiModelProperty("order status 订单状态")
    private String status;
    @ApiModelProperty("comment 订单备注")
    private String comment;
    @ApiModelProperty("创建时间")
    private Date createDate;
    @ApiModelProperty("是否生产")
    private Boolean productionStatus;
    @ApiModelProperty("清洗产品模型id")
    private Integer productModelId;
    @ApiModelProperty("研发唯一标识")
    private String rdonlylogo;
    @ApiModelProperty("加工能力id(保留字段)")
    private Integer machineCapacityId;
    @ApiModelProperty("产品类别")
    private String productType;
    @ApiModelProperty("电阻类型")
    private String resistanceType;
    @ApiModelProperty("掺杂剂")
    private String dopant;
    @ApiModelProperty("导电型号")
    private String conductionType;
    @ApiModelProperty(value = "部门编码")
    private String deptCode;
    @ApiModelProperty(value = "erp订单id")
    private String moid;
    @ApiModelProperty(value = "erp订单详情表id")
    private String modid;
}
