/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.itemclean.clean.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Getter
@Setter
@TableName("report_erp_xl_input_record")
@ApiModel(value = "ReportErpXlInputRecord对象", description = "拉取记录")
public class ReportErpXlInputRecord implements Serializable {


	private static final long serialVersionUID = 1L;

	@ApiModelProperty("主键")
	@TableId(value = "id", type = IdType.AUTO)
    private Long id;
    
	/**
	 * 工单编号
	 */
    @Column(length=100)
    private String code;

	/**
	 * erp单据编号
	 */
	@Column(length=100)
	private String erpCode;
    
	/**
	 * 清洗批次
	 */
    @Column(length=100)
    private String orderNo;
    
	/**
	 * 仓库编码
	 */
    @Column(length=100)
    private String warehouseCode;
    
	/**
	 * 收发类型编码
	 */
    @Column(length=100)
    private String receiveCode;
    
	/**
	 * 部门编码
	 */
    @Column(length=100)
    private String departmentCode;
    
	/**
	 * 存货编码
	 */
    @Column(length=100)
    private String inventoryCode;
    
	/**
	 * 数量
	 */
    @Column(length=19)
    private BigDecimal quantity;
    
	/**
	 * 件数
	 */
    @Column(length=19)
    private BigDecimal number;
    
	/**
	 * 金额
	 */
    @Column(length=19)
    private BigDecimal cost;
    
	/**
	 * 批号
	 */
    @Column(length=100)
    private String serial;
    
	/**
	 * 物料编号
	 */
    @Column(length=100)
    private String materialCode;
    
	/**
	 * 物料名称
	 */
    @Column(length=100)
    private String materialName;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 上报时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date pushTime;
    
	/**
	 * 发起人
	 */
    @Column(length=100)
    private String pushUser;
    
	/**
	 * 0未上报，1已上报
	 */
    @Column(length=10)
    private Integer pushed;
    
	/**
	 * 类型(0单晶，1机加，3洗料)
	 */
    @Column(length=10)
    private Integer type;
    
	/**
	 * 备注
	 */
    @Column(length=100)
    private String memory;
    

	public ReportErpXlInputRecord() {
	}

	public ReportErpXlInputRecord(Long id) {
		this.id = id;
	}
}
