package com.sw.mes.itemclean.clean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author liuzemin
 * @date 2022/11/16 10:15
 * @description
 */
@Data
public class BoxInfoDto {

    Integer id;

    @ApiModelProperty("重量")
    private BigDecimal weight;

    @ApiModelProperty("成箱箱号-成箱批次")
    private String materialBoxNo;

    @ApiModelProperty("生产批次号")
    @NotNull(message = "箱子信息的生产批次号不能为空")
    private String productBatchNo;

    @ApiModelProperty("当前分选生产批次号")
    private String currentProductBatchNo;

    @ApiModelProperty("物料编号")
    private String materialCode;

    @ApiModelProperty("物料名称")
    private String materialName;

    @ApiModelProperty("物料等级")
    private String materialLevel;

    @ApiModelProperty("物料型号")
    private String materialModel;

    @ApiModelProperty("电阻档位")
    private String materialGear;

    @ApiModelProperty("载具类型")
    private String typeName;

    @ApiModelProperty(value = "载具编号")
    private String boxNo;

    @ApiModelProperty("已使用重量")
    private BigDecimal usedWeight;

    @ApiModelProperty("剩余重量")
    private BigDecimal unusedWeight;

    @ApiModelProperty("来源工序-过站履历中的上个站点")
    private String sourceProcess;

    @ApiModelProperty("设备号")
    private String deviceNo;

    @ApiModelProperty("载具皮重")
    private String boxWeight;

    @ApiModelProperty("带皮总重量")
    private BigDecimal totalWeight;

    @ApiModelProperty("清洗状态 0 清洗上料 1 清洗下料 2 拆花篮成箱 3 待破碎")
    private Integer status;

    @ApiModelProperty("物料来源 0分选 1清洗")
    private Integer source;
}
