package com.sw.mes.itemclean.clean.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "料理清洗工艺路线Dto")
public class CleaningProcessFlowDto {

    private Long id;
    @ApiModelProperty(value = "站点名称")
    String siteName;
    @ApiModelProperty(value = "工单")
    String workOrder;
    @ApiModelProperty(value = "母工单")
    String masterWorkOrder;
    @ApiModelProperty(value = "设备号")
    String deviceNo;
    @ApiModelProperty(value = "载具号")
    String boxNo;
    @ApiModelProperty(value = "上一站点")
    String lastSite;
    @ApiModelProperty(value = "重量")
    BigDecimal weight;
    @ApiModelProperty("已使用重量")
    private BigDecimal usedWeight;
    @ApiModelProperty("剩余重量")
    private BigDecimal unusedWeight;
    @ApiModelProperty(value = "创建者")
    String createUser;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date createTime;

    /**
     * 站点名称
     */

    @ApiModelProperty("站点名称")
    private String currentSiteName;
    /**
     * 进出站状态
     * 0 待进站
     * 1 进站
     * 2 出站
     */
    @ApiModelProperty("进出站状态")
    private Integer status;
}