package com.sw.mes.itemclean.clean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 *
 * @description 拆花篮成箱dto
 */
@Data
public class MaterialCleaningToBoxDto {

    @ApiModelProperty(value = "载具编号")
    private String boxNo;

    @ApiModelProperty("载具类型")
    private String typeName;

    @ApiModelProperty("载具皮重")
    private String boxWeight;

    @ApiModelProperty(value = "状态 0 未使用 1 使用中" )
    Integer boxStatus;

    @ApiModelProperty("装箱总重量")
    private BigDecimal totalBoxWeight;

    @ApiModelProperty("物料总重量")
    private BigDecimal totalWeight;

    @ApiModelProperty("生产批次号")
    private String productBatchNo;

    @ApiModelProperty("物料编号")
    private String materialCode;

    @ApiModelProperty("物料名称")
    private String materialName;

    @ApiModelProperty("物料等级")
    private String materialLevel;

    @ApiModelProperty("物料型号")
    private String materialModel;

    @ApiModelProperty("电阻档位")
    private String materialGear;

    @ApiModelProperty(value = "设备号")
    private String deviceNo;

    @ApiModelProperty(value = "花篮成箱信息集合")
    List<BasketInfoDto> basketInfo;
}
