package com.sw.mes.itemclean.clean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author liuzemin
 * @date 2022/11/16 9:42
 * @description
 */
@Data
public class MaterialCleaningUpDto {

    @ApiModelProperty(value = "设备号")
    @NotNull(message = "设备号不能空")
    String deviceNo;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty(value = "扫描的上料箱子信息")
    @NotNull(message = "扫描的箱子信息不能空")
    @Valid
    BoxInfoDto boxInfo;

    @ApiModelProperty(value = "花篮信息")
    List<BasketInfoDto> basketInfo;
}
