package com.sw.mes.itemclean.clean.dto;

import com.sw.mes.itemclean.clean.domain.MaterialGroupDetail;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 组托入库编辑对象
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Getter
@Setter
@ApiModel(value = "MaterialGroupEditDto对象", description = "组托入库编辑对象")
public class MaterialGroupEditDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "粒径范围")
    private String suppliesGrain;

    @ApiModelProperty("打托备注")
    private String remark;

    @ApiModelProperty(value = "组托详情")
    List<MaterialGroupDetail> details;
}
