package com.sw.mes.itemclean.clean.dto;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sw.mes.itemclean.clean.utils.LocalDateStringConverter;
import com.sw.mes.itemclean.clean.utils.MaterialGroupDetailStatusConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 小箱盒明细
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Getter
@Setter
@ApiModel(value = "MaterialGroupToBoxDetailDto", description = "小箱盒明细")
public class MaterialGroupToBoxDetailDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("成箱号")
    @ExcelProperty(value = "成箱号")

    private String materialBoxNo;

    @ApiModelProperty("成箱重量")
    @ExcelProperty(value = "成箱重量")

    private BigDecimal weight;

    @ApiModelProperty("物料编号")
    @ExcelProperty(value = "物料编号")

    private String materialCode;

    @ApiModelProperty("物料名称")
    @ExcelProperty(value = "物料名称")

    private String materialName;

    @ApiModelProperty("物料等级")
    @ExcelProperty(value = "物料等级")

    private String materialLevel;

    @ApiModelProperty("物料型号")
    @ExcelProperty(value = "物料型号")

    private String materialModel;

    @ApiModelProperty("电阻档位")
    @ExcelProperty(value = "电阻档位")

    private String materialGear;

    @ApiModelProperty("分选批次号")
    @ExcelProperty(value = "分选批次号")

    private String productBatchNo;

    @ApiModelProperty("组托日批次号")
    @ExcelProperty(value = "组托日批次号")

    private String dateProduceBatchNo;

    @ApiModelProperty("托号")
    @ExcelProperty(value = "托号")

    private String groupNo;

    @ApiModelProperty("组托id")
    @ExcelIgnore
    private Integer groupId;

    @ApiModelProperty("创建人")
    @ExcelProperty(value = "创建人")

    private String createUser;

    @ApiModelProperty("创建时间")
    @ExcelProperty(value = "创建时间", converter = LocalDateStringConverter.class, index = 8)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty("工单号")
    @ExcelProperty(value = "工单号")

    private String aufnr;

    @ApiModelProperty(value = "组托状态（0 未组托  1 已组托）")
    @ExcelProperty(value = "状态", converter = MaterialGroupDetailStatusConverter.class)
    Integer status;

    @ApiModelProperty(value = "粒径范围")
    @ExcelProperty(value = "粒径范围")

    private String suppliesGrain;

    @ApiModelProperty(value = "小箱详情备注")
    @ExcelIgnore
    private String remark;

}
