package com.sw.mes.itemclean.clean.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */

@Data
@Accessors(chain = true)
@ApiModel(value = "清洗工单对象DTO")
public class MaterialProductionOrderDto {

    @ExcelIgnore
    private Long id;
    @ApiModelProperty("订单编号")
    @ExcelProperty(value = "订单编号")
    private String aufnr;

    @ExcelProperty(value = "工序名称")
    @ExcelIgnore
    private String werks;

    @ApiModelProperty("订单类型")
    @ExcelProperty(value = "订单类型")
    private String auart;

    @ApiModelProperty("产品物料编码")
    @ExcelProperty(value = "产品料号")
    private String matnr;

    @ApiModelProperty("导电型号")
    @ExcelProperty(value = "导电型号")
    private String conductionType;

    @ApiModelProperty("产品类别")
    @ExcelProperty(value = "产品类别")
    private String productType;

    @ApiModelProperty("电阻类型")
    @ExcelIgnore
    private String resistanceType;

    @ApiModelProperty("掺杂剂")
    @ExcelProperty(value = "掺杂剂")
    private String dopant;

    @ApiModelProperty("生产部门")
    @ExcelProperty(value = "生产部门")
    private String productDepartment;

    @ApiModelProperty("单位")
    @ExcelIgnore
    private String meins;
    @ExcelIgnore
    @ApiModelProperty("客户")
    private String customer;


    @ApiModelProperty("plan start date 计划开始时间")
    @ExcelProperty(value = "计划开始时间")
    private Date gstrp;


    @ApiModelProperty("plan end date 计划结束时间")
    @ExcelProperty(value = "计划结束时间")
    private Date gltrp;


    @ApiModelProperty("研发唯一标识")
    @ExcelProperty(value = "研发唯一标识")
    private String rdonlylogo;

    @ApiModelProperty("计划完成数量")
    @ExcelProperty(value = "计划完成数量")
    private BigDecimal planMenge;


    @ApiModelProperty("order status 订单状态")
    @ExcelProperty(value = "订单状态")
    private String status;

    @ExcelIgnore
    @ApiModelProperty("comment 订单备注")
    private String comment;

    @ExcelIgnore
    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("是否生产")
    @ExcelProperty(value = "是否生产")
    private Boolean productionStatus;

    @ExcelIgnore
    @ApiModelProperty("清洗产品模型id")
    private Integer productModelId;


    @ExcelIgnore
    @ApiModelProperty("加工能力id(保留字段)")
    private Integer machineCapacityId;

}
