package com.sw.mes.itemclean.clean.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/*
 * @Auther:赵亚运
 * @Date:2023/1/3
 * @Description:
 * @VERSON:1.0
 */
@Getter
@Setter
@ApiModel(value = "MaterialReworkingDto对象", description = "返工打签暂存对象")
public class MaterialReworkingDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("成箱号")
    private String materialBoxNo;

    @ApiModelProperty("成箱重量")
    private BigDecimal weight;

    @ApiModelProperty("返工工序")
    private String reworkProcedure;

    @ApiModelProperty("返工重量")
    private BigDecimal reworkWeight;

    @ApiModelProperty("备注")
    private String note;

    @ApiModelProperty("物料编号")
    private String materialCode;

    @ApiModelProperty("物料名称")
    private String materialName;

    @ApiModelProperty("物料等级")
    private String materialLevel;

    @ApiModelProperty("物料型号")
    private String materialModel;

    @ApiModelProperty("电阻档位")
    private String materialGear;

    @ApiModelProperty("生产批次")
    private String productBatchNo;

    @ApiModelProperty("暂存标记")
    private Integer stagingFlag;

    @ApiModelProperty("逻辑删除标记")
    private Integer delFlag;

    @ApiModelProperty("创建人")
    private String createUser;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    private String updateUser;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;


}
