package com.sw.mes.itemclean.clean.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 拆花篮成箱
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "PackingBoxInfoPrintDto对象", description = "拆花篮成箱")
public class PackingBoxInfoPrintDto implements Serializable {


    @ApiModelProperty("箱号")
    private String boxNo;

    @ApiModelProperty("当前生产批次")
    private String currentProductBatchNo;

    @ApiModelProperty("追溯厂家")
    private String fromMark;

    @ApiModelProperty("接收重量")
    private String weight;

    @ApiModelProperty("设备编号")
    private String deviceNo;

    @ApiModelProperty(value = "班次" )
    String classNoName;

    @ApiModelProperty("硅料名称")
    private String materialName;

    @ApiModelProperty("物料型号")
    private String materialModel;

    @ApiModelProperty("等级")
    private String materialLevel;

    @ApiModelProperty("档位")
    private String materialGear;

    @ApiModelProperty("操作员")
    private String createUser;

    @ApiModelProperty("生产日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("备注")
    private String remark;

}
