package com.sw.mes.itemclean.clean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;

@Getter
@Setter
@ApiModel(value = "CleanReworkingDto对象", description = "返工主表对象")
public class ReworkingDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("料箱号")
    private String boxNo;

    @ApiModelProperty("物料来源")
    private String materialSource;

    @ApiModelProperty("返工重量")
    private String reWorkWeight;

    @ApiModelProperty("返工原因")
    private String reWorkSource;

    @ApiModelProperty("生产批次")
    private String productBatchNo;

    @ApiModelProperty("物料名称")
    private String materialName;

    @ApiModelProperty("物料等级")
    private String materialLevel;

    @ApiModelProperty("物料型号")
    private String materialModel;

    @ApiModelProperty("电阻档位")
    private String materialGear;

    @ApiModelProperty("返工批次")
    private String reWorkBatchNo;

    @ApiModelProperty("物料重量")
    private BigDecimal materialWeight;

    @ApiModelProperty("追溯厂家")
    private String factory;

    @ApiModelProperty("接收日期")
    private String date;

    @ApiModelProperty("返工工序")
    private String source;

}
