package com.sw.mes.itemclean.clean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @description 硅料在制Dto
 */
@Data
@ApiModel(value = "硅料在制Dto")
public class WorkInCleanProgressDto {

    @ApiModelProperty(value = "物料名称")
    private String materialCode;

    @ApiModelProperty(value = "物料描述")
    private String materialName;
    /**
     * 在制类型
     */
    @ApiModelProperty(value = "在制类型")
    private String type;
    /**
     * 重量
     */
    @ApiModelProperty(value = "重量")
    private BigDecimal weight;
    /**
     * 含义:已领料,未分选的重量
     */
    @ApiModelProperty(value = "待分选重量")
    private BigDecimal waitUnpackingWeight;
    /**
     * 含义:分选后,去向清洗,未上清洗机的重量
     */
    @ApiModelProperty(value = "待清洗重量")
    private BigDecimal waitCleanWeight;
    /**
     * 含义:上清洗机的重量
     */
    @ApiModelProperty(value = "已清洗重量")
    private BigDecimal cleanWeight;
    /**
     * 含义:分选后,去向破碎,未上破碎机重量
     */
    @ApiModelProperty(value = "无尘待收货量")
    private BigDecimal waitDustFreeWeight;
    /**
     * 含义:上破碎机的重量
     */
    @ApiModelProperty(value = "无尘收货重量")
    private BigDecimal dustFreeWeight;
    /**
     * 含义:硅料组托未发起入库/入库成功的料,调拨成功的不算
     */
    @ApiModelProperty(value = "无尘成品重量")
    private BigDecimal dustFreeFinishWeight;

    @ApiModelProperty(value = "物料明细")
    private List<WorkInCleanProgressDetailDto> workInCleanProgressDetailDtos;

}
