package com.sw.mes.itemclean.clean.dto.auto;

import com.sw.mes.itemclean.clean.dto.BasketInfoDto;
import com.sw.mes.itemclean.clean.dto.BoxInfoDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author liuzemin
 * @date 2022/11/16 9:42
 * @description
 */
@Data
public class IOTRequestMaterialCleaningUpDto {

    @ApiModelProperty(value = "设备号", required = true)
    @NotNull(message = "设备号不能空")
    private String deviceNo;

    @ApiModelProperty(value = "上料重量", required = true)
    @NotNull(message = "分选pp批次不能空")
    private BigDecimal weight;

    @ApiModelProperty(value = "分选pp批次", required = true)
    @NotNull(message = "分选pp批次")
    private String fxProductBatchNo;

    @ApiModelProperty(value = "花篮号", required = true)
    @NotNull(message = "花篮号不能空")
    private String basketNo;

    @ApiModelProperty(value = "清洗上料位标识", required = true)
    private String cleanUpCode;

    @ApiModelProperty(value = "IOT唯一标识", required = true)
    private String uniqueCode;
}
