package com.sw.mes.itemclean.clean.dto.auto;

import com.sw.mes.itemclean.clean.dto.GroupStoreDetailDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author liuzemin
 * @date 2022/11/16 9:42
 * @description
 */
@Data
public class IOTRequestMaterialGroupStoreDto {

    @ApiModelProperty(value = "托位号(物理起始位置)", required = true)
    private String trayNumber;

    @ApiModelProperty(value = "实物托盘号", required = true)
    private String trayCode;

    @ApiModelProperty(value = "扫箱盒信息集合", required = true)
    List<String> detailBoxs;

    /**
     * 此重量只记录在日志里,实际还是mes端通过详情累加计算总重量
     */
    @ApiModelProperty(value = "整托重量", required = true)
    private BigDecimal weight;
}
