package com.sw.mes.itemclean.clean.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.sw.mes.itemclean.clean.domain.CleaningProcessFlow;
import com.sw.mes.itemclean.clean.domain.MaterialApplyOrder;
import com.sw.mes.itemclean.clean.dto.WorkInCleanProcessParamQuery;
import com.sw.mes.itemclean.clean.dto.WorkInCleanProgressDetailDto;
import com.sw.mes.itemclean.clean.dto.WorkInCleanProgressDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CleaningProcessFlowMapper extends BaseMapper<CleaningProcessFlow> {

    CleaningProcessFlow getByBoxNo(String boxNo);

    IPage<WorkInCleanProgressDto> queryWorkInProcessPage(@Param("iPage") IPage<WorkInCleanProgressDto> iPage, @Param("query") WorkInCleanProcessParamQuery query);

    List<WorkInCleanProgressDto> queryWorkInProcessList(@Param("query") WorkInCleanProcessParamQuery query);

    List<WorkInCleanProgressDetailDto> findDetailByMaterialCode(@Param("query") WorkInCleanProcessParamQuery query);
}
