package com.sw.mes.fb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sw.mes.base.factory.init.entity.Equipment;
import com.sw.mes.base.factory.product.entity.FbAccessoryMaterial;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;

import javax.persistence.*;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "方棒辅料监控Dto")
public class FbEquipmentAccessoryDto {

    private Long id;

    @ApiModelProperty(value = "更换时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date operateDate;

    @ApiModelProperty(value = "更换人")
    private String operateUser;

    @ApiModelProperty(value = "更换人ID")
    private Integer operateUserId;

    @ApiModelProperty(value = "使用时间")
    private Double useTime;

    @ApiModelProperty(value = "辅料类型")
    private String materialModelMaterialTypeName;

    @ApiModelProperty(value = "辅料名称")
    private String materialModelName;

    @ApiModelProperty(value = "辅料编码-料号")
    private String materialModelCode;

    @ApiModelProperty(value = "额定寿命")
    private String materialUseLife;

    @ApiModelProperty(value = "预警寿命")
    private String materialWarnTime;

    @ApiModelProperty(value = "规格")
    private String materialModelSpecification;

    @ApiModelProperty(value = "单轴线量")
    private Integer materialSingleCount;

    @ApiModelProperty(value = "安全线量")
    private Integer materialSafeCount;

    @ApiModelProperty(value = "循环线量")
    private Integer materialCycleCount;

    @ApiModelProperty(value = "单位")
    private String materialUnitName;

    @ApiModelProperty(value = "设备编码")
    private String equipmentCode;

    @ApiModelProperty(value = "物品编码")
    private String goodsCode;

    @ApiModelProperty(value = "厂家")
    private String factory;

    @ApiModelProperty(value = "是否删除（已删除1，没有0）")
    private Integer deleted;

    @ApiModelProperty(value = "数量")
    private Integer num;

    @ApiModelProperty(value = "设备位置")
    private String deviceSeat;
}
