/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.accessory.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="zhxx_fb_accessory_order")
@DynamicUpdate
@DynamicInsert
public class FbAccessoryOrder {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 设备编号
	 */
    @Column(length=40)
    private String deviceNo;
    
	/**
	 * 设备位置
	 */
    @Column(length=50)
    private String deviceSeat;

    /**
     * 设备类型
     */
    @Column(length=50)
    private String deviceType;
    
	/**
	 * 换下时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date downDate;
    
	/**
	 * 换下人-当前更换人
	 */
    @Column(length=50)
    private String downUser;
    
	/**
	 * 换下人id
	 */
    @Column(length=10)
    private Integer downUserId;

    /**
     * 换下人班次
     */
    @Column(length=50)
    private String downClassNo;

    /**
     * 换下人班组
     */
    @Column(length=50)
    private String downTeamGroup;
    
	/**
	 * 换上时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date upDate;
    
	/**
	 * 换上人
	 */
    @Column(length=50)
    private String upUser;
    
	/**
	 * 换上人id
	 */
    @Column(length=10)
    private Integer upUserId;

    /**
     * 换上人班次
     */
    @Column(length=50)
    private String upClassNo;

    /**
     * 换上人班组
     */
    @Column(length=50)
    private String upTeamGroup;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 辅料类型前
	 */
    @Column(length=50)
    private String materialTypeBefore;
    
	/**
	 * 料号前
	 */
    @Column(length=50)
    private String materialCodeBefore;
    
	/**
	 * 辅料名称前
	 */
    @Column(length=50)
    private String materialNameBefore;

    /**
     * 唯一条码前
     */
    @Column(length=255)
    private String goodsCodeBefore;

    /**
	 * 额定寿命前
	 */
    @Column(length=22)
    private Double userLifeBefore;
    
	/**
	 * 已使用寿命前
	 */
    @Column(length=22)
    private Double useTimeBefore;
    
	/**
	 * 剩余寿命前
	 */
    @Column(length=22)
    private Double remainLifeBefore;
    
	/**
	 * 规格前
	 */
    @Column(length=50)
    private String specificationBefore;
    
	/**
	 * 辅料id前
	 */
    @Column(length=19)
    private Long materialIdBefore;
    
	/**
	 * 辅料类型后
	 */
    @Column(length=50)
    private String materialTypeAfter;
    
	/**
	 * 料号后
	 */
    @Column(length=50)
    private String materialCodeAfter;
    
	/**
	 * 辅料名称后
	 */
    @Column(length=50)
    private String materialNameAfter;

    /**
     * 唯一条码后
     */
    @Column(length=255)
    private String goodsCodeAfter;
    
	/**
	 * 额定寿命后
	 */
    @Column(length=22)
    private Double userLifeAfter;
    
	/**
	 * 已使用寿命后
	 */
    @Column(length=22)
    private Double useTimeAfter;
    
	/**
	 * 剩余寿命后
	 */
    @Column(length=22)
    private Double remainLifeAfter;
    
	/**
	 * 规格后
	 */
    @Column(length=50)
    private String specificationAfter;
    
	/**
	 * 辅料id后
	 */
    @Column(length=19)
    private Long materialIdAfter;

    /**
     * 厂家前
     */
    @Column(length = 50)
    private String factoryBefore;

    /**
     * 厂家后
     */
    @Column(length = 50)
    private String factoryAfter;

    /**
     * 更换原因
     */
    @Column(length = 255)
    private String remark;

    public FbAccessoryOrder() {
	}

	public FbAccessoryOrder(Long id) {
		this.id = id;
	}
}
