package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "磨削下料上传Dto")
public class CutCrystalDto {
 @ApiModelProperty(value = "信号代码")
 @NotBlank(message = "信号代码，不能为空")
 String taskCode;

 @ApiModelProperty(value = "信号名称")
 @NotBlank(message = "信号名称，不能为空")
 String taskName;

 @ApiModelProperty(value = "设备类型")
 String deviceType;

 @ApiModelProperty(value = "设备号")
 @NotBlank(message = "设备号，不能为空")
 String deviceCode;

 @ApiModelProperty(value = "收集信息")
 Map<String, Object> startCollectionData=new HashMap<>();

 @ApiModelProperty(value = "触发信息")
 Map<String, Object> startValidateMap;

 @ApiModelProperty(value = "上传时间")
 @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
 Date startTime;
}
