package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "截断工艺数据上传记录(短棒)信息Dto")
public class EapCutCraftShortDto {

    private Long id;
     @ApiModelProperty(value = "截断机编号" )
     String equipNo;
     @ApiModelProperty(value = "圆棒SN" )
     String roundSn;
     @ApiModelProperty(value = "切割开始时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date startCut;
     @ApiModelProperty(value = "切割结束时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date endCut;
     @ApiModelProperty(value = "截断工时" )
     BigDecimal workHour;
     @ApiModelProperty(value = "晶棒长度" )
     BigDecimal roundLength;
     @ApiModelProperty(value = "线速度（开始切割时）" )
     BigDecimal linearSpeed;
     @ApiModelProperty(value = "切割速度（开始切割时）" )
     BigDecimal cuttingSpeed;
     @ApiModelProperty(value = "水流量（开始切割时）" )
     BigDecimal waterFlow;
     @ApiModelProperty(value = "金刚线耗线量（开始切割时）" )
     BigDecimal lineCost;
     @ApiModelProperty(value = "异常损耗线量（开始切割时）" )
     BigDecimal abnormalCost;
     @ApiModelProperty(value = "截断生产班组（下料时取当前登录用户的班组）" )
     String shift;
     @ApiModelProperty(value = "截断执行人（上料时取当前的登录用户)" )
     String cutUpOperator;
     @ApiModelProperty(value = "截断执行人（下料时取当前的登录用户）" )
     String cutOperator;
     @ApiModelProperty(value = "实际单颗用线量" )
     BigDecimal actualQty;
     @ApiModelProperty(value = "创建日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;
     @ApiModelProperty(value = "0：圆棒，1：方棒" )
     Integer crystalType;
     @ApiModelProperty(value = "理论重量" )
     BigDecimal theoryWeight;
     @ApiModelProperty(value = "来源：人工上传：1；eap上传：0" )
     Integer isAuto;
}