package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "EAP磨削工时数据Dto")
public class EapGrindingHoursReportDto {

    String equipNo;
    @ApiModelProperty(value = "方棒SN")
    String sn;

    @ApiModelProperty(value = "磨削顺序号")
    private String grindingOrder;

    @ApiModelProperty(value = "开始开方时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date startkfTime;

    @ApiModelProperty(value = "开始磨削时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date createdTime;


    /**
     * EAP直径max(mm)
     */
    @ApiModelProperty(value = "EAP直径max")
    private BigDecimal eapDiameterMax;

    /**
     * EAP直径min(mm)
     */
    @ApiModelProperty(value = "EAP直径min")
    private BigDecimal eapDiameterMin;

    /**
     * 边距最大值(mm)
     */
    @ApiModelProperty(value = "边距最大值")
    private BigDecimal beforhud12;

    /**
     * 边距最小值(mm)
     */
    @ApiModelProperty(value = "边距最小值")
    private BigDecimal beforhdd12;

    /**
     * 弧长投影最大值(mm)
     */
    @ApiModelProperty(value = "弧长投影最大值")
    private BigDecimal befortud12;

    /**
     * 弧长投影最小值(mm)
     */
    @ApiModelProperty(value = "弧长投影最小值")
    private BigDecimal befortdd12;

    /**
     * 玄宽最大值(mm)
     */
    @ApiModelProperty(value = "玄宽最大值")
    private BigDecimal befortud34;

    /**
     * 玄宽最小值(mm)
     */
    @ApiModelProperty(value = "玄宽最小值")
    private BigDecimal befortdd34;

    /**
     * 弧长最大值(mm)
     */
    @ApiModelProperty(value = "弧长最大值")
    private BigDecimal afterhud12;

    /**
     * 弧长最小值(mm)
     */
    @ApiModelProperty(value = "弧长最小值")
    private BigDecimal afterhdd12;






    /**
     * 加工中长度(mm)
     */
    @ApiModelProperty(value = "加工中长度")
    private BigDecimal aftertaild34;

    /**
     * 加工中规格(mm)
     */
    @ApiModelProperty(value = "加工中规格")
    private BigDecimal turnonflag;

    /**
     * 加工后0度上前(mm)
     */
    @ApiModelProperty(value = "加工后0度上前")
    private BigDecimal side1;


    /**
     * 加工后0度上中(mm)
     */
    @ApiModelProperty(value = "加工后0度上中")
    private BigDecimal side2;

    /**
     * 加工后0度上后(mm)
     */
    @ApiModelProperty(value = "加工后0度上后")
    private BigDecimal side3;

    /**
     * 加工后0度中前(mm)
     */
    @ApiModelProperty(value = "加工后0度中前")
    private BigDecimal side4;

    /**
     * 加工后0度中中(mm)
     */
    @ApiModelProperty(value = "加工后0度中中")
    private BigDecimal side5;

    /**
     * 加工后0度中后(mm)
     */
    @ApiModelProperty(value = "加工后0度中后")
    private BigDecimal side6;

    /**
     * 加工后0度下前(mm)
     */
    @ApiModelProperty(value = "加工后0度下前")
    private BigDecimal side7;

    /**
     * 加工后0度下中(mm)
     */
    @ApiModelProperty(value = "加工后0度下中")
    private BigDecimal side8;

    /**
     * 加工后0度下后(mm)
     */
    @ApiModelProperty(value = "加工后0度下后")
    private BigDecimal side9;


    /**
     * 加工后90度上前(mm)
     */
    @ApiModelProperty(value = "加工后90度上前")
    private BigDecimal side10;

    /**
     * 加工后90度上中(mm)
     */
    @ApiModelProperty(value = "加工后90度上中")
    private BigDecimal side11;

    /**
     * 加工后90度上后(mm)
     */
    @ApiModelProperty(value = "加工后90度上后")
    private BigDecimal side12;

    /**
     * 加工后90度中前(mm)
     */
    @ApiModelProperty(value = "加工后90度中前")
    private BigDecimal side13;



    /**
     * 加工后90度中中
     */
    @ApiModelProperty(value = "加工后90度中中")
    private BigDecimal afterhead1;

    /**
     * 加工后90度中后
     */
    @ApiModelProperty(value = "加工后90度中后")
    private BigDecimal afterhead2;

    /**
     * 加工后90度下前
     */
    @ApiModelProperty(value = "加工后90度下前")
    private BigDecimal afterhead3;

    /**
     * 加工后90度下中
     */
    @ApiModelProperty(value = "加工后90度下中")
    private BigDecimal afterhead4;

    /**
     * 加工后90度下后
     */
    @ApiModelProperty(value = "加工后90度下后")
    private BigDecimal aftertail1;

    /**
     * 加工后45度前
     */
    @ApiModelProperty(value = "加工后45度前")
    private BigDecimal aftertail2;

    /**
     * 加工后45度中
     */
    @ApiModelProperty(value = "加工后45度中")
    private BigDecimal aftertail3;

    /**
     * 加工后45度后
     */
    @ApiModelProperty(value = "加工后45度后")
    private BigDecimal aftertail4;

    @ApiModelProperty(value = "产品等级")
    String productRank;
    @ApiModelProperty(value = "工单编号")
    String orderNo;
    @ApiModelProperty(value = "长度")
    BigDecimal length;
    @ApiModelProperty(value = "重量")
    BigDecimal weight;

    /**
     * 加工后135度前				34
     */
    @ApiModelProperty(value = "加工后135度前")
    private BigDecimal headadd13;

    /**
     * 加工后135度中
     */
    @ApiModelProperty(value = "加工后135度中")
    private BigDecimal headadd24;

    /**
     * 加工后135度后
     */
    @ApiModelProperty(value = "加工后135度后")
    private BigDecimal tailadd13;

    /**
     * 精磨修刀次数
     */
    @ApiModelProperty(value = "精磨修刀次数")
    private BigDecimal tailadd24;

    /**
     * 粗磨修刀次数
     */
    @ApiModelProperty(value = "粗磨修刀次数")
    private BigDecimal beforeheadd12;

    /**
     * 精磨修刀长度
     */
    @ApiModelProperty(value = "精磨修刀长度")
    private BigDecimal beforeheadd34;

    /**
     * 粗磨修刀长度
     */
    @ApiModelProperty(value = "粗磨修刀长度")
    private BigDecimal beforetaild12;

    /**
     * 左精
     */
    @ApiModelProperty(value = "左精")
    private BigDecimal beforetaild34;

    /**
     * 右精
     */
    @ApiModelProperty(value = "右精")
    private BigDecimal afterheadd12;

    /**
     * 左粗
     */
    @ApiModelProperty(value = "左粗")
    private BigDecimal afterheadd34;


    /**
     * 右粗
     */
    @ApiModelProperty(value = "右粗")
    private BigDecimal aftertaild12;

    /**
     * 人工上料标识
     */
    @ApiModelProperty(value = "人工上料标识")
    private String headLoading;



}
