package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "EAP磨削加工记录上传Dto")
public class EapGrindingMachineDto {

    private Integer id;
     @ApiModelProperty(value = "磨削机编号" )
     String EquipNo;
     @ApiModelProperty(value = "方棒SN" )
     String sn;
     @ApiModelProperty(value = "磨面员工号" )
     String grindingMan;
     @ApiModelProperty(value = "人员代码" )
     String grindingManCode;
     @ApiModelProperty(value = "班次" )
     String classNoName;
     @ApiModelProperty(value = "开始磨削时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date startGrinding;
     @ApiModelProperty(value = "结束磨削时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date endGrinding;
     @ApiModelProperty(value = "方棒磨削工时" )
     BigDecimal grindingHours;
     @ApiModelProperty(value = "磨削开始时的水流量" )
     BigDecimal sGrindingFlow;
     @ApiModelProperty(value = "加工规格")
     String spec;
     @ApiModelProperty(value = "PN型")
     String pnType;
     @ApiModelProperty(value = "设定边长")
     BigDecimal sideLen;
     @ApiModelProperty(value = "产品等级")
     String productRank;
     @ApiModelProperty(value = "拼接")
     String splitJoint;
     @ApiModelProperty(value = "是否指定订单")
     Integer isAssign;
     @ApiModelProperty(value = "创建日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;

     public BigDecimal getsGrindingFlow() {
      return sGrindingFlow;
     }

     public void setsGrindingFlow(BigDecimal sGrindingFlow) {
      this.sGrindingFlow = sGrindingFlow;
     }
}