package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "EAP开方/磨削加工规格上传")
public class EapSpecificationSendDto {

    private Long id;
     @ApiModelProperty(value = "设备类型 01大截断机, 02 环线截断机, 03 开方磨削机, 04开放机, 05磨削机, 06拉晶炉, 07圆棒检验线, " +
             "08方棒外观检测, 09方棒尺寸检测" , required = true)
     String equipType;
     @ApiModelProperty(value = "开方/磨削机编号" , required = true)
     String equipNo;
     @ApiModelProperty(value = "加工规格" , required = true)
     String spec;
     @ApiModelProperty(value = "PN型" , required = true)
     String pnType;
     @ApiModelProperty(value = "设定边长" , required = true)
     BigDecimal sideLen;
     @ApiModelProperty(value = "产品等级" , required = true)
     String productRank;
     @ApiModelProperty(value = "拼接" , required = true)
     String splitJoint;
     @ApiModelProperty(value = "是否指定订单" , required = true)
     Integer isAssign;
     @ApiModelProperty(value = "类型区分（1：下发；2上传）" , required = true)
     Integer source;
     @ApiModelProperty(value = "创建日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;
}