package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "EAP状态上报Dto")
public class EapStateUploadDto {

    private Long id;
     @ApiModelProperty(value = "设备类型: 01大截断机,02 环线截断机,03 开方磨削机,04开放机,05磨削机,06拉晶炉,07圆棒检验线,08方棒" +
             "外观检测,09方棒尺寸检测" , required = true)
     String equipType;
     @ApiModelProperty(value = "设备号" , required = true)
     String equipNo;
     @ApiModelProperty(value = "设备状态编号 :01开机, 02停机, 03待料, 04 故障, 05 维修, 06保养, 07点检, 08 机械手故障," +
             " 09 导轮主体故障, 10 传感器故障, 11 边皮盒故障, 12 桁架故障" , required = true)
     String equipStatus;
     @ApiModelProperty(value = "来源(1：截断机设备状态，2：开方设备状态上传，3：磨削机设备状态上传)" , required = true)
     Integer source;
     @ApiModelProperty(value = "创建日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;
}