package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "新增圆棒返切画线dto")
public class ProductionBackCuttingRecordDto {

    private Long id;
    @ApiModelProperty(value = "晶段编号")
    String segmentNo;
    Date endTime;
    @ApiModelProperty(value = "晶段长度")
    BigDecimal barLength;
    @ApiModelProperty(value = "画线开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date lineStartTime;
    @ApiModelProperty(value = "画线结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date lineEndTime;
    @ApiModelProperty(value = "反切后长度")
    BigDecimal backLength;
    @ApiModelProperty(value = "操作人员")
    String userName;
    @ApiModelProperty(value = "班次")
    String classNo;
    @ApiModelProperty(value = "班组")
    String teamGroup;
    @ApiModelProperty(value = "返切长度")
    BigDecimal cutLength;
    @ApiModelProperty(value = "返切原因")
    String cause;
    @ApiModelProperty(value = "是否取样片")
    Long isTakeSample;
    @ApiModelProperty(value = "反切刀数")
    Integer knifeNum;
    @ApiModelProperty(value = "备注")
    String remark;

    @ApiModelProperty("晶段Id")
    Integer segmentId;
    /**
     * 截断状态 0：未截断，1：已截断
     */
    @ApiModelProperty(value = "截断状态")
    Boolean status;
    /**
     * 是否为分段反切
     */
    @ApiModelProperty(value = "是否为分段反切")
    Boolean backCutType;
}