package com.sw.mes.fb.aio.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：一体机下料至检验实时数据
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="zhxx_fb_aio_check_section_state")
@DynamicUpdate
@DynamicInsert
public class AioCheckSectionState {

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

	/**
	 * 设备编号
	 */
	@Column(length = 40)
	private String deviceNo;

	/**
	 * 单晶编号
	 */
	@Column
	private String sectionNo;

	/**
	 * 晶段编号组
	 */
	@Column
	private String sectionNoGroup;

	/**
	 * 拼数
	 */
	@Column(length = 2)
	private Integer spellNum;

	/**
	 * 规格
	 */
	@Column(length = 20)
	private String type;

	/**
	 * 等级
	 */
	@Column
	private String level;

	/**
	 * 实验等级
	 */
	@Column
	private String experimentLevel;

	/**
	 * 导电型号
	 */
	@Column
	private String conductiveType;

	/**
	 * 边长
	 */
	@Column
	private BigDecimal sideLength;

	/**
	 * 长度MAX
	 */
	@Column
	private BigDecimal length;

	/**
	 * 创建时间
	 */
	@Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
	private Date createTime;

	/**
	 * 班次
	 */
	@Column(length = 40)
	private String upClassNo;

	/**
	 * 班组
	 */
	@Column(length = 40)
	private String upClassName;

	/**
	 * 上料人
	 */
	@Column(length = 40)
	private String upUser;

	/**
	 * 下料班次
	 */
	@Column(length = 40)
	private String downClassNo;

	/**
	 * 下料班组
	 */
	@Column(length = 40)
	private String downClassName;

	/**
	 * 下料人
	 */
	@Column(length = 40)
	private String downUser;

	/**
	 * 一体机加工编号
	 */
	@Column
	private String aioNo;

	/**
	 * 单晶序号
	 */
	@Column
	private Integer crystalNumber;

	/**
	 * 上料班长姓名
	 */
	@Column
	private String chargeClassMonitorName;

	/**
	 * 下料班长姓名
	 */
	@Column
	private String blankClassMonitorName;

	public AioCheckSectionState() {
	}

	public AioCheckSectionState(Long id) {
		this.id = id;
	}
}
