/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.aio.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="interface_eap_cut_craft_short")
@DynamicUpdate
@DynamicInsert
public class EapCutCraftShort{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 截断机编号
	 */
    @Column(length=50)
    private String equipNo;
    
	/**
	 * 圆棒SN
	 */
    @Column(length=50)
    private String roundSn;
    
	/**
	 * 切割开始时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date startCut;
    
	/**
	 * 切割结束时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date endCut;
    
	/**
	 * 截断工时
	 */
    @Column(length=20)
    private BigDecimal workHour;
    
	/**
	 * 晶棒长度
	 */
    @Column(length=20)
    private BigDecimal roundLength;
    
	/**
	 * 线速度（开始切割时）
	 */
    @Column(length=20)
    private BigDecimal linearSpeed;
    
	/**
	 * 切割速度（开始切割时）
	 */
    @Column(length=20)
    private BigDecimal cuttingSpeed;
    
	/**
	 * 水流量（开始切割时）
	 */
    @Column(length=20)
    private BigDecimal waterFlow;
    
	/**
	 * 金刚线耗线量（开始切割时）
	 */
    @Column(length=20)
    private BigDecimal lineCost;
    
	/**
	 * 异常损耗线量（开始切割时）
	 */
    @Column(length=20)
    private BigDecimal abnormalCost;
    
	/**
	 * 截断生产班组（下料时取当前登录用户的班组）
	 */
    @Column(length=50)
    private String shift;
    
	/**
	 * 截断执行人（上料时取当前的登录用户)
	 */
    @Column(length=50)
    private String cutUpOperator;
    
	/**
	 * 截断执行人（下料时取当前的登录用户）
	 */
    @Column(length=50)
    private String cutOperator;
    
	/**
	 * 实际单颗用线量
	 */
    @Column(length=20)
    private BigDecimal actualQty;
    
	/**
	 * 创建日期
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createdTime;
    
	/**
	 * 0：圆棒，1：方棒
	 */
    @Column(length=10)
    private Integer crystalType;
    
	/**
	 * 理论重量
	 */
    @Column(length=11)
    private BigDecimal theoryWeight;
    
	/**
	 * 来源：人工上传：1；eap上传：0
	 */
    @Column(length=3)
    private Integer isAuto;
    

	public EapCutCraftShort() {
	}

	public EapCutCraftShort(Long id) {
		this.id = id;
	}
}
