/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.aio.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="interface_eap_cut_record")
@DynamicUpdate
@DynamicInsert
public class EapCutRecord {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 截断机编号
	 */
    @Column(length=50)
    private String equipNo;
    
	/**
	 * 长棒SN
	 */
    @Column(length=50)
    private String roundSn;
    
	/**
	 * 上料时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date startCut;
    
	/**
	 * 上料员
	 */
    @Column(length=60)
    private String staffUp;
    
	/**
	 * 下料时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date endCut;
    
	/**
	 * 下料员
	 */
    @Column(length=60)
    private String staffDown;

	/**
	 * 0：圆棒，1：方棒
	 */
	@Column(length=19)
	private Integer crystalType;

	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createdTime;
    

	public EapCutRecord() {
	}

	public EapCutRecord(Long id) {
		this.id = id;
	}
}
