/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.aio.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="interface_eap_evolution_blanking")
@DynamicUpdate
@DynamicInsert
public class EapEvolutionBlanking {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 开方机编号
	 */
    @Column(length=50)
    private String equipNo;
    
	/**
	 * 方棒SN
	 */
    @Column(length=20)
    private String sn;
    
	/**
	 * 开方员工号
	 */
    @Column(length=20)
    private String trimmingMan;
    
	/**
	 * 开方机编号（A01-A/B）
	 */
    @Column(length=20)
    private String trimmingNo;
    
	/**
	 * 开方顺序号
	 */
    @Column(length=20)
    private String trimmingOrder;
    
	/**
	 * 实际长度值
	 */
    @Column(length=20)
    private BigDecimal finalLen;
    
	/**
	 * 创建日期
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createdTime;

	/**
	 * 人工上料标识
	 */
	@Column(length=20)
	private String headLoading;

	public EapEvolutionBlanking() {
	}

	public EapEvolutionBlanking(Long id) {
		this.id = id;
	}
}
