/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.aio.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="interface_eap_ingredients_times")
@DynamicUpdate
@DynamicInsert
public class EapIngredientsTimes {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 设备编号
	 */
    @Column(nullable=false, length=50)
    private String machineNo;
    
	/**
	 * 具体设备编号
	 */
    @Column(nullable=false, length=50)
    private String machineNoDetail;
    
	/**
	 * 设备类型
	 */
    @Column(nullable=false, length=20)
    private String machineType;
    
	/**
	 * 辅料类型
	 */
    @Column(nullable=false, length=20)
    private String type;
    
	/**
	 * 金刚线使用量
	 */
    @Column(nullable=false, length=20)
    private BigDecimal life;
    
	/**
	 * 创建日期
	 */
    @Column(nullable=false, length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createdTime;
    

	public EapIngredientsTimes() {
	}

	public EapIngredientsTimes(Long id) {
		this.id = id;
	}
}
