/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.aio.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="interface_eap_open_hours")
@DynamicUpdate
@DynamicInsert
public class EapOpenHours {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 日期
	 */
    @Column(length=50)
    private String date;
    
	/**
	 * 模块号
	 */
    @Column(length=50)
    private String module;
    
	/**
	 * 开方机编号
	 */
    @Column(length=50)
    private String equip;
    
	/**
	 * 主操编号
	 */
    @Column(length=50)
    private String operator;
    
	/**
	 * 总工时（min）
	 */
    @Column(length=50)
    private String totalHours;
    
	/**
	 * 切割工时
	 */
    @Column(length=50)
    private String cutHour;
    
	/**
	 * 处理断线工时
	 */
    @Column(length=50)
    private String lineBreakHour;
    
	/**
	 * 半径偏差报警时长
	 */
    @Column(length=50)
    private String radiusAlHour;
    
	/**
	 * 重复上下料报警时长
	 */
    @Column(length=50)
    private String repeatAlHour;
    
	/**
	 * 切方待料时长
	 */
    @Column(length=50)
    private String waitCutHour;
    
	/**
	 * 线体堵料时长
	 */
    @Column(length=50)
    private String lineBlockHour;
    
	/**
	 * 待AGV发料时长
	 */
    @Column(length=50)
    private String waitAgvHour;

	/**
	 * 设备状态分为：
	 * 01开机：
	 * 02停机：其他工时均为0的情况下为停机
	 * 03待料
	 * 04故障
	 * 05维修
	 * 06保养
	 * 07点检
	 */
	@Column(length=50)
	private String equipStatus;

	/**
	 * 创建日期
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createdTime;
    

	public EapOpenHours() {
	}

	public EapOpenHours(Long id) {
		this.id = id;
	}
}
