/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.aio.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="interface_eap_retreat_feedback")
@DynamicUpdate
@DynamicInsert
public class EapRetreatFeedback {

	@Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

	/**
	 * 圆棒SN
	 */
	@Column(length=50)
	private String lotNo;

	/**
	 * 开方机编号
	 */
	@Column(length=50)
	private String machineName;

	/**
	 * 退库原因
	 */
	@Column(length=50)
	private String returnReasonCode;

	/**
	 * 1组-头部直径
	 */
	@Column(length=8)
	private BigDecimal headDia1;

	/**
	 * 1组-尾部直径
	 */
	@Column(length=8)
	private BigDecimal tailDia1;

	/**
	 * 2组-头部直径
	 */
	@Column(length=8)
	private BigDecimal headDia2;

	/**
	 * 2组-尾部直径
	 */
	@Column(length=8)
	private BigDecimal tailDia2;

	/**
	 * 3组-头部直径
	 */
	@Column(length=8)
	private BigDecimal headDia3;

	/**
	 * 3组-尾部直径
	 */
	@Column(length=8)
	private BigDecimal tailDia3;

	/**
	 * 4组-头部直径
	 */
	@Column(length=8)
	private BigDecimal headDia4;

	/**
	 * 4组-尾部直径
	 */
	@Column(length=8)
	private BigDecimal tailDia4;

	/**
	 * 1-3组头部偏差
	 */
	@Column(length=8)
	private BigDecimal headDeviation13;

	/**
	 * 1-3组尾部偏差
	 */
	@Column(length=8)
	private BigDecimal tailDeviation13;

	/**
	 * 2-4组头部偏差
	 */
	@Column(length=8)
	private BigDecimal headDeviation24;

	/**
	 * 2-4组尾部偏差
	 */
	@Column(length=8)
	private BigDecimal tailDeviation24;

	/**
	 * 创建日期
	 */
	@Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
	private Date createdTime;


	public EapRetreatFeedback() {
	}

	public EapRetreatFeedback(Long id) {
		this.id = id;
	}
}
