/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.aio.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="interface_eap_specification_send")
@DynamicUpdate
@DynamicInsert
public class EapSpecificationSend {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 设备类型 01大截断机, 02 环线截断机, 03 开方磨削机, 04开放机, 05磨削机, 06拉晶炉, 07圆棒检验线, " +
	 *              "08方棒外观检测, 09方棒尺寸检测
	 */
    @Column(nullable=false, length=10)
    private String equipType;
    
	/**
	 * 开方/磨削机编号
	 */
    @Column(nullable=false, length=50)
    private String equipNo;
    
	/**
	 * 加工规格
	 */
    @Column(nullable=false, length=20)
    private String spec;
    
	/**
	 * PN型
	 */
    @Column(nullable=false, length=20)
    private String pnType;
    
	/**
	 * 设定边长
	 */
    @Column(nullable=false, length=20)
    private BigDecimal sideLen;
    
	/**
	 * 产品等级
	 */
    @Column(nullable=false, length=20)
    private String productRank;
    
	/**
	 * 拼接
	 */
    @Column(nullable=false, length=20)
    private String splitJoint;
    
	/**
	 * 是否指定订单
	 */
    @Column(nullable=false, length=3)
    private Integer isAssign;

	/**
	 * 类型区分（1：下发；2上传）
	 */
	@Column(nullable=false, length=2)
	private Integer source;
    
	/**
	 * 创建日期
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createdTime;
    

	public EapSpecificationSend() {
	}

	public EapSpecificationSend(Long id) {
		this.id = id;
	}
}
