/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.aio.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="interface_eap_state_upload")
@DynamicUpdate
@DynamicInsert
public class EapStateUpload {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * "设备类型: 01大截断机,02 环线截断机,03 开方磨削机,04开放机,05磨削机,06拉晶炉,07圆棒检验线,08方棒" +
	 *              "外观检测,09方棒尺寸检测"
	 */
    @Column(nullable=false, length=10)
    private String equipType;
    
	/**
	 * 设备号
	 */
    @Column(nullable=false, length=50)
    private String equipNo;
    
	/**
	 * 设备状态编号 :01开机, 02停机, 03待料, 04 故障, 05 维修, 06保养, 07点检, 08 机械手故障," +
	 *              " 09 导轮主体故障, 10 传感器故障, 11 边皮盒故障, 12 桁架故障
	 */
    @Column(nullable=false, length=10)
    private String equipStatus;
    
	/**
	 * 来源(1：截断机设备状态，2：开方设备状态上传，3：磨削机设备状态上传)
	 */
    @Column(nullable=false, length=10)
    private Integer source;
    
	/**
	 * 创建日期
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createdTime;
    

	public EapStateUpload() {
	}

	public EapStateUpload(Long id) {
		this.id = id;
	}
}
