/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.aio.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name="interface_eap_grinding_blanking")
@DynamicUpdate
@DynamicInsert
public class GrindingBlanking {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;

	/**
	 * 磨削机编号
	 */
	@Column(length=50)
	private String equipNo;

	/**
	 * 方棒sn
	 */
	@Column(length=50)
	private String sn;

	/**
	 * 磨面机编号（A01-C/D/E
	 */
	@Column(length=20)
	private String grindingNo;

	/**
	 * 磨面顺序号
	 */
	@Column(length=20)
	private String grindingOrder;

	/**
	 * 加工后0度上前			13
	 */
	@Column(length=20)
	private BigDecimal side1;

	/**
	 * 加工后0度上中			14
	 */
	@Column(length=20)
	private BigDecimal side2;

	/**
	 * 加工后0度上后			15
	 */
	@Column(length=20)
	private BigDecimal side3;

	/**
	 * 加工后0度中前			16
	 */
	@Column(length=20)
	private BigDecimal side4;

	/**
	 * 加工后0度中中			17
	 */
	@Column(length=20)
	private BigDecimal side5;

	/**
	 * 加工后0度中后			18
	 */
	@Column(length=20)
	private BigDecimal side6;

	/**
	 * 加工后0度下前			19
	 */
	@Column(length=20)
	private BigDecimal side7;

	/**
	 * 加工后0度下中			20
	 */
	@Column(length=20)
	private BigDecimal side8;

	/**
	 * 加工后0度下后			21
	 */
	@Column(length=20)
	private BigDecimal side9;

	/**
	 * 加工后90度上前			22
	 */
	@Column(length=20)
	private BigDecimal side10;

	/**
	 * 加工后90度上中			23
	 */
	@Column(length=20)
	private BigDecimal side11;

	/**
	 * 加工后90度上后			24
	 */
	@Column(length=20)
	private BigDecimal side12;

	/**
	 * 加工后90度中前			25
	 */
	@Column(length=20)
	private BigDecimal side13;

	/**
	 * 磨削刀数
	 */
	@Column(length=10)
	private Integer knife;

	/**
	 * 磨削完成时边长
	 */
	@Column(length=20)
	private BigDecimal finalSide;

	/**
	 * 实际长度值
	 */
	@Column(length=20)
	private BigDecimal finalLen;

	/**
	 * 4M标识（0:无,1:接班后,2:停水停电3:换线砂轮后首颗)
	 */
	@Column(length=10)
	private Integer flag4M;

	/**
	 * 创建日期
	 */
	@Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
	private Date createdTime;


	/**
	 * 加工后90度中中				26
	 */
	@Column(length=20)
	private BigDecimal afterhead1;

	/**
	 * 加工后90度中后				27
	 */
	@Column(length=20)
	private BigDecimal afterhead2;

	/**
	 * 加工后90度下前				28
	 */
	@Column(length=20)
	private BigDecimal afterhead3;

	/**
	 * 加工后90度下中				29
	 */
	@Column(length=20)
	private BigDecimal afterhead4;

	/**
	 * 加工后90度下后				30
	 */
	@Column(length=20)
	private BigDecimal aftertail1;

	/**
	 * 加工后45度前				31
	 */
	@Column(length=20)
	private BigDecimal aftertail2;

	/**
	 * 加工后45度中 				32
	 */
	@Column(length=20)
	private BigDecimal aftertail3;

	/**
	 * 加工后45度后				33
	 */
	@Column(length=20)
	private BigDecimal aftertail4;

	/**
	 * 加工后135度前				34
	 */
	@Column(length=8)
	private BigDecimal headadd13;

	/**
	 * 加工后135度中 				35
	 */
	@Column(length=8)
	private BigDecimal headadd24;

	/**
	 * 加工后135度后				36
	 */
	@Column(length=8)
	private BigDecimal tailadd13;

	/**
	 * 精磨修刀次数				37
	 */
	@Column(length=8)
	private BigDecimal tailadd24;

	/**
	 * 粗磨修刀次数				38
	 */
	@Column(length=8)
	private BigDecimal beforeheadd12;

	/**
	 * 精磨修刀长度				39
	 */
	@Column(length=8)
	private BigDecimal beforeheadd34;

	/**
	 * 粗磨修刀长度				40
	 */
	@Column(length=8)
	private BigDecimal beforetaild12;

	/**
	 * 左精						41
	 */
	@Column(length=8)
	private BigDecimal beforetaild34;

	/**
	 * 右精						42
	 */
	@Column(length=8)
	private BigDecimal afterheadd12;

	/**
	 * 左粗						43
	 */
	@Column(length=8)
	private BigDecimal afterheadd34;

	/**
	 * 右粗						44
	 */
	@Column(length=8)
	private BigDecimal aftertaild12;

	/**
	 * 加工中长度			7
	 */
	@Column(length=8)
	private BigDecimal aftertaild34;

	/**
	 * 边距最大值
	 */
	@Column(length=8)
	private BigDecimal beforhud12;

	/**
	 * 边距最小值
	 */
	@Column(length=8)
	private BigDecimal beforhdd12;

	/**
	 * 磨前平面头部上点3-4差值
	 */
	@Column(length=8)
	private BigDecimal beforhud34;

	/**
	 * 磨前平面头部下点3-4差值
	 */
	@Column(length=8)
	private BigDecimal beforhdd34;

	/**
	 * 弧长投影最大值
	 */
	@Column(length=8)
	private BigDecimal befortud12;

	/**
	 * 弧长投影最小值
	 */
	@Column(length=8)
	private BigDecimal befortdd12;

	/**
	 * 玄宽最大值
	 */
	@Column(length=8)
	private BigDecimal befortud34;

	/**
	 * 玄宽最小值
	 */
	@Column(length=8)
	private BigDecimal befortdd34;

	/**
	 * 弧长最大值
	 */
	@Column(length=8)
	private BigDecimal afterhud12;

	/**
	 * 弧长最小值
	 */
	@Column(length=8)
	private BigDecimal afterhdd12;

	/**
	 * 磨后平面头部上点3-4差值
	 */
	@Column(length=8)
	private BigDecimal afterhud34;

	/**
	 * 磨后平面头部下点3-4差值
	 */
	@Column(length=8)
	private BigDecimal afterhdd34;

	/**
	 * 磨后平面尾部上点1-2差值
	 */
	@Column(length=8)
	private BigDecimal aftertud12;

	/**
	 * 磨后平面尾部下点1-2差值
	 */
	@Column(length=8)
	private BigDecimal aftertdd12;

	/**
	 * 磨后平面尾部上点3-4差值
	 */
	@Column(length=8)
	private BigDecimal aftertud34;

	/**
	 * 磨后平面尾部下点3-4差值
	 */
	@Column(length=8)
	private BigDecimal aftertdd34;

	/**
	 * 加工中规格				10
	 */
	@Column(length=5)
	private String turnonflag;


	/**
	 * EAP直径max(mm)
	 */
	@Column(length=19)
	private BigDecimal eapDiameterMax;

	/**
	 * EAP直径min(mm)
	 */
	@Column(length=19)
	private BigDecimal eapDiameterMin;

	/**
	 * EAP边长1(mm)
	 */
	@Column(length=19)
	private BigDecimal eapSide1;

	/**
	 * EAP边长2(mm)
	 */
	@Column(length=19)
	private BigDecimal eapSide2;

	/**
	 * EAP边长1(mm)
	 */
	@Column(length=19)
	private BigDecimal eapSide3;

	/**
	 * EAP边长2(mm)
	 */
	@Column(length=19)
	private BigDecimal eapSide4;

	/**
	 * EAP边长1(mm)
	 */
	@Column(length=19)
	private BigDecimal eapSide5;

	/**
	 * EAP边长2(mm)
	 */
	@Column(length=19)
	private BigDecimal eapSide6;

	/**
	 * 人工上料标识
	 */
	@Column(nullable=false, length=20)
	private String headLoading;



	public GrindingBlanking() {
	}

	public GrindingBlanking(Long id) {
		this.id = id;
	}
}
