package com.sw.mes.fb.aio.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 方棒返切
 */
@Entity
@Table(name = "zhxx_operate_re_cut")
@DynamicUpdate
@DynamicInsert
@Data
public class ReCut {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 晶段编号
     */
    @Column(length = 100)
    private String segmentNo;

    /**
     * 晶段长度
     */
    @Column(length = 10)
    private BigDecimal segmentNoLength;



    /**
     * 反切长度
     */
    @Column(length = 10)
    private BigDecimal recutLength;

    /**
     * 画线人姓名
     */
    @Column(length = 100)
    private String operateUser;

    /**
     * 规格
     */
    @Column(length = 100)
    private String specs;

    /**
     * 产品等级
     */
    @Column(length = 100)
    private String productLevel;

    /**
     * 段数
     */
    @Column(length = 100)
    private String cutNum;



    /**
     * 开始时间
     */
    @Column(length = 19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date startTime;

    /**
     * 结束时间
     */
    @Column(length = 19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date endTime;



    /**
     * 班组
     */
    @Column(length = 100)
    private String className;

    /**
     * 班次
     */
    @Column(length = 100)
    private String classNo;

    /**
     * 备注
     */
    @Lob
    private String remark;

    /**
     * 打印张数
     */
    @Column(length = 10)
    private Integer printNum;


    /**
     * 返切原因
     */
    @Column(length = 100)
    private String reason;


    // 返切类型
    @Column(length = 50)
    private String recutType;

}
