package com.sw.mes.fb.checkout.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ExportFbCheckOutDataDto {

    @ApiModelProperty(value = "晶段编号(方棒)")
    @ExcelProperty(value = "晶段编号(方棒)")
    String fbSectionNo;
    @ApiModelProperty(value = "晶段编号(圆棒)")
    @ExcelProperty(value = "晶段编号(圆棒)")
    String ybSectionNo;
    @ApiModelProperty(value = "单晶组合")
    @ExcelProperty(value = "单晶组合")
    String sectionCompose;
    @ApiModelProperty(value = "单晶段号")
    @ExcelProperty(value = "单晶段号")
    Integer piecewiseNum;
//    @ApiModelProperty(value = "头尾识别")
//    @ExcelProperty(value = "头尾识别")
//    String headTailRecognition;
    @ApiModelProperty(value = "检验线编号")
    @ExcelProperty(value = "检验线编号")
    String checkLineNo;
    @ApiModelProperty(value = "圆棒评级")
    @ExcelProperty(value = "圆棒评级")
    String productLevel;
    @ApiModelProperty(value = "方棒评级")
    @ExcelProperty(value = "方棒评级")
    String productLevelFb;
    @ApiModelProperty(value = "圆棒长度")
    @ExcelProperty(value = "圆棒长度")
    BigDecimal actualLength;
    @ApiModelProperty(value = "方棒长度")
    @ExcelProperty(value = "方棒长度")
    BigDecimal length;
    @ApiModelProperty(value = "有效长度")
    @ExcelProperty(value = "有效长度")
    BigDecimal instoreLengthFb;
    @ApiModelProperty(value = "损耗长度")
    @ExcelProperty(value = "损耗长度")
    BigDecimal consumeLengthYb;
    @ApiModelProperty(value = "理论重量")
    @ExcelProperty(value = "理论重量")
    BigDecimal theoryWeightFb;
    @ApiModelProperty(value = "实际重量")
    @ExcelProperty(value = "实际重量")
    private BigDecimal weight;
    @ApiModelProperty(value = "拼棒总长")
    @ExcelProperty(value = "拼棒总长")
    private BigDecimal spellBarLength;
    @ApiModelProperty(value = "拼数")
    @ExcelProperty(value = "拼数")
    private Integer sticksCount;
    @ApiModelProperty(value = "晶段类型")
    @ExcelProperty(value = "晶段类型")
    private String sectionType;
    @ApiModelProperty(value = "直径min")
    @ExcelProperty(value = "直径min")
    private BigDecimal diameterMin;
    @ApiModelProperty(value = "直径max")
    @ExcelProperty(value = "直径max")
    private BigDecimal diameterMax;
    @ApiModelProperty(value = "是否返切【0：默认，否；1：是；】")
    @ExcelProperty(value = "是否返切")
    private String backCut;
    @ApiModelProperty(value = "规格")
    @ExcelProperty(value = "规格")
    private String specification;
    @ApiModelProperty(value = "掺杂剂")
    @ExcelProperty(value = "掺杂剂")
    private String dopant;
    @ApiModelProperty(value = "型号")
    @ExcelProperty(value = "型号")
    private String conductionType;
    @ApiModelProperty(value = "是否外发【0：默认，否；1：是；】")
    @ExcelProperty(value = "是否外发")
    private String outGoing;
    @ApiModelProperty(value = "检验类型")
    @ExcelProperty(value = "检验类型")
    private String checkoutName;
    @ApiModelProperty(value = "外观检验返切【0：默认，否；1：是；】")
    @ExcelProperty(value = "外观检验返切")
    private String appearanceBackCut;
    @ApiModelProperty(value = "复检次数")
    @ExcelProperty(value = "复检次数")
    private Integer retestNo;
    @ApiModelProperty(value = "A电阻率均值")
    @ExcelProperty(value = "A电阻率均值")
    private BigDecimal meanResistivityA;
    @ApiModelProperty(value = "B电阻率均值")
    @ExcelProperty(value = "B电阻率均值")
    private BigDecimal meanResistivityB;
    @ApiModelProperty(value = "A面寿命均值")
    @ExcelProperty(value = "A面寿命均值")
    private BigDecimal meanCarrierLifetimeA;
    @ApiModelProperty(value = "B面寿命均值")
    @ExcelProperty(value = "B面寿命均值")
    private BigDecimal meanCarrierLifetimeB;
    @ApiModelProperty(value = "T段氧含量")
    @ExcelProperty(value = "T段氧含量")
    private BigDecimal tOxygenContent;
    @ApiModelProperty(value = "w段氧含量")
    @ExcelProperty(value = "w段氧含量")
    private BigDecimal wOxygenContent;
    @ApiModelProperty(value = "T段碳含量")
    @ExcelProperty(value = "T段碳含量")
    private BigDecimal tCarbonContent;
    @ApiModelProperty(value = "w段碳含量")
    @ExcelProperty(value = "w段碳含量")
    private BigDecimal wCarbonContent;
    @ApiModelProperty(value = "棱孔")
    @ExcelProperty(value = "棱孔")
    private Integer holeLength;
    @ApiModelProperty(value = "崩边")
    @ExcelProperty(value = "崩边")
    private Integer chipLength;
    @ApiModelProperty("未磨出")
    @ExcelProperty(value = "未磨出")
    private Integer unfinishedLength;
    @ApiModelProperty("线痕")
    @ExcelProperty(value = "线痕")
    private Integer lineLength;
    @ApiModelProperty("磨轮印")
    @ExcelProperty(value = "磨轮印")
    private Integer sealLength;
    @ApiModelProperty("刀痕/划伤")
    @ExcelProperty(value = "刀痕/划伤")
    private Integer scratchesLength;
    @ApiModelProperty("面内踏陷")
    @ExcelProperty(value = "面内踏陷")
    private Integer stepLength;
    @ApiModelProperty("划痕")
    @ExcelProperty(value = "划痕")
    private BigDecimal scratch;
    @ApiModelProperty("色差")
    @ExcelProperty(value = "色差")
    private Integer difcolorLength;
    @ApiModelProperty("粗磨未磨出")
    @ExcelProperty(value = "粗磨未磨出")
    private BigDecimal roughnessAbnormality;
    @ApiModelProperty("对角线min")
    @ExcelProperty(value = "对角线min")
    private BigDecimal chordLengthMin;
    @ApiModelProperty("对角线max")
    @ExcelProperty(value = "对角线max")
    private BigDecimal chordLengthMax;
    @ApiModelProperty("边长min")
    @ExcelProperty(value = "边长min")
    private BigDecimal sideLengthMin;
    @ApiModelProperty("边长max")
    @ExcelProperty(value = "边长max")
    private BigDecimal sideLengthMax;
    @ApiModelProperty("边宽min")
    @ExcelProperty(value = "边宽min")
    private BigDecimal sideWideMin;
    @ApiModelProperty("边宽max")
    @ExcelProperty(value = "边宽max")
    private BigDecimal sideWideMax;
    @ApiModelProperty("倒角min")
    @ExcelProperty(value = "倒角min")
    private BigDecimal chamferMin;
    @ApiModelProperty("倒角max")
    @ExcelProperty(value = "倒角max")
    private BigDecimal chamferMax;
    @ApiModelProperty("垂直度max")
    @ExcelProperty(value = "垂直度max")
    private BigDecimal verticalityMax;
    @ApiModelProperty("垂直度min")
    @ExcelProperty(value = "垂直度min")
    private BigDecimal verticalityMin;
    @ApiModelProperty("单晶拉制异常")
    @ExcelProperty(value = "单晶拉制异常")
    private String crystalAbnormal;
    @ApiModelProperty("是否完结")
    @ExcelProperty(value = "是否完结")
    private String closureIdentification;
    @ApiModelProperty("拉晶车间")
    @ExcelProperty(value = "拉晶车间")
    private String crystalWorkshop;
    @ApiModelProperty("片区")
    @ExcelProperty(value = "片区")
    private String area;
    @ApiModelProperty("炉台类型【0:默认；0-量产;2-研发;】")
    @ExcelProperty(value = "炉台类型【0:默认；0-量产;2-研发;】")
    private Integer furnaceType;
    @ApiModelProperty("工厂")
    @ExcelProperty(value = "工厂")
    private String factory;
    @ApiModelProperty("炉次号")
    @ExcelProperty(value = "炉次号")
    private String lotNo;
    @ApiModelProperty("工单类型(开方工单)")
    @ExcelProperty(value = "工单类型(开方工单)")
    private String workOrderType;
    @ApiModelProperty("批次号")
    @ExcelProperty(value = "批次号")
    private String batchNo;
    @ApiModelProperty("工单编号")
    @ExcelProperty(value = "工单编号")
    private String workOrderNo;
    @ApiModelProperty("物料料号")
    @ExcelProperty(value = "物料料号")
    private String materialCode;
    @ApiModelProperty("物料名称")
    @ExcelProperty(value = "物料名称")
    private String materialName;
    @ApiModelProperty("产品简称")
    @ExcelProperty(value = "产品简称")
    private String abbreviation;
    @ApiModelProperty("等级码")
    @ExcelProperty(value = "等级码")
    private String levelCode;
    @ApiModelProperty("产品配方")
    @ExcelProperty(value = "产品配方")
    private String formulation;
    @ApiModelProperty("评级标准版本")
    @ExcelProperty(value = "评级标准版本")
    private String gradeVersion;
    @ApiModelProperty("检验人员")
    @ExcelProperty(value = "检验人员")
    private String checkUserName;
    @ApiModelProperty("检验人员班组")
    @ExcelProperty(value = "检验人员班组")
    private String checkClass;

    @ApiModelProperty("评级类型")
    @ExcelProperty(value = "评级类型")
    private String gradeType;
}
