/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.checkout.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name = "fb_cooperate_data")
@DynamicUpdate
@DynamicInsert
public class CooperateData {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 方棒编号
     */
    @Column(length = 50)
    private String sectionNoFb;

    /**
     * 配棒编号
     */
    @Column(length = 50)
    private String cooperateNo;

    /**
     * 创建时间
     */
    @Column(length = 19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date createTime;

    /**
     * EAP直径max(mm)
     */
    @Column(length = 19)
    private BigDecimal eapDiameterMax;

    /**
     * EAP直径min(mm)
     */
    @Column(length = 19)
    private BigDecimal eapDiameterMin;

    /**
     * EAP边长max(mm)
     */
    @Column(length = 19)
    private BigDecimal eapSideMax;

    /**
     * EAP边长min(mm)
     */
    @Column(length = 19)
    private BigDecimal eapSideMin;

    /**
     * 垂直度max
     */
    @Column(length = 19)
    private BigDecimal verticalityMax;

    /**
     * 垂直度min
     */
    @Column(length = 19)
    private BigDecimal verticalityMin;

    /**
     * 直径max
     */
    @Column(length = 19)
    private BigDecimal diameterMax;

    /**
     * 直径min
     */
    @Column(length = 19)
    private BigDecimal diameterMin;

    /**
     * 弧长投影max
     */
    @Column(length = 19)
    private BigDecimal projectionMax;

    /**
     * 弧长投影min
     */
    @Column(length = 19)
    private BigDecimal projectionMin;

    /**
     * 边长max
     */
    @Column(length = 19)
    private BigDecimal sideLengthMax;

    /**
     * 边长min
     */
    @Column(length = 19)
    private BigDecimal sideLengthMin;


    public CooperateData() {
    }

    public CooperateData(Long id) {
        this.id = id;
    }
}
