/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.checkout.entity;

import java.util.Date;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="field_extension_table")
@DynamicUpdate
@DynamicInsert
public class FieldExtensionTable{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 扩展表
	 */
    @Column(length=40)
    private String extendTable;
    
	/**
	 * 主题名称
	 */
    @Column(length=40)
    private String topicName;
    
	/**
	 * 异常名称
	 */
    @Column(length=20)
    private String name;
    
	/**
	 * 英文名称
	 */
    @Column(length=20)
    private String englishName;
    
	/**
	 * 字段类型
	 */
    @Column(length=11)
    private String type;
    
	/**
	 * 值是否唯一【0：默认，多条;1:唯一;】
	 */
    @Column(length=10)
    private Integer onlyFlag;
    
	/**
	 * 状态说明【0：默认，未处理;1:已处理;】
	 */
    @Column(length=10)
    private Integer status;

    /**
     * 序号
     */
    @Column(length=2)
    private Integer orderNo;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreate;
    

	public FieldExtensionTable() {
	}

	public FieldExtensionTable(Long id) {
		this.id = id;
	}
}
