/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.checkout.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="zhxx_operate_pick_up_check")
@DynamicUpdate
@DynamicInsert
public class PickUpCheck{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/**
	 * 设备号
	 */
    @Column(length=64)
    private String equipmentCode;
    
	/**
	 * 晶棒编号
	 */
    @Column(length=64)
    private String sectionNo;
    
	/**
	 * 规格
	 */
    @Column(length=64)
    private String specification;
    
	/**
	 * 检验类型 （抽检）
	 */
    @Column(length=64)
    private String checkType;
    
	/**
	 * 边距max
	 */
    @Column(length=12)
    private BigDecimal marginMax;
    
	/**
	 * 边距min
	 */
    @Column(length=12)
    private BigDecimal marginMin;
    
	/**
	 * 直径max
	 */
    @Column(length=12)
    private BigDecimal diameterMax;
    
	/**
	 * 直径min
	 */
    @Column(length=12)
    private BigDecimal diameterMin;
    
	/**
	 * 玄宽
	 */
    @Column(length=12)
    private BigDecimal xuankuan;
    
	/**
	 * 有效长度
	 */
    @Column(length=12)
    private BigDecimal effectiveLength;
    
	/**
	 * 粗糙度
	 */
    @Column(length=12)
    private BigDecimal roughness;
    
	/**
	 * 未磨到
	 */
    @Column(length=12)
    private BigDecimal notGrinded;
    
	/**
	 * 裂痕
	 */
    @Column(length=12)
    private BigDecimal crack;
    
	/**
	 * 砂轮印
	 */
    @Column(length=12)
    private BigDecimal grindingWheelMark;
    
	/**
	 * ⁮线痕
	 */
    @Column(length=12)
    private BigDecimal lineMarks;
    
	/**
	 * 斜面
	 */
    @Column(length=12)
    private BigDecimal inclinedPlane;
    
	/**
	 * 崩边
	 */
    @Column(length=12)
    private BigDecimal chipping;
    
	/**
	 * 其他
	 */
    @Column(length=255)
    private String other;
    
	/**
	 * 合格判定 1为合格 ， 0为不合格
	 */
    @Column(length=10)
    private Integer enable;
    
	/**
	 * 备注
	 */
    @Column(length=255)
    private String remark;
    
	/**
	 * 创建人
	 */
    @Column(length=64)
    private String createUser;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 修改人
	 */
    @Column(length=64)
    private String updateUser;
    
	/**
	 * 修改时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;
    

	public PickUpCheck() {
	}

	public PickUpCheck(Integer id) {
		this.id = id;
	}
}
