/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.checkout.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
* @Author
* @Description 圆方晶棒追溯表(方棒属性表)
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="recut_fb_detail")
@DynamicUpdate
@DynamicInsert
public class RecutDetail {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 方棒编号
	 */
    @Column(length=255)
    private String sectionNoFb;
    
	/**
	 * 圆棒id
	 */
    @Column(length=19)
    private Long ybId;
    
	/**
	 * 圆棒编号
	 */
    @Column(length=255)
    private String sectionNo;
    
	/**
	 * 是否已切断(0否  1是)
	 */
    @Column(length=3)
    private Integer isCut;
    
	/**
	 * 父级id 未反切的为0
	 */
    @Column(length=19)
    private Long parentId;
    
	/**
	 * 创建人
	 */
    @Column(length=255)
    private String createUser;

    // 长晶棒id
	@Column(length = 32)
	private Long crystalId;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createDate;
    

	public RecutDetail() {
	}

	public RecutDetail(Long id) {
		this.id = id;
	}
}
