/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.checkout.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
* @Author
* @Description 方棒编号点位记录表
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="square_rod_number")
@DynamicUpdate
@DynamicInsert
public class SquareRodNumber {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

	/**
	 * 方棒编号
	 */
    @Column(length=30)
    private String crystalNo;

	/**
	 * 点位
	 */
    @Column(length=20)
    private String point;

	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createDate;


	public SquareRodNumber() {
	}

	public SquareRodNumber(Long id) {
		this.id = id;
	}
}
