package com.sw.mes.fb.instoreapply.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "入库申请明细表Dto")
public class InstoreApplyItemDto {

    private Integer id;
     @ApiModelProperty(value = "申请主表id" )
     Integer applyId;
     @ApiModelProperty(value = "检验主表ID" )
     Integer checkOutId;
     @ApiModelProperty(value = "入库批次" )
     String orderNo;
     @ApiModelProperty(value = "入库时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date time;
     @ApiModelProperty(value = "备注" )
     String remark;
     @ApiModelProperty(value = "入库人" )
     String user;
     @ApiModelProperty(value = "产品等级" )
     String productLevelName;
     @ApiModelProperty(value = "单晶编号" )
     String sectionNoFb;
     @ApiModelProperty(value = "规格" )
     String specification;
     @ApiModelProperty(value = "入库长度(mm)" )
     BigDecimal wareHouseLength;
     @ApiModelProperty(value = "长度(mm)" )
     BigDecimal length;
     @ApiModelProperty(value = "" )
     BigDecimal collapseLoss;
     @ApiModelProperty(value = " 称重（kg）" )
     BigDecimal weight;
     @ApiModelProperty(value = "长度斜（mm" )
     BigDecimal lengthSlope;
     @ApiModelProperty(value = "方棒备注" )
     String squareRodRemark;
     @ApiModelProperty(value = "理论重量（kg）" )
     BigDecimal theoryWeight;
     @ApiModelProperty(value = "状态(未打印、已打印)" )
     String state;
     @ApiModelProperty(value = "检验类型" )
     String checkoutName;
    @ApiModelProperty(value = "导电型号" )
    String conductionType;
    @ApiModelProperty(value = "入库类别" )
    private String sectionType;
    @ApiModelProperty(value = "产品实验等级名称" )
    private String productLevelExperiment;
    @ApiModelProperty(value = "去向" )
    String hasGone;
    @ApiModelProperty(value = "晶体灰皮长度(mm)" )
    BigDecimal crystalGrayness;
    @ApiModelProperty(value = "方棒灰皮长度(mm)" )
    BigDecimal squareRodGrayness;
    @ApiModelProperty(value = "线痕长度(mm)" )
    BigDecimal lineScratch;
    @ApiModelProperty(value = "刀痕长度(mm)" )
    BigDecimal knifeScratch;
    @ApiModelProperty(value = "划痕长度(mm)" )
    BigDecimal scratch;
    @ApiModelProperty(value = "未磨到长度(mm)" )
    BigDecimal noFriction;
    @ApiModelProperty(value = "尺寸异常长度(mm)" )
    BigDecimal sizeException;
    @ApiModelProperty(value = "方棒等级" )
    String productLevelFb;
    @ApiModelProperty(value = "备注" )
    String outReason;
    @ApiModelProperty(value = "截断" )
    private Integer truncation;
}
