package com.sw.mes.fb.instoreapply.dto;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "入库申请主表Dto")
public class InstoreApplyPostDto {
    private Integer id;
    @ApiModelProperty(value = "入库批次" )
    String orderNo;
    @ApiModelProperty(value = "入库时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date time;
    @ApiModelProperty(value = "入库日期" )
    @JsonFormat(pattern = "yyyy-MM-dd")
    Date date;
    @ApiModelProperty(value = "排序" )
    Integer sort;
    @ApiModelProperty(value = "单晶颗数" )
    Integer count;
    @ApiModelProperty(value = "备注" )
    String remark;
    @ApiModelProperty(value = "入库人" )
    String user;
    @ApiModelProperty(value = "产品等级" )
    String productLevelName;
    @ApiModelProperty(value = "状态(未打印、已打印)" )
    String state;
    @ApiModelProperty(value = "去向" )
    String hasGone;
    @ApiModelProperty(value = "入库明细list" )
    List<InstoreApplyItemDto> items;
    @ApiModelProperty(value = "综计是否接收(1:已经接受)" )
    Integer isConfirm;
}
