/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.instoreapply.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="zhxx_fb_instore_apply_item")
@DynamicUpdate
@DynamicInsert
public class InstoreApplyItem {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

	/**
	 * 检验表ID 主键
	 */
    @Column(length=10)
    private Integer checkOutId;
	
	/**
	 * 申请主表id
	 */
    @Column(length=10)
    private Integer applyId;

	/**
	 * 入库批次
	 */
    @Column(length=80)
    private String orderNo;

	/**
	 * 入库时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date time;

	/**
	 * 备注
	 */
    @Column(length=255)
    private String remark;

	/**
	 * 入库人
	 */
    @Column(length=80)
    private String user;

	/**
	 * 产品等级
	 */
    @Column(length=80)
    private String productLevelName;

	/**
	 * 方棒产品等级
	 */
	@Column(length=80)
	private String productLevelFb;

	/**
	 * 产品实验等级名称
	 */
	@Column(length = 40)
	private String productLevelExperiment;

	/**
	 * 单晶编号
	 */
    @Column(length=255)
    private String sectionNoFb;

	/**
	 * 规格
	 */
    @Column(length=100)
    private String specification;

	/**
	 * 入库长度(mm)
	 */
    @Column(length=19)
    private BigDecimal wareHouseLength;

	/**
	 * 长度(mm)
	 */
    @Column(length=19)
    private BigDecimal length;

	/**
	 *
	 */
    @Column(length=19)
    private BigDecimal collapseLoss;

	/**
	 *  称重（kg）
	 */
    @Column(length=19)
    private BigDecimal weight;

	/**
	 * 长度斜（mm
	 */
    @Column(length=19)
    private BigDecimal lengthSlope;

	/**
	 * 方棒备注
	 */
    @Column(length=255)
    private String squareRodRemark;

	/**
	 * 理论重量（kg）
	 */
    @Column(length=19)
    private BigDecimal theoryWeight;

	/**
	 * 状态(未打印、已打印)
	 */
	@Column(length = 20)
	private String state;

	/**
	 * 导电型号
	 */
	@Column(length=40)
	private String conductionType;

	/**
	 * 检验类型
	 */
	@Column(length = 80)
	private String checkoutName;

	/**
	 * 入库类别
	 */
	@Column(length = 40)
	private String sectionType;

	/**
	 * 去向
	 */
	@Column(length=80)
	private String hasGone;

	/**
	 * 晶体灰皮长度(mm)
	 */
	@Column(length=19)
	private BigDecimal crystalGrayness;

	/**
	 * 方棒灰皮长度(mm)
	 */
	@Column(length=19)
	private BigDecimal squareRodGrayness;

	/**
	 * 线痕长度(mm)
	 */
	@Column(length=19)
	private BigDecimal lineScratch;

	/**
	 * 刀痕长度(mm
	 */
	@Column(length=19)
	private BigDecimal knifeScratch;

	/**
	 * 划痕长度(mm)
	 */
	@Column(length=19)
	private BigDecimal scratch;

	/**
	 * 未磨到长度(mm)
	 */
	@Column(length=19)
	private BigDecimal noFriction;

	/**
	 * 尺寸异常长度(mm)
	 */
	@Column(length=19)
	private BigDecimal sizeException;

	/**
	 * 备注
	 */
	@Column()
	private String outReason;

	/**
	 * 截断
	 */
	@Column(length=10)
	private Integer truncation;


	public InstoreApplyItem() {
	}

	public InstoreApplyItem(Integer id) {
		this.id = id;
	}
}
