package com.sw.mes.fb.maketray.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "打拖明细Dto")
public class MakeTrayItemDto {

    private Integer id;
    @ApiModelProperty(value = "")
    Integer trayId;
    @ApiModelProperty(value = "检验主表ID")
    Integer checkOutId;
    @ApiModelProperty(value = "拖号")
    String trayNo;
    @ApiModelProperty(value = "操作人")
    String user;
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date time;
    @ApiModelProperty(value = "备注")
    String remark;
    @ApiModelProperty(value = "单晶编号")
    String sectionNoFb;
    @ApiModelProperty(value = "单晶编号")
    String sectionNoYb;
    @ApiModelProperty(value = "产品等级")
    String productLevel;
    @ApiModelProperty(value = "直径")
    BigDecimal diameter;
    @ApiModelProperty(value = "导电型号")
    String conductionType;
    @ApiModelProperty(value = "规格")
    String specification;
    @ApiModelProperty(value = "产品等级")
    String productLevelName;
    @ApiModelProperty(value = "入库长度(mm) ")
    BigDecimal wareHouseLength;
    @ApiModelProperty(value = "")
    BigDecimal length;
    @ApiModelProperty(value = "称重(kg)")
    BigDecimal weight;
    @ApiModelProperty(value = "理论重量(kg)")
    BigDecimal theoryWeight;
    @ApiModelProperty(value = "崩损(mm)")
    BigDecimal collapseLoss;
    @ApiModelProperty(value = "长度斜(mm)")
    BigDecimal lengthSlope;
    @ApiModelProperty(value = "晶体灰皮长度(mm)")
    BigDecimal crystalGrayness;
    @ApiModelProperty(value = "方棒灰皮长度(mm)")
    BigDecimal squareRodGrayness;
    @ApiModelProperty(value = "线痕长度(mm)")
    BigDecimal lineScratch;
    @ApiModelProperty(value = "刀痕长度(mm)")
    BigDecimal knifeScratch;
    @ApiModelProperty(value = "划痕长度(mm)")
    BigDecimal scratch;
    @ApiModelProperty(value = "未磨到长度(mm)")
    BigDecimal noFriction;
    @ApiModelProperty(value = "尺寸异常长度(mm)")
    BigDecimal sizeException;
    @ApiModelProperty(value = "方棒备注")
    String squareRodRemark;
    @ApiModelProperty(value = "状态(已入库、未入库)")
    String state;
    @ApiModelProperty(value = "检验类型")
    String checkoutName;
    @ApiModelProperty(value = "入库类别")
    String sectionType;
    @ApiModelProperty(value = "产品实验等级名称")
    String productLevelExperiment;
    @ApiModelProperty(value = "拼棒种类value/几拼")
    String spellBarTypeValue;
    @ApiModelProperty(value = "拼棒总长(mm）")
    BigDecimal spellBarLength;
    @ApiModelProperty(value = "方棒等级")
    String productLevelFb;

    @ApiModelProperty(value = "确认时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date confirmTime;
    @ApiModelProperty(value = "确认人")
    private String confirmer;

    @ApiModelProperty(value = "导出/入综计时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date exportTime;

    /*/
      新增物料卡的字段
     */

    @ApiModelProperty(value = "物料编号")
    String materialNumber;

    @ApiModelProperty(value = "阴阳面(mm)")
    private BigDecimal yinYangFace;

    @ApiModelProperty(value = "水印(mm)")
    private BigDecimal waterMark;

    @ApiModelProperty(value = "平面手感(mm)")
    private BigDecimal flatHandle;


    @ApiModelProperty(value = "砂轮印(mm)")
    private BigDecimal wheelMark;

    @ApiModelProperty(value = "外圆手感(mm)")
    private BigDecimal roundHandle;

    @ApiModelProperty(value = "亮斑(mm)")
    private BigDecimal hotSpot;

    @ApiModelProperty(value = "棱崩(mm)")
    private BigDecimal edgeCollapse;

    @ApiModelProperty(value = "砂轮亮点(mm)")
    private BigDecimal wheelHighLights;

    @ApiModelProperty(value = "一次检验id")
    Integer firstCheckoutId;
    @ApiModelProperty(value = "一次检验入库类型")
    String firstSectionType;

    @ApiModelProperty(value = "粘方棒确认接收ID")
    Integer zfbConfirmId;

    @ApiModelProperty(value = "厂区" )
    private String factoryName;

    @ApiModelProperty(value = "方棒实验等级" )
    private String fbExperimentLevel;

    @ApiModelProperty(value = "方棒产品类型" )
    private String productTypeFb;

    @ApiModelProperty(value = "闭环单晶流转节点" )
    private String inspectType;

}
