/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.maketray.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="zhxx_fb_make_tray_item")
@DynamicUpdate
@DynamicInsert
public class MakeTrayItem {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

	/**
	 * 检验表ID 主键
	 */
    @Column(length=10)
    private Integer checkOutId;

	/**
	 *
	 */
    @Column(length=10)
    private Integer trayId;

	/**
	 * 拖号
	 */
    @Column(length=255)
    private String trayNo;

	/**
	 * 操作人
	 */
    @Column(length=40)
    private String user;

	/**
	 * 操作时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date time;

	/**
	 * 备注
	 */
    @Column(length=255)
    private String remark;


	/**
	 * 单晶编号
	 */
	@Transient
	private String sectionNoYb;

	/**
	 * 单晶编号
	 */
    @Column(length=255)
    private String sectionNoFb;

	/**
	 * 产品等级
	 */
	@Column(length=255)
	private String productLevel;

	/**
	 * 直径
	 */
	@Column(length=19)
	private BigDecimal diameter;

	/**
	 * 导电型号
	 */
	@Column(length=40)
	private String conductionType;

	/**
	 * 规格
	 */
    @Column(length=40)
    private String specification;


	/**
	 * 产品等级
	 */
	@Column(length=40)
	private String productLevelName;

	/**
	 * 产品实验等级名称
	 */
	@Column(length = 40)
	private String productLevelExperiment;

	/**
	 * 入库长度(mm)
	 */
    @Column(length=19)
    private BigDecimal wareHouseLength;

	/**
	 *
	 */
    @Column(length=19)
    private BigDecimal length;

	/**
	 * 称重(kg)
	 */
    @Column(length=19)
    private BigDecimal weight;

	/**
	 * 理论重量(kg)
	 */
    @Column(length=19)
    private BigDecimal theoryWeight;

	/**
	 * 崩损(mm)
	 */
    @Column(length=19)
    private BigDecimal collapseLoss;

	/**
	 * 长度斜(mm)
	 */
    @Column(length=19)
    private BigDecimal lengthSlope;

	/**
	 * 晶体灰皮长度(mm)
	 */
    @Column(length=19)
    private BigDecimal crystalGrayness;

	/**
	 * 方棒灰皮长度(mm)
	 */
    @Column(length=19)
    private BigDecimal squareRodGrayness;

	/**
	 * 线痕长度(mm)
	 */
    @Column(length=19)
    private BigDecimal lineScratch;

	/**
	 * 刀痕长度(mm
	 */
    @Column(length=19)
    private BigDecimal knifeScratch;

	/**
	 * 划痕长度(mm)
	 */
    @Column(length=19)
    private BigDecimal scratch;

	/**
	 * 未磨到长度(mm)
	 */
    @Column(length=19)
    private BigDecimal noFriction;

	/**
	 * 尺寸异常长度(mm)
	 */
    @Column(length=19)
    private BigDecimal sizeException;

	/**
	 * 方棒备注
	 */
    @Column(length=255)
    private String squareRodRemark;

	/**
	 * 状态(已入库、未入库)
	 */
    @Column(length=40)
    private String state;

	/**
	 * 检验类型
	 */
	@Column(length = 80)
	private String checkoutName;

	/**
	 * 入库类别
	 */
	@Column(length = 40)
	private String sectionType;

	/**
	 * 拼棒种类value
	 */
	@Column(length = 40)
	private String spellBarTypeValue;

	/**
	 * 拼棒总长(mm)
	 */
	@Column(length = 18)
	private BigDecimal spellBarLength;

	/**
	 * 方棒产品等级
	 */
	@Column(length=80)
	private String productLevelFb;

	/**
	 * 导出/入库时间
	 */
	@Column
	private Date exportTime;

	/**
	 * 确认人
	 */
	@Column(length=50)
	private String confirmer;
	/**
	 * 确认时间
	 */
	@Temporal(TemporalType.TIMESTAMP)
	private Date confirmTime;

	/**
	 * 一次检验id
	 */
	@Column(length=10)
	private Integer firstCheckoutId;

	/**
	 * 一次检验入库类别
	 */
	@Column(length = 100)
	private String firstSectionType;

	/**
	 * 一次检验类型
	 */
	@Transient
	private  String fbExperimentLevel;

	@Transient
	private  Integer truncation;

	/**
	 * 粘方棒确认接收ID
	 */
	@Column(length=11)
	private Integer zfbConfirmId;

	/**
	 * 厂区 三期 四期 五期
	 */
	@Column(length=50)
	private String factoryName;

	/**
	 * 方棒产品类型
	 */
	@Column(length = 40)
	private String productTypeFb;

	/**
	 * 闭环单晶流转节点
	 */
	@Column(length = 40)
	private String inspectType;

	public MakeTrayItem() {
	}

	public MakeTrayItem(Integer id) {
		this.id = id;
	}
}
