/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.productChangeRecord.entity;

import java.util.Date;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="product_change_record")
@DynamicUpdate
@DynamicInsert
public class ProductChangeRecord{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 晶段编号
	 */
    @Column(length=100)
    private String sectionNo;
    
	/**
	 * 变更前晶段编号
	 */
    @Column(length=100)
    private String preSectionNo;
    
	/**
	 * 变更前工单号
	 */
    @Column(length=100)
    private String preOrderNo;
    
	/**
	 * 工单号
	 */
    @Column(length=50)
    private String orderNo;

	/**
	 * 变更前批次号
	 */
	@Column(length=100)
	private String preBatchNo;


	/**
	 * 批次号
	 */
	@Column(length=20)
	private String batchNo;
    
	/**
	 * 变更前工单定向标识
	 */
    @Column(length=20)
    private String preZorientationind;
    
	/**
	 * 工单定向标识
	 */
    @Column(length=20)
    private String zorientationind;
    
	/**
	 * 变更前物料编号
	 */
    @Column(length=50)
    private String preMaterialCode;
    
	/**
	 * 物料编号
	 */
    @Column(length=50)
    private String materialCode;
    
	/**
	 * 变更前物料名称
	 */
    @Column(length=500)
    private String preMaterialName;
    
	/**
	 * 物料名称
	 */
    @Column(length=500)
    private String materialName;
    
	/**
	 * 变更前等级码
	 */
    @Column(length=100)
    private String preLevelCode;
    
	/**
	 * 等级码
	 */
    @Column(length=100)
    private String levelCode;
    
	/**
	 * 备注
	 */
    @Column(length=255)
    private String remark;
    
	/**
	 * 创建人
	 */
    @Column(length=50)
    private String createName;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 产品类型
	 */
    @Column(length=100)
    private String simpleName;
    
	/**
	 * 检验时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date checkTime;
    
	/**
	 * 当前站点
	 */
    @Column(length=50)
    private String processName;
    

	public ProductChangeRecord() {
	}

	public ProductChangeRecord(Long id) {
		this.id = id;
	}
}
