package com.sw.mes.fb.quality.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "产品月计划Dto")
public class CheckOutDto {

     private Integer id;
     @ApiModelProperty(value = "月计划ID" )
     Integer planMonthId;

     @ApiModelProperty(value = "检验类型id" )
     private Integer checkoutId;
     @ApiModelProperty(value = "检验类型name" )
     private String checkoutName;

     @ApiModelProperty(value = "单晶条码编号(圆)" )
     private String sectionNo;

     @ApiModelProperty(value = "单晶条码编号(方)" )
     private String sectionNoFb;

     @ApiModelProperty(value = "一体机生产编号" )
     private String equipmentCode;

     @ApiModelProperty(value = "规格" )
     private String specification;

     @ApiModelProperty(value = "导电型号" )
     private String conductionType;

     @ApiModelProperty(value = "产品等级名称" )
     private String productLevelName;

     @ApiModelProperty(value = "产品实验等级名称" )
     private String productLevelExperiment;

     @ApiModelProperty(value = "方棒等级" )
     private String productLevelFb;
     @ApiModelProperty(value = "方棒实验备注" )
     private String fbExperimentLevel;

     @ApiModelProperty(value = "圆棒消耗长度" )
     private BigDecimal sectionLength;
     @ApiModelProperty(value = "产品类型" )
     private String productType;
     @ApiModelProperty(value = "方棒产品类型" )
     private String productTypeFb;

     @ApiModelProperty(value = "长度" )
     private BigDecimal length;

     @ApiModelProperty(value = "崩损(mm)" )
     private BigDecimal collapseLoss;

     @ApiModelProperty(value = "称重（kg）" )
     private BigDecimal weight;

     @ApiModelProperty(value = "长度斜（mm）" )
     private BigDecimal lengthSlope;

     @ApiModelProperty(value = "返切长度（mm）" )
     private BigDecimal recutLength;

     @ApiModelProperty(value = "晶体灰皮（mm）" )
     private BigDecimal crystalGrayness;

     @ApiModelProperty(value = "方棒灰皮（mm）" )
     private BigDecimal squareRodGrayness;

     @ApiModelProperty(value = "线痕（mm）" )
     private BigDecimal lineScratch;

     @ApiModelProperty(value = "刀痕（mm）" )
     private BigDecimal knifeScratch;

     @ApiModelProperty(value = "划痕（mm）" )
     private BigDecimal scratch;

     @ApiModelProperty(value = "未磨到（mm）" )
     private BigDecimal noFriction;

     @ApiModelProperty(value = "尺寸异常(mm）" )
     private BigDecimal sizeException;

     @ApiModelProperty(value = "头斜(mm)" )
     private BigDecimal headSlope;

     @ApiModelProperty(value = "尾斜(mm)" )
     private BigDecimal tailSlope;

     /**
      * 水印（mm）
      */
     @ApiModelProperty(value = "水印(mm)" )
     private BigDecimal waterMark;

     /**
      * 亮斑（mm）
      */
     @ApiModelProperty(value = "亮斑(mm)" )
     private BigDecimal hotSpot;

     /**
      * 棱崩（mm）
      */
     @ApiModelProperty(value = "棱崩(mm)" )
     private BigDecimal edgeCollapse;

     /**
      * 阴阳面（mm）
      */
     @ApiModelProperty(value = "阴阳面(mm)" )
     private BigDecimal yinYangFace;

     /**
      * 砂轮亮点（mm）
      */
     @ApiModelProperty(value = "砂轮亮点(mm)" )
     private BigDecimal wheelHighLights;

     /**
      * 外圆手感（mm）
      */
     @ApiModelProperty(value = "外圆手感(mm)" )
     private BigDecimal roundHandle;

     /**
      * 平面手感（mm）
      */
     @ApiModelProperty(value = "平面手感(mm)" )
     private BigDecimal flatHandle;

     /**
      * 砂轮印（mm）
      */
     @ApiModelProperty(value = "砂轮印(mm)" )
     private BigDecimal wheelMark;

     /**
      * 色差
      */
     @ApiModelProperty(value = "色差(mm)" )
     private BigDecimal colourDifference;

     @ApiModelProperty(value = "入库长度(mm)" )
     private BigDecimal wareHouseLength;

     @ApiModelProperty(value = "入库类别" )
     private String sectionType;

     @ApiModelProperty(value = "方棒备注" )
     private String squareRodRemark;

     @ApiModelProperty(value = "圆棒备注" )
     private String roundRodRemark;

     @ApiModelProperty(value = "检验员" )
     private String checkUserName;

     @ApiModelProperty(value = "检验日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date checkTime;

     @ApiModelProperty(value = "班次" )
     private String classNo;

     @ApiModelProperty(value = "直径min" )
     private BigDecimal diameterMin;

     @ApiModelProperty(value = "直径max" )
     private BigDecimal diameterMax;

     @ApiModelProperty(value = "边长min" )
     private BigDecimal sideLengthMin;

     @ApiModelProperty(value = "边长max" )
     private BigDecimal sideLengthMax;

     @ApiModelProperty(value = "垂直度min" )
     private BigDecimal verticalityMin;

     @ApiModelProperty(value = "垂直度max" )
     private BigDecimal verticalityMax;

     @ApiModelProperty(value = "弧长投影min" )
     private BigDecimal projectionMin;

     @ApiModelProperty(value = "弧长投影max" )
     private BigDecimal projectionMax;

     @ApiModelProperty(value = "弦长min" )
     private BigDecimal chordLengthMin;

     @ApiModelProperty(value = "弦长max" )
     private BigDecimal chordLengthMax;

     @ApiModelProperty(value = "平面锥度min" )
     private BigDecimal planeTaperMin;

     @ApiModelProperty(value = "平面锥度max" )
     private BigDecimal planeTaperMax;

     @ApiModelProperty(value = "晶向min" )
     private BigDecimal crystalOrientationMin;

     @ApiModelProperty(value = "晶向max" )
     private BigDecimal crystalOrientationMax;

     @ApiModelProperty(value = "修改员" )
     private String changeUserName;

     @ApiModelProperty(value = "修改日期" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date changeTime;

     @ApiModelProperty(value = "理论重量（kg）" )
     private BigDecimal theoryWeight;

     @ApiModelProperty(value = "缝宽（mm）" )
     private BigDecimal crackWidth;

     @ApiModelProperty(value = "拼棒种类Name" )
     private String spellBarTypeName;

     @ApiModelProperty(value = "拼棒种类value" )
     private String spellBarTypeValue;

     @ApiModelProperty(value = "拼棒总长(mm）" )
     private BigDecimal spellBarLength;

     @ApiModelProperty(value = "领料来源Name" )
     private String materialSourceName;

     @ApiModelProperty(value = "领料来源value" )
     private String materialSourceValue;

     @ApiModelProperty(value = "检验次数" )
     private Integer checkTimes;
     @ApiModelProperty(value = "当前次数" )
     private Integer currentTimes;
     @ApiModelProperty(value = "圆棒入库长度" )
     private BigDecimal instoreLengthYb;
     @ApiModelProperty(value = "圆棒理论重量" )
     private BigDecimal theoryWeightYb;
     @ApiModelProperty(value = "方棒拼棒信息" )
     private String fbNoGroup;

     @ApiModelProperty(value = "下料班长姓名")
     String blankClassMonitorName;

     @ApiModelProperty(value = "截断")
     Integer truncation;

     @ApiModelProperty(value = "物料号" )
     private String materialNumber;

     @ApiModelProperty(value = "平抛生产编号" )
     private String flatThrowCode;

     @ApiModelProperty(value = "平抛操作人" )
     private String flatThrowUserName;

     @ApiModelProperty(value = "平抛设备编号" )
     private String flatThrowEquipment;

     @ApiModelProperty(value = "外圆生产编号" )
     private String outerCircleCode;

     @ApiModelProperty(value = "外圆操作人" )
     private String outerCircleUserName;

     @ApiModelProperty(value = "外圆设备编号" )
     private String outerCircleEquipment;
}
