package com.sw.mes.fb.quality.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author renjian li
 * @Description:
 * @create 2021-03-11 15:09
 */
@Data
public class QualityPrintDto {

    private Long id;

    /**
     * 晶棒编号
     */
    private String crystalNo;

    /**
     * 晶段编号
     */
    private String sectionNo;

    /**
     * 设备编号
     */
    private String deviceNo;

    /**
     * 炉次号
     */
    private String lotNo;

    /**
     * 类型
     */
    private String productType;

    /**
     * 导电型号
     */
    private String conductiveType;

    /**
     * 实验类型名称（是否进行实验的标注）
     */
    private String experiment;

    /**
     * 实验类型值
     */
    private String experimentValue;

    /**
     * 产品等级
     */
    private String productLevel;

    /**
     * 产品等级
     * 二次评级
     */
    private String productLevelSecond;

    /**
     * 目标规格
     */
    private String productTypeSecond;

    /**
     * 产品等级
     * 实验类型结果
     */
    private String productLevelExperiment;

    /**
     * 评级时间
     */
    private Date levelTime;

    /**
     * 实际直径
     */
    private BigDecimal actualDiameter;

    /**
     * 实际称重
     */
    private BigDecimal actualWeight;

    /**
     * 最大直径
     */
    private BigDecimal diameterMax;

    /**
     * 最小直径
     */
    private BigDecimal diameterMin;


    /**
     * 创建时间
     */
    private Date createTime;


    /**
     * 实际长度
     */
    private BigDecimal actualLength;

    /**
     * 画线长度
     */
    private BigDecimal drawLength;

    /**
     * 长度范围
     */
    private String scope;

    /**
     * 晶棒类型：返切/拼棒/整棒
     */
    private String type;

    /**
     * 晶段类型
     */
    private String sectionType;

    /**
     * 检验人员
     */
    private String inspector;

    /**
     * 检验时间
     */
    private Date inspectTime;

    /**
     * 是否为孪晶
     */
    private Boolean isTwin;

    /**
     * 孪晶检验人
     */
    private String twinInspector;

    /**
     * 孪晶检验时间
     */
    private Date twinInspectTime;

    /**
     * 孪晶长度
     */
    private BigDecimal twinLength;

    /**
     * 斜度
     */
    private String slope;

    /**
     * 头斜度
     */
    private BigDecimal slopeT;

    /**
     * 尾斜度
     */
    private BigDecimal slopeW;

    /**
     * 是否返切棒
     */

    private Boolean reCut;

    /**
     * 打印次数
     */

    private Integer printCount;

    /**
     * 晶段段数
     */

    private Integer sectionCount;

    /**
     * 收尾类型
     */

    private String tailType;

    /**
     * 见埚底尾
     */

    private Boolean bottomTail;

    /**
     * 段数是否是V或者W
     */

    private Boolean vw;

    /**
     * 段数是否是V
     */

    private Boolean v;

    /**
     * 段数是否是W
     */

    private Boolean w;

    /**
     * 第18位数字
     */

    private Integer eighteen;

    /**
     * 少子寿命头1
     */

    private BigDecimal sintonHead1;
    /**
     * 少子寿命头2
     */

    private BigDecimal sintonHead2;

    /**
     * 少子寿命头3
     */

    private BigDecimal sintonHead3;
    /**
     * 少子寿命头4
     */

    private BigDecimal sintonHead4;

    /**
     * 少子寿命头5
     */

    private BigDecimal sintonHead5;
    /**
     * 少子寿命尾1
     */

    private BigDecimal sintonTail1;
    /**
     * 少子寿命尾2
     */

    private BigDecimal sintonTail2;

    /**
     * 少子寿命尾3
     */

    private BigDecimal sintonTail3;
    /**
     * 少子寿命尾4
     */

    private BigDecimal sintonTail4;

    /**
     * 少子寿命尾5
     */

    private BigDecimal sintonTail5;
    /***********************************************************************************/
    /**
     * 默认值：待入库
     * 入库状态  待入库/已入库/可出库/可出库锁定/已出库/已拼棒
     */

    private String state;

    /**
     * 检测结果 --- 出库使用
     * 0：默认值，不可出库；
     * 1：已检测，可出库；
     * 2：已拼棒，根据时间判断是否可出库；
     */

    private Integer checkResult;

    /**
     * ---检验线使用
     * 检测状态  已检测/未检测
     */

    private String checkState;

    /**
     * 状态变更时间
     */

    private Date stateUpdateTime;

    /**
     * 入库时间
     */

    private Date storageTime;

    /**
     * 托盘号
     */

    private String code;
    /**
     * 托盘号RFID
     */

    private String rfid;
    /*************************************/

    /*********************************************************************************/
    /**
     * 中心点头
     */

    private BigDecimal centerHead;

    /**
     * 边缘点头1
     */

    private BigDecimal borderHead1;

    /**
     * 边缘点头2
     */

    private BigDecimal borderHead2;

    /**
     * 边缘点头3
     */

    private BigDecimal borderHead3;

    /**
     * 边缘点头4
     */

    private BigDecimal borderHead4;

    /**
     * 中心点尾
     */

    private BigDecimal centerTail;

    /**
     * 边缘点尾1
     */

    private BigDecimal borderTail1;

    /**
     * 边缘点尾2
     */

    private BigDecimal borderTail2;

    /**
     * 边缘点尾3
     */

    private BigDecimal borderTail3;

    /**
     * 边缘点尾4
     */

    private BigDecimal borderTail4;
    /*********************************************************************************/

    /**************************外观检测***************************/

    /**
     * 裂纹
     */

    private BigDecimal crack;


    /**
     * 是否扭曲过大
     */

    private Boolean distortionBig;
    /**
     * 扭曲
     */

    private BigDecimal distortion;

    /**
     * 崩边长度
     */

    private BigDecimal edgeBark;

    /**
     * 崩晶线
     */

    private BigDecimal collapseLine;


    /**
     * 单晶头方向
     * 左 或者 右
     */

    private String crystalHead;

    //======机器测量数据======
    /**
     * 细总长
     */

    private BigDecimal fineDiameter;

    /**
     * 细减长
     */

    private BigDecimal fineCutLength;
    /**
     * 粗
     */

    private BigDecimal c;
    /**
     * d1
     */

    private BigDecimal d1;
    /**
     * d2
     */

    private BigDecimal d2;

    //======机器测量数据======

    /*********************************检验暂定数据属性T**********************************/

    /**
     * 原棒总长
     */

    private BigDecimal crystalTotalLength;

    /**
     * 记录人员
     */

    private String recorder;

    /**
     * 头斜
     */

    private BigDecimal headSlope;

    /**
     * 尾斜
     */

    private BigDecimal tailSlope;

    /**
     * 氧施主
     */

    private String oxygenDonor;

    /**
     * 棒寿命分档
     */

    private String crystalAgeBracket;

    /**
     * 是否为复检
     */

    private Boolean isRecheck;

    /**
     * 晶向
     */

    private String crystalOrientation;

    /**
     * 复检类别
     */

    private String reCheckType;

    /**
     * 直径粗
     */

    private Boolean diameterThickness;

    /**
     * 返修工序
     */

    private String reWorkProcess;

    /**
     * 外观检验备注
     */

    private String remark;

    /**
     * 班次
     */

    private String classNo;

    /**
     * 班组
     */

    private String className;

    /**
     * 复检类别
     */

    private String checkAgain;

    /**
     * 少子寿命
     */

    private BigDecimal minLife;

    /**
     * 开始时间
     */

    private Date startTime;

    /**
     * 结束时间
     */

    private Date endTime;

    /**
     * 晶棒直径
     */

    private BigDecimal barDiameter;

    /**
     * 录入人员
     */

    private String inputUser;

    /**
     * 入库长度
     */

    private BigDecimal wareHouseLength;

    /**
     * 理论重量
     */

    private BigDecimal theoryWeight;

    /**
     * 退火后
     */

    private String postannealing;

    /**
     * 规格号备注
     */

    private String autoRemark;

    /**
     * 是否切断不良
     */

    private Boolean isCutBad;

    /**
     * 是否合格
     */

    private Boolean isPassed;

    /**
     * 更改人
     */

    private String changer;

    /**
     * 实验（复检用）
     */

    private String experimentData;

    /*********************************检验暂定数据属性W**********************************/

    /*********************样片数据T**********************/

    /**
     * 样片编号T
     */

    private String pieceNoHead;

    /**
     * 样片编号W
     */

    private String pieceNoTail;

    /**
     * 钝化寿命T
     */

    private BigDecimal passivationLifeHead;

    /**
     * 钝化寿命W
     */

    private BigDecimal passivationLifeTail;

    /**
     * 棒寿命T
     */

    private BigDecimal stickLifeHead;

    /**
     * 棒寿命W
     */

    private BigDecimal stickLifeTail;

    /**
     * 微缺陷T
     */

    private String microdefectHead;

    /**
     * 微缺陷W
     */

    private String microdefectTail;

    /**
     * 位错T
     */

    private String dislocationHead;

    /**
     * 位错W
     */

    private String dislocationTail;

    /**
     * 氧含量T
     */

    private BigDecimal oxygenContentHead;

    /**
     * 氧含量W
     */

    private BigDecimal oxygenContentTail;

    /**
     * 碳含量T
     */

    private BigDecimal carbonContentHead;

    /**
     * 碳含量W
     */

    private BigDecimal carbonContentTail;

    /**
     * 厚度T
     */

    private BigDecimal thicknessHead;

    /**
     * 厚度W
     */

    private BigDecimal thicknessTail;

    /**
     * 退火后电阻率T
     */

    private BigDecimal resistyAfterAnnealHead;

    /**
     * 退火后电阻率W
     */

    private BigDecimal resistyAfterAnnealTail;
    /**
     * 投料量
     */

    private BigDecimal materialCount;

    /**
     * 寿命/电阻率T中心
     */

    private BigDecimal sintonCenter;
    /**
     * 寿命/电阻率T边缘
     */

    private BigDecimal sintonBorder;

    /**
     * 寿命/电阻率W中心
     */

    private BigDecimal sintonTail;
    /**
     * 寿命/电阻率W边缘
     */

    private BigDecimal sintonBorderTail;


    /**
     * 01W中心
     */

    private BigDecimal firstSintonCenter;
    /**
     * 01W边缘
     */

    private BigDecimal firstSintonBorder;

    /*********************样片数据W**********************/

    /**************************** 检验线采集数据 - 重量 、 型号（P/N）、电阻率 ******************************/
    /**
     * 重量
     */

    private String weight;

    /**
     * 线体ID
     */

    private String lineId;
    /**
     * 电阻率
     */

    private String resistivity;
    /**************************** 检验线采集数据 - 重量 、 型号（P/N）、电阻率 ******************************/

    /**
     *
     */

    private Integer rankId;
    /**
     * 电阻率检验次数
     **/

    private Integer resistivityCheckCount;
    /**
     * 前段样片
     * 01W或者02T
     */

    private Boolean prePieceNo;

    /**
     * 氧含量判定
     */

    private String yhl;

    /**
     * 外发
     */

    private String wf;

    /**
     * 打印备注
     */

    private String printRemark;

    /**
     * 其它异常选项
     */

    private String otherException;

    /*
    方棒-直径(产品标准卡)
     */
    private String diameterFB;
    /*
    方棒-边长(产品标准卡)
     */
    private String sideLengthFB;
    /*
    方棒-长度 长度-（崩损+晶体灰皮+方棒灰皮+线痕+刀痕+划痕+未磨到+尺寸异常） 显示样式：343-20
     */
    private String lengthFB;
    /*
    方棒-垂直度(产品标准卡)
     */
    private String verticalityFB;
    /*
   方棒-X锥度(产品标准卡)
    */
    private String taperXzFB;
    /*
   方棒-Y锥度(产品标准卡)
    */
    private String taperYzFB;
    /*
    方棒-理论重量
    */

    /*
    方棒-弧长投影(产品标准卡)
    */
    private String projectionFB;
    /*
    方棒-称重
    */
    private String weightFB;
    /*
    方棒-检验员
    */
    private String checkUserNameFB;
    /*
    方棒-日期+班次
    */
    private String checkTimeFB;


    /*
    方棒-备注
    */
    private String remarkFB;


    /*
    方棒-入库类别
    */
    private String sectionTypeFB;

    /*
    方棒-产品等级
    */
    private String productLevelNameFB;

    /*
    方棒-规格
    */
    private String SpecificationFB;

    /**
     * 出库单号 拼接字符串
     */
    private String outOrderNo;

    /**
     * 出库时间 拼接字符串
     */
    private String outTime;

    /**
     * 去向 拼接字符串
     */
    private String hasGone;

    /**
     * 方棒退料时间 拼接字符串
     */
    private String backTime;

    /**
     * 方棒退料单号 拼接字符串
     */
    private String backOrderNo;

    /**
     * 边长min
     */
    private BigDecimal sideLengthMin;

    /**
     * 边长max
     */
    private BigDecimal sideLengthMax;



    /**
     * 四个点平均电阻率
     */
    private BigDecimal pjdzl;

    private String sectionNoFb;

    //是否是特殊方棒产品等级
    private Integer isSpecialSquareLevel;


    //一体机生产编号
    private String equipmentCode;


    //**********  沈翰林
    /**
     * 平抛生产编号
     */
    private String flatThrowCode;

    /**
     *  外圆生产编号
     */
    private String outerCircleCode;

}
