package com.sw.mes.fb.quality.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "方棒代加工领料Dto")
public class SubstituteCallMaterialDto {
      private Integer id;
      @ApiModelProperty(value = "序号" )
      String no;
      @ApiModelProperty(value = "厂牌" )
      String plantId;
      @ApiModelProperty(value = "领料批次号" )
      String getBatchNo;
      @ApiModelProperty(value = "单晶领取时间" )
      @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
      Date getTime;
      @ApiModelProperty(value = "单晶条码编号" )
      String crystalNo;
      @ApiModelProperty(value = "物料类型:0方棒代加工领料,1方棒代加工退料" )
      String materialType;
      @ApiModelProperty(value = "状态:0未退料,1已退料" )
      String status;
      @ApiModelProperty(value = "产品类型" )
      String productType;
      @ApiModelProperty(value = "产品等级" )
      String productGrade;
      @ApiModelProperty(value = "导电型号" )
      String electricType;
      @ApiModelProperty(value = "单晶直径" )
      BigDecimal crystalDiameter;
      @ApiModelProperty(value = "圆棒入库长度（mm）" )
      BigDecimal length;
      @ApiModelProperty(value = "称重(kg)" )
      BigDecimal weight;
      @ApiModelProperty(value = "理论重量(kg)" )
      BigDecimal theoreticalWeight;
      @ApiModelProperty(value = "晶段类型" )
      String segmentType;
      @ApiModelProperty(value = "去向" )
      String whereabouts;
      @ApiModelProperty(value = "退料批次号" )
      String returnBatchNo;
      @ApiModelProperty(value = "退料人" )
      String returnOperator;
      @ApiModelProperty(value = "单晶退料时间" )
      @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
      Date returnTime;
      @ApiModelProperty(value = "创建时间" )
      @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
      Date createTime;
      @ApiModelProperty(value = "修改时间" )
      @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
      Date updateTime;
      @ApiModelProperty(value = "修改人id" )
      Integer returnOperatorId;
      /**以下为代加工功能新增字段**/
      @ApiModelProperty(value = "拼棒组号" )
      String crystalGroupNo;
      @ApiModelProperty(value = "产品实验等级" )
      String productLevelExperiment;
      @ApiModelProperty(value = "圆棒长度(mm)" )
      BigDecimal actualLength;
      @ApiModelProperty(value = "圆棒拼棒总长度（mm）" )
      BigDecimal totalLength;
      @ApiModelProperty(value = "SAP订单号" )
      String sapOrderNo;
      @ApiModelProperty(value = "SAP物料号" )
      String sapMaterialNumber;
      @ApiModelProperty(value = "SAP库位代码" )
      String sapStoreCode;
      @ApiModelProperty(value = "圆棒入库重量(kg)" )
      BigDecimal instoreWeight;
      @ApiModelProperty(value = "崩晶线(mm)" )
      BigDecimal collapseLine;
      @ApiModelProperty(value = "细减长(mm)" )
      BigDecimal fineCutLength;
      @ApiModelProperty(value = "细总长(mm)" )
      BigDecimal fineDiameter;
      @ApiModelProperty(value = "扭曲(mm)" )
      BigDecimal distortion;
      @ApiModelProperty(value = "合格证备注" )
      String printRemark;
      @ApiModelProperty(value = "中心点头" )
      BigDecimal centerHead;
      @ApiModelProperty(value = "边缘点头1" )
      BigDecimal borderHead1;
      @ApiModelProperty(value = "边缘点头4" )
      BigDecimal borderHead4;
      @ApiModelProperty(value = "中心点尾" )
      BigDecimal centerTail;
      @ApiModelProperty(value = "边缘点尾1" )
      BigDecimal borderTail1;
      @ApiModelProperty(value = "边缘点尾4" )
      BigDecimal borderTail4;
      @ApiModelProperty(value = "四点平均电阻率" )
      BigDecimal avgResistivity;
      @ApiModelProperty(value = "少子寿命头中心" )
      BigDecimal sintonHead1;
      @ApiModelProperty(value = "少子寿命头边缘1" )
      BigDecimal sintonHead2;
      @ApiModelProperty(value = "少子寿命头边缘2" )
      BigDecimal sintonHead3;
      @ApiModelProperty(value = "少子寿命头边缘3" )
      BigDecimal sintonHead4;
      @ApiModelProperty(value = "少子寿命头边缘4" )
      BigDecimal sintonHead5;
      @ApiModelProperty(value = "少子寿命尾中心" )
      BigDecimal sintonTail1;
      @ApiModelProperty(value = "少子寿命尾边缘1" )
      BigDecimal sintonTail2;
      @ApiModelProperty(value = "少子寿命尾边缘2" )
      BigDecimal sintonTail3;
      @ApiModelProperty(value = "少子寿命尾边缘3" )
      BigDecimal sintonTail4;
      @ApiModelProperty(value = "少子寿命尾边缘4" )
      BigDecimal sintonTail5;
      @ApiModelProperty(value = "氧含量T" )
      BigDecimal oxygenContentHead;
      @ApiModelProperty(value = "氧含量W" )
      BigDecimal oxygenContentTail;
      @ApiModelProperty(value = "碳含量T" )
      BigDecimal carbonContentHead;
      @ApiModelProperty(value = "碳含量W" )
      BigDecimal carbonContentTail;
      @ApiModelProperty(value = "微缺陷T" )
      String microdefectHead;
      @ApiModelProperty(value = "微缺陷W" )
      String microdefectTail;
      @ApiModelProperty(value = "位错W" )
      String dislocationTail;
      @ApiModelProperty(value = "实验类型值" )
      String experimentValue;
      @ApiModelProperty(value = "第18位数字" )
      Integer eighteen;
      @ApiModelProperty(value = "晶段段数(第几段)" )
      Integer sectionCount;
      @ApiModelProperty(value = "段数是否是V" )
      Boolean v;
      @ApiModelProperty(value = "段数是否是V" )
      Boolean w;
      @ApiModelProperty(value = "见埚底尾" )
      Boolean bottomTail;
      @ApiModelProperty(value = "投料量" )
      BigDecimal materialCount;
      @ApiModelProperty(value = "寿命/电阻率T中心" )
      BigDecimal sintonCenter;
      @ApiModelProperty(value = "寿命/电阻率T边缘" )
      BigDecimal sintonBorder;
      @ApiModelProperty(value = "寿命/电阻率W中心" )
      BigDecimal sintonTail;
      @ApiModelProperty(value = "寿命/电阻率W边缘" )
      BigDecimal sintonBorderTail;
      @ApiModelProperty(value = "最大直径" )
      BigDecimal diameterMax;
      @ApiModelProperty(value = "最小直径" )
      BigDecimal diameterMin;
      @ApiModelProperty(value = "头部中心退火电阻率" )
       BigDecimal annealHeadCenter;
      @ApiModelProperty(value = "头部边缘退火电阻率" )
       BigDecimal annealHeadBorder;
      @ApiModelProperty(value = "尾部中心退火电阻率" )
       BigDecimal annealTailCenter;
      @ApiModelProperty(value = "尾部边缘退火电阻率" )
       BigDecimal annealTailBorder;
      @ApiModelProperty(value = "掺杂剂" )
      String dopant;
      @ApiModelProperty(value = "崩边长度" )
      private BigDecimal edgeBark;
      @ApiModelProperty(value = "头斜度" )
      private BigDecimal slopeT;
      @ApiModelProperty(value = "尾斜度" )
      private BigDecimal slopeW;
      @ApiModelProperty(value = "掺杂剂" )
      String isBuy;
}
