package com.sw.mes.fb.turnstore.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "方棒WMS入库数据Dto")
public class FbToWmsReceiptDataDto {

    @ApiModelProperty(value = "序号")
    Integer number;
    @ApiModelProperty(value = "设备号")
    String serialNumber;
    @ApiModelProperty(value = "晶段编号(短棒)sectionNo")
    String crystalNo;
    @ApiModelProperty(value = "单晶组合sectionCompose")
    String crystalGroup;
    @ApiModelProperty(value = "导电型号conductiveType")
    String model;
    @ApiModelProperty(value = "规格specification")
    String norms;
    @ApiModelProperty(value = "入库长度instoreLengthFb")
    BigDecimal storageLength;
    @ApiModelProperty(value = "理论重量theoryWeightFb")
    BigDecimal theoreticalWeight;
    @ApiModelProperty(value = "方棒长度(mm)actualLength")
    BigDecimal crystalLength;
    @ApiModelProperty(value = "实际称重weight")
    BigDecimal actualWeight;
    @ApiModelProperty(value = "工厂")
    String factory;
    @ApiModelProperty(value = "库存地点stockPlace")
    String lgort;
    @ApiModelProperty(value = "备注")
    String remark;
    @ApiModelProperty(value = "客户类别")
    String customerType;
    @ApiModelProperty(value = "订单号orderNo")
    String orderNum;
    @ApiModelProperty(value = "斜")
    BigDecimal oblique;
    @ApiModelProperty(value = "托盘编号trayNo")
    String boxCode;
    @ApiModelProperty(value = "料号--itemNo")
    String productNo;
    @ApiModelProperty(value = "刀痕knifeScratch")
    BigDecimal knifeMarks;
    @ApiModelProperty(value = "阴阳面yinYangFace")
    BigDecimal maleAndFemale;
    @ApiModelProperty(value = "水印")
    BigDecimal waterMark;
    @ApiModelProperty(value = "平面手感flatHandle")
    BigDecimal flatFeel;
    @ApiModelProperty(value = "砂轮印wheelMark")
    BigDecimal grindingWheelMark;
    @ApiModelProperty(value = "外圆手感")
    BigDecimal roundHandle;
    @ApiModelProperty(value = "亮斑hotSpot")
    BigDecimal brightSpot;
    @ApiModelProperty(value = "棱崩ridgeBroken")
    BigDecimal edgeCollapse;
    @ApiModelProperty(value = "砂轮亮点")
    BigDecimal wheelHighLights;
    @ApiModelProperty(value = "拼缝宽crackWidth")
    BigDecimal seamWidth;
    @ApiModelProperty(value = "减异常入库长度abnormalLength")
    BigDecimal lengthInStorage;
    @ApiModelProperty(value = "一二三类方行(异常)长度classAbnormalLength")
    BigDecimal abnormalLength;
    @ApiModelProperty(value = "一二三类方行(异常)长度理论theoryAbnormalLength")
    BigDecimal abnormalLengthTheory;
    @ApiModelProperty(value = "合计长度")
    BigDecimal totalLength;
    @ApiModelProperty(value = "合计理论重量theoryTotalLength")
    BigDecimal totalWeight;
    @ApiModelProperty(value = "崩损(mm)collapseLoss")
    BigDecimal chip;
    @ApiModelProperty(value = "晶体灰皮长度(mm)crystalGrayness")
    BigDecimal crystalGraySkin;
    @ApiModelProperty(value = "方棒灰皮长度(mm)squareRodGrayness")
    BigDecimal stickGraySkin;
    @ApiModelProperty(value = "线痕长度(mm)lineScratch")
    BigDecimal lineMark;
    @ApiModelProperty(value = "划痕长度(mm)scratch")
    BigDecimal scratches;
    @ApiModelProperty(value = "未磨到长度(mm)noFriction")
    BigDecimal notGrind;
    @ApiModelProperty(value = "尺寸异常长度(mm)sizeException")
    BigDecimal abnormalSize;
    @ApiModelProperty(value = "入库类别productLevelFb")
    String inType;
    @ApiModelProperty(value = "复投次数")
    Integer againNum;
    @ApiModelProperty(value = "生产车间")
    String crystalWorkshop;
    @ApiModelProperty(value = "掺杂剂")
    String dopant;
    @ApiModelProperty(value = "缺陷")
    String headDefectGrade;
    @ApiModelProperty(value = "单晶位置")
    String headTailRecognition;
    @ApiModelProperty(value = "钝化寿命T")
    BigDecimal tLifeMin;
    @ApiModelProperty(value = "钝化寿命W")
    BigDecimal wLifeMin;
    @ApiModelProperty(value = "sitionT")
    BigDecimal tCentreLife;
    @ApiModelProperty(value = "sitionW")
    BigDecimal wCentreLife;
    @ApiModelProperty(value = "氧含量T")
    BigDecimal oxygenContentHead;
    @ApiModelProperty(value = "氧含量W")
    BigDecimal oxygenContentTail;
    @ApiModelProperty(value = "碳含量T")
    BigDecimal carbonContentHead;
    @ApiModelProperty(value = "碳含量W")
    BigDecimal carbonContentTail;
    @ApiModelProperty(value = "检验时间")
    String checkTime;
    @ApiModelProperty(value = "径向T-中心点")
    BigDecimal tRadialCentre;
    @ApiModelProperty(value = "径向T-边缘")
    BigDecimal tRadialEdge;
    @ApiModelProperty(value = "径向W-中心点")
    BigDecimal wRadialCentre;
    @ApiModelProperty(value = "径向W-边缘")
    BigDecimal wRadialEdge;
}