package com.sw.mes.fb.turnstore.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "方棒组托单晶明细打印Dto")
public class FbTurnstoreDetailPrintDto {

    @ApiModelProperty(value = "序号")
    Integer serialNo;
    @ApiModelProperty(value = "批次号,方棒单晶编号")
    String sectionNo;
    @ApiModelProperty(value = "类型，等级码")
    String levelCode;
    @ApiModelProperty(value = "头少子 T段少子寿命")
    @JsonProperty("tCarrierLifetime")
    BigDecimal tCarrierLifetime;
    @ApiModelProperty(value = "尾少子 W段少子寿命")
    @JsonProperty("wCarrierLifetime")
    BigDecimal wCarrierLifetime;

    @ApiModelProperty(value = "头电阻  T段电阻率" )
    @JsonProperty("tResistivity")
    BigDecimal tResistivity;
    @ApiModelProperty(value = "尾电阻 W段电阻率" )
    @JsonProperty("wResistivity")
    BigDecimal wResistivity;

    @ApiModelProperty(value = "氧 头氧的值 T段氧含量")
    @JsonProperty("tOxygenContent")
    BigDecimal tOxygenContent;

    @ApiModelProperty(value = "碳 W段碳含量")
    @JsonProperty("wCarbonContent")
    BigDecimal wCarbonContent;

    @ApiModelProperty(value = "重量")
    BigDecimal weight;

    @ApiModelProperty(value = "长度")
    BigDecimal length;

    @ApiModelProperty(value = "尺寸 方棒规格")
    String specification;
}