package com.sw.mes.fb.turnstore.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "方棒组托打印Dto")
public class FbTurnstoreTrayPrintDto {


    @ApiModelProperty(value = "产品 产品简称")
    String abbreviation;
    @ApiModelProperty(value = "料号")
    String materialCode;
    @ApiModelProperty(value = "物料名称")
    String materialName;
    @ApiModelProperty(value = "总重量")
    BigDecimal totalWeight;
    @ApiModelProperty(value = "单晶总数")
    Integer count;
    @ApiModelProperty(value = "总长度")
    BigDecimal totalLength;
    @ApiModelProperty(value = "包装人")
    String packageUser;
    @ApiModelProperty(value = "电阻均值 明细中的头(A)电阻总和/根数")
    BigDecimal meanResistivityA;
    @ApiModelProperty(value = "打印日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date printDate;
    @ApiModelProperty(value = "备注")
    String remark;
    @ApiModelProperty(value = "包装日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date packageDate;
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date operationTime;
    @ApiModelProperty(value = "明细信息")
    List<FbTurnstoreDetailPrintDto> printDtoList;
    @ApiModelProperty(value = "托号")
    String trayNo;
}