package com.sw.mes.fb.turnstore.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "方棒接收详情Dto")
public class RawMaterialReceivingDetailDto {

    private Integer id;
    @ApiModelProperty(value = "托号")
    String trayNo;
    @ApiModelProperty(value = "晶段编号(短棒)")
    String sectionNo;
    @ApiModelProperty(value = "状态【0：默认，待确认；1：已接收；2：拒收;】")
    Integer state;
    @ApiModelProperty(value = "导电型号")
    String conductiveType;
    @ApiModelProperty(value = "规格")
    String specification;
    @ApiModelProperty(value = "实际称重(KG)")
    BigDecimal actualWeight;
    @ApiModelProperty(value = "入库长度(mm)")
    BigDecimal wareHouseLength;
    @ApiModelProperty(value = "硅棒长度(mm)")
    BigDecimal actualLength;
    @ApiModelProperty(value = "备注")
    String remark;
    @ApiModelProperty(value = "崩边长度(mm)")
    BigDecimal edgeBark;
    @ApiModelProperty(value = "崩晶线(mm)")
    BigDecimal collapseLine;
    @ApiModelProperty(value = "斜【0：默认，否；1：是；】")
    Integer isBevel;
    @ApiModelProperty(value = "细")
    BigDecimal fineDiameter;
    @ApiModelProperty(value = "细减长(mm)")
    BigDecimal fineCutLength;
    @ApiModelProperty(value = "扭【0：默认，否；1：是；】")
    Integer twist;
    @ApiModelProperty(value = "棒寿命分档")
    String lifeGrading;
    @ApiModelProperty(value = "异常")
    String errorMsg;
    @ApiModelProperty(value = "fb_raw_material_receiving.id(主表ID)")
    Integer trayId;
    @ApiModelProperty(value = "晶段类型")
    String sectionType;
    @ApiModelProperty(value = "产品等级")
    String productLevel;
    @ApiModelProperty(value = "实验等级")
    String productLevelExperiment;
}