package com.sw.mes.fb.turnstore.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "原料接收Dto")
public class RawMaterialReceivingDto {

    private Integer id;
    @ApiModelProperty(value = "托号")
    String trayNo;
    @ApiModelProperty(value = "规格")
    String specs;
    @ApiModelProperty(value = "产品等级")
    String productLevel;
    @ApiModelProperty(value = "实验等级")
    String experGrade;
    @ApiModelProperty(value = "单晶个数")
    Integer crystalNum;
    @ApiModelProperty(value = "来源")
    String source;
    @ApiModelProperty(value = "去向")
    String hasGone;
    @ApiModelProperty(value = "拼数")
    String sticksCount;
    @ApiModelProperty(value = "状态【0：默认，待确认；1：已接收；2：部分接收；3: 拒收;】")
    Integer state;
    @ApiModelProperty(value = "确认人")
    String confirmUser;
    @ApiModelProperty(value = "确认时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date confirmTime;
    @ApiModelProperty(value = "备注")
    String remark;
    @ApiModelProperty(value = "发起人")
    String user;
    @ApiModelProperty(value = "发起时间")
    Date operationTime;
}
