package com.sw.mes.fb.turnstore.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "方棒送验接收方记录表Dto")
public class TurnStoreAcceptDto {

    @ExcelProperty(value = "主键id", index = 0)
    private Long id;
    @ApiModelProperty(value = "出库单号")
    @ExcelProperty(value = "出库单号", index = 1)
    String storeCode;
    @ApiModelProperty(value = "单晶个数")
    @ExcelProperty(value = "单晶个数", index = 2)
    Integer stickCount;
    @ApiModelProperty(value = "状态(1:待确认，2:已确认，3:拒收)")
    @ExcelProperty(value = "状态(1:待确认，2:已确认，3:拒收,4:取消)", index = 3)
    Integer state;
    @ApiModelProperty(value = "来源")
    @ExcelProperty(value = "来源", index = 4)
    String source;
    @ApiModelProperty(value = "接收类型")
    @ExcelProperty(value = "接收类型", index = 5)
    String acceptType;
    @ApiModelProperty(value = "操作人用户id")
    @ExcelProperty(value = "操作人用户id", index = 6)
    Integer userId;
    @ApiModelProperty(value = "操作人用户名称")
    @ExcelProperty(value = "操作人用户名称", index = 7)
    String userName;
    @ApiModelProperty(value = "确认人用户id")
    @ExcelProperty(value = "确认人用户id", index = 8)
    Integer updateUserId;
    @ApiModelProperty(value = "确认人用户名称")
    @ExcelProperty(value = "确认人用户名称", index = 9)
    String updateUserName;
    @ApiModelProperty(value = "方棒拼棒id结合")
    @ExcelProperty(value = "方棒拼棒id结合", index = 10)
    String fid;
    @ApiModelProperty(value = "发送方id")
    @ExcelProperty(value = "发送方id", index = 11)
    Long sendId;
    @ApiModelProperty(value = "备注")
    @ExcelProperty(value = "备注", index = 12)
    String remark;
    @ApiModelProperty(value = "创建时间")
    @ExcelProperty(value="创建时间",index=13,format="yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date createTime;
    @ApiModelProperty(value = "修改时间")
    @ExcelProperty(value="修改时间",index=14,format="yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date updateTime;
}