package com.sw.mes.fb.turnstore.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "方棒入库统计Dto")
public class WarehousingStatisticsDto {

    private Integer id;

    @ApiModelProperty(value = "编号(方棒)")
    @ExcelProperty(value = "编号(方棒)")
    private String sectionNo;

    @ApiModelProperty(value = "编号(圆棒)")
    @ExcelProperty(value = "编号(圆棒)")
    private String ybSectionNo;

    @ApiModelProperty(value = "编号(毛棒)")
    @ExcelProperty(value = "编号(毛棒)")
    private String crystalNo;

    @ApiModelProperty(value = "一体机编号")
    @ExcelProperty(value = "一体机编号")
    private String deviceNo;

    @ApiModelProperty(value = "厂区")
    @ExcelProperty(value = "厂区")
    private String changQu;

    @ApiModelProperty(value = "规格")
    @ExcelProperty(value = "规格")
    private String specification;

    @ApiModelProperty(value = "导电型号")
    @ExcelProperty(value = "导电型号")
    private String conductionType;

    @ApiModelProperty(value = "最终产品等级")
    @ExcelProperty(value = "最终产品等级")
    private String ybLevel;

    @ApiModelProperty(value = "物料编码")
    @ExcelProperty(value = "物料编码")
    private String materialNumber;

    @ApiModelProperty(value = "方棒计划类型")
    @ExcelProperty(value = "方棒计划类型")
    private String planOrderType;

    @ApiModelProperty(value = "计划订单号")
    @ExcelProperty(value = "计划订单号")
    private String planOrderNo;

    @ApiModelProperty(value = "产品去向")
    @ExcelProperty(value = "产品去向")
    private String hasGone;

    @ApiModelProperty(value = "托号")
    @ExcelProperty(value = "托号")
    private String trayNo;

    @ApiModelProperty(value = "方棒入库时间")
    @ExcelProperty(value = "方棒入库时间")
    private Date operationTime;

    @ApiModelProperty(value = "确认时间")
    @ExcelProperty(value = "确认时间")
    private Date confirmTime;

    @ApiModelProperty(value = "入库状态")
    @ExcelProperty(value = "入库状态")
    private Integer state;


    @ApiModelProperty(value = "方棒等级/检验入库类别")
    @ExcelProperty(value = "方棒等级/检验入库类别")
    private String productLevelFb;

    @ApiModelProperty(value = "检验类型")
    @ExcelProperty(value = "检验类型")
    private String checkoutName;

    @ApiModelProperty(value = "方棒长度")
    @ExcelProperty(value = "方棒长度")
    private BigDecimal length;

    @ApiModelProperty(value = "直径max")
    @ExcelProperty(value = "直径max")
    private BigDecimal diameterMax;

    @ApiModelProperty(value = "直径min")
    @ExcelProperty(value = "直径min")
    private BigDecimal diameterMin;

    @ApiModelProperty(value = "边距max")
    @ExcelProperty(value = "边距max")
    private BigDecimal sideLengthMax;

    @ApiModelProperty(value = "边距min")
    @ExcelProperty(value = "边距min")
    private BigDecimal sideLengthMin;

    @ApiModelProperty(value = "弧宽max")
    @ExcelProperty(value = "弧宽max")
    private BigDecimal projectionMax;

    @ApiModelProperty(value = "弧宽min")
    @ExcelProperty(value = "弧宽min")
    private BigDecimal projectionMin;

    @ApiModelProperty(value = "崩边扣减上")
    @ExcelProperty(value = "崩边扣减上")
    private BigDecimal collapseLossSh;

    @ApiModelProperty(value = "崩边扣减中")
    @ExcelProperty(value = "崩边扣减中")
    private BigDecimal collapseLossZh;

    @ApiModelProperty(value = "崩边扣减下")
    @ExcelProperty(value = "崩边扣减下")
    private BigDecimal collapseLossXia;

    @ApiModelProperty(value = "崩边扣减缺长度")
    @ExcelProperty(value = "崩边扣减缺长度")
    private BigDecimal collapseLoss;

    @ApiModelProperty(value = "有效切片长度")
    @ExcelProperty(value = "有效切片长度")
    private BigDecimal effectiveLength;

    @ApiModelProperty(value = "方棒称重")
    @ExcelProperty(value = "方棒称重")
    private BigDecimal weight;

    @ApiModelProperty(value = "方棒理论重量")
    @ExcelProperty(value = "方棒理论重量")
    private BigDecimal theoryWeightFb;

    @ApiModelProperty(value = "方棒备注")
    @ExcelProperty(value = "方棒备注")
    private String squareRodRemark;

    @ApiModelProperty(value = "拼数")
    @ExcelProperty(value = "拼数")
    private Integer sticksCount;

    @ApiModelProperty(value = "拼棒总长(mm)")
    @ExcelProperty(value = "拼棒总长(mm)")
    private BigDecimal spellBarLength;

    @ApiModelProperty(value = "划痕长度(mm)")
    @ExcelProperty(value = "划痕长度(mm)")
    private BigDecimal scratch;

    @ApiModelProperty(value = "线痕长度(mm)")
    @ExcelProperty(value = "线痕长度(mm)")
    private BigDecimal lineScratch;

    @ApiModelProperty(value = "未磨到长度(mm)")
    @ExcelProperty(value = "未磨到长度(mm)")
    private BigDecimal noFriction;

    @ApiModelProperty(value = "倒角亮点")
    @ExcelProperty(value = "倒角亮点")
    private BigDecimal wheelHighLights;

    @ApiModelProperty(value = "砂轮印")
    @ExcelProperty(value = "砂轮印")
    private BigDecimal wheelMark;

    @ApiModelProperty(value = "斜面扣减")
    @ExcelProperty(value = "斜面扣减")
    private BigDecimal bevelDeduction;

    @ApiModelProperty(value = "粗糙度异常")
    @ExcelProperty(value = "粗糙度异常")
    private BigDecimal roughnessAbnormality;

    @ApiModelProperty(value = "尺寸异常")
    @ExcelProperty(value = "尺寸异常")
    private BigDecimal sizeException;
}