package com.sw.mes.fb.turnstore.dto.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author LingHui
 * @version 1.0.0
 * @ClassName RecheckReceiveVo
 * @Description
 * @createTime 2021/12/24
 */
@Data
@ApiModel(value = "方棒组托主表Dto")
public class RecheckReceiveVo {

    @ApiModelProperty(value = "退库复检接收ID(fb_recheck_inspect_receive.id)")
    Integer recheckReceiveId;
    @ApiModelProperty(value = "托号")
    String trayNo;
    @ApiModelProperty(value = "晶段编码")
    String crystalNo;
    @ApiModelProperty(value = "圆棒产品等级")
    String ybProductLevel;
    @ApiModelProperty(value = "方棒产品等级")
    String fbProductLevel;
    @ApiModelProperty(value = "实验等级")
    String experGrade;
    @ApiModelProperty(value = "规格")
    String specs;
    @ApiModelProperty(value = "长度(mm)")
    BigDecimal length;
    @ApiModelProperty(value = "称重(KG)")
    BigDecimal weight;
    @ApiModelProperty(value = "理论重量(KG)")
    BigDecimal theoryWeight;
    @ApiModelProperty(value = "导电型号/型号")
    String conductiveType;
    @ApiModelProperty(value = "崩损(mm)")
    BigDecimal collapseLoss;
    @ApiModelProperty(value = "长度斜(mm)")
    BigDecimal lengthSlope;
    @ApiModelProperty(value = "晶体灰皮长度(mm)")
    BigDecimal crystalGrayness;
    @ApiModelProperty(value = "方棒灰皮长度(mm)")
    BigDecimal fbCrystalGrayness;
    @ApiModelProperty(value = "线痕长度(mm)")
    BigDecimal lineScratch;
    @ApiModelProperty(value = "划痕长度(mm)")
    BigDecimal scratch;
    @ApiModelProperty(value = "未磨到长度(mm)")
    BigDecimal noFriction;
    @ApiModelProperty(value = "尺寸异常长度(mm)")
    BigDecimal sizeException;
    @ApiModelProperty(value = "方棒备注")
    String squareRodRemark;
    @ApiModelProperty(value = "检验类型")
    String checkoutName;
    @ApiModelProperty(value = "入库类别")
    String inputType;
    @ApiModelProperty(value = "退料备注")
    String returnRemark;
    @ApiModelProperty(value = "退料类型")
    String quitType;
    @ApiModelProperty(value = "出库单号")
    String outOrderNo;
    @ApiModelProperty(value = "料号")
    String productCode;
    @ApiModelProperty(value = "单晶个数")
    Integer crystalNum;
    @ApiModelProperty(value = "状态【0：默认，待确认；1：已入库；2：拒收；】")
    Integer state;
    @ApiModelProperty(value = "是否复检【0：默认，否；1：是；】")
    Integer isRecheck;
    @ApiModelProperty(value = "出库类型")
    String outType;
    @ApiModelProperty(value = "来源")
    String source;
    @ApiModelProperty(value = "申请时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date applyTime;
    @ApiModelProperty(value = "确认人")
    String confirmUser;
    @ApiModelProperty(value = "确认时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date confirmTime;
    @ApiModelProperty(value = "备注")
    String remark;
    @ApiModelProperty(value = "拒收原因")
    String reasonRejection;



}
