package com.sw.mes.fb.turnstore.entity;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 *
 */
@Data
public class FbToMkWmsDetail {

    @ApiModelProperty(value = "存货编码")
    String MaterialNo;

    @ApiModelProperty(value = "规格型号")
    String Specification;

    @ApiModelProperty(value = "主计量单位")
    String Unit;

    @ApiModelProperty(value = "生产批次")
    String BatchNo;

    @ApiModelProperty(value = "边距MAX")
    String Value1;

    @ApiModelProperty(value = "边距MIN")
    String Value2;

    @ApiModelProperty(value = "直径MAX")
    String Value3;

    @ApiModelProperty(value = "直径MIN")
    String Value4;

    @ApiModelProperty(value = "总长度")
    String Value5;

    @ApiModelProperty(value = "崩边扣减上")
    String Value6;

    @ApiModelProperty(value = "崩边扣减中")
    String Value7;

    @ApiModelProperty(value = "崩边扣减下")
    String Value8;

    @ApiModelProperty(value = "扣减崩缺长度")
    String Value9;

    @ApiModelProperty(value = "有效切片长度")
    String Value10;

    @ApiModelProperty(value = "头部少子")
    String Value11;

    @ApiModelProperty(value = "合格品尾部合格少子")
    String Value12;

    @ApiModelProperty(value = "反切合格头部氧")
    String Value13;

    @ApiModelProperty(value = "反切合格尾部碳")
    String Value14;

    @ApiModelProperty(value = "头氧数据(ppm)")
    String Value15;

    @ApiModelProperty(value = "头碳数据(ppm)")
    String Value16;

    @ApiModelProperty(value = "尾氧数据(ppm)")
    String Value17;

    @ApiModelProperty(value = "尾碳数据(ppm)")
    String Value18;

    @ApiModelProperty(value = "反切合格尾部氧数据(PPM)")
    String Value19;

    @ApiModelProperty(value = "反切合格尾部碳数据(PPM)")
    String Value20;

    @ApiModelProperty(value = "反切后头部合格少子(us)")
    String Value21;

    @ApiModelProperty(value = "合格品尾部合格少子(us)")
    String Value22;

    @ApiModelProperty(value = "组号")
    String BatchNoGroup;

    @ApiModelProperty(value = "尺寸")
    String Size;

    @ApiModelProperty(value = "掺杂类型")
    String DopingClass;

    @ApiModelProperty(value = "类型")
    String Type;

    @ApiModelProperty(value = "电阻类型")
    String ResistanceClass;

    @ApiModelProperty(value = "等级")
    String LevelID;

    @ApiModelProperty(value = "生产日期")
    String ProductDT;

    @ApiModelProperty(value = "理论重量")
    String weight;


    /**
     * 长度系数		3.14*（直径/2)*(直径/2)*长度*2.33
     */
    private String  lengthFactor;
    /**
     *拼棒规则名称
     */
    private String  collaboratingRules;
    /**
     *拼棒类型
     */
    private String  collarType;
    /**
     *拼棒组号
     */
    private String  collarGroupNo;


    /**
     * tRadialCentre径向电阻率T中心点
     */
    @ApiModelProperty(value = "头部电阻")
    BigDecimal headResistance;


    /**
     * wRadialCentre径向电阻率W中心点
     */
    @ApiModelProperty(value = "尾部单租")
    BigDecimal tailResistance;
    /**
     * 炉次号(发料编码)
     */
    @ApiModelProperty(value = "发料编码")
    String deliveryNo;

    @ApiModelProperty(value = "坩埚编码")
    String crucibleNo;

    @ApiModelProperty(value = "坩埚厂家")
    String crucibleSupplier;

    @ApiModelProperty(value = "直径最大值")
    BigDecimal maxDiameter;
}
