package com.sw.mes.fb.turnstore.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="fb_raw_material_receiving")
@DynamicUpdate
@DynamicInsert
public class RawMaterialReceiving{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

	/**
	 * 托号
	 */
    @Column(length=50)
    private String trayNo;

	/**
	 * 规格
	 */
	@Column(length = 100)
	private String specs;

	/**
	 * 实验等级
	 */
	@Column(length=100)
	private String experGrade;

	/**
	 * 产品等级
	 */
    @Column(length=50)
    private String productLevel;

	/**
	 * 单晶个数
	 */
    @Column(length=10)
    private Integer crystalNum;

	/**
	 * 来源
	 */
	@Column(length=40)
	private String source;

	/**
	 * 去向
	 */
    @Column(length=40)
    private String hasGone;

	/**
	 * 拼数
	 */
    @Column(length=32)
    private String sticksCount;

	/**
	 * 状态【0：默认，待确认；1：已接收；2：部分接收；3: 拒收;】
	 */
    @Column(length=10)
    private Integer state=0;

	/**
	 * 确认人
	 */
    @Column(length=50)
    private String confirmUser;

	/**
	 * 确认时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date confirmTime;

	/**
	 * 备注
	 */
    @Column(length=255)
    private String remark;

	/**
	 * 发起人
	 */
	@Column(length=50)
	String user;

	/**
	 * 发起时间
	 */
	@Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
	Date operationTime;

	public RawMaterialReceiving() {
	}

	public RawMaterialReceiving(Integer id) {
		this.id = id;
	}
}
