/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fb.turnstore.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="zhxx_turnstore_accept")
@DynamicUpdate
@DynamicInsert
public class TurnStoreAccept {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 出库单号
	 */
    @Column(length=40)
    private String storeCode;
    
	/**
	 * 单晶个数
	 */
    @Column(length=10)
    private Integer stickCount;
    
	/**
	 * 状态(1:待确认，2:已确认，3:拒收)
	 */
    @Column(length=3)
    private Integer state;
    
	/**
	 * 来源
	 */
    @Column(length=40)
    private String source;
    
	/**
	 * 接收类型
	 */
    @Column(length=40)
    private String acceptType;
    
	/**
	 * 操作人用户id
	 */
    @Column(length=10)
    private Integer userId;
    
	/**
	 * 操作人用户名称
	 */
    @Column(length=40)
    private String userName;
    
	/**
	 * 确认人用户id
	 */
    @Column(length=10)
    private Integer updateUserId;
    
	/**
	 * 确认人用户名称
	 */
    @Column(length=40)
    private String updateUserName;
    
	/**
	 * 备注
	 */
    @Column(length=2147483647)
    private String remark;

	/**
	 * 方棒拼棒id集合
	 */
	@Column(length=255)
	private String fid;

	/**
	 * 发送方id
	 */
	@Column(length=20)
	private Long sendId;

	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 修改时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;
    

	public TurnStoreAccept() {
	}

	public TurnStoreAccept(Long id) {
		this.id = id;
	}
}
