/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fineReport.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="fine_report_data_fb")
@DynamicUpdate
@DynamicInsert
public class FineReportDataFb{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 时间
	 */
    @Column(length=10)
	@Temporal(TemporalType.DATE)
    private Date dateTime;
    
	/**
	 * 模块
	 */
    @Column(length=20)
    private String module;
    
	/**
	 * 设备类型
	 */
    @Column(length=20)
    private String equipmentType;
    
	/**
	 * 数据类型
	 */
    @Column(length=20)
    private String dataType;
    
	/**
	 * 数值
	 */
    @Column(length=19)
    private BigDecimal dataVal;
    
	/**
	 * 数据创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 修改时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;
    

	public FineReportDataFb() {
	}

	public FineReportDataFb(Long id) {
		this.id = id;
	}
}
