/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.fls.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="temp_turnstore_tray")
@DynamicUpdate
@DynamicInsert
public class TempTurnstoreTray{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/**
	 * 托位名称
	 */
    @Column(length=255)
    private String trayName;
    
	/**
	 * 打托总颗数
	 */
    @Column(length=10)
    private Integer amount;

    /**
     * 是否完成托 1是  0否
     */
    @Column
    private Integer finished;

    /**
     * 是否组托 1是  0否
     */
    @Column
    private Integer grouped;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    

	public TempTurnstoreTray() {
	}

	public TempTurnstoreTray(Integer id) {
		this.id = id;
	}

    public TempTurnstoreTray(String trayName, Integer amount, Integer finished, Date createTime) {
        this.trayName = trayName;
        this.amount = amount;
        this.finished = finished;
        this.createTime = createTime;
    }
}
