package com.sw.mes.mcs.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-13 17:59
 */
@ApiModel(value = "方棒外观检测数据上传接口Dto")
@Data
public class FbAppearanceCheckResultDto {
    @ApiModelProperty(value = "方棒编号")
    String fbSectionNo;
    @ApiModelProperty(value = "缺陷代码")
    String defectCode;
    @ApiModelProperty(value = "缺陷描述")
    String defectDescription;
    @ApiModelProperty(value = "缺陷位置")
    String defectSite;
    @ApiModelProperty(value = "长度斜(mm)")
    BigDecimal lengthSlope;
    @ApiModelProperty(value = "缝宽(mm)")
    BigDecimal crackWidth;
    @ApiModelProperty(value = "头斜(mm)")
    BigDecimal headSlope;
    @ApiModelProperty(value = "尾斜(mm)")
    BigDecimal tailSlope;
    @ApiModelProperty(value = "放行长度（mm）")
    BigDecimal concessionLength;
    @ApiModelProperty(value = "线痕长度(mm)")
    BigDecimal lineScratch;
    @ApiModelProperty(value = "划痕长度(mm)")
    BigDecimal scratch;
    @ApiModelProperty(value = "刀痕长度(mm)")
    BigDecimal knifeScratch;
    @ApiModelProperty(value = "崩损(mm)")
    BigDecimal collapseLoss;
    @ApiModelProperty(value = "崩损灰皮边缘")
    BigDecimal damageGreyHideEdge;
    @ApiModelProperty(value = "崩损灰皮非边缘")
    BigDecimal brokenGreyNoEdge;
    @ApiModelProperty(value = "未磨到长度(mm)")
    BigDecimal noFriction;
    @ApiModelProperty(value = "晶体灰皮长度(mm)")
    BigDecimal crystalGrayness;
    @ApiModelProperty(value = "方棒灰皮长度(mm)")
    BigDecimal squareRodGrayness;
    @ApiModelProperty(value = "灰皮边缘")
    BigDecimal greyHideEdge;
    @ApiModelProperty(value = "灰皮非边缘")
    BigDecimal greyHideCenter;
    @ApiModelProperty(value = "裂纹")
    BigDecimal crack;
    @ApiModelProperty(value = "尺寸异常长度(mm)")
    BigDecimal sizeException;
    @ApiModelProperty(value = "水印")
    BigDecimal waterMark;
    @ApiModelProperty(value = "亮斑")
    BigDecimal hotSpot;
    @ApiModelProperty(value = "棱崩")
    BigDecimal ridgeBroken;
    @ApiModelProperty(value = "阴阳面")
    BigDecimal yinYangFace;
    @ApiModelProperty(value = "砂轮亮点")
    BigDecimal wheelHighLights;
    @ApiModelProperty(value = "外圆手感")
    BigDecimal roundHandle;
    @ApiModelProperty(value = "平面手感")
    BigDecimal flatHandle;
    @ApiModelProperty(value = "砂轮印")
    BigDecimal wheelMark;
    @ApiModelProperty(value = "色差")
    BigDecimal colourDifference;
    @ApiModelProperty(value = "塌边（mm）")
    BigDecimal collapse;
    @ApiModelProperty(value = "滚轮印")
    BigDecimal rollerPrint;

}
