package com.sw.mes.plan.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

@Data
public class BatchSchedulingDto {
    @ApiModelProperty(value = "设备id集合")
    @Size(min = 1, max = 1000, message = "每次修改数量只能在1-1000台")
    List<Long> deviceIds;

    @ApiModelProperty(value = "订单编号")
    @NotNull(message = "订单编号不能为空")
    String code;

    @ApiModelProperty(value = "设备类别")
    @NotNull(message = "设备类别不能为空")
    Integer category;
}
