/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.plan.entity;

import java.util.Date;
import java.math.BigDecimal;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="plan_fb_order_matching_info")
@DynamicUpdate
@DynamicInsert
public class FbOrderMatchingInfo{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/**
	 * 晶段编号
	 */
    @Column(length=50)
    private String sectionNo;
    
	/**
	 * 产品等级
	 */
    @Column(length=50)
    private String productLevel;
    
	/**
	 * 实验等级
	 */
    @Column(length=50)
    private String productLevelExperiment;
    
	/**
	 * 评级分类
	 */
    @Column(length=50)
    private String gradeType;
    
	/**
	 * 方棒订单编号
	 */
    @Column(length=20)
    private String fbOrderNo;
    
	/**
	 * 方棒订单id
	 */
    @Column(length=19)
    private Long fbOrderId;
    
	/**
	 * 单晶长度
	 */
    @Column(length=18)
    private BigDecimal length;
    
	/**
	 * 单晶规格
	 */
    @Column(length=10)
    private String specs;
    
	/**
	 * 导电型号
	 */
    @Column(length=10)
    private String conductiveType;
    
	/**
	 * 掺杂剂
	 */
    @Column(length=10)
    private String dopant;
    
	/**
	 * 晶段属性
	 */
    @Column(length=20)
    private String sectionType;
    
	/**
	 * 创建人
	 */
    @Column(length=20)
    private String userCreate;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreate;
    
	/**
	 * 修改者
	 */
    @Column(length=32)
    private String userUpdate;
    
	/**
	 * 修改时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date gmtUpdate;

    /**
     * 0：普通匹配，1：非标匹配
     */
    Integer matchingType;

    public FbOrderMatchingInfo() {
	}

	public FbOrderMatchingInfo(Integer id) {
		this.id = id;
	}
}
