package com.sw.mes.wms.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author wanghao
 * @Date: 2022/7/1
 * @Modified By:
 */
@Data
@ApiModel(value = "方棒评级结果")
public class FbRatingResultOfDto {
    @ApiModelProperty(value = "方棒编码")
    String fbSectionNo;
    @ApiModelProperty(value = "拼棒组合sn")
    String sectionCompose;
    @ApiModelProperty(value = "规格")
    String specification;
    @ApiModelProperty(value = "托盘编号")
    String trayNo;
    @ApiModelProperty(value = "类型:标棒、非标、返切")
    String sectionType;
    @ApiModelProperty(value = "总长")
    BigDecimal length;
    @ApiModelProperty(value = "称重")
    BigDecimal weight;
    @ApiModelProperty(value = "直径Max")
    BigDecimal diameterMax;
    @ApiModelProperty(value = "直径Min")
    BigDecimal diameterMin;
    @ApiModelProperty(value = "扭")
    String distortion;
    @ApiModelProperty(value = "斜")
    String bevel;
    @ApiModelProperty(value = "实验等级")
    String fbExperiLevel;
    @ApiModelProperty(value = "PN型")
    String pn;
    @ApiModelProperty(value = "是否直发")
    String direct;
    @ApiModelProperty(value = "客户名称")
    String productRank;
    @ApiModelProperty(value = "本场代工买卖标识")
    String mark;
    @ApiModelProperty(value = "拼数")
    String sticksCount;
    @ApiModelProperty(value = "拼棒长度")
    BigDecimal spellBarLength;
    @ApiModelProperty(value = "方棒产品等级")
    String productLevel;
    @ApiModelProperty(value = "圆棒产品等级")
    String ybLevel;
    @ApiModelProperty(value = "入库类别")
    String productLevelFb;
    @ApiModelProperty(value = "是否二类")
    String second;
    @ApiModelProperty(value = "入库时间")
    String enterTime;

    @ApiModelProperty(value = "复检类型")
    String reCheckType;
    //产品类型
    String productType;
    //导电类型
    String conductiveType;
    //产品等级
    String productGrade;

    String gradeType;

    @ApiModelProperty(value = "是否抽检")
    Boolean isFbSizeCheck;

    String sideLengthRange;
}
