package com.sw.mes.wms.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.math.BigDecimal;


@ApiModel(value = "方棒评级结果Dto")
@Data
public class SquareResultDto {

    /**
     * 长棒编号
     */
    private String crystalNo;

    /**
     * 编号(圆棒)
     */
    private String ybSectionNo;

    /**
     * 编号(方棒)
     */
    private String fbSectionNo;

    /**
     * 检验类型name
     */
    private String checkoutName;

    /**
     * 掺杂剂
     */
    String dopant;

    /**
     * 一体机编号
     */
    private String deviceNo;

    /**
     * 复检类型
     */
    private String reCheckType;

    /**
     * 规格
     */
    private String specification;

    /**
     * 方棒长度
     */
    private BigDecimal length;

    /**
     * 方棒入库长度
     */
    private BigDecimal instoreLengthFb;

    /**
     * 圆棒长度
     */
    private BigDecimal actualLength;

    /**
     * 圆棒入库长度(mm)
     */
    private BigDecimal instoreLengthYb;

    /**
     * 圆棒消耗长度
     */
    private BigDecimal consumeLengthYb;

    /**
     * 方棒称重
     */
    private BigDecimal weight;

    /**
     * 方棒理论重量（kg）
     */
    private BigDecimal theoryWeightFb;

    /**
     * 晶段类型【标棒；非标；】
     */
    private String sectionType;

    /**
     * 圆棒最终评级
     */
    private String ybLevel;

    /**
     * 最终实验等级
     */
    private String experiLevel;

    /**
     * 产品等级
     */
    private String productLevel;

    /**
     * 圆棒实验等级
     */
    private String ybExperiLevel;

    /**
     * 方棒实验等级
     */
    private String fbExperiLevel;

    /**
     * 方棒等级/检验入库类别
     */
    private String productLevelFb;

    // 方棒尺寸类型
    private String sizeType;

    // 订单类型
    private String orderType;

    /**
     * 订单号
     */
    private String orderNo;

    private String gradeType;

    /**
     * 导电型号
     */
    private String conductionType;
    /**
     * 检验类型
     */
    private String checkType;

    /**
     * 方棒尺寸是否抽检
     */
    private Boolean isFbSizeCheck;

    /**
     * 4M标识
     */
    private String flag4M;


    private String productType;

    /**
     * 直径max
     */
    private BigDecimal diameterMax;

    /**
     * 直径min
     */
    private BigDecimal diameterMin;

    /**
     * 方棒边长
     */
    private String sideLengthRange;

    /**
     * 边长max
     */
    private BigDecimal sideLengthMax;

    /**
     * 边长min
     */
    private BigDecimal sideLengthMin;

    /**
     * 头斜(mm)
     */
    private BigDecimal headSlope;

    /**
     * 尾斜(mm)
     */
    private BigDecimal tailSlope;
}
