package com.sw.mes.agv.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class RechargeMixDto {

    private Long id;

    @ApiModelProperty(value = "设备编号")
    private String deviceNo;

    @ApiModelProperty(value = "物料模型id" , required = true)
    Integer materialModelId;
    @ApiModelProperty(value = "物料模型名称")
    String materialModelName;
    @ApiModelProperty(value = "物料模型编码")
    String materialModelCode;
    @ApiModelProperty(value = "物料类别名称")
    String materialTypeName;
    @ApiModelProperty(value = "单位")
    String materialModelUnitName;
    @ApiModelProperty(value = "用量" , required = true)
    BigDecimal dosage;
    @ApiModelProperty(value = "已灌料重量")
    BigDecimal count;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Temporal(TemporalType.TIMESTAMP)
    private Date createTime;

}
