package com.sw.mes.dingTalk.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.sw.mes.core.dto.SeedMassageDto;
import com.sw.mes.core.enums.SeedMassageEnum;
import com.sw.mes.dingTalk.dto.SeedIndividualMessageDto;

import java.util.List;

/**
 * @author lf
 * @description
 * @date 2024/1/23 20:53
 */
public interface DingTalkService {
    /**
     *机器人发送消息
     */
    void seedMassage(SeedMassageDto dto) throws JsonProcessingException;
    /**
     * 机器人发送消息给个人
     */
    void  seedIndividualMessage(SeedIndividualMessageDto dto) throws JsonProcessingException;

    /**
     * 晶彩机器人发送消息
     * @param content 消息内容
     * @param groupNameList 群名称
     * @param source 消息来源
     * @param sceneList 机器人使用场景
     * @param status 发送人群 0群和人都发，1只群发，2，只单发
     */
    void robotSeedMessage(String content, List<String> groupNameList, String source, List<String> sceneList, SeedMassageEnum status);
}
