package com.sw.mes.inspect.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;

/**
 * 圆棒检验数据的创建与修改dto
 */
@Data
public class YbInspectDataCUDto {
    private Long id;
    @ApiModelProperty(value = "检验线编号")
    String checkLineNo;
    @ApiModelProperty(value = "晶段编号(短棒)")
    String sectionNo;
    @ApiModelProperty(value = "规格/实际规格")
    String productTypeSecond;
    @ApiModelProperty(value = "掺杂剂")
    String dopant;
    @ApiModelProperty(value = "导电型号/型号")
    String conductiveType;
    @ApiModelProperty(value = "单晶减长长度")
    BigDecimal reduceCrystalLength;
    @ApiModelProperty(value = "圆棒长度")
    BigDecimal actualLength;
    @ApiModelProperty(value = "重量")
    BigDecimal actualWeight;
    @ApiModelProperty(value = "理论重量")
    BigDecimal theoryWeight;
    @ApiModelProperty(value = "直径Min")
    BigDecimal diameterMin;
    @ApiModelProperty(value = "直径Max")
    BigDecimal diameterMax;
    @ApiModelProperty(value = "斜长")
    BigDecimal slopeLength = new BigDecimal("0");
    @ApiModelProperty(value = "崩边长度")
    BigDecimal edgeBark = new BigDecimal("0");
    @ApiModelProperty(value = "扭曲过大")
    BigDecimal distortion = new BigDecimal("0");
    @ApiModelProperty(value = "裂纹")
    BigDecimal crack = new BigDecimal("0");
    @ApiModelProperty(value = "外观检验返切")
    String checkReback;
    @ApiModelProperty(value = "崩晶线")
    BigDecimal collapseLine;
    @ApiModelProperty(value = "径向电阻率T中心点")
    BigDecimal tRadialCentre;
    @ApiModelProperty(value = "径向电阻率T边缘1")
    BigDecimal tRadialEdge1;
    @ApiModelProperty(value = "径向电阻率T边缘2")
    BigDecimal tRadialEdge2;
    @ApiModelProperty(value = "径向电阻率T边缘3")
    BigDecimal tRadialEdge3;
    @ApiModelProperty(value = "径向电阻率T边缘4")
    BigDecimal tRadialEdge4;
    @ApiModelProperty(value = "径向电阻率T边缘5")
    BigDecimal tRadialEdge5;
    @ApiModelProperty(value = "径向电阻率T边缘6")
    BigDecimal tRadialEdge6;
    @ApiModelProperty(value = "径向电阻率T边缘7")
    BigDecimal tRadialEdge7;
    @ApiModelProperty(value = "径向电阻率T边缘8")
    BigDecimal tRadialEdge8;
    @ApiModelProperty(value = "径向电阻率W中心点")
    BigDecimal wRadialCentre;
    @ApiModelProperty(value = "径向电阻率W边缘1")
    BigDecimal wRadialEdge1;
    @ApiModelProperty(value = "径向电阻率W边缘2")
    BigDecimal wRadialEdge2;
    @ApiModelProperty(value = "径向电阻率W边缘3")
    BigDecimal wRadialEdge3;
    @ApiModelProperty(value = "径向电阻率W边缘4")
    BigDecimal wRadialEdge4;
    @ApiModelProperty(value = "径向电阻率W边缘5")
    BigDecimal wRadialEdge5;
    @ApiModelProperty(value = "径向电阻率W边缘6")
    BigDecimal wRadialEdge6;
    @ApiModelProperty(value = "径向电阻率W边缘7")
    BigDecimal wRadialEdge7;
    @ApiModelProperty(value = "径向电阻率W边缘8")
    BigDecimal wRadialEdge8;
    @ApiModelProperty(value = "T中心寿命")
    BigDecimal tCentreLife;
    @ApiModelProperty(value = "T边缘寿命1")
    BigDecimal tLifeEdge1;
    @ApiModelProperty(value = "T边缘寿命2")
    BigDecimal tLifeEdge2;
    @ApiModelProperty(value = "T边缘寿命3")
    BigDecimal tLifeEdge3;
    @ApiModelProperty(value = "T边缘寿命4")
    BigDecimal tLifeEdge4;
    @ApiModelProperty(value = "W中心寿命")
    BigDecimal wCentreLife;
    @ApiModelProperty(value = "W边缘寿命1")
    BigDecimal wLifeEdge1;
    @ApiModelProperty(value = "W边缘寿命2")
    BigDecimal wLifeEdge2;
    @ApiModelProperty(value = "W边缘寿命3")
    BigDecimal wLifeEdge3;
    @ApiModelProperty(value = "W边缘寿命4")
    BigDecimal wLifeEdge4;
    @ApiModelProperty(value = "单晶头方向")
    String crystalDirection;
    @ApiModelProperty(value = "备注")
    String remark;
    @ApiModelProperty(value = "完结标识")
    String closureIdentification;
    @ApiModelProperty(value = "T氧含量中心")
    BigDecimal oxygenContentHead;
    @ApiModelProperty(value = "W氧含量中心")
    BigDecimal oxygenContentTail;

    /**
     * 方棒边长
     */
    @ApiModelProperty(value = "方棒边长")
    private String sideLengthRange;

    @ApiModelProperty(value = "是否外发【0：默认，否；1：是；】")
    private Integer outGoing;
    @ApiModelProperty(value = "检验日期")
    private String inspectionDate;
    @ApiModelProperty(value = "是否返切【0：默认，否；1：是；】")
    private Integer backCut;
    @ApiModelProperty(value = "等级码")
    private String levelCode;
    @ApiModelProperty(value = "原料损耗")
    private BigDecimal materialLoss;
    @ApiModelProperty(value = "阴阳面孪晶距头位置")
    private Integer twinCrystalPosition;
    @ApiModelProperty(value = "阴阳面孪晶距头位置")
    private Integer twinCrystalLength;
    @ApiModelProperty(value = "带状孪晶距头位置")
    private Integer twinBandedPosition ;
    @ApiModelProperty(value = "带状孪晶距头位置")
    private Integer twinBandedLength;
    @ApiModelProperty(value = "隐裂距头位置")
    private Integer fissurePosition;
    @ApiModelProperty(value = "隐裂长度")
    private Integer fissureLength;
    @ApiModelProperty(value = "端面斜距头位置")
    private Integer obliquePosition;
    @ApiModelProperty(value = "端面斜长度")
    private Integer obliqueLength;
    @ApiModelProperty(value = "端面台阶距头位置")
    private Integer stepPosition;
    @ApiModelProperty(value = "端面台阶长度")
    private Integer stepLength;
    @ApiModelProperty(value = "棱线宽/分叉距头位置")
    private Integer crestPosition;
    @ApiModelProperty(value = "棱线宽/分叉长度")
    private Integer crestLength;
    @ApiModelProperty(value = "A电阻率均值")
    private BigDecimal meanResistivityA;
    @ApiModelProperty(value = "A电阻率1")
    private BigDecimal resistivityAOne;
    @ApiModelProperty(value = "A电阻率2")
    private BigDecimal resistivityATwo;
    @ApiModelProperty(value = "A电阻率3")
    private BigDecimal resistivityAThree;
    @ApiModelProperty(value = "B电阻率均值")
    private BigDecimal meanResistivityB;
    @ApiModelProperty(value = "B电阻率1")
    private BigDecimal resistivityBOne;
    @ApiModelProperty(value = "B电阻率2")
    private BigDecimal resistivityBTwo;
    @ApiModelProperty(value = "B电阻率3")
    private BigDecimal resistivityBThree;
    @ApiModelProperty(value = "A少子寿命均值")
    private BigDecimal meanCarrierLifetimeA;
    @ApiModelProperty(value = "A少子寿命1")
    private BigDecimal carrierLifetimeAOne;
    @ApiModelProperty(value = "A少子寿命2")
    private BigDecimal carrierLifetimeATwo;
    @ApiModelProperty(value = "A少子寿命3")
    private BigDecimal carrierLifetimeAThree;
    @ApiModelProperty(value = "B少子寿命均值")
    private BigDecimal meanCarrierLifetimeB;
    @ApiModelProperty(value = "B少子寿命1")
    private BigDecimal carrierLifetimeBOne;
    @ApiModelProperty(value = "B少子寿命2")
    private BigDecimal carrierLifetimeBTwo;
    @ApiModelProperty(value = "B少子寿命3")
    private BigDecimal carrierLifetimeBThree;
    @ApiModelProperty(value = "T段电阻率")
    private BigDecimal tResistivity;
    @ApiModelProperty(value = "w段电阻率")
    private BigDecimal wResistivity;
    @ApiModelProperty(value = "片区")
    private String area;
    @ApiModelProperty(value = "工单类型(截断工单 )")
    private String workOrderType;
    @ApiModelProperty(value = "工单编号")
    private String workOrderNo;
    @ApiModelProperty(value = "产品简称")
    private String  abbreviation;
    @ApiModelProperty(value = "产品配方")
    private String  formulation;

    @ApiModelProperty(value = "头碳含量中心值")
    BigDecimal carbonContentHead;
    @ApiModelProperty(value = "尾碳含量中心值")
    BigDecimal carbonContentTail;
    @ApiModelProperty(value = "批次号")
    private String  batchNo;
    @ApiModelProperty(value = "温度")
     String temperature;

    @ApiModelProperty(value = "pda标识")
    Boolean pdaFlag;
}
