/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.inspect.entity;

import java.util.Date;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="automatic_inspect_middle")
@DynamicUpdate
@DynamicInsert
public class AutomaticInspectMiddle{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 单晶编号
	 */
    @Column(length=32)
    private String crystalNo;
    
	/**
	 * 头段晶段
	 */
    @Column(length=50)
    private String sectionNoHead;
    
	/**
	 * 尾段晶段
	 */
    @Column(length=50)
    private String sectionNoTail;
    
	/**
	 * 头样片
	 */
    @Column(length=50)
    private String pieceNoHead;

	/**
	 * 返切头样片
	 */
	@Column(length=50)
	private String backcutPieceNoHead;

	/**
	 * 返切起始头晶段
	 */
	@Column(length=11)
	private Integer cutHeadPosition;

	/**
	 * 返切尾样片
	 */
	@Column(length=50)
	private String backcutPieceNoTail;

	/**
	 * 返切起始尾晶段
	 */
	@Column(length=11)
	private Integer cutTailPosition;
    
	/**
	 * 尾样片
	 */
    @Column(length=50)
    private String pieceNoTail;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreate;
    
	/**
	 * 更新时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date gmtUpdate;
    

	public AutomaticInspectMiddle() {
	}

	public AutomaticInspectMiddle(Long id) {
		this.id = id;
	}
}
