package com.sw.mes.inspect.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 【圆棒代工数据】
 */
@Data
@Accessors(chain = true)
@TableName("yb_oem_data")
@ApiModel(value = "YbOemData对象", description = "")
@Entity
public class YbOemData {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty("主键")
    private Long id;
    @ApiModelProperty("托盘编号")
    @ExcelProperty(value = "托盘编号")
    private String trayNo;
    @ApiModelProperty("晶段编号")
    @ExcelProperty(value = "晶段编号")
    private String sectionNo;
    @ApiModelProperty("状态 0未接收 1已接收 2已拒收")
    @ExcelProperty(value = "状态 0未接收 1已接收 2已拒收")
    private Integer status;
    @ApiModelProperty("掺杂剂")
    @ExcelProperty(value = "掺杂剂")
    private String dopant;
    @ApiModelProperty("规格")
    @ExcelProperty(value = "规格")
    private String productTypeSecond;
    @ApiModelProperty("圆棒长度")
    @ExcelProperty(value = "圆棒长度")
    private BigDecimal actualLength;
    @ApiModelProperty("理论重量")
    @ExcelProperty(value = "理论重量")
    private BigDecimal theoryWeight;
    @ApiModelProperty("直径Min")
    @ExcelProperty(value = "直径Min")
    private BigDecimal diameterMin;
    @ApiModelProperty("直径Max")
    @ExcelProperty(value = "直径Max")
    private BigDecimal diameterMax;
    @ApiModelProperty("产品评级")
    @ExcelProperty(value = "产品评级")
    private String productLevel;
    @ApiModelProperty("产品类别")
    @ExcelProperty(value = "产品类别")
    private String productType;
    @ApiModelProperty("导电型号")
    @ExcelProperty(value = "导电型号")
    private String conductiveType;
    @ApiModelProperty("头段A电阻率均值")
    @ExcelProperty(value = "头段A电阻率均值")
    private BigDecimal tRadialCentre;
    @ApiModelProperty("头段B电阻率均值")
    @ExcelProperty(value = "头段B电阻率均值")
    private BigDecimal tRadialEdge1;
    @ApiModelProperty("径向电阻率T边缘2")
    @ExcelProperty(value = "径向电阻率T边缘2")
    private BigDecimal tRadialEdge2;
    @ApiModelProperty("尾段A电阻率均值")
    @ExcelProperty(value = "尾段A电阻率均值")
    private BigDecimal wRadialCentre;
    @ApiModelProperty("尾段B电阻率均值")
    @ExcelProperty(value = "尾段B电阻率均值")
    private BigDecimal wRadialEdge1;


    @ApiModelProperty("头段A少子寿命均值")
    @ExcelProperty(value = "头段A少子寿命均值")
    private BigDecimal tCentreLife;

    @ApiModelProperty("头段B少子寿命均值")
    @ExcelProperty(value = "头段B少子寿命均值")
    private BigDecimal tLifeEdge1;

    @ApiModelProperty("尾段A少子寿命均值")
    @ExcelProperty(value = "尾段A少子寿命均值")
    private BigDecimal wCentreLife;

    @ApiModelProperty("尾段B少子寿命均值")
    @ExcelProperty(value = "尾段B少子寿命均值")
    private BigDecimal wLifeEdge1;


    @ApiModelProperty("径向电阻率W边缘2")
    @ExcelProperty(value = "径向电阻率W边缘2")
    private BigDecimal wRadialEdge2;
    @ApiModelProperty("T氧含量中心")
    @ExcelProperty(value = "T氧含量中心")
    private BigDecimal oxygenContentHead;
    @ApiModelProperty("T碳含量中心")
    @ExcelProperty(value = "T碳含量中心")
    private BigDecimal carbonContentHead;
    @ApiModelProperty("W氧含量中心")
    @ExcelProperty(value = "W氧含量中心")
    private BigDecimal oxygenContentTail;
    @ApiModelProperty("W碳含量中心")
    @ExcelProperty(value = "W碳含量中心")
    private BigDecimal carbonContentTail;
    @ApiModelProperty("订单号")
    @ExcelProperty(value = "订单号")
    private String orderNo;
    @ApiModelProperty("计划物料编码")
    @ExcelProperty(value = "计划物料编码")
    private String planMaterialCode;
    @ApiModelProperty("炉台号")
    @ExcelProperty(value = "炉台号")
    private String deviceNo;
    @ApiModelProperty("系列")
    @ExcelProperty(value = "系列")
    private String series;
    @ApiModelProperty("炉次号")
    @ExcelProperty(value = "炉次号")
    private String lotNo;
    @ApiModelProperty("创建时间")
    @ExcelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty("更新时间")
    @ExcelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty("工厂")
    @ExcelProperty(value = "工厂")
    private String factory;
    @ApiModelProperty("创建人")
    @ExcelProperty(value = "创建人")
    private String createUser;
    @ApiModelProperty("修改人")
    @ExcelProperty(value = "修改人")
    private String updateUser;
    @ApiModelProperty("方棒边长")
    @ExcelProperty(value = "方棒边长")
    private String sideLengthRange;

    @ApiModelProperty("T边缘寿命2")
    @ExcelProperty(value = "T边缘寿命2")
    private BigDecimal tLifeEdge2;

    @ApiModelProperty("W边缘寿命2")
    @ExcelProperty(value = "W边缘寿命2")
    private BigDecimal wLifeEdge2;
}
