package com.sw.mes.jip.entity;

import lombok.Data;
import com.sw.mes.core.annotation.Jinko;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.*;


/**
 * 晶科JIP接口配置信息对象 jinko_jip_header_config
 * 
 * @author liru
 * @date 2024-01-01
 */
@Data
@Entity
@Table(name="jinko_jip_header_config")
@DynamicUpdate
@DynamicInsert
@Jinko(value="晶科JIP接口配置信息对象",author = "liru")
public class JipHeaderConfig
{
    /**  */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /** 接口唯一标识 */
    private String ifId;

    /** 接口描述 */
    private String ifName;

    /** 数据唯一标识 */
    private String msgId;

    /** 3位流水编号 */
    private String resendId;

    /** 业务类型 */
    private String bustyp;

    /** 发送方 */
    private String sender;

    /** 接受方 */
    private String receiver;

    /** 通用字段1 */
    private String text1;

    /** 通用字段2 */
    private String text2;

    /** 通用字段3 */
    private String text3;

    /** 通用字段4 */
    private String text4;

    /** 通用字段5 */
    private String text5;

    /** 请求URL */
    private String url;

    /** MES检索关键字 */
    private String keyword;

    //token key
    private String tokenKey;
    //token password
    private String tokenPassword;
}
