package com.sw.mes.jip.service;

import com.alibaba.fastjson.JSONObject;
import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.base.BaseService;
import com.sw.mes.jip.dto.TokenDto;
import com.sw.mes.jip.entity.JipHeaderConfig;

/**
 * 晶科JIP接口配置信息Service接口
 * 
 * @author liru
 * @date 2024-01-01
 */
@Jinko(value="晶科JIP接口配置信息Service接口",author = "liru")
public interface JipHeaderConfigService extends BaseService<JipHeaderConfig>
{
    /**
     * 根据JIP配置接口唯一标识找配置信息
     * @param ifId 接口唯一标识
     * @return MES中接口配置信息
     */
    public JipHeaderConfig getByIfId(String ifId);

    /**
     * 根据MES配置检索关键字找配置信息
     * @param keyword 接口唯一标识
     * @return MES中接口配置信息
     */
    public JipHeaderConfig getByKeyword(String keyword);

    JSONObject httpRequestJip(String url, JSONObject json, TokenDto token);
}
