/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.kanban.entity;

import java.util.Date;
import java.math.BigDecimal;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="daily_production_record")
@DynamicUpdate
@DynamicInsert
public class DailyProductionRecord{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 产量
	 */
    @Column(length=19)
    private BigDecimal production;
    
	/**
	 * 类型：1毛棒，2圆棒，3方棒
	 */
    @Column(length=10)
    private Integer type;
    
	/**
	 * 日期
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date date;
    
	/**
	 * 开始时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date startTime;
    
	/**
	 * 结束时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date endTime;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createDate;
    

	public DailyProductionRecord() {
	}

	public DailyProductionRecord(Long id) {
		this.id = id;
	}
}
