package com.sw.mes.outside.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CrystalInfoDto {
    /**
     * 复投次数  /  人工触发信号更改时传值
     */
    Integer againNum;

    /**
     * 当前颗次  /  人工触发信号更改时传值
     */
    Integer crystalNum;

    /**
     * 晶棒长度
     */
    BigDecimal length;

    /**
     * 晶棒重量
     */
    BigDecimal weight;

    /**
     * Y表示不断苞；
     * N表示断苞；
     * W表示未断苞见埚底单晶，
     * V表示断苞见埚底单晶
     * 具体定义详见备注解释。
     */
    String windUp;

    /**
     * 剩料重量
     */
    BigDecimal residualWeight;
    /**
     * 总装锅料
     */
    BigDecimal totalWeight;

    /**
     * 引晶剩料重量
     */
    BigDecimal crystalIntroductionResidualWeight;

    /**
     * 头长
     */
    BigDecimal headLen;

    /**
     * 尾长
     */
    BigDecimal tailLen;

    /**
     * 是否完结复投
     */
    Integer isDone = 0;

    /**
     * 完结标识:
     * W 完结尾
     * V 完结棒
     */
    String closureIdentification;

    @ApiModelProperty(value = "抽空时间", required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date rodProductionTime;

    @ApiModelProperty(value = "取熔料时间", required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date meltingTime;

    /**
     * 等径长度
     */
    BigDecimal isometricLength;

    /**
     * 最大直径
     */
    BigDecimal maxDiam;
    /**
     * 最小直径
     */
    BigDecimal minDiam;

    /**
     * 引晶埚转
     */
    BigDecimal crystalCrucibleRotation;
}
