package com.sw.mes.outside.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @Author: xushu
 * @Date: 2023/01/10/11:30
 * @Description:
 */
@Data
@ApiModel(value = "materialOperationDto")
public class MaterialOperationDto {

    @ApiModelProperty(value = "操作类型(0:取消叫料，1:生产退料，2重新叫料)",required = true)
    @NotNull(message = "操作类型不能为空")
    Integer type;


    @ApiModelProperty(value = "炉次号",required = true)
    @NotEmpty(message = "炉次号不能为空,设备必须处在运行中")
    String lotNo;
}
