package com.sw.mes.outside.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 * 传递 MES 消息实体
 * </p>
 *
 * @author zhangjianan
 * @since 2022/1/7
 */
@Data
public class ToMESData {
	
    /**
     * 设备类型
     */
    String deviceType;

    /**
     * 设备编号
     */
    String deviceCode;

    /**
     * 事件编号
     */
    String taskCode;

    /**
     * 事件名称
     */
    String taskName;

    /**
     * 事件类型：执行任务,结束任务
     */
    String taskType;

    /**
     * 开始执行时间
     */
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    Date startTime;

    /**
     * 结束执行时间
     */
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    Date endTime;

    /**
     * 开始触发数据集
     */
    Map<String, Object> startValidateMap;

    /**
     * 开始搜集数据集
     */
    Map<String, String> startCollectionData;

    /**
     * 结束触发数据集
     */
    Map<String, Object> endValidateMap;

    /**
     * 结束搜集数据集
     */
    Map<String, String> endCollectionData;

    /**
     * 消息id
     */
    String messageId;

}
