package com.sw.mes.production.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author zhaowenjie
 */
@Data
public class DecompositionSchemeParam {
    @ApiModelProperty(value = "设备编码")
    private String equipmentCode;
    @ApiModelProperty(value = "产品型号编码")
    private String productModeCode;
    @ApiModelProperty(value = "投料重量")
    private BigDecimal weight;
    @ApiModelProperty(value = "本次投料的重量")
    private BigDecimal thisWeight;
    @ApiModelProperty(value = "叫料类型(1: 全部桶； 2: 3~X桶)")
    private Integer type;
    @ApiModelProperty(value = "复投次数(0：初始装料，1：初始复投，>1 取段复投)")
    private Integer repeatTimes;
    @ApiModelProperty(value = "完结加料（0：否，1：是）")
    private Integer isFillEnd;
    @ApiModelProperty(value = "已投入的物料重量")
    List<MaterialWeight> materialWeights;

    /**
     * 装料明细
     */
    @Data
    public static class MaterialWeight {
        /**
         * 物料种类
         */
        @ApiModelProperty(value = "物料种类")
        private String materialType;
        /**
         * 物料分类
         */
        @ApiModelProperty(value = "物料分类")
        private String materialClassName;
        /**
         * 重量
         */
        @ApiModelProperty(value = "重量")
        private BigDecimal weight;
    }
}
