package com.sw.mes.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "配方方案Dto")
public class FormulaSchemeDto {
    private Long id;
    @ApiModelProperty(value = "配方名称")
    String name;
    @ApiModelProperty(value = "配方编码")
    String code;
    @ApiModelProperty(value = "版本号")
    Integer version;
    @ApiModelProperty(value = "配方用途")
    String use;
    @ApiModelProperty(value = "状态（0：失效；1：生效)")
    Boolean status;
    @ApiModelProperty(value = "验证状态（0：验证失败，1：验证失败)")
    Boolean validating;
    @ApiModelProperty(value = "投料种类（逗号分隔）")
    String type;
    @ApiModelProperty(value = "投料种类方案")
    List<TypeFormulaDto> typeFormula;
    @ApiModelProperty(value = "投入桶型")
    List<BarrelShaped> barrelShaped;
    @ApiModelProperty(value = "创建人", required = true)
    String userCreate;
    @ApiModelProperty(value = "创建时间", required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gmtCreate;
    @ApiModelProperty(value = "修改人")
    String userUpdate;
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gmtUpdate;
    @ApiModelProperty(value = "物料搭配明细")
    List<FormulaSchemeDetailDto> formulaSchemeDetailDtos = new ArrayList<>();
}