/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.production.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.*;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name = "production_truncation_reccut")
@DynamicUpdate
@DynamicInsert
public class TruncationReccut {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 设备号
     */
    @Column(length = 50)
    private String equipmentCode;

    /**
     * 单晶id
     */
    @Column(length = 50)
    private Long crysatlId;

    /**
     * 规格
     */
    @Column(length = 50)
    private String specs;

    /**
     * 单晶编号
     */
    @Column(length = 50)
    private String crystalNo;

    /**
     * 反切刀数
     */
    @Column(length = 10)
    private Integer cutNum;

    /**
     * 反切长度
     */
    @Column(length = 10)
    private Integer cutLenght;

    /**
     * 反切原因
     */
    @Column(length = 50)
    private String cause;

    /**
     * 创建人
     */
    @Column(length = 20)
    private String userCreate;

    /**
     * 创建时间
     */
    @Column(nullable = false, length = 19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreate;

    public TruncationReccut() {
    }

    public TruncationReccut(Long id) {
        this.id = id;
    }
}
