package com.sw.mes.sap.dao;

import java.util.List;

import org.springframework.data.jpa.repository.Query;

import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.base.BaseDao;
import com.sw.mes.sap.entity.WarehouseLocation;


/**
 * 晶科库存位置信息Dao接口
 * 
 * @author liru
 * @date 2024-01-02
 */
@Jinko(value="晶科库存位置信息Service接口",author = "liru")
public interface WarehouseLocationDao extends BaseDao<WarehouseLocation, Long>
{

    List<WarehouseLocation> findByWerksAndLgort(String werks, String lgort);

    @Query(value = "SELECT * FROM jinko_warehouse_location WHERE lgort like ?1", nativeQuery = true)
	List<WarehouseLocation> findAllPWarehouse(String warehouse);
}
