package com.sw.mes.sap.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "拉取长晶棒信息上报erp记录子表Dto")
public class ReportErpOutputRecordDetailDto {

    private Long id;
    @ApiModelProperty(value = "主表id")
    Long rid;
    @ApiModelProperty(value = "长晶棒表id")
    Long bid;
    @ApiModelProperty(value = "长晶棒表orderNo")
    String orderNo;
    @ApiModelProperty(value = "重量")
    BigDecimal weight;
    @ApiModelProperty(value = "批次号")
    String lotNo;
    @ApiModelProperty(value = "物料名称")
    String crystalNo;
    @ApiModelProperty(value = "车间")
    String workShop;
    @ApiModelProperty(value = "长度")
    BigDecimal length;
    @ApiModelProperty(value = "晶棒类型")
    String crystalType;
    @ApiModelProperty(value = "产品类别")
    String productType;
    @ApiModelProperty(value = "规格")
    String specs;
    @ApiModelProperty(value = "批号")
    String batchNo;
    @ApiModelProperty(value = "上报批号")
    String pushBatchNo;
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date reportWorkTime;
    @ApiModelProperty(value = "报工状态0未上报，1已上报")
    Integer reportWorkState;
    @ApiModelProperty(value = "冲销时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date writeOffAccountsTime;
    @ApiModelProperty(value = "冲销人")
    String writeOffAccountsUser;
    @ApiModelProperty(value = "划线时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    Date startTime;
}