package com.sw.mes.sap.dto;

import java.math.BigDecimal;
import java.util.Date;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 物料凭证查询接口对象 report_sap_mblnr_query
 * 
 * @author liru
 * @date 2024-04-15
 */
@Data
@ApiModel(value = "物料凭证查询接口Dto")
public class ReportSapMblnrQueryDto
{

    /** ID */
    private Long id;

    /** 物料凭证编号 */
    @ExcelProperty(value = "物料凭证编号", index = 1)
    @ApiModelProperty(value = "物料凭证编号")
    private String mblnr;

    /** 物料凭证年度 */
    @ExcelProperty(value = "物料凭证年度", index = 2)
    @ApiModelProperty(value = "物料凭证年度")
    private Integer mjahr;

    /** 物料凭证中的项目 */
    @ExcelProperty(value = "物料凭证中的项目", index = 3)
    @ApiModelProperty(value = "物料凭证中的项目")
    private Integer zeile;

    /** 移动类型（库存管理） */
    @ExcelProperty(value = "移动类型", index = 4)
    @ApiModelProperty(value = "移动类型")
    private String bwart;

    /** 物料号 */
    @ExcelProperty(value = "物料号", index = 5)
    @ApiModelProperty(value = "物料号")
    private String matnr;

    /** 工厂 */
    @ExcelProperty(value = "工厂", index = 6)
    @ApiModelProperty(value = "工厂")
    private String werks;

    /** 工厂名称 */
    @ExcelProperty(value = "工厂名称", index = 7)
    @ApiModelProperty(value = "工厂名称")
    private String txtmd;

    /** 库存地点 */
    @ExcelProperty(value = "库存地点", index = 8)
    @ApiModelProperty(value = "库存地点")
    private String lgort;

    /** 批号 */
    @ExcelProperty(value = "批号", index = 9)
    @ApiModelProperty(value = "批号")
    private String charg;

    /** 库存类型 */
    @ExcelProperty(value = "库存类型", index = 10)
    @ApiModelProperty(value = "库存类型")
    private String insmk;

    /** 特殊库存标识 */
    @ExcelProperty(value = "特殊库存标识", index = 11)
    @ApiModelProperty(value = "特殊库存标识")
    private String sobkz;

    /** 供应商帐户号 */
    @ExcelProperty(value = "供应商帐户号", index = 12)
    @ApiModelProperty(value = "供应商帐户号")
    private String lifnr;

    /** 客户的帐户号 */
    @ExcelProperty(value = "客户的帐户号", index = 13)
    @ApiModelProperty(value = "客户的帐户号")
    private String kunnr;

    /** 销售订单数 */
    @ExcelProperty(value = "销售订单数", index = 14)
    @ApiModelProperty(value = "销售订单数")
    private String kdauf;

    /** 销售订单中的项目编号 */
    @ExcelProperty(value = "销售订单中的项目编号", index = 15)
    @ApiModelProperty(value = "销售订单中的项目编号")
    private Integer kdpos;

    /** 按本位币计的金额 */
    @ExcelProperty(value = "按本位币计的金额", index = 16)
    @ApiModelProperty(value = "按本位币计的金额")
    private BigDecimal dmbtr;

    /** 数量 */
    @ExcelProperty(value = "数量", index = 17)
    @ApiModelProperty(value = "数量")
    private BigDecimal menge;

    /** 单位 */
    @ExcelProperty(value = "单位", index = 18)
    @ApiModelProperty(value = "单位")
    private String meins;

    /** 采购订单编号 */
    @ExcelProperty(value = "采购订单编号", index = 19)
    @ApiModelProperty(value = "采购订单编号")
    private String ebeln;

    /** 采购凭证的项目编号 */
    @ExcelProperty(value = "采购凭证的项目编号", index = 20)
    @ApiModelProperty(value = "采购凭证的项目编号")
    private Integer ebelp;

    /** 订单号 */
    @ExcelProperty(value = "订单号", index = 21)
    @ApiModelProperty(value = "订单号")
    private String aufnr;

    /** 公司代码 */
    @ExcelProperty(value = "公司代码", index = 22)
    @ApiModelProperty(value = "公司代码")
    private String bukrs;

    /** 预留/相关需求的编号 */
    @ExcelProperty(value = "预留/相关需求的编号", index = 23)
    @ApiModelProperty(value = "预留/相关需求的编号")
    private String rsnum;

    /** 预留/相关需求的项目编号 */
    @ExcelProperty(value = "预留/相关需求的项目编号", index = 24)
    @ApiModelProperty(value = "预留/相关需求的项目编号")
    private Integer rspos;

    /** 收货/发货物料 */
    @ExcelProperty(value = "收货/发货物料", index = 25)
    @ApiModelProperty(value = "收货/发货物料")
    private String ummat;

    /** 收货/发货工厂 */
    @ExcelProperty(value = "收货/发货工厂", index = 26)
    @ApiModelProperty(value = "收货/发货工厂")
    private String umwrk;

    /** 收货/发货库存地点 */
    @ExcelProperty(value = "收货/发货库存地点", index = 27)
    @ApiModelProperty(value = "收货/发货库存地点")
    private String umlgo;

    /** 交货单 */
    @ExcelProperty(value = "交货单", index = 28)
    @ApiModelProperty(value = "交货单")
    private String vbelnIm;

    /** 交货项目 */
    @ExcelProperty(value = "交货项目", index = 29)
    @ApiModelProperty(value = "交货项目")
    private Integer vbelpIm;

    /** 凭证中的过帐日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelProperty(value = "凭证中的过帐日期", index = 30)
    @DateTimeFormat("yyyy-MM-dd")
    @ApiModelProperty(value = "凭证中的过帐日期")
    private Date budatMkpf;

    /** 会计凭证输入日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelProperty(value = "会计凭证输入日期", index = 31)
    @DateTimeFormat("yyyy-MM-dd")
    @ApiModelProperty(value = "会计凭证输入日期")
    private Date cpudtMkpf;

    /** 输入时间 */
    @ExcelProperty(value = "输入时间", index = 32)
    @ApiModelProperty(value = "输入时间")
    private String cputmMkpf;

    /** 事务代码 */
    @ExcelProperty(value = "事务代码", index = 33)
    @ApiModelProperty(value = "事务代码")
    private String tcode2Mkpf;

    /** 物料描述 */
    @ExcelProperty(value = "物料描述", index = 34)
    @ApiModelProperty(value = "物料描述")
    private String maktx;

    /** 以录入项单位表示的数量 */
    @ExcelProperty(value = "以录入项单位表示的数量", index = 35)
    @ApiModelProperty(value = "以录入项单位表示的数量")
    private BigDecimal erfmg;

    /** 录入单位 */
    @ExcelProperty(value = "录入单位", index = 36)
    @ApiModelProperty(value = "录入单位")
    private String erfme;

    /** 借/贷标识 */
    @ExcelProperty(value = "借/贷标识", index = 37)
    @ApiModelProperty(value = "借/贷标识")
    private String shkzg;

    /** 成本中心 */
    @ExcelProperty(value = "成本中心", index = 38)
    @ApiModelProperty(value = "成本中心")
    private String kostl;

    /** 参考凭证的凭证号 */
    @ExcelProperty(value = "参考凭证的凭证号", index = 39)
    @ApiModelProperty(value = "参考凭证的凭证号")
    private String lfbnr;

    /** 参考凭证项目 */
    @ExcelProperty(value = "参考凭证项目", index = 40)
    @ApiModelProperty(value = "参考凭证项目")
    private Integer lfpos;

    /** 参考凭证会计年度 */
    @ExcelProperty(value = "参考凭证会计年度", index = 41)
    @ApiModelProperty(value = "参考凭证会计年度")
    private Integer lfbja;

    /** 货币码 */
    @ExcelProperty(value = "货币码", index = 42)
    @ApiModelProperty(value = "货币码")
    private String waers;

    /** 项目文本 */
    @ExcelProperty(value = "项目文本", index = 43)
    @ApiModelProperty(value = "项目文本")
    private String sgtxt;

    /** 收货数量 */
    @ExcelProperty(value = "收货数量", index = 44)
    @ApiModelProperty(value = "收货数量")
    private BigDecimal wemng;

    /** 箱号(原材料PDA扫描后传输到SAP) */
    @ExcelProperty(value = "箱号(原材料PDA扫描后传输到SAP)", index = 45)
    @ApiModelProperty(value = "箱号(原材料PDA扫描后传输到SAP)")
    private String zboxno;

    /** 送货单 */
    @ExcelProperty(value = "送货单", index = 46)
    @ApiModelProperty(value = "送货单")
    private String dlvno;

    /** 主要资产编号 */
    @ExcelProperty(value = "主要资产编号", index = 47)
    @ApiModelProperty(value = "主要资产编号")
    private String anln1;

    /** 资产子编号 */
    @ExcelProperty(value = "资产子编号", index = 48)
    @ApiModelProperty(value = "资产子编号")
    private String anln2;

    /** 凭证中的凭证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelProperty(value = "凭证中的凭证日期", index = 49)
    @DateTimeFormat("yyyy-MM-dd")
    @ApiModelProperty(value = "凭证中的凭证日期")
    private Date bldat;

    /** 交易/事件类型 */
    @ExcelProperty(value = "交易/事件类型", index = 50)
    @ApiModelProperty(value = "交易/事件类型")
    private String vgartMkpf;

    /** 用户名 */
    @ExcelProperty(value = "用户名", index = 51)
    @ApiModelProperty(value = "用户名")
    private String usnamMkpf;

    /** 凭证抬头文本 */
    @ExcelProperty(value = "凭证抬头文本", index = 52)
    @ApiModelProperty(value = "凭证抬头文本")
    private String bktxt;

    /** 是否入线边库 */
    @ExcelProperty(value = "是否入线边库", index = 53)
    @ApiModelProperty(value = "是否入线边库")
    private String zsfrxlk;

    /** 线边库编码 */
    @ExcelProperty(value = "线边库编码", index = 54)
    @ApiModelProperty(value = "线边库编码")
    private String zcjqx;

    /** 线边库存编码描述 */
    @ExcelProperty(value = "线边库存编码描述", index = 55)
    @ApiModelProperty(value = "线边库存编码描述")
    private String zcjqxms;

    /** 标准档位 */
    @ExcelProperty(value = "标准档位", index = 56)
    @ApiModelProperty(value = "标准档位")
    private String wempf;

    /** 批次特性明细表 */
    @ExcelProperty(value = "批次特性明细表", index = 57)
    @ApiModelProperty(value = "批次特性明细表")
    private String chartlist;

}
