package com.sw.mes.sap.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.sw.mes.core.annotation.Jinko;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.*;


/**
 * 晶科SAP下发生产工单通信记录对象 log_sap_mes_interactive
 * 
 * @author liru
 * @date 2023-12-29
 */
@Data
@Entity
@Table(name="log_sap_mes_interactive")
@DynamicUpdate
@DynamicInsert
@Jinko(value="晶科SAP下发生产工单通信记录对象",author = "liru")
public class LogSapMesInteractive
{
    /** ID */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /** 处理控制器名称 */
    private String controllerName;

    /** 操作方法 */
    private String oprMethod;

    /** 报文内容 */
    private String context;

    /** 返回报文内容 */
    private String returnContext;

    /** 方向 */
    private String dataDirection;

    /** 创建时间 */
    @Temporal(TemporalType.TIMESTAMP)
    private Date createTime;

}
