package com.sw.mes.sap.entity;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import lombok.Data;


/**
 * sap对账表对账
 * 
 * @author liru
 * @date 2024-3-1
 */
@Data
@Entity
@Table(name="mes_reconciliation")
@DynamicUpdate
@DynamicInsert
public class MesReconciliation
{
    /** ID */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /** 物料号 */
    private String sku;

    /** 批次 */
    private String lot;
    
    /** 数量 */
    private Double qty;
    
    /** 创建时间 */
    @Temporal(TemporalType.TIMESTAMP)
    private Date mesReceiveTime;

}
