package com.sw.mes.sap.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.sw.mes.core.annotation.Jinko;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
 * MES报工SAP的记录
 */

@Data
@Entity
@Table(name = "recycled_report_sap_record")
@DynamicUpdate
@DynamicInsert
@Jinko(author = "yyl", value = "MES报工SAP的记录")
public class RecycledReportSapRecord {

    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;


    /**
     * 移动类型
     */
    private String bwart;

    /**
     * 成本中心
     */
    private String kostl;

    /**
     * SAP生产订单
     */
    private String aufnr;


    /**
     * 发货工厂
     */
    private String werks;

    /**
     * 库存地点
     */
    private String lgort;

    /**
     * 物料编码
     */
    private String matnr;

    /**
     * 批次号
     */
    private String charg;

    /**
     * 数量
     */
    private String menge;

    /**
     * 单位
     */
    private String meins;

    /**
     * 收货工厂
     */
    private String umwrk;

    /**
     * 收货库区
     */
    private String umlgo;

    /**
     * 收货批次号
     */
    private String umcha;


    /**
     * 副产品标识 X
     */
    private String zfcpFlag;

    /**
     * 批次特性信息
     */
    private String chargItem;

    /**
     * 工序名称
     **/
    private String procName;

    /**
     * 设备编号
     **/
    private String deviceNo;

    /**
     * UUID
     **/
    private String uuidValue;

    /**
     * 备注
     **/
    private String remark;

    /**
     * 创建时间
     **/
    @Temporal(TemporalType.TIMESTAMP)
    private Date createDate;

    /**
     * 报工方式
     **/
    private String sendType;

    /**
     * 记录类型
     */
    private Integer recordType;
    /**
     * 创建人
     */
    private String createUser;
}
