package com.sw.mes.sap.entity;

import lombok.Data;
import com.sw.mes.core.annotation.Jinko;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.*;
import java.util.Date;

/**
 * MES报工SAP工时接口对象 report_sap_workinghours
 * 
 * @author liru
 * @date 2024-01-07
 */

@Data
@Entity
@Table(name="report_sap_workinghours")
@DynamicUpdate
@DynamicInsert
@Jinko(value="MES报工SAP工时接口Entity",author = "liru")
public class ReportSapWorkinghours
{

    /** ID */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /** Recode Id */
    private String recordId;

    /** 生产订单号码 */
    private String productionOrderId;

    /** 工厂 */
    private String plant;

    /** 生产订单类型 */
    private String orderType;

    /** 生产订单工序号  */
    private String operationId;

    /** 生产订单工作中心 */
    private String workcenterId;

    /** 合格数量 */
    private String cnfQty1;

    /** 报废数量 */
    private String cnfQty2;

    /** 返工数量 */
    private String cnfQty3;

    /** 单位 */
    private String cnfUom;

    /** 实际加工时间 */
    private String cnfTime;

    /** 实际加工时间单位 */
    private String cnfTimeUom;

    /** 确认日期 */
    @Temporal(TemporalType.TIMESTAMP)
    private Date cnfDate;

    /** 报工状态(0:未报工,1:已报工) */
    private Boolean status;
    
    
    /**工序名称**/
    private String procName;
    
    /**备注**/
    private String remark;

    /**晶编**/
    private String crystalNo;
    
    /** 报工方式 **/
    private String sendType = "Manual";
    
    /**异常原因**/
    private String errorInfo;
    
    @Transient
    private Boolean asyn = true;

}
