package com.sw.mes.sto.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.sw.mes.core.annotation.Jinko;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.*;

/**
 * 大基地直流STO调拨创建和冲销数据通信记录对象 log_sto_mes_interactive
 * 
 * @author liru
 * @date 2024-01-16
 */

@Data
@Entity
@Table(name="log_sto_mes_interactive")
@DynamicUpdate
@DynamicInsert
@Jinko(value="大基地直流STO调拨创建和冲销数据通信记录Entity",author = "liru")
public class LogStoMesInteractive
{

    /** ID */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /** 处理控制器名称 */
    private String controllerName;

    /** 操作方法 */
    private String oprMethod;

    /** 报文内容 */
    private String context;

    /** 返回值信息 */
    private String returnContext;

    /** 方向 */
    private String dataDirection;

    /** 创建时间 */
    @Temporal(TemporalType.TIMESTAMP)
    private Date createTime;

}
