package com.sw.mes.sto.service.impl;

import java.util.List;
import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.utils.DateUtil;
import lombok.extern.slf4j.Slf4j;
import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.sto.dao.LogStoMesInteractiveDao;
import com.sw.mes.sto.entity.LogStoMesInteractive;
import com.sw.mes.sto.service.LogStoMesInteractiveService;

/**
 * 大基地直流STO调拨创建和冲销数据通信记录Service业务层处理
 *
 * @author liru
 * @date 2024-01-16
 */
@Slf4j
@Service
@Transactional
@Jinko(value="大基地直流STO调拨创建和冲销数据通信记录Service业务层处理",author = "liru")
public class LogStoMesInteractiveServiceImpl extends BaseServiceImpl<LogStoMesInteractive> implements LogStoMesInteractiveService
{
    private LogStoMesInteractiveDao dao;

    @Autowired
    public void setDao(LogStoMesInteractiveDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

}
