package com.sw.mes.yb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "辅料更换dto")
public class AccessoryChangeDto {

    @ApiModelProperty(value = "辅料状态ID")
    private Long equipmentAccessoryId;

    @ApiModelProperty(value = "辅料属性ID")
    private Long materialId;

    /** 辅料类型字典名称 **/
    @ApiModelProperty(value = "辅料类型字典名称")
    private String accessoryTypeName;

    /** 辅料类型字典值 **/
    @ApiModelProperty(value = "辅料类型字典值")
    private String accessoryTypeValue;

    @ApiModelProperty(value = "是否预警" , required = true)
    private Boolean warning;

    @ApiModelProperty(value = "预警时间" )
    private Double warnTime;

    @ApiModelProperty(value = "使用寿命" , required = true)
    private Double useLife;

    @ApiModelProperty(value = "已使用时间" , required = true)
    private Double useTime;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "创建时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

    @ApiModelProperty(value = "更换原因")
    private String remark;

    @ApiModelProperty(value = "物料编号")
    private String goodsCode;

    @ApiModelProperty(value = "厂家")
    private String factory;

    @ApiModelProperty(value = "备注")
    private String anomalousCause;

    @ApiModelProperty(value = "更换数量")
    private Integer changeCount;

    @ApiModelProperty(value = "库位ID")
    private Integer locationId;

    /** 库位名称 **/
    @ApiModelProperty(value = "库位名称")
    private String locationName;

    @ApiModelProperty(value = "损坏责任人")
    private String brokeUser;

}
