package com.sw.mes.yb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "圆棒热场报废记录Dto")
public class AccessoryDiscardDto {

    private Long id;
     @ApiModelProperty(value = "热场条码" )
     String goodsCode;
     @ApiModelProperty(value = "厂家" )
     String factory;
     @ApiModelProperty(value = "退库类型" )
     String returnType;
     @ApiModelProperty(value = "状态" )
     String status;
     @ApiModelProperty(value = "评审结果" )
     String result;
     @ApiModelProperty(value = "生产意见" )
     String opinionOfProduct;
     @ApiModelProperty(value = "生产备注" )
     String remarkOfProduct;
     @ApiModelProperty(value = "生产评审时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date timeOfProduct;
     @ApiModelProperty(value = "技术意见" )
     String opinionOfTechnology;
     @ApiModelProperty(value = "技术备注" )
     String remarkOfTechnology;
     @ApiModelProperty(value = "技术评审时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date timeOfTechnology;
     @ApiModelProperty(value = "质量意见" )
     String opinionOfQuality;
     @ApiModelProperty(value = "质量备注" )
     String remarkOfQuality;
     @ApiModelProperty(value = "质量评审时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date timeOfQuality;
     @ApiModelProperty(value = "寿命监控id" )
     Long accessoryId;
     @ApiModelProperty(value = "热场辅料id" )
     Long materialId;
     @ApiModelProperty(value = "热场辅料名称" )
     String materialName;
     @ApiModelProperty(value = "热场辅料编码" )
     String materialCodes;
     @ApiModelProperty(value = "热场辅料规格" )
     String materialNorms;
     @ApiModelProperty(value = "实际使用寿命" )
     BigDecimal useTime;
     @ApiModelProperty(value = "辅料更换时间" )
     Date operateTime;
     @ApiModelProperty(value = "设备id" )
     Long equipmentId;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;
     @ApiModelProperty(value = "创建人" )
     String createUser;
     @ApiModelProperty(value = "创建人工号" )
     Integer createId;
     @ApiModelProperty(value = "修改人时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateTime;
     @ApiModelProperty(value = "修改人" )
     String updateUser;
     @ApiModelProperty(value = "修改人工号" )
     Integer updateId;
}