package com.sw.mes.yb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "辅料属性dto")
public class AccessoryMaterialDto {

    private Long id;
    @ApiModelProperty(value = "物料主数据id")
    Integer materialModelId;
    @ApiModelProperty(value = "物料名称")
    private String materialModelName;
    @ApiModelProperty(value = "料号")
    private String codes;
    @ApiModelProperty(value = "规格")
    private String specification;
    @ApiModelProperty(value = "尺寸")
    private String dimensions;
    @ApiModelProperty(value = "权重值")
    private String weightValue;
    @ApiModelProperty(value = "单位ID")
    private Integer unitId;
    @ApiModelProperty(value = "单位编码")
    private String unitCode;
    @ApiModelProperty(value = "单位名称")
    private String unitName;
    @ApiModelProperty(value = "供应商")
    private String supplier;
    @ApiModelProperty(value = "物料类型id", required = true)
    Integer modelId;
    @ApiModelProperty(value = "物料类型名称")
    String modelName;
    @ApiModelProperty(value = "设备id", required = true)
    Long deviceId;
    @ApiModelProperty(value = "设备名称")
    String deviceName;
    @ApiModelProperty(value = "额定寿命", required = true)
    private Double useLife;
    @ApiModelProperty(value = "是否预警", required = true)
    private Boolean warning;
    @ApiModelProperty(value = "提前预警量")
    private String earlyWarningQuantity;
    @ApiModelProperty(value = "预警时间")
    private Double warnTime;
    @ApiModelProperty(value = "创建人")
    private String createUser;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;
    @ApiModelProperty(value = "寿命单位", required = true)
    private String unitOfLife;
    @ApiModelProperty(value = "备注")
    private String remarks;
    @ApiModelProperty(value = "辅料类型字典名称")
    private String accessoryTypeName;
    @ApiModelProperty(value = "辅料类型字典值")
    private String accessoryTypeValue;
    @ApiModelProperty(value = "热场名称")
    private String name;
    @ApiModelProperty(value = "单价")
    private BigDecimal unitPrice;
}
