package com.sw.mes.yb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "热场更换记录dto")
public class AccessoryOrderDto {

    private Long id;

    @ApiModelProperty(value = "设备名称")
    private String equipmentCode;

    @ApiModelProperty(value = "更换前-热场编码")
    private String orgGoodsCode;
    @ApiModelProperty(value = "更换前-热场模型id" , required = true)
    Long orgId;
    @ApiModelProperty(value = "更换前-热场额定寿命")
    Double orgUseLife;
    @ApiModelProperty(value = "更换前-热场模型名称")
    String orgName;
    @ApiModelProperty(value = "更换前-热场模型编码")
    String orgCodes;
    @ApiModelProperty(value = "更换前-热场模型规格")
    String orgNorms;
    @ApiModelProperty(value = "更换前-厂家" )
    private String orgFactory;

    @ApiModelProperty(value = "更换前-单位编码" )
    private String orgUnitCode;
    @ApiModelProperty(value = "更换前-单位名称" )
    private String orgUnitName;

    @ApiModelProperty(value = "更换前-单价" )
    private BigDecimal orgUnitPrice;

    @ApiModelProperty(value = "更换前-耗损率" )
    private BigDecimal orgAttritionRate;;

    @ApiModelProperty(value = "更换后-热场编号")
    private String targetGoodsCode;
    @ApiModelProperty(value = "更换后-热场模型id" , required = true)
    Long targetId;
    @ApiModelProperty(value = "更换后-热场额定寿命")
    Double targetUseLife;
    @ApiModelProperty(value = "更换后-热场模型名称")
    String targetName;
    @ApiModelProperty(value = "更换后-热场模型编码")
    String targetCodes;
    @ApiModelProperty(value = "更换后-热场模型规格")
    String targetNorms;
    @ApiModelProperty(value = "更换后-厂家" )
    private String targetFactory;

    @ApiModelProperty(value = "更换后-单位编码" )
    private String targetUnitCode;
    @ApiModelProperty(value = "更换后-单位名称" )
    private String targetUnitName;

    @ApiModelProperty(value = "已使用时间" , required = true)
    private Double useTime;
    @ApiModelProperty(value = "更换后-使用时间" , required = true)
    private Double targetUseTime;

    @ApiModelProperty(value = "更换人")
    private String createUser;
    @ApiModelProperty(value = "更换时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

    @ApiModelProperty(value = "更换原因")
    private String remark;

    @ApiModelProperty(value = "申请时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date applyDate;

    @ApiModelProperty(value = "申请人")
    String applyUser;

    @ApiModelProperty(value = "更换数量" )
    private Integer changeCount;

    @ApiModelProperty(value = "库位" )
    String locationName;

    @ApiModelProperty(value = "损坏责任人" )
    String brokeUser;

    @ApiModelProperty(value = "班次" )
    String userClassNo;

    @ApiModelProperty(value = "班组" )
    String userTeamGroup;

    @ApiModelProperty(value = "更换前批次号" )
    private String orgBatchNo;

    @ApiModelProperty(value = "更换后批次号" )
    private String targetBatchNo;

    @ApiModelProperty(value = "更换前刻码" )
    private String orgEngraving;

    @ApiModelProperty(value = "更换前碳毡" )
    private String orgCarbonFelt;

    @ApiModelProperty(value = "更换后刻码" )
    private String targetEngraving;

    @ApiModelProperty(value = "更换后碳毡" )
    private String targetCarbonFelt;
}
