package com.sw.mes.yb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.persistence.Column;
import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "辅料退库记录Dto")
public class AccessoryReturnDto extends SpareDto {

    private Integer id;
     @ApiModelProperty(value = "辅料信息id" )
     Integer materialId;
     @ApiModelProperty(value = "设备id" )
     Integer equipmentId;
     @ApiModelProperty(value = "申请人" )
     String applyuser;
     @ApiModelProperty(value = "申请时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date applydate;
     @ApiModelProperty(value = "状态更新时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date statedate;
     @ApiModelProperty(value = "状态" )
     String state;
     @ApiModelProperty(value = "热场条码（唯一）" )
     String goodscode;
     @ApiModelProperty(value = "数量")
     Integer num;
     @ApiModelProperty(value = "退库原因")
     String reason;

    @ApiModelProperty(value = "退料单号")
    String orderNum;

    @ApiModelProperty(value = "热场监控id")
    Integer equipmentAccessoryId;

    @ApiModelProperty(value = "设备编号")
    String equipmentAccessoryDeviceNo;

    @ApiModelProperty(value = "料号")
    String materialCodes;

    @ApiModelProperty(value = "物料名称")
    String materialName;

    @ApiModelProperty(value = "更换前-单价" )
    BigDecimal materialUnitPrice;

    @ApiModelProperty(value = "单位")
    String equipmentAccessoryUnitName;

    @ApiModelProperty(value = "批次号")
    String equipmentAccessoryAccessoryMaterialOutBatchNum;

    @ApiModelProperty(value = "供应商")
    String equipmentAccessoryFactory;

    @ApiModelProperty(value = "已使用寿命")
    Double equipmentAccessoryUseTime;

    @ApiModelProperty(value = "申请人工号")
    String applyWorkNo;

    @ApiModelProperty(value = "批次号")
    String batchNo;

    @ApiModelProperty(value = "刻码")
    String engraving;

    @ApiModelProperty(value = "碳毡")
    String carbonFelt;

}