package com.sw.mes.yb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "辅料状态dto")
public class EquipmentAccessoryDto {

    private Long id;

//    @ApiModelProperty(value = "辅料类型字典名称")
//    private String accessoryTypeName;
//    @ApiModelProperty(value = "辅料类型字典值")
//    private String accessoryTypeValue;

//    @ApiModelProperty(value = "单位编码" )
//    private String materialUnitCode;
//    @ApiModelProperty(value = "单位名称" )
//    private String materialUnitName;

    @ApiModelProperty(value = "辅料信息id" , required = true)
    Long materialId;
//    @ApiModelProperty(value = "物料模型id" , required = true)
//    Integer materialModelId;
//    @ApiModelProperty(value = "物料模型名称")
//    String materialName;
//    @ApiModelProperty(value = "物料模型编码")
//    String materialCode;
//    @ApiModelProperty(value = "物料类别名称")
//    String materialModelType;

    private AccessoryMaterialDto materialDto;

    @ApiModelProperty(value = "是否预警" , required = true)
    private Boolean warning;

    @ApiModelProperty(value = "预警时间" )
    private Double warnTime;

    @ApiModelProperty(value = "使用周期" , required = true)
    private Double useLife;

    @ApiModelProperty(value = "已使用时间" , required = true)
    private Double useTime;

    @ApiModelProperty(value = "料号")
    private String materialCodes;

    @ApiModelProperty(value = "规格")
    private String materialNorms;

    @ApiModelProperty(value = "辅料类型")
    private String materialModelName;

    @ApiModelProperty(value = "单位")
    private String unitName;

    @ApiModelProperty(value = "热场条码")
    private String goodsCode;

    @ApiModelProperty(value = "设备ID" , required = true)
    Long equipmentId;
    @ApiModelProperty(value = "设备名称")
    String equipmentCode;
    @ApiModelProperty(value = "设备区域")
    String equipmentArea;

    @ApiModelProperty(value = "更新时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date operateDate;

    @ApiModelProperty(value = "预警时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date warningDate;

    @ApiModelProperty(value = "厂家")
    String factory;

    @ApiModelProperty(value = "申请时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date applyDate;

    @ApiModelProperty(value = "申请人")
    String applyUser;

    @ApiModelProperty(value = "库位ID" , required = true)
    Integer locationId;

    @ApiModelProperty(value = "绑定状态，1已绑定，0未绑定" , required = true)
    Integer bind;

    @ApiModelProperty(value = "数量")
    Integer num;

    @ApiModelProperty("是否开启删除-更换-对调按钮")
    Integer buttonStatus = 1;

    @ApiModelProperty("单价")
    BigDecimal unitPrice;

    @ApiModelProperty("批次号")
    String batchNo;
}
