package com.sw.mes.yb.accessory.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: xushu
 * @Date: 2022/08/16/8:43
 * @Description:回收料对接wms实体
 */
@Data
public class RecycledMaterialInDto {
    @ApiModelProperty(value = "物料编码" )
    String MaterialNo;
    @ApiModelProperty(value = "生产批次" )
    String BatchNo;
    @ApiModelProperty(value = "入库数量" )
    BigDecimal InQty;
    /**
    如果出库数量OutQty=0，则本次数据是入库数据；
    如果出库数量OutQty=入库数量InQty，则本次数据是过账数据。出库数量只有以上两种情况
     */
    @ApiModelProperty(value = "出库数量" )
    BigDecimal OutQty;
    @ApiModelProperty(value = "规格型号" )
    String Specification;
    @ApiModelProperty(value = "主计量单位" )
    String Unit;
    @ApiModelProperty(value = "单据号" )
    String PlanNo;
    @ApiModelProperty(value = "回收料分类，1表示循环料、2表示不可回收料、3表示回收料" )
    String MaterialClassID;
    @ApiModelProperty(value = "产品等级，A,B,C,D…" )
    String LevelID;
    @ApiModelProperty(value = "操作人" )
    String Operator;
    @ApiModelProperty(value = "操作时间" )
    String OperateDT;
    @ApiModelProperty(value = "备注" )
    String Remark;

}
