package com.sw.mes.yb.agv.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sw.mes.yb.production.dto.LongCrystalFurnceTypeConverter;
import com.sw.mes.yb.production.dto.LongCrystalStatusConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wanghao
 * @version 1.0
 * @date 2024/4/3 9:47
 */
@Data
@ApiModel(value = "自动取晶任务物料信息")
public class CrystalDetailInfo {

    @ApiModelProperty(value = "晶棒SN")
    String crystalNo;
    @ApiModelProperty(value = "批次号")
    String batchNo;
    @ApiModelProperty(value = "设备号")
    String equipmentCode;
    @ApiModelProperty(value = "炉次号")
    String lotNo;
    @ApiModelProperty(value = "所属系列")
    String series;
    @ApiModelProperty(value = "所属模块")
    String area;
    @ApiModelProperty(value = "收尾方式")
    String windUp;
    @ApiModelProperty(value = "复投次数")
    Integer againNum;
    @ApiModelProperty(value = "炉数")
    Integer lotTimes;
    @ApiModelProperty(value = "单晶颗数")
    Integer crystalNum;
    @ApiModelProperty(value = "重量")
    BigDecimal weight;
    @ApiModelProperty(value = "晶体长度")
    BigDecimal length;
    @ApiModelProperty(value = "炉台类型【0:默认；0-常规;1-常规;2-研发;】")
    Integer furnaceType;
    @ApiModelProperty(value = "料号")
    String productCode;
    @ApiModelProperty(value = "料号名称")
    String productName;
    @ApiModelProperty(value = "产品等级")
    String productGrade;
    @ApiModelProperty(value = "投料量")
    Integer feedingCount;
    @ApiModelProperty(value = "单晶订单编号")
    String orderNo;
    @ApiModelProperty(value = "产出确认订单编号")
    String advanceOrder;
    @ApiModelProperty(value = "订单类型")
    String orderType;
    @ApiModelProperty(value = "规格")
    String specs;
    @ApiModelProperty(value = "掺杂剂")
    String dopant;
    @ApiModelProperty(value = "产品简称")
    String simpleName;
    @ApiModelProperty(value = "型号")
    String conductiveType;
    @ApiModelProperty(value = "产品类别")
    String productType;
    @ApiModelProperty(value = "单晶产出异常一级")
    String crystalErrorLevelOne;
    @ApiModelProperty(value = "单晶产出异常2")
    String crystalErrorLevelTwo;
    @ApiModelProperty(value = "产出时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gmtCreate;
    @ApiModelProperty(value = "直径最大值")
    BigDecimal maxDiam;
    @ApiModelProperty(value = "直径最小值")
    BigDecimal minDiam;
    @ApiModelProperty(value = "完结标识")
    String closureIdentification;
    @ApiModelProperty(value = "棒次时间")
    BigDecimal rodProductionTime;
    @ApiModelProperty(value = "产品类型")
    String productCategory;
    @ApiModelProperty(value = "车间")
    String workShop;
    @ApiModelProperty(value = "基地")
    String baseMark;

}
