/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.agv.entity;

import java.util.Date;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="agv_dispatch_deploy_record")
@DynamicUpdate
@DynamicInsert
public class AgvDispatchDeployRecord{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 请求地址
	 */
    @Column(length=500)
    private String url;
    
	/**
	 * 关键字（用于查找avg配置信息）
	 */
    @Column(length=50)
    private String keyword;
    
	/**
	 * 接口数据JSON格式
	 */
    @Column(length=0)
    private String interfaceData;
    
	/**
	 * 返回结果
	 */
    @Column(length=255)
    private String results;
    
	/**
	 * 调用时间
	 */
    @Column(nullable=false, length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date callTime;
    
	/**
	 * 用时（单位:ms）
	 */
    @Column(length=10)
    private Integer useTime;
    
	/**
	 * 调用人员
	 */
    @Column(length=50)
    private String dispatchUser;
    
	/**
	 * 记录当前任务自动重发第几次
	 */
    @Column(length=10)
    private Integer autoResend;
    
	/**
	 * 对应记录ID
	 */
    @Column(length=20)
    private Long recordId;
    
	/**
	 * 是否调用成功【1：是，默认；0：否；】
	 */
    @Column(length=3)
    private Integer isSuccess;
    
    
    /**
	 * 接口类型(AGV任务派发/取消AGV任务)
	 */
    @Column(length=80)
    private String type;
    
    /**
	 * 回调接口地址(格式: http://ip:port/url)
	 */
    @Column(length=80)
    private String callbackMsg;
    
    
    /**
	 * 请求编号(取消AGV任务专用)
	 */
    @Column(length=80)
    private String reqCode;
    
    /**
	 * 任务编号(取消AGV任务专用)
	 */
    @Column(length=80)
    private String taskCode;
    
	/**
	 * agv_dispatch_deploy.id主键
	 */
    @Column(length=20)
    private Long dispatchDeployId;
    
	/**
	 * 自动生成时间，不需要记录,用于分区
	 */
    @Column(nullable=false, length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date gmtTime;
    

	public AgvDispatchDeployRecord() {
	}

	public AgvDispatchDeployRecord(Long id) {
		this.id = id;
	}
}
