package com.sw.mes.yb.agv.service;

import com.sw.mes.yb.agv.dto.AgvCallDto;
import com.sw.mes.yb.agv.dto.AgvCancelDto;
import com.sw.mes.yb.agv.dto.AgvLockDto;
import com.sw.mes.yb.agv.exceptions.AgvCallException;

/**
* @Author 李儒
* @Description：AGV调度接口
*/
public interface AgvDispatchService {
	/**
	 * Agv任务派发（呼叫AGV）
	 * @return 返回值：第三方任务编码 （可用于取消任务 匹配回调信息）
	 */
	public String callAgv(AgvCallDto agvCall) throws AgvCallException;
	
	
	/**
	 * 取消AGV任务
	 */
	public String cancelAgv(AgvCancelDto agvCancel) throws AgvCallException;
	
	
	/**
	 * 库位锁定(int)0：解锁；1：锁定
	 */
	public String storeLock(AgvLockDto agvLock) throws AgvCallException;
	
	
}
