package com.sw.mes.yb.alloy.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "母合金Dto")
public class AlloyMasterAlloyDto {

    private Integer id;
    @ApiModelProperty(value = "工号")
    String workNumber;
    @ApiModelProperty(value = "姓名")
    String userName;
    @ApiModelProperty(value = "炉台号")
    String furnaceCode;
    @ApiModelProperty("炉次号")
    String lotNo;
    @ApiModelProperty(value = "加次")
    String addTime;
    @ApiModelProperty(value = "是否完结（0是1否）")
    Integer isEnd;
    @ApiModelProperty(value = "报料信息")
    String informationMessage;
    @ApiModelProperty(value = "工单号")
    String workOrderNumber;
    @ApiModelProperty(value = "热场尺寸")
    String heatDimension;
    @ApiModelProperty(value = "报料主产品")
    String informationMainProduct;
    @ApiModelProperty(value = "上一棒重量")
    BigDecimal upBarWeight;
    @ApiModelProperty(value = "留锅量")
    BigDecimal remainingPotCapacity;
    @ApiModelProperty(value = "上一棒电阻")
    BigDecimal upBarResistance;
    @ApiModelProperty(value = "多晶硅电阻")
    BigDecimal polysiliconResistance;
    @ApiModelProperty(value = "多晶硅重量")
    BigDecimal polysiliconWeight;
    @ApiModelProperty(value = "配方信息")
    String recipeInformation;
    @ApiModelProperty(value = "循环料1电阻")
    BigDecimal recycledMaterialOneResistance;
    @ApiModelProperty(value = "循环料1重量")
    BigDecimal recycledMaterialOneWeight;
    @ApiModelProperty(value = "循环料2电阻")
    BigDecimal recycledMaterialTwoResistance;
    @ApiModelProperty(value = "循环料2重量")
    BigDecimal recycledMaterialTwoWeight;
    @ApiModelProperty(value = "循环料3电阻")
    BigDecimal recycledMaterialThreeResistance;
    @ApiModelProperty(value = "循环料3重量")
    BigDecimal recycledMaterialThreeWeight;
    @ApiModelProperty(value = "循环料4电阻")
    BigDecimal recycledMaterialFourResistance;
    @ApiModelProperty(value = "循环料4重量")
    BigDecimal recycledMaterialFourWeight;
    @ApiModelProperty(value = "循环料5电阻")
    BigDecimal recycledMaterialFiveResistance;
    @ApiModelProperty(value = "循环料5重量")
    BigDecimal recycledMaterialFiveWeight;
    @ApiModelProperty(value = "循环料6电阻")
    BigDecimal recycledMaterialSixResistance;
    @ApiModelProperty(value = "循环料6重量")
    BigDecimal recycledMaterialSixWeight;
    @ApiModelProperty(value = "循环料7电阻")
    BigDecimal recycledMaterialSevenResistance;
    @ApiModelProperty(value = "循环料7重量")
    BigDecimal recycledMaterialSevenWeight;
    @ApiModelProperty(value = "本棒电阻")
    BigDecimal resistanceOfThisRod;
    @ApiModelProperty(value = "母合金档位")
    BigDecimal motherAlloyGear;
    @ApiModelProperty(value = "母合金重量")
    BigDecimal motherAlloyWeight;
    @ApiModelProperty(value = "是否修正(0是1否)")
    private Integer isCorrecting;
    @ApiModelProperty("创建人")
    private String createUser;
    @ApiModelProperty("创建时间")
    private Date createDate;
    @ApiModelProperty(value = "修正记录")
    private List<CorrectingRecordDto> correctingRecordDtoList;
    @ApiModelProperty("检验列表")
    private List<InspectionListDto> inspectionListDtoList;
    @ApiModelProperty("产品料号")
    private String productCode;
    @ApiModelProperty("产品简称")
    private String productShortName;
    @ApiModelProperty("配方方案名称")
    private String recipeName;
    @ApiModelProperty("配方方案版本")
    private Integer recipeVersion;
    @ApiModelProperty("重量方案名称")
    private String weightSchemeName;
    @ApiModelProperty("重量方案版本")
    private Integer weightSchemeVersion;
    @ApiModelProperty("加料重量")
    private BigDecimal feedInWeight;
    @ApiModelProperty("设备号")
    private String equipmentCode;
    @ApiModelProperty("母合金实测值")
    private BigDecimal measuredValue;
}