package com.sw.mes.yb.alloy.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author lf
 * @description 母合金导出dto
 * @date 2024/3/14 10:40
 */
@Data
public class AlloyMasterAlloyExportDto {

    @ApiModelProperty(value = "工单号")
    @ExcelProperty(value = "工单号")
    String workOrderNumber;
    @ApiModelProperty("产品料号")
    @ExcelProperty(value = "产品料号")
    private String productCode;
    @ApiModelProperty("产品简称")
    @ExcelProperty(value = "产品简称")
    private String productShortName;
    @ApiModelProperty("配方方案名称")
    @ExcelProperty(value = "配方方案名称")
    private String recipeName;
    @ApiModelProperty("配方方案版本")
    @ExcelProperty(value = "配方方案版本")
    private Integer recipeVersion;
    @ApiModelProperty("重量方案名称")
    @ExcelProperty(value = "重量方案名称")
    private String weightSchemeName;
    @ApiModelProperty("重量方案版本")
    @ExcelProperty(value = "重量方案版本")
    private Integer weightSchemeVersion;
    @ApiModelProperty("加料重量")
    @ExcelProperty(value = "加料重量")
    private BigDecimal feedInWeight;
    @ApiModelProperty("实测重量")
    @ExcelProperty(value = "实测重量")
    private BigDecimal measuredValue;
    @ApiModelProperty(value = "合金重量")
    @ExcelProperty(value = "合金重量")
    BigDecimal motherAlloyWeight;
    @ApiModelProperty(value = "合金档位")
    @ExcelProperty(value = "合金档位")
    BigDecimal motherAlloyGear;
    @ApiModelProperty("设备号")
    @ExcelProperty(value = "设备号")
    private String equipmentCode;
    @ApiModelProperty(value = "炉台号")
    @ExcelProperty(value = "炉台号")
    String furnaceCode;
    @ApiModelProperty("炉次号")
    @ExcelProperty(value = "炉次号")
    String lotNo;
    @ApiModelProperty(value = "任务类型")
    @ExcelProperty(value = "任务类型")
    String addTime;
    @ApiModelProperty(value = "留锅量")
    @ExcelProperty(value = "留锅量")
    BigDecimal remainingPotCapacity;
    @ApiModelProperty(value = "上一棒电阻")
    @ExcelProperty(value = "上一棒电阻")
    BigDecimal upBarResistance;
    @ApiModelProperty(value = "本棒电阻")
    @ExcelProperty(value = "本棒电阻")
    BigDecimal resistanceOfThisRod;
    @ApiModelProperty(value = "是否修正(0是1否)")
    @ExcelProperty(value = "是否修正")
    private String isCorrecting;
    @ApiModelProperty("确认人")
    @ExcelProperty(value = "确认人")
    private String createUser;
    @ApiModelProperty("确认时间")
    @ExcelProperty(value = "确认时间")
    private Date createDate;

//    @ApiModelProperty(value = "工号")
//    @ExcelProperty(value = "工号")
//    String workNumber;
//    @ApiModelProperty(value = "姓名")
//    @ExcelProperty(value = "姓名")
//    String userName;
//    @ApiModelProperty(value = "是否完结（0是1否）")
//    @ExcelProperty(value = "是否完结")
//    String isEnd;
//    @ApiModelProperty(value = "报料信息")
//    @ExcelProperty(value = "报料信息")
//    String informationMessage;
//    @ApiModelProperty(value = "热场尺寸")
//    @ExcelProperty(value = "热场尺寸")
//    String heatDimension;
//    @ApiModelProperty(value = "报料主产品")
//    @ExcelProperty(value = "报料主产品")
//    String informationMainProduct;
//    @ApiModelProperty(value = "上一棒重量")
//    @ExcelProperty(value = "上一棒重量")
//    BigDecimal upBarWeight;
//    @ApiModelProperty(value = "多晶硅电阻")
//    @ExcelProperty(value = "多晶硅电阻")
//    BigDecimal polysiliconResistance;
//    @ApiModelProperty(value = "多晶硅重量")
//    @ExcelProperty(value = "多晶硅重量")
//    BigDecimal polysiliconWeight;
//    @ApiModelProperty(value = "配方信息")
//    @ExcelProperty(value = "配方信息")
//    String recipeInformation;
//    @ApiModelProperty(value = "循环料1电阻")
//    @ExcelProperty(value = "循环料1电阻")
//    BigDecimal recycledMaterialOneResistance;
//    @ApiModelProperty(value = "循环料1重量")
//    @ExcelProperty(value = "循环料1重量")
//    BigDecimal recycledMaterialOneWeight;
//    @ApiModelProperty(value = "循环料2电阻")
//    @ExcelProperty(value = "循环料2电阻")
//    BigDecimal recycledMaterialTwoResistance;
//    @ApiModelProperty(value = "循环料2重量")
//    @ExcelProperty(value = "循环料2重量")
//    BigDecimal recycledMaterialTwoWeight;
//    @ApiModelProperty(value = "循环料3电阻")
//    @ExcelProperty(value = "循环料3电阻")
//    BigDecimal recycledMaterialThreeResistance;
//    @ApiModelProperty(value = "循环料3重量")
//    @ExcelProperty(value = "循环料3重量")
//    BigDecimal recycledMaterialThreeWeight;
//    @ApiModelProperty(value = "循环料4电阻")
//    @ExcelProperty(value = "循环料4电阻")
//    BigDecimal recycledMaterialFourResistance;
//    @ApiModelProperty(value = "循环料4重量")
//    @ExcelProperty(value = "循环料4重量")
//    BigDecimal recycledMaterialFourWeight;
//    @ApiModelProperty(value = "循环料5电阻")
//    @ExcelProperty(value = "循环料5电阻")
//    BigDecimal recycledMaterialFiveResistance;
//    @ApiModelProperty(value = "循环料5重量")
//    @ExcelProperty(value = "循环料5重量")
//    BigDecimal recycledMaterialFiveWeight;
//    @ApiModelProperty(value = "循环料6电阻")
//    @ExcelProperty(value = "循环料6电阻")
//    BigDecimal recycledMaterialSixResistance;
//    @ApiModelProperty(value = "循环料6重量")
//    @ExcelProperty(value = "循环料6重量")
//    BigDecimal recycledMaterialSixWeight;
//    @ApiModelProperty(value = "循环料7电阻")
//    @ExcelProperty(value = "循环料7电阻")
//    BigDecimal recycledMaterialSevenResistance;
//    @ApiModelProperty(value = "循环料7重量")
//    @ExcelProperty(value = "循环料7重量")
//    BigDecimal recycledMaterialSevenWeight;
}
