/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.alloy.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="alloy_master_alloy")
@DynamicUpdate
@DynamicInsert
public class AlloyMasterAlloy{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

	/**
	 * 工号
	 */
    @Column(length=50)
    private String workNumber;

	/**
	 * 姓名
	 */
    @Column(length=50)
    private String userName;

	/**
	 * 炉台号
	 */
    @Column(length=50)
    private String furnaceCode;
	/**
	 * 炉次号
	 */
	@Column
	private String lotNo;
	/**
	 * 加次
	 */
    @Column(length=20)
    private String addTime;

	/**
	 * 是否完结（0是1否）
	 */
    @Column(length=10)
    private Integer isEnd;

	/**
	 * 报料信息
	 */
    @Column(length=50)
    private String informationMessage;

	/**
	 * 工单号
	 */
    @Column(length=50)
    private String workOrderNumber;

	/**
	 * 热场尺寸
	 */
    @Column(length=20)
    private String heatDimension;

	/**
	 * 报料主产品
	 */
    @Column(length=50)
    private String informationMainProduct;

	/**
	 * 上一棒重量
	 */
    @Column(length=20)
    private BigDecimal upBarWeight;

	/**
	 * 留锅量
	 */
    @Column(length=20)
    private BigDecimal remainingPotCapacity;

	/**
	 * 上一棒电阻
	 */
    @Column(length=20)
    private BigDecimal upBarResistance;

	/**
	 * 多晶硅电阻
	 */
    @Column(length=20)
    private BigDecimal polysiliconResistance;

	/**
	 * 多晶硅重量
	 */
    @Column(length=20)
    private BigDecimal polysiliconWeight;

	/**
	 * 配方信息
	 */
    @Column(length=50)
    private String recipeInformation;

	/**
	 * 循环料1电阻
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialOneResistance;

	/**
	 * 循环料1重量
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialOneWeight;

	/**
	 * 循环料2电阻
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialTwoResistance;

	/**
	 * 循环料2重量
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialTwoWeight;

	/**
	 * 循环料3电阻
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialThreeResistance;

	/**
	 * 循环料3重量
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialThreeWeight;

	/**
	 * 循环料4电阻
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialFourResistance;

	/**
	 * 循环料4重量
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialFourWeight;

	/**
	 * 循环料5电阻
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialFiveResistance;

	/**
	 * 循环料5重量
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialFiveWeight;

	/**
	 * 循环料6电阻
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialSixResistance;

	/**
	 * 循环料6重量
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialSixWeight;

	/**
	 * 循环料7电阻
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialSevenResistance;

	/**
	 * 循环料7重量
	 */
    @Column(length=20)
    private BigDecimal recycledMaterialSevenWeight;

	/**
	 * 本棒电阻
	 */
    @Column(length=20)
    private BigDecimal resistanceOfThisRod;

	/**
	 * 母合金档位
	 */
    @Column(length=20)
    private BigDecimal motherAlloyGear;

	/**
	 * 母合金重量
	 */
    @Column(length=20)
    private BigDecimal motherAlloyWeight;

	/**
	 * 是否修正
	 */
	@Column
	private Integer isCorrecting;
	/**
	 * 创建人
	 */
	@Column
	private String createUser;
	/**
	 * 创建时间
	 */
	@Column
	@Temporal(TemporalType.TIMESTAMP)
	private Date createDate;
	/**
	 * 产品料号
	 */
	@Column
	private String productCode;
	/**
	 * 产品简称
	 */
	@Column
	private String productShortName;
	/**
	 * 配方名称
	 */
	@Column
	private String recipeName;
	/**
	 * 配方方案版本
	 */
	@Column
	private Integer recipeVersion;
	/**
	 * 重量方案名称
	 */
	@Column
	private String weightSchemeName;
	/**
	 * 重量方案版本
	 */
	private Integer weightSchemeVersion;
	/**
	 * 加料重量
	 */
	@Column
	private BigDecimal feedInWeight;
	/**
	 * 设备号
	 */
	@Column
	private String equipmentCode;

	/**
	 * 母合金实测值
	 */
	@Column
	private BigDecimal measuredValue;

	public AlloyMasterAlloy() {
	}

	public AlloyMasterAlloy(Integer id) {
		this.id = id;
	}
}
