package com.sw.mes.yb.alloy.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
 * @author lf
 * @description 母合金加料确认
 * @date 2024/3/5 9:48
 */
@Data
@Entity
@Table(name="alloy_feeding_confirmation")
@DynamicUpdate
@DynamicInsert
public class FeedingConfirmation {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    /**
     * 炉台号
     */
    @Column(length=50)
    private String furnaceCode;
    /**
     * 炉次号
     */
    @Column
    private String lotNo;
    /**
     * 加次
     */
    @Column(length=20)
    private String addTime;
    /**
     * 母合金单号
     */
    @ApiModelProperty("母合金单号")
    private String motherAlloyCode;
    /**
     * 创建人
     */
    @Column
    private String createUser;
    /**
     * 创建时间
     */
    @Column
    @Temporal(TemporalType.TIMESTAMP)
    private Date createDate;
}
