/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.alloy.entity;

import java.math.BigDecimal;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="alloy_fix_logic_his_log")
@DynamicUpdate
@DynamicInsert
public class FixLogicHisLog{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/**
	 * 修正逻辑id
	 */
    @Column(length=10)
    private Integer fixLogicId;
	/**
	 * 热场
	 */
    @Column(length=20)
    private String heatField;
    
	/**
	 * 物料简称
	 */
    @Column(length=50)
    private String materialShortName;
    
	/**
	 * 加次
	 */
    @Column(length=20)
    private String addTime;
    
	/**
	 * 修正上限
	 */
    @Column(length=20)
    private BigDecimal fixUpperLimit;
    
	/**
	 * 修正下限
	 */
    @Column(length=20)
    private BigDecimal fixLowerLimit;
    
	/**
	 * 修正上限常数
	 */
    @Column(length=20)
    private BigDecimal fixUpperLimitConstant;
    
	/**
	 * 修正下限常数
	 */
    @Column(length=20)
    private BigDecimal fixLowerLimitConstant;
    
	/**
	 * 上限梯度
	 */
    @Column(length=20)
    private BigDecimal upperLimitGradient;
    
	/**
	 * 下限梯度
	 */
    @Column(length=20)
    private BigDecimal lowerLimitGradient;
    

	public FixLogicHisLog() {
	}

	public FixLogicHisLog(Integer id) {
		this.id = id;
	}
}
