package com.sw.mes.yb.alloy.entity;

import java.math.BigDecimal;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="alloy_inspection_list")
@DynamicUpdate
@DynamicInsert
public class InspectionList{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/**
	 * 母合金id
	 */
    @Column(length=10)
    private Integer alloyMasterAlloyId;
    
	/**
	 * 晶编号
	 */
    @Column(length=20)
    private String crystalNumber;
    
	/**
	 * 加次
	 */
    @Column(length=20)
    private String addTime;
    
	/**
	 * 头部电阻率
	 */
    @Column(length=20)
    private BigDecimal headResistivity;
    
	/**
	 * 尾部电阻率
	 */
    @Column(length=20)
    private BigDecimal tailResistivity;
    
	/**
	 * 头部寿命
	 */
    @Column(length=20)
    private BigDecimal headLifeSpan;
    
	/**
	 * 尾部寿命
	 */
    @Column(length=20)
    private BigDecimal tailLifeSpan;
    

	public InspectionList() {
	}

	public InspectionList(Integer id) {
		this.id = id;
	}
}
