package com.sw.mes.yb.alloy.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.alloy.dto.RawMaterialLevelImportDto;
import com.sw.mes.yb.alloy.entity.RawMaterialLevel;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface RawMaterialLevelService extends BaseService<RawMaterialLevel> {
    void importRawMaterialLevel(List<RawMaterialLevelImportDto> rawMaterialLevelDtoList);

    RawMaterialLevel findByMaterialCode(String code);

    /**
     * 通过物料号和电阻档位查询电阻值
     * @param code 物料号
     * @param materialGear 电阻档位
     * @return 原料档位信息
     */

    RawMaterialLevel findByMaterialCodeAndResistanceGear(String code, String materialGear);

    /**
     * 通过物料号和电阻档位和id查询原料档位
     * @param materialCode 物料号
     * @param resistanceGear 电阻档位
     * @param id id
     * @return 原料档位信息
     */
    RawMaterialLevel findByMaterialCodeAndResistanceGearAndIdNot(String materialCode, String resistanceGear, Integer id);
}
