package com.sw.mes.yb.check.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sw.mes.core.entity.EasyExcelOneAndZeroConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "籽晶检验记录Dto")
public class CrystallonDataDto {

    private Integer id;
    @ApiModelProperty(value = "站点")
    @ExcelProperty(value = "站点")
    String wipStorageCode;
    @ApiModelProperty(value = "单晶编号")
    @ExcelProperty(value = "单晶编号")
    String crystalNo;
    @ApiModelProperty(value = "单晶长度")
    @ExcelProperty(value = "单晶长度")
    BigDecimal length;
    @ApiModelProperty(value = "籽晶编号")
    @ExcelProperty(value = "籽晶编号")
    String crystallonNo;
    @ApiModelProperty(value = "籽晶机台号")
    @ExcelProperty(value = "籽晶机台号")
    String deviceNo;
    @ApiModelProperty(value = "序号")
    @ExcelProperty(value = "序号")
    Integer segmentNo;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(value = "创建时间")
    Date createTime;
    @ApiModelProperty(value = "产品类别")
    @ExcelProperty(value = "产品类别")
    String productType;
    @ApiModelProperty(value = "规格")
    @ExcelProperty(value = "规格")
    String spec;
    @ApiModelProperty(value = "加工长度")
    @ExcelProperty(value = "加工长度")
    BigDecimal crystallonLength;
    @ApiModelProperty(value = "是否合格，1：合格，0：不合格")
    @ExcelProperty(value = "是否合格", converter = EasyExcelOneAndZeroConverter.class)
    Boolean passOrFail;
    @ApiModelProperty(value = "机加ERP工单号")
    @ExcelProperty(value = "机加ERP工单号")
    String erpNo;
    @ApiModelProperty(value = "产品编号")
    @ExcelProperty(value = "产品编号")
    String materialCode;
    @ApiModelProperty(value = "产品名称")
    @ExcelProperty(value = "产品名称")
    String productName;
    @ApiModelProperty(value = "操作人")
    @ExcelProperty(value = "操作人")
    String operator;
    @ApiModelProperty(value = "班次")
    @ExcelProperty(value = "班次")
    String classNo;
    @ApiModelProperty(value = "班组")
    @ExcelProperty(value = "班组")
    String className;
    @ApiModelProperty(value = "规格型号")
    @ExcelProperty(value = "规格型号")
    String specifications;
    @ApiModelProperty(value = "大头直径")
    @ExcelProperty(value = "大头直径")
    BigDecimal diameterMax;
    @ApiModelProperty(value = "小头直径")
    @ExcelProperty(value = "小头直径")
    BigDecimal diameterMin;
    @ApiModelProperty(value = "尖头长度")
    @ExcelProperty(value = "尖头长度")
    BigDecimal cuspLength;
    @ApiModelProperty(value = "晶向")
    @ExcelProperty(value = "晶向")
    String crystalOrientation;
    @ApiModelProperty(value = "锥度")
    @ExcelProperty(value = "锥度")
    String taper;
    @ApiModelProperty(value = "外观")
    @ExcelProperty(value = "外观")
    String appearance;
    @ApiModelProperty(value = "抽检日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(value = "抽检日期")
    Date checkTime;
    @ApiModelProperty(value = "抽检结果")
    @ExcelProperty(value = "抽检结果")
    String checkResult;
    @ApiModelProperty(value = "清洗工单")
    @ExcelProperty(value = "清洗工单")
    String rinseOrder;
    @ApiModelProperty(value = "修改时间-检验时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(value = "修改时间-检验时间")
    Date updateTime;
}