package com.sw.mes.yb.check.entity;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 晶段检验
 */
@Entity
@Table(name = "zhxx_operate_crystal_check")
@DynamicUpdate
@DynamicInsert
public class CrystalCheck {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 晶段编号
     */
    @Column(length = 100)
    private String crystalSectionNo;

    /**
     * 单晶编号
     */
    @Column(length = 100)
    private String motherCrystalNo;

    /**
     * 晶段长度
     */
    @Column(length = 18)
    private BigDecimal length;

    /**
     * 晶段重量
     */
    @Column(length = 18)
    private BigDecimal weight;

    /**
     * PN检测
     */
    @Column(length = 10)
    private String pnCheck;

    /**
     * 斜度
     */
    @Column(length = 100)
    private String slope;

    /**
     * 中心点头
     */
    @Column(length = 18)
    private BigDecimal centerHead;

    /**
     * 边缘点头1
     */
    @Column(length = 18)
    private BigDecimal borderHead1;

    /**
     * 边缘点头2
     */
    @Column(length = 18)
    private BigDecimal borderHead2;

    /**
     * 边缘点头3
     */
    @Column(length = 18)
    private BigDecimal borderHead3;

    /**
     * 边缘点头4
     */
    @Column(length = 18)
    private BigDecimal borderHead4;

    /**
     * 中心点尾
     */
    @Column(length = 18)
    private BigDecimal centerTail;

    /**
     * 边缘点尾1
     */
    @Column(length = 18)
    private BigDecimal borderTail1;

    /**
     * 边缘点尾2
     */
    @Column(length = 18)
    private BigDecimal borderTail2;

    /**
     * 边缘点尾3
     */
    @Column(length = 18)
    private BigDecimal borderTail3;

    /**
     * 边缘点尾4
     */
    @Column(length = 18)
    private BigDecimal borderTail4;

    /**
     * 最大直径
     */
    @Column(length = 18)
    private BigDecimal diameterMax;

    /**
     * 最小直径
     */
    @Column(length = 18)
    private BigDecimal diameterMin;

    /**
     * 细总长
     */
    @Column(length = 18)
    private BigDecimal diameterLength;

    /**
     * 细减总长
     */
    @Column(length = 18)
    private BigDecimal diameterReduceLength;

    /**
     * 检验人
     */
    @Column(length = 11)
    private Long userId;

    /**
     * 检验人姓名
     */
    @Column(length = 50)
    private String userName;

    /**
     * 检验时间
     */
    @Column(length=19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date checkTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCrystalSectionNo() {
        return crystalSectionNo;
    }

    public void setCrystalSectionNo(String crystalSectionNo) {
        this.crystalSectionNo = crystalSectionNo;
    }

    public String getMotherCrystalNo() {
        return motherCrystalNo;
    }

    public void setMotherCrystalNo(String motherCrystalNo) {
        this.motherCrystalNo = motherCrystalNo;
    }

    public BigDecimal getLength() {
        return length;
    }

    public void setLength(BigDecimal length) {
        this.length = length;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public String getPnCheck() {
        return pnCheck;
    }

    public void setPnCheck(String pnCheck) {
        this.pnCheck = pnCheck;
    }

    public String getSlope() {
        return slope;
    }

    public void setSlope(String slope) {
        this.slope = slope;
    }

    public BigDecimal getCenterHead() {
        return centerHead;
    }

    public void setCenterHead(BigDecimal centerHead) {
        this.centerHead = centerHead;
    }

    public BigDecimal getBorderHead1() {
        return borderHead1;
    }

    public void setBorderHead1(BigDecimal borderHead1) {
        this.borderHead1 = borderHead1;
    }

    public BigDecimal getBorderHead2() {
        return borderHead2;
    }

    public void setBorderHead2(BigDecimal borderHead2) {
        this.borderHead2 = borderHead2;
    }

    public BigDecimal getBorderHead3() {
        return borderHead3;
    }

    public void setBorderHead3(BigDecimal borderHead3) {
        this.borderHead3 = borderHead3;
    }

    public BigDecimal getBorderHead4() {
        return borderHead4;
    }

    public void setBorderHead4(BigDecimal borderHead4) {
        this.borderHead4 = borderHead4;
    }

    public BigDecimal getCenterTail() {
        return centerTail;
    }

    public void setCenterTail(BigDecimal centerTail) {
        this.centerTail = centerTail;
    }

    public BigDecimal getBorderTail1() {
        return borderTail1;
    }

    public void setBorderTail1(BigDecimal borderTail1) {
        this.borderTail1 = borderTail1;
    }

    public BigDecimal getBorderTail2() {
        return borderTail2;
    }

    public void setBorderTail2(BigDecimal borderTail2) {
        this.borderTail2 = borderTail2;
    }

    public BigDecimal getBorderTail3() {
        return borderTail3;
    }

    public void setBorderTail3(BigDecimal borderTail3) {
        this.borderTail3 = borderTail3;
    }

    public BigDecimal getBorderTail4() {
        return borderTail4;
    }

    public void setBorderTail4(BigDecimal borderTail4) {
        this.borderTail4 = borderTail4;
    }

    public BigDecimal getDiameterMax() {
        return diameterMax;
    }

    public void setDiameterMax(BigDecimal diameterMax) {
        this.diameterMax = diameterMax;
    }

    public BigDecimal getDiameterMin() {
        return diameterMin;
    }

    public void setDiameterMin(BigDecimal diameterMin) {
        this.diameterMin = diameterMin;
    }

    public BigDecimal getDiameterLength() {
        return diameterLength;
    }

    public void setDiameterLength(BigDecimal diameterLength) {
        this.diameterLength = diameterLength;
    }

    public BigDecimal getDiameterReduceLength() {
        return diameterReduceLength;
    }

    public void setDiameterReduceLength(BigDecimal diameterReduceLength) {
        this.diameterReduceLength = diameterReduceLength;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }
}
