/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.check.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name = "yb_inspect_crystallon_data")
@DynamicUpdate
@DynamicInsert
public class CrystallonData {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 站点
     */
    @Column(length = 30)
    private String wipStorageCode;

    /**
     * 单晶编号(整棒)
     */
    @Column(length = 40)
    private String crystalNo;

    /**
     * 母棒长度
     */
    @Column(length = 10)
    private BigDecimal length;

    /**
     * 籽晶编号
     */
    @Column(length = 50)
    private String crystallonNo;

    /**
     * 籽晶机台号
     */
    @Column(length = 30)
    private String deviceNo;

    /**
     * 序号
     */
    @Column(length = 10)
    private Integer segmentNo;

    /**
     * 创建时间
     */
    @Column(length = 19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date createTime;

    /**
     * 产品类别
     */
    @Column(length = 30)
    private String productType;

    /**
     * 规格
     */
    @Column(length = 30)
    private String spec;

    /**
     * 加工长度
     */
    @Column(length = 10)
    private BigDecimal crystallonLength;

    /**
     * 是否合格，1：合格，0：不合格
     */
    @Column(length = 1)
    private Boolean passOrFail;

    /**
     * 机加ERP工单号
     */
    @Column(length = 50)
    private String erpNo;

    /**
     * 产品编号
     */
    @Column(length = 50)
    private String materialCode;

    /**
     * 产品名称
     */
    @Column(length = 50)
    private String productName;

    /**
     * 操作人
     */
    @Column(length = 50)
    private String operator;

    /**
     * 班次
     */
    @Column(length = 50)
    private String classNo;

    /**
     * 班组
     */
    @Column(length = 50)
    private String className;

    /**
     * 规格型号
     */
    @Column(length = 50)
    private String specifications;

    /**
     * 大头直径
     */
    @Column(length = 10)
    private BigDecimal diameterMax;

    /**
     * 小头直径
     */
    @Column(length = 10)
    private BigDecimal diameterMin;

    /**
     * 尖头长度
     */
    @Column(length = 10)
    private BigDecimal cuspLength;

    /**
     * 晶向
     */
    @Column(length = 50)
    private String crystalOrientation;

    /**
     * 锥度
     */
    @Column(length = 50)
    private String taper;

    /**
     * 外观
     */
    @Column(length = 50)
    private String appearance;

    /**
     * 抽检日期
     */
    @Column(length = 19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date checkTime;

    /**
     * 抽检结果
     */
    @Column(length = 50)
    private String checkResult;

    /**
     * 清洗工单
     */
    @Column(length = 50)
    private String rinseOrder;

    /**
     * 修改时间-检验时间
     */
    @Column(length = 19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;


    public CrystallonData() {
    }

    public CrystallonData(Integer id) {
        this.id = id;
    }
}
