package com.sw.mes.yb.deviceCheck.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "PAD提交拆清点检DTO")
public class DeviceCheckPadDto {

    @ApiModelProperty(value = "设备编号")
    private String deviceNo;

    @ApiModelProperty(value = "设备系列")
    private String deviceSeries;

    @ApiModelProperty(value = "炉次号")
    private String lotNo;

    @ApiModelProperty(value = "大/小清")
    private String bigOrSmall;

    @ApiModelProperty(value = "拆请操作")
    private String operateUser;

    @ApiModelProperty(value = "创建时间")
    @Temporal(TemporalType.TIMESTAMP)
    private Date createTime;

    @ApiModelProperty(value = "超时原因")
    private String zerenren;

    @ApiModelProperty(value = "带班班长")
    private String banzhang;

    @ApiModelProperty(value = "拉晶人员")
    private String lajing;

    @ApiModelProperty(value = "管道操作")
    private String zuzhang;

    @ApiModelProperty(value = "工序长")
    private String gongxuzhang;

    @ApiModelProperty(value = "停炉时间")
    @Temporal(TemporalType.TIMESTAMP)
    private Date shutdownTime;

    @ApiModelProperty(value = "开始时间")
    @Temporal(TemporalType.TIMESTAMP)
    private Date startTime;

    @ApiModelProperty(value = "完成时间")
    @Temporal(TemporalType.TIMESTAMP)
    private Date operateTime;

    @ApiModelProperty(value = "点检结束时间")
    @Temporal(TemporalType.TIMESTAMP)
    private Date checkTime;

    @ApiModelProperty(value = "点检结果")
    private String results;

    @ApiModelProperty(value = "备注")
    private String remark;

    //新加的
    @ApiModelProperty(value = "超时时长")
    private BigDecimal overTime;

    @ApiModelProperty(value = "拆清开始时间")
    private Date dismantleStartTime;

    @ApiModelProperty(value = "拆清结束时间")
    private Date dismantleEndTime;

}
