package com.sw.mes.yb.deviceCheck.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "圆棒-DE下发的拆清记录Dto")
public class DeviceCleanRecordDto {

    private Integer id;
     @ApiModelProperty(value = "系列" )
     String deviceSeries;
     @ApiModelProperty(value = "设备编号" )
     String deviceNo;
     @NotNull(message = "炉次号不能空")
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "拆清操作人1" )
     String cleanOpertor1;
     @ApiModelProperty(value = "拆清操作人2" )
     String cleanOpertor2;
     @ApiModelProperty(value = "拆清开始时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date cleanStartTime;
     @ApiModelProperty(value = "转单时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date transferTime;
     @ApiModelProperty(value = "拆清结束时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date cleanEndTime;
     @ApiModelProperty(value = "拆清耗时" )
     BigDecimal cleanHour;
     @ApiModelProperty(value = "捅管道开始时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date pokeStartTime;
     @ApiModelProperty(value = "捅管道结束时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date pokeEndTime;
     @ApiModelProperty(value = "捅管管道操作人" )
     String pokeOpertor;
     @ApiModelProperty(value = "打磨人" )
     String polishOpertor;
     @ApiModelProperty(value = "开始打磨时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date polishStartTime;
     @ApiModelProperty(value = "结束打磨时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date polishEndTime;
}