/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.deviceCheck.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="zhxx_operate_device_check_time_record")
@DynamicUpdate
@DynamicInsert
public class DeviceCheckTimeRecord{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/**
	 * 炉次号
	 */
    @Column(length=255)
    private String lotNo;
    
	/**
	 * 拆清开始时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date dismantleStartTime;
    
	/**
	 * 拆清结束时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date dismantleEndTime;
    
	/**
	 * 设备号
	 */
    @Column(length=50)
    private String deviceNo;
    

	public DeviceCheckTimeRecord() {
	}

	public DeviceCheckTimeRecord(Integer id) {
		this.id = id;
	}
}
