package com.sw.mes.yb.deviceCheck.entity;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * 点检子项
 */
@Entity
@Table(name = "zhxx_operate_spot_check_item")
@DynamicUpdate
@DynamicInsert
public class SpotCheckItem {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 顺序
     */
    @Column(length = 10)
    private Integer priority;

    /**
     * 点检名称
     */
    @Column
    private String checkName;

    /**
     * 点检标准
     */
    @Column(length = 500)
    private String standard;

    /**
     * 大清1、小清0、空烧2
     */
    @Column(length = 1)
    private Integer cleanFlag;

    /**
     * 点检项目ID
     */
    @Column(length = 10)
    private Integer parentId;

    /**
     * 点检项目
     */
    @Column(length = 100)
    private String parent;

    /**
     * 是否必检
     */
    @Column
    private Boolean required;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCheckName() {
        return checkName;
    }

    public void setCheckName(String checkName) {
        this.checkName = checkName;
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard;
    }

    public Integer getCleanFlag() {
        return cleanFlag;
    }

    public void setCleanFlag(Integer cleanFlag) {
        this.cleanFlag = cleanFlag;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getParent() {
        return parent;
    }

    public void setParent(String parent) {
        this.parent = parent;
    }

    public Boolean getRequired() {
        return required;
    }

    public void setRequired(Boolean required) {
        this.required = required;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }
}
