/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.fls.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="fls_kf_return_material")
@DynamicUpdate
@DynamicInsert
public class KfReturnMaterial{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 设备号
	 */
    @Column(length=30)
    private String deviceNo;
    
	/**
	 * 晶段编号
	 */
    @Column(length=50)
    private String sectionNo;
    
	/**
	 * 退库原因代码
	 */
    @Column(length=50)
    private String reasonCode;
    
	/**
	 * 退库原因描述
	 */
    @Column(length=255)
    private String reasonDescription;
    
	/**
	 * 取消原因
	 */
    @Column(length=255)
    private String cancelReason;
    
	/**
	 * 状态：0待确认，1已确认，2已取消
	 */
    @Column(length=1)
    private String status;

	/**
	 * 机器人号(smcs需要)
	 */
	@Column(length=150)
	String robotCode;

	/**
	 * 退料口号(smcs需要)
	 */
	@Column(length=150)
	String port;
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 修改时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;
    

	public KfReturnMaterial() {
	}

	public KfReturnMaterial(Long id) {
		this.id = id;
	}
}
