package com.sw.mes.yb.ipc.entity;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;

@Entity
@DynamicInsert
@DynamicUpdate
@Table(name="zhxx_workhour_param_set")
public class ParamSet {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 工序ID
	 */
    @Column(length=19)
    private Long processId;
    
	/**
	 * 工时名称
	 */
    @Column(length=80)
    private String processName;
    
	/**
	 * 设备类型ID
	 */
    @Column(length=19)
    private Long deviceId;
    
	/**
	 * 设备类型名称
	 */
    @Column(length=80)
    private String deviceName;
    
	/**
	 * 参数名称-理论工时
	 */
    @Column(length=255)
    private String paramName;
    
	/**
	 * 参数编码
	 */
    @Column(length=100)
    private String paramCode;
    
	/**
	 * 参数值
	 */
    @Column(length=18)
    private BigDecimal paramValue;
    
	/**
	 * 警戒值
	 */
    @Column(length=18)
    private BigDecimal paramWarn;
    
	/**
	 * 是否报警
	 */
    @Column(length=0)
    private Boolean alarm;
    
    /**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}
	
	/**
	 * @param id the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}
	
	/**
	 * @param processId the processId to set
	 */
    public void setProcessId(Long processId){
       this.processId = processId;
    }
    
    /**
     * @return the processId 
     */
    public Long getProcessId(){
       return this.processId;
    }
	
	/**
	 * @param processName the processName to set
	 */
    public void setProcessName(String processName){
       this.processName = processName;
    }
    
    /**
     * @return the processName 
     */
    public String getProcessName(){
       return this.processName;
    }
	
	/**
	 * @param deviceId the deviceId to set
	 */
    public void setDeviceId(Long deviceId){
       this.deviceId = deviceId;
    }
    
    /**
     * @return the deviceId 
     */
    public Long getDeviceId(){
       return this.deviceId;
    }
	
	/**
	 * @param deviceName the deviceName to set
	 */
    public void setDeviceName(String deviceName){
       this.deviceName = deviceName;
    }
    
    /**
     * @return the deviceName 
     */
    public String getDeviceName(){
       return this.deviceName;
    }
	
	/**
	 * @param paramName the paramName to set
	 */
    public void setParamName(String paramName){
       this.paramName = paramName;
    }
    
    /**
     * @return the paramName 
     */
    public String getParamName(){
       return this.paramName;
    }
	
	/**
	 * @param paramCode the paramCode to set
	 */
    public void setParamCode(String paramCode){
       this.paramCode = paramCode;
    }
    
    /**
     * @return the paramCode 
     */
    public String getParamCode(){
       return this.paramCode;
    }
	
	/**
	 * @param paramValue the paramValue to set
	 */
    public void setParamValue(BigDecimal paramValue){
       this.paramValue = paramValue;
    }
    
    /**
     * @return the paramValue 
     */
    public BigDecimal getParamValue(){
       return this.paramValue;
    }
	
	/**
	 * @param paramWarn the paramWarn to set
	 */
    public void setParamWarn(BigDecimal paramWarn){
       this.paramWarn = paramWarn;
    }
    
    /**
     * @return the paramWarn 
     */
    public BigDecimal getParamWarn(){
       return this.paramWarn;
    }
	
	/**
	 * @param alarm the alarm to set
	 */
    public void setAlarm(Boolean alarm){
       this.alarm = alarm;
    }
    
    /**
     * @return the alarm 
     */
    public Boolean getAlarm(){
       return this.alarm;
    }
}
