package com.sw.mes.yb.mcs.dto.fillingMaterial;

import com.sw.mes.production.dto.FormulaSchemeData;
import com.sw.mes.yb.turnstore.dto.CassetteDetail;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author wanghao
 * @version 1.0
 * @date 2024/3/22 10:36
 */
@Data
@ApiModel(value = "mcs原料托盘绑定Dto")
public class MoTrayBindingDto {
    @ApiModelProperty(value = "托盘编号")
    String trayCode;
    @ApiModelProperty(value = "托盘分类：GG:坩埚、LH:料盒")
    String trayType;
    @ApiModelProperty(value = "料盒规格（20、50）")
    String cassetteType;
    @ApiModelProperty(value = "料盒用量（10、20、50）")
    String cassetteUse;
    @ApiModelProperty(value = "料盒集合")
    List<MoTrayBindingCassetteDetailDto> cassetteDetail;
    @ApiModelProperty(value = "物料批次")
    String materialBatch;
    @ApiModelProperty(value = "物料编号")
    String materialNo;
    @ApiModelProperty(value = "数量")
    BigDecimal count;
    @ApiModelProperty(value = "定向")
    String directional;
    @ApiModelProperty(value = "档位")
    String materialGear;
    @ApiModelProperty(value = "等级")
    String materialLevel;
    @ApiModelProperty(value = "物料名称")
    String materialName;
    @ApiModelProperty(value = "物料类型")
    String materialType;
    @ApiModelProperty(value = "规格")
    String specification;
    @ApiModelProperty(value = "供应商")
    String supplier;
    @ApiModelProperty(value = "粒径")
    String suppliesGrain;
    @ApiModelProperty(value = "唯一码")
    String uniqueCode;
    @ApiModelProperty(value = "单位")
    String unit;
    @ApiModelProperty(value = "库位名称")
    String warehouseName;
    @ApiModelProperty(value = "库位编码")
    String warehouseCode;
}
