package com.sw.mes.yb.mcs.dto.fillingMaterial;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author wanghao
 * @version 1.0
 * @date 2024/3/22 10:36
 */
@Data
@ApiModel(value = "mcs原料库位绑定Dto")
public class MoWarehousingBindingDto {
    @NotBlank(message = "库位编号不能为空")
    @ApiModelProperty(value = "库位编号" )
    String warehouseStock;
    @ApiModelProperty(value = "地码" )
    String forkliftLocationCode;
    @NotBlank(message = "物料批次不能为空")
    @ApiModelProperty(value = "物料批次" )
    String materialBatch;
    @ApiModelProperty(value = "物料编号" )
    String materialNo;
    @ApiModelProperty(value = "物料名称" )
    String materialName;
    @ApiModelProperty(value = "物料类型" )
    String materialType;
    @ApiModelProperty(value = "定向" )
    String directional;
    @ApiModelProperty(value = "数量 " )
    BigDecimal count;
    @ApiModelProperty(value = "档位" )
    String materialGear;
    @ApiModelProperty(value = "等级" )
    String materialLevel;
    @ApiModelProperty(value = "规格" )
    String specification;
    @ApiModelProperty(value = "供应商" )
    String supplier;
    @ApiModelProperty(value = "粒径" )
    String suppliesGrain;
    @ApiModelProperty(value = "唯一码" )
    String uniqueCode;
    @ApiModelProperty(value = "单位" )
    String unit;
}
