package com.sw.mes.yb.mcs.dto.fillingMaterial;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author zhaowenjie
 */
@Data
@ApiModel(value = "推送mcs投料种类方案Dto")
public class TypeFormulaToMcsDto {
    @ApiModelProperty(value = "物料种类")
    private String materialType;

    @ApiModelProperty(value = "投入类型（占比，定量)")
    private String inputType;

    @ApiModelProperty(value = "物料种类占比")
    private BigDecimal proportion;

    @ApiModelProperty(value = "物料分类占比")
    private List<MaterialTypeWeight> materialTypeWeights;

    @Data
    public static class MaterialTypeWeight {
        @ApiModelProperty(value = "等级")
        private String level;

        @ApiModelProperty(value = "物料分类名称")
        private String materialClassName;

        @ApiModelProperty(value = "物料分类占比")
        private BigDecimal proportion;

        @ApiModelProperty(value = "物料重量（定量)")
        private BigDecimal rationWeight;
    }
}
