/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.mcs.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：晶体位错异常信息表
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="mcs_dislocation_exception_info")
@DynamicUpdate
@DynamicInsert
public class DislocationExceptionInfo {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 位错id
	 */
    @Column(length=50)
    private Long dislocationId;

	/**
	 * 距头长度
	 */
	@Column(length=19)
	private BigDecimal exHeadLength;

	/**
	 * 实际长度
	 */
	@Column(length=19)
	private BigDecimal exLength;

	/**
	 * 异常原因
	 */
	@Column(length=50)
	private String exReason;
    

    

	public DislocationExceptionInfo() {
	}

	public DislocationExceptionInfo(Long id) {
		this.id = id;
	}
}
