/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.mcs.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：晶体位错信息
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="mcs_dislocation_info")
@DynamicUpdate
@DynamicInsert
public class DislocationInfo {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

	/**
	 * 晶体编号
	 */
    @Column(length=50)
    private String crystalNo;

	/**
	 * 长度
	 */
	@Column(length=19)
	private Integer length;

	/**
	 * 直径MAX
	 */
	@Column(length=19)
	private BigDecimal diameterMax;

	/**
	 * 直径MIN
	 */
	@Column(length=19)
	private BigDecimal diameterMin;

	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;



	public DislocationInfo() {
	}

	public DislocationInfo(Long id) {
		this.id = id;
	}
}
