package com.sw.mes.yb.mcs.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.data.annotation.LastModifiedDate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author js114457
 */
@Data
@Entity
@DynamicUpdate
@DynamicInsert
@Table(name = "mcs_square_inventory_log")
public class McsSquareInventoryLog {
    @Id
    @ApiModelProperty("主键")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(length = 32)
    @ApiModelProperty("晶棒号")
    private String crystalNo;

    @Column(length = 32)
    @ApiModelProperty("打包托位")
    private String packBox;

    @Column(length = 32)
    @ApiModelProperty("拼数")
    private String sticksCount;

    @Column(length = 32)
    @ApiModelProperty("租户id")
    private Integer tenantId;

    @Column(length = 32)
    @ApiModelProperty("关联id")
    private Integer relationId;

    @Column(length = 32)
    @ApiModelProperty("分库标记")
    private String branchCode;


    @Column(length = 32)
    @ApiModelProperty("长度")
    private String length;

    @Column
    private Integer delFlag ;

    @Column
    @ApiModelProperty("出库或入库标记")
    private String inventoryType;
    /**
     * 创建人
     */
    @Column
    @ApiModelProperty("创建人")
    private String createUser;

    /**
     * 创建时间
     */
    @Column
    @ApiModelProperty("创建时间")
    private Date createTime = new Date();

    /**
     * 更新人
     */
    @Column
    @ApiModelProperty("更新人")
    private String updateUser;

    /**
     * 更新时间
     */
    @Column
    @ApiModelProperty("更新时间")
    private Date updateTime;

    /**
     * 导电型号
     */
    @Column
    @ApiModelProperty("导电型号")
    private String conductionType;

    /**
     * 评级结果
     */
    @Column
    @ApiModelProperty("评级结果")
    private String productLevelFb;

    /**
     * 规格
     */
    @Column
    @ApiModelProperty("规格")
    private String specification;

    @Column
    @ApiModelProperty("产品类型")
    public String productType;

    @ApiModelProperty(value = "组号")
    private String groupId;

}
