/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.mcs.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="mcs_recycled_material_case")
@DynamicUpdate
@DynamicInsert
public class RecycledMaterialCase{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 回收料箱号
	 */
    @Column(length=50)
    private String caseNo;
    
	/**
	 * 评级
	 */
    @Column(length=50)
    private String level;
    
	/**
	 * 重量
	 */
    @Column(length=19)
    private BigDecimal weight;
    
	/**
	 * 回收料编号，多个逗号隔开
	 */
    @Column(length=200)
    private String segmentNoList;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 修改时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;

	/**
	 * 物料类型 1 回收料 2 样片
	 */
	private Integer materialType;

	/**
	 * 创建者
	 */
	@Column(nullable=false, length=32)
	private String createBy;

	/**
	 * 修改者
	 */
	@Column(length=32)
	private String updateBy;

	public RecycledMaterialCase() {
	}

	public RecycledMaterialCase(Long id) {
		this.id = id;
	}
}
