/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.mcs.entity;

import java.util.Date;
import java.math.BigDecimal;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="mcs_recycled_material_case_record")
@DynamicUpdate
@DynamicInsert
public class RecycledMaterialCaseRecord{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 回收料箱号
	 */
    @Column(length=50)
    private String caseNo;
    
	/**
	 * 评级
	 */
    @Column(length=50)
    private String level;
    
	/**
	 * 重量
	 */
    @Column(length=19)
    private BigDecimal weight;
    
	/**
	 * 回收料编号，多个逗号隔开
	 */
    @Column(length=200)
    private String segmentNoList;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 修改时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;
    

	public RecycledMaterialCaseRecord() {
	}

	public RecycledMaterialCaseRecord(Long id) {
		this.id = id;
	}
}
