/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.mcs.entity;

import java.util.Date;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name = "segment_bind_info_fb")
@DynamicUpdate
@DynamicInsert
public class SegmentBindInfoFb {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/**
	 * 单晶编号(短棒)
	 */
    @Column(length=32)
    private String segmentNo;
    
	/**
	 * 截断机编号
	 */
    @Column(length=32)
    private String deviceNo;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 创建者姓名
	 */
    @Column(length=255)
    private String createUserName;
    

	public SegmentBindInfoFb() {
	}

	public SegmentBindInfoFb(Integer id) {
		this.id = id;
	}
}
