package com.sw.mes.yb.pad.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author: JS111816
 * @Description:
 * @Date: 2022/8/2
 * @Modified By:
 **/
@Data
@ApiModel("圆棒画线明细")
public class DrawLineDetailDto {
    @ApiModelProperty("画线长度")
    private BigDecimal length;
    @ApiModelProperty("0：晶段，1：样片，2：回收料-孪晶，3：回收料-直径, 4:段片，5:去头 ，6：去尾")
    private int type;
    @ApiModelProperty("段编号")
    private String segmentNo;
    @ApiModelProperty("段号，1Y=1，2Y=2")
    private Integer segmentNum;
    @ApiModelProperty("备注")
    private String remark;
    @ApiModelProperty("序号")
    private Integer sequence;
    @ApiModelProperty("位置，l代表最后一个晶段，空字符串代表其它晶段")
    private String position;
    @ApiModelProperty("开始长")
    private int startLen;
    @ApiModelProperty("结束长")
    private int endLen;
    @ApiModelProperty("异常明细")
    private List<DrawLineExceptionDto> exceptionDtos = new ArrayList();
}
