package com.sw.mes.yb.pad.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedList;

// 获取画线记录单晶信息dto
@Data
@ApiModel("获取画线记录单晶信息dto")
public class GetCrystalInfoDto {

    @ApiModelProperty(value = "单晶等径长度")
    private BigDecimal length;


    @ApiModelProperty(value = "画线段数")
    private Integer cutNum;

    @ApiModelProperty(value = "样片数")
    private Integer pieceNum;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "单晶编号id")
    private Long crystalId;

    @ApiModelProperty(value = "炉次号")
    private String lotNo;

    @ApiModelProperty(value = "提示信息")
    private String message;

    @ApiModelProperty(value = "是否见锅底 (0代表是   1代表否)")
    private Integer isSeeBottom;

    @ApiModelProperty(value = "画线记录有序集合")
    private LinkedList<Object> linkedList;



    @ApiModelProperty(value = "是否每段取片")
    Boolean isPieceFlag;
}
