package com.sw.mes.yb.pad.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


@Data
@ApiModel(value = "长晶棒部分信息Dto")
public class LineInfoDto {
    // 送验异常
    @ApiModelProperty(value = "送验异常")
    String abnormal;
    // 晶段长度
    @ApiModelProperty(value = "晶段长度")
    Integer length;

    /**
     * 完结标识:
     * W 完结尾
     * V 完结棒
     */
    @ApiModelProperty(value = "完结标识")
    private String closureIdentification;

    /**
     * 规格
     */
    @ApiModelProperty(value = "规格")
    private String specs;

    @ApiModelProperty(value = "等径长度")
    BigDecimal isometricLength;

    @ApiModelProperty(value = "型号")
    String conductiveType;
    @ApiModelProperty(value = "重量")
    BigDecimal weight;
    @ApiModelProperty(value = "头长度")
    BigDecimal headLen;

    @ApiModelProperty(value = "尾长度")
    BigDecimal tailLen;

    @ApiModelProperty(value = "完结标志")
    Boolean completionFlag;

    @ApiModelProperty("高氧晶棒【0：默认，否；1：是；】")
    Integer highOxygen;

}
