package com.sw.mes.yb.pad.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "划线记录Dto")
public class ProductionPaintingLineDto {


    private Long id;
    @ApiModelProperty(value = "炉次号")
    String lotNo;
    @ApiModelProperty(value = "单晶编号")
    String crystalNo;
    @ApiModelProperty(value = "画线人员")
    String userName;
    @ApiModelProperty(value = "是否见锅底 (0代表是,1代表否)")
    Integer isSeeBottom;
    @ApiModelProperty(value = "温度")
    String temperature;
    @ApiModelProperty(value = "打磨电阻率")
    String resistivity;
    @ApiModelProperty(value = "掺杂剂")
    String dopant;
    @ApiModelProperty(value = "最小直径")
    BigDecimal minDiam;
    @ApiModelProperty(value = "最大直径")
    BigDecimal maxDiam;
    @ApiModelProperty(value = "是否收尾")
    Integer isWindUp;
    @ApiModelProperty(value = "送验长度")
    BigDecimal submitLength;
    @ApiModelProperty(value = "画线有效长度")
    BigDecimal validLength;
    @ApiModelProperty(value = "画线去头长度")
    BigDecimal noTopLength;

    @ApiModelProperty(value = "去尾原因位错")
    String positionStaggered;

    @ApiModelProperty(value = "去尾原因晶裂")
    String crystalSplitting;

    @ApiModelProperty(value = "去尾原因多晶")
    String multipleCrystals;

    @ApiModelProperty(value = "位错长度")
    BigDecimal positionStaggeredLength;

    @ApiModelProperty(value = "晶裂长度")
    BigDecimal crystalSplittingLength;

    @ApiModelProperty(value = "多晶长度")
    BigDecimal multipleCrystalsLength;

    @ApiModelProperty(value = "样片数")
    Integer pieceNum;
    @ApiModelProperty(value = "画线段数")
    Integer lineNum;
    @ApiModelProperty(value = "班次")
    String classNo;
    @ApiModelProperty(value = "班组")
    String teamGroup;
    @ApiModelProperty(value = "投料量")
    BigDecimal materialCount;
    @ApiModelProperty(value = "去头原因")
    String topCause;
    @ApiModelProperty(value = "去尾原因")
    String endCause;
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date startTime;
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date endTime;
    @ApiModelProperty(value = "尾部返切长度")
    BigDecimal unEndLength;
    @ApiModelProperty(value = "断苞长度")
    BigDecimal bractLength;
    @ApiModelProperty(value = "其他直径异常")
    String otherDiam;
    @ApiModelProperty(value = "其他直径异常损失长度")
    BigDecimal lossLength;
    @ApiModelProperty(value = "实验备注")
    String experRemark;
    @ApiModelProperty(value = "打印张数")
    Integer printNum;
    @ApiModelProperty(value = "载具编号")
    String vehicleCode;
    @ApiModelProperty(value = "备注")
    String remark;
    @ApiModelProperty(value = "画线去尾长度")
    BigDecimal lineTailLength;
    @ApiModelProperty(value = "是否孪晶(1是  0否)")
    Integer isTwinCrystal;
    @ApiModelProperty(value = "孪晶位置")
    String twinCrystalSite;
    @ApiModelProperty(value = "孪晶长度")
    BigDecimal twinCrystalLength;
    @ApiModelProperty(value = "画线实验标记")
    String drawLine;
    @ApiModelProperty(value = "标签打印类型")
    Integer printType;
    @ApiModelProperty(value = "等径长度")
    BigDecimal isometricLength;
    /**
     * 划线类型
     */
    @ApiModelProperty(value = "划线类型")
    String program;

    @ApiModelProperty("氧化程度-字典取值：正常；轻微；严重")
    private String oxidize;

    @ApiModelProperty("试加工【0：默认，否；1：是；】")
    private Integer trialProcess;

    @ApiModelProperty("重量")
    BigDecimal weight;

    @ApiModelProperty("型号")
    String conductiveType;
    @ApiModelProperty("头电阻")
    BigDecimal headResistance;
    @ApiModelProperty("尾电阻")
    BigDecimal tailResistance;

    @ApiModelProperty(value = "头长度")
    BigDecimal headLen;
    @ApiModelProperty(value = "尾长度")
    BigDecimal tailLen;

    @ApiModelProperty(value = "结果判定")
    private String assessment;


    @ApiModelProperty(value = "设备所属片区")
    private String series;

    @ApiModelProperty(value = "所属模块")
    private String area;

    @ApiModelProperty(value = "QC重量")
    BigDecimal effectiveWeight;

    @ApiModelProperty(value = "中间段异常原因")
    String middleAbnormalReason;

    @ApiModelProperty(value = "中间段异常长度")
    String middleAbnormalLength;

    @ApiModelProperty("高氧晶棒【0：默认，否；1：是；】")
    Integer highOxygen;

}