package com.sw.mes.yb.pad.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel("圆棒反切画线dto")
public class RecutLineDto {


    @ApiModelProperty(value = "返切规则名称", required = true)
    String cutRuleName;
    @ApiModelProperty(value = "返切原因(数据来源：返切评级字段)", required = true)
    String productGrade;
    @ApiModelProperty(value = "反切刀数", required = true)
    Integer cutNum;
    /**
     * [{
     * "index": 1,
     * "type": 1,
     * "length": 100
     * }, {
     * "index": 2,
     * "type": 2,
     * "length": 100
     * }]
     **/
    @ApiModelProperty(value = "画线明细【示例： index:序号；type:分段类型(1:晶段 2样片 3回收料)；length:长度】", required = true)
    List<RecutInfoDetailInfo> detail;


    @ApiModelProperty("晶段编号")
    String segmentNo;


    @ApiModelProperty("晶段Id")
    Integer segmentId;

    @ApiModelProperty("晶段长度")
    BigDecimal segmentLength;
}
