/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.pad.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name = "production_painting_line_detail_exception")
@DynamicUpdate
@DynamicInsert
public class ProductionPaintingLineDetailException {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;



    /**
     * 晶段长度
     */
    @Column(length = 19)
    private BigDecimal len;

    /**
     * 晶段重量
     */
    @Column(length = 19)
    private BigDecimal startLen;

    @Column(length = 255)
    private String remark;

    @Column(length = 1)
    private Integer cut;

    /**
     * 段号
     */
    String segmentNo;


    public ProductionPaintingLineDetailException() {
    }

    public ProductionPaintingLineDetailException(Long id) {
        this.id = id;
    }
}
