/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.pad.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name = "production_painting_line_head_tail_exception")
@DynamicUpdate
@DynamicInsert
public class ProductionPaintingLineHeadTailException {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 晶棒编码
     */
    @Column(length = 19)
    private String crystalNo;


    /**
     * 长度
     */
    @Column(length = 19)
    private BigDecimal len;

    /**
     * 原因
     */
    @Column(length = 255)
    private String reason;

    /**
     * 位置 0头，1尾;2 中间
     */
    @Column(length = 1)
    private Integer location;



    public ProductionPaintingLineHeadTailException() {
    }

    public ProductionPaintingLineHeadTailException(Long id) {
        this.id = id;
    }
}
