package com.sw.mes.yb.pc.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "通过方棒编号找到圆棒信息dto")
public class GetFbInfoDto {

    @ApiModelProperty(value = "导电型号")
    String conductionType;
    /**
     * 字段删除
     */
//    @ApiModelProperty(value = "圆棒入库长度(mm)" )
//    BigDecimal instoreLengthYb;
    @ApiModelProperty(value = "方棒长度")
    BigDecimal length;
    @ApiModelProperty(value = "产品实验等级名称")
    String ybExperiLevel;
    @ApiModelProperty(value = "产品等级")
    String productLevel;
    @ApiModelProperty(value = "编号(圆棒)")
    String ybSectionNo;
    @ApiModelProperty(value = "掺杂剂")
    String dopant;
    @ApiModelProperty(value = "拼棒总长(mm)")
    BigDecimal spellBarLength;
    @ApiModelProperty(value = "拼数")
    Integer sticksCount;
    /**
     * 字段删除
     */
//    @ApiModelProperty(value = "直径判定")
//    String diamDecide;
//
//    @ApiModelProperty(value = "细")
//    BigDecimal fineDiameter;
//
//
//    @ApiModelProperty(value = "细减长")
//    BigDecimal fineCutLength;
    @ApiModelProperty(value = "订单号")
    String orderNo;
    @ApiModelProperty(value = "订单类型")
    String orderType;
    @ApiModelProperty(value = "圆棒规格")
    String productTypeSecond;
    @ApiModelProperty(value = "单晶组合")
    private String sectionCompose;
    @ApiModelProperty(value = "实验等级")
    String productLevelExperiment;
    @ApiModelProperty(value = "长棒编号")
    private String crystalNo;
    @ApiModelProperty(value = "计划订单类型")
    private String planOrderType;
    @ApiModelProperty(value = "计划订单号")
    private String planOrderNo;
    @ApiModelProperty(value = "计划产品等级")
    private String planGrade;
    @ApiModelProperty(value = "拼数")
    private Integer stickCount;

    @ApiModelProperty(value = "头尾识别")
    String headTailRecognition;

    @ApiModelProperty(value = "段号")
    Integer piecewiseNum;

    /**
     * 方棒边长
     */
    @ApiModelProperty(value = "方棒边长")
    private String sideLengthRange;

    @ApiModelProperty(value = "产品类型")
    String productType;


    @ApiModelProperty(value = "批次号")
    private String batchNo;

    @ApiModelProperty(value = "物料编码")
    private String materialCode;
    @ApiModelProperty(value = "A电阻率均值")
    private BigDecimal meanResistivityA;
    @ApiModelProperty(value = "A电阻率1")
    private BigDecimal resistivityAOne;
    @ApiModelProperty(value = "A电阻率2")
    private BigDecimal resistivityATwo;
    @ApiModelProperty(value = "A电阻率3")
    private BigDecimal resistivityAThree;
    @ApiModelProperty(value = "B电阻率均值")
    private BigDecimal meanResistivityB;
    @ApiModelProperty(value = "B电阻率1")
    private BigDecimal resistivityBOne;
    @ApiModelProperty(value = "B电阻率2")
    private BigDecimal resistivityBTwo;
    @ApiModelProperty(value = "B电阻率3")
    private BigDecimal resistivityBThree;
    @ApiModelProperty(value = "A少子寿命均值")
    private BigDecimal meanCarrierLifetimeA;
    @ApiModelProperty(value = "A少子寿命1")
    private BigDecimal carrierLifetimeAOne;
    @ApiModelProperty(value = "A少子寿命2")
    private BigDecimal carrierLifetimeATwo;
    @ApiModelProperty(value = "A少子寿命3")
    private BigDecimal carrierLifetimeAThree;
    @ApiModelProperty(value = "B少子寿命均值")
    private BigDecimal meanCarrierLifetimeB;
    @ApiModelProperty(value = "B少子寿命1")
    private BigDecimal carrierLifetimeBOne;
    @ApiModelProperty(value = "B少子寿命2")
    private BigDecimal carrierLifetimeBTwo;
    @ApiModelProperty(value = "B少子寿命3")
    private BigDecimal carrierLifetimeBThree;
    @ApiModelProperty(value = "T段电阻率")
    @JsonProperty("tResistivity")
    private BigDecimal tResistivity;
    @ApiModelProperty(value = "w段电阻率")
    @JsonProperty("wResistivity")
    private BigDecimal wResistivity;

    @ApiModelProperty("头段A少子寿命均值")
    @JsonProperty("tCarrierLifetime")
    private BigDecimal tCarrierLifetime;

    @ApiModelProperty("头段B少子寿命均值")
    @JsonProperty("tLifeEdge1")
    private BigDecimal tLifeEdge1;

    @ApiModelProperty("尾段A少子寿命均值")
    @JsonProperty("wCentreLife")
    private BigDecimal wCentreLife;

    @ApiModelProperty("尾段B少子寿命均值")
    @JsonProperty("wCarrierLifetime")
    private BigDecimal wCarrierLifetime;

    @ApiModelProperty(value = "产品简称")
    private String  abbreviation;
    @ApiModelProperty(value = "产品配方")
    private String  formulation;
    @ApiModelProperty(value = "T氧含量中心")
    private BigDecimal oxygenContentHead;
    @ApiModelProperty(value = "W氧含量中心")
    private BigDecimal oxygenContentTail;
    @ApiModelProperty(value = "头碳含量中心值")
    BigDecimal carbonContentHead;
    @ApiModelProperty(value = "尾碳含量中心值")
    BigDecimal carbonContentTail;

    @ApiModelProperty(value = "规格")
    String specification;
    @ApiModelProperty(value = "是否外发【0：默认，否；1：是；】")
    Integer outGoing;

    @ApiModelProperty(value = "评级时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ratingTime;

    @ApiModelProperty(value = "检验时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;

    @ApiModelProperty(value = "检验日期")
    private String checkDate;

    @ApiModelProperty(value = "圆棒长度")
    BigDecimal instoreLengthYb;

    @ApiModelProperty(value = "晶段类型")
    String sectionType;
    @ApiModelProperty(value = "等级码")
    String levelCode;
    @ApiModelProperty(value = "完结标识")
    String closureIdentification;

    @ApiModelProperty(value = "模块（拉晶车间）")
    private String crystalWorkshop;

    @ApiModelProperty(value = "片区（新）")
    private String area;
    @ApiModelProperty(value = "炉台类型")
    private Integer furnaceType;

    @ApiModelProperty(value = "工厂")
    private String factory;

    @ApiModelProperty(value = "炉次号")
    private String lotNo;
    @ApiModelProperty(value = "评级标准版本")
    private String gradeVersion;
    @ApiModelProperty(value = "检验人员")
    private String checkUserName;

    @ApiModelProperty(value = "首段A面氧含量")
    private BigDecimal oxygenContentFirsta;
    @ApiModelProperty(value = "首段A面碳含量")
    private BigDecimal carbonContentFirsta;
    @ApiModelProperty(value = "尾段B面氧含量")
    private BigDecimal oxygenContentEndb;
    @ApiModelProperty(value = "尾段B面碳含量")
    private BigDecimal carbonContentEndb;

    public GetFbInfoDto() {
    }
}

