package com.sw.mes.yb.pc.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;


@Data
@ApiModel(value = "装料呼叫信息Dto")
public class OutputChargeDto {

    private Long id;

	/** 设备名称 **/
    @ApiModelProperty(value = "设备名称" , required = true)
    String name;

    /** 搭配方案 **/
    @ApiModelProperty(value = "搭配方案" , required = true)
    String techBom;

    /** 搭配方案详情 **/
    @ApiModelProperty(value = "搭配方案详情" , required = true)
    String techBomItem;

	/** 预计吊料时间 **/
    @ApiModelProperty(value = "预计吊料时间" , required = true)
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date preSlingTime;

    /** 出库申请单号 **/
    @ApiModelProperty(value = "出库申请单号")
    String code;

    /** 炉次号 **/
    @ApiModelProperty(value = "炉次号")
    String lotNo;

    @ApiModelProperty(value = "SAP订单编号")
    String sapOrderNo;

    /** 领料申请单id **/
    @ApiModelProperty(value = "领料申请单id" , required = true)
    Long storeOutputApplyId;

    @ApiModelProperty(value = "点检结果明细")
    List<StoreOutputApplyItemDto> outputApplyItemDtos = new ArrayList<>();

}
