package com.sw.mes.yb.pc.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
* @Author liru
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "配料Dto")
public class StoreMixInfoDto {
	private Integer id;
    
	/** 坩埚编号 **/
    @ApiModelProperty(value = "坩埚编号" , required = true)
    String code;
    
	/** 出库类型数据字典id **/
//    @ApiModelProperty(value = "出库类型数据字典id" , required = true)
//    Integer outputTypeDictId;
    
	/** 出库类型数据字典名称 **/
//    @ApiModelProperty(value = "出库类型数据字典名称" , required = true)
//    String outputTypeDictName;
    
	/** 创建时间 **/
    @ApiModelProperty(value = "创建时间" , required = true)
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date createTime;
    
	/** 领料申请单id **/
    @ApiModelProperty(value = "领料申请单id" , required = true)
    Long storeOutputApplyId;
    
	/** 创建人id **/
    @ApiModelProperty(value = "创建人id" , required = true)
    Integer createUserId;
    
	/** 创建人姓名 **/
    @ApiModelProperty(value = "创建人姓名" , required = true)
    String createUserName;

    /** 班组 **/
    @ApiModelProperty(value = "班组" )
    String className;

    /** 班次 **/
    @ApiModelProperty(value = "班次" )
    String classNo;

    /** 炉次号 **/
    @ApiModelProperty(value = "炉次号" )
    String lotNo;

    /** 设备编号 **/
    @ApiModelProperty(value = "设备编号" )
    String deviceNo;

    /** 产品规格 **/
    @ApiModelProperty(value = "产品规格")
    String productType;

    @ApiModelProperty(value = "掺杂剂" )
    String dopant;

    @ApiModelProperty(value = "SAP订单编号" )
    String sapOrderNo;

    /** 实验类型字典名称 **/
    @ApiModelProperty(value = "实验类型字典名称")
    String testTypeName;

    /** 实验类型字典值 **/
    @ApiModelProperty(value = "实验类型字典值")
    String testTypeValue;
    
    @ApiModelProperty(value = "配料明细")
    List<StoreMixInfoItemDto> storeMixInfoItemDtos = new ArrayList<>();

    @ApiModelProperty(value = "厂牌")
    String ggGrand;

    @ApiModelProperty(value = "运营/调试")
    String yunying;

    @ApiModelProperty(value = "有无涂层")
    String ywtc;

    @ApiModelProperty(value = "原料先行")
    String ylxx;

    @ApiModelProperty(value = "坩埚先行")
    String ggxx;

    //领料申请Dto
//    StoreOutputApplyDto storeOutputApplyDto;
}