package com.sw.mes.yb.pc.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author liru
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "配料明细Dto")
public class StoreMixInfoItemDto {
	private Integer id;

	/** 数量 **/
    @ApiModelProperty(value = "数量" , required = true)
    BigDecimal count;

	/** 物品条码 **/
    @ApiModelProperty(value = "物品条码" , required = true)
    String goodsCode;

	/** 备注 **/
    @ApiModelProperty(value = "备注" , required = true)
    String remark;

	/** 物料模型id **/
    @ApiModelProperty(value = "物料模型id" , required = true)
    Integer materialModelId;

    /** 物料模型名称**/
    @ApiModelProperty(value = "物料模型名称" , required = true)
    String materialModelName;

    /** 物料模型编码**/
    @ApiModelProperty(value = "物料模型编码" , required = true)
    String materialModelCode;

    /** 物料模型规格**/
    @ApiModelProperty(value = "物料模型规格" , required = true)
    String materialModelSpecification;

    /** 所属类别**/
    @ApiModelProperty(value = "所属类别" , required = true)
    String materialModelMaterialTypeName;

    @ApiModelProperty(value = "单位" , required = true)
    String materialModelUnitName;

    @ApiModelProperty(value = "坩埚编号" , required = true)
    String storeMixInfoCode;

//    @ApiModelProperty(value = "出库类型" , required = true)
//    String  storeOutputBillOutputTypeDictName;

//    @ApiModelProperty(value = "出库类型id" , required = true)
//    Integer  storeOutputBillOutputTypeDictId;

//    @ApiModelProperty(value = "出库单号" , required = true)
//    String  storeOutputBillStoreOutputApplyCode;

	/** 扩展属性 **/
    @ApiModelProperty(value = "扩展属性" , required = true)
    String properties;

    /** 库位id **/
    @ApiModelProperty(value = "库位id" , required = true)
    Integer storeLocationId;

    /** 库位名称**/
    @ApiModelProperty(value = "库位名称" , required = true)
    String storeLocationName;

	/** 配料id **/
    @ApiModelProperty(value = "配料id" , required = true)
    Long storeMixInfoId;

    @ApiModelProperty(value = "配料时间" , required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    Date storeMixInfoCreateTime;

    /** 实验类型字典名称 **/
    @ApiModelProperty(value = "实验类型字典名称")
    String storeMixInfoTestTypeName;

    /** 实验类型字典值 **/
    @ApiModelProperty(value = "实验类型字典值")
    String storeMixInfoTestTypeValue;

    /** 产品规格 **/
    @ApiModelProperty(value = "产品规格")
    String storeMixInfoProductModelName;

    /** 炉次号 **/
    @ApiModelProperty(value = "炉次号")
    String storeMixInfoLotNo;

    @ApiModelProperty(value = "产品规格")
    String storeMixInfoProductType;

    @ApiModelProperty(value = "掺杂剂")
    String storeMixInfoDopant;

    @ApiModelProperty(value = "SAP订单编号")
    String storeMixInfoSapOrderNo;

    /** 配料人 **/
    @ApiModelProperty(value = "配料人")
    String storeMixInfoCreateUserName;

    @ApiModelProperty(value = "批次-钡粉使用")
    String pici;

    @ApiModelProperty(value = "厂牌-原料使用")
    String changpai;

    @ApiModelProperty(value = "浓度-合金使用")
    String nongdu;

    @ApiModelProperty(value = "目标电阻率-合金使用")
    String mbdzl;

    @ApiModelProperty(value = "称量者-合金使用")
    String weightUser;

}
