package com.sw.mes.yb.pc.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "托盘绑定记录Dto")
public class TrayBindingRecordDto {
    @ExcelIgnore
    private Integer id;

    @ExcelProperty("托盘编号")
    @ApiModelProperty(value = "托盘编号",required = true)
    String code;

    @ExcelProperty("上料点位")
    @ApiModelProperty(value = "上料点位")
    String feedingPoint;

    @ExcelProperty("rfid")
    @ApiModelProperty(value = "rfid")
    String rfid;

    @ExcelProperty("晶段编号")
    @ApiModelProperty(value = "晶段编号",required = true)
    String sectionNo;

    @ExcelProperty("大规格类型")
    @ApiModelProperty(value = "大规格类型")
    String bigProductType;

    @ExcelProperty("晶段长度")
    @ApiModelProperty(value = "晶段长度")
    Double sectionLength;

    @ExcelProperty("拼数")
    @ApiModelProperty(value = "拼数")
    Integer sectionCount;

    @ExcelProperty("晶段编号组")
    @ApiModelProperty(value = "晶段编号组")
    String sectionNoGroup;

    @ExcelProperty("晶段长度组")
    @ApiModelProperty(value = "晶段长度组")
    String sectionLengthGroup;

    @ExcelProperty("产品规格")
    @ApiModelProperty(value = "产品规格")
    String productType;

    @ExcelProperty("产品等级")
    @ApiModelProperty(value = "产品等级")
    String productLevel;

    @ExcelProperty("实验等级")
    @ApiModelProperty(value = "实验等级")
    String productLevelExperiment;
    /**
     * 创建时间
     **/
    @ExcelProperty("绑定时间")
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date createTime;
    /**
     * 创建人id
     **/
    @ExcelIgnore
    @ApiModelProperty(value = "创建人id")
    Integer createUserId;
    /**
     * 创建人姓名
     **/
    @ExcelProperty("绑定人")
    @ApiModelProperty(value = "创建人姓名")
    String createUserName;
    /**
     * 解绑时间
     **/
    @ExcelProperty("解绑时间")
    @ApiModelProperty(value = "解绑时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date unbundlingTime;
    /**
     * 解绑人id
     **/
    @ExcelIgnore
    @ApiModelProperty(value = "解绑人id")
    Integer unbundlingUserId;
    /**
     * 解绑人姓名
     **/
    @ExcelProperty("创建人")
    @ApiModelProperty(value = "解绑人")
    String unbundlingUserName;

    /**
     * 是否解绑（0：未解绑，1：已解绑）
     */
    @ExcelIgnore
    @ApiModelProperty(value = "是否解绑（0：未解绑，1：已解绑）")
    Integer status;

    /**
     * 是否解绑
     */
    @ExcelProperty("是否解绑")
    @ApiModelProperty(value = "是否解绑")
    String statusName;

    /**
     * 方棒产品模型名称
     **/
    @ExcelProperty("方棒产品模型名称")
    @ApiModelProperty(value = "方棒产品模型名称")
    String productModelNameFb;
}
