/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.pc.entity;

import java.util.Date;

import lombok.Data;
import javax.persistence.*;

import lombok.experimental.Accessors;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name = "estimated_record")
@DynamicUpdate
@DynamicInsert
@Accessors(chain = true)
public class EstimatedRecord {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/**
	 * 设备编号 
	 */
    @Column(length=64)
    private String deviceCode;
    
	/**
	 * 节点下发时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date nodeTime;
    
	/**
	 * 节点名称
	 */
    @Column(length=64)
    private String nodeName;
    
	/**
	 * 长度
	 */
    @Column(length=64)
    private String length;
    
	/**
	 * 推送取棒时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date takeTime;
    
	/**
	 * 创建人
	 */
    @Column(length=255)
    private String createUser;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 更新人
	 */
    @Column(length=255)
    private String updateUser;
    
	/**
	 * 更新时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;
    
	/**
	 * 第一备用字段
	 */
    @Column(length=64)
    private String remarkFirst;
    
	/**
	 * 第二备用字段
	 */
    @Column(length=64)
    private String remarkSecond;

	/**
	 * 数据删除标识: 0 未删 ; 1 已删
	 */
	@Column(length=1)
	private Integer isDeleted;

	public EstimatedRecord() {
	}

	public EstimatedRecord(Integer id) {
		this.id = id;
	}
}
