/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.pc.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="side_skin_coding_rule")
@DynamicUpdate
@DynamicInsert
public class SideSkinCodingRule{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/**
	 * 边皮打码规则(编码)
	 */
    @Column(length=150)
    private String skinName;
    
	/**
	 * 模块
	 */
    @Column(length=50)
    private String area;
    
	/**
	 * 系列
	 */
    @Column(length=50)
    private String series;
    
	/**
	 * 热场
	 */
    @Column(length=32)
    private String thermal;
    
	/**
	 * 炉次号
	 */
    @Column(length=50)
    private String lotNo;
    
	/**
	 * 产品规格
	 */
    @Column(length=32)
    private String specs;
    
	/**
	 * 复投次数
	 */
    @Column(length=10)
    private Integer againNum;
    
	/**
	 * 复投第几颗：
	 */
    @Column(length=10)
    private Integer againCount;
    
	/**
	 * 炉次第几根
	 */
    @Column(length=10)
    private Integer lotCount;
    
	/**
	 * 画线长度min
	 */
    @Column(length=19)
    private BigDecimal lineMin;
    
	/**
	 * 画线长度max
	 */
    @Column(length=19)
    private BigDecimal lineMax;
    
	/**
	 * 段号
	 */
    @Column(length=50)
    private String piecewiseNum;
    
	/**
	 * 打码标识
	 */
    @Column(length=100)
    private String codeMark;
    
	/**
	 * 搭配方案
	 */
    @Column(length=100)
    private String techBom;
    
	/**
	 * 创建者
	 */
    @Column(nullable=false, length=32)
    private String userCreate;
    
	/**
	 * 修改者
	 */
    @Column(length=32)
    private String userUpdate;
    
	/**
	 * 创建时间
	 */
    @Column(nullable=false, length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreate;
    
	/**
	 * 修改时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date gmtUpdate;

	public SideSkinCodingRule() {
	}

	public SideSkinCodingRule(Integer id) {
		this.id = id;
	}
}
