package com.sw.mes.yb.pc.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

@Entity
@Data
@DynamicUpdate
@DynamicInsert
@Table(name="store_mix_info")
public class StoreMixInfo {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/** 坩埚编号 **/
    @Column(name = "code")
    private String code;
    
	/** 创建时间 **/
    @Column(name = "create_time")
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;

	/** 创建人id **/
    @Column(name = "create_user_id")
    private Integer createUserId;
    
	/** 创建人姓名 **/
    @Column(name = "create_user_name")
    private String createUserName;

    /**
     * 班组
     */
    @Column(length = 100)
    private String className;

    /**
     * 班次
     */
    @Column(length = 100)
    private String classNo;

    /**
     * 炉次号
     */
    @Column(length = 100)
    private String lotNo;

    /**
     * 产品规格
     */
    @Column(length = 8)
    private String productType;

    /**
     * 掺杂剂
     */
    @Column(length = 8)
    private String dopant;

    /**
     * 设备编号
     */
    @Column(length = 80)
    private String deviceNo;

    /**
     * SAP订单编号
     */
    @Column
    private String sapOrderNo;

    /**
     * 领料申请单ID
     */
    @Column
    private Long storeOutputApplyId;

    /** 实验类型字典名称 **/
    @Column
    private String testTypeName;

    /** 实验类型字典值 **/
    @Column(length = 80)
    private String testTypeValue;

    /**
     * 厂牌
     */
    @Column(length = 80)
    private String ggGrand;

    /**
     * 运营/调试
     */
    @Column(length = 80)
    private String yunying;

    /**
     * 有无涂层
     */
    @Column(length = 80)
    private String ywtc;

    /**
     * 原料先行
     */
    @Column
    private Boolean ylxx;

    /**
     * 坩埚先行
     */
    @Column
    private Boolean ggxx;

    public StoreMixInfo () {}

    public StoreMixInfo (Integer id) {
        this.id = id;
    }

}
