package com.sw.mes.yb.pc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.fls.dto.SectionRecycledResultDto;
import com.sw.mes.yb.fls.dto.SectionRequestDto;
import com.sw.mes.yb.mcs.dto.HeadTailMaterialTypeDto;
import com.sw.mes.yb.pc.entity.HeadTailMaterialRule;

import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface HeadTailMaterialRuleService extends BaseService<HeadTailMaterialRule> {

    /**
     * 查询是否存在
     *
     * @param bracketNo 拖位号
     * @return 条数
     */
    Integer findCountByBracketNo(Integer bracketNo);

    /**
     * 根据回收料编号匹配托位号
     */
    String findBracketNoByRecoveryNo(String recoveryNo);

    /**
     * 根据回收料编号匹配规则
     */
    HeadTailMaterialTypeDto findHeadTailMaterialRuleByRecoveryNo(String recoveryNo);

    /**
     * 根据单晶编号匹配规则
     */
    List<SectionRecycledResultDto> findHeadTailMaterialRuleBySection(SectionRequestDto sectionRequestDto);
}
