package com.sw.mes.yb.pc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.pc.entity.SideSkinCodingRule;

import javax.persistence.Column;
import java.math.BigDecimal;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface SideSkinCodingRuleService extends BaseService<SideSkinCodingRule> {
    /**
     * 查询是否存在
     *
     * @param skinName 规则名称
     * @return 条数
     */
    Integer findCountBySkinName(String skinName);

    /**
     * 根据晶段信息查询打码规则
     *
     * @param area         模块
     * @param series       系列
     * @param thermal      热场
     * @param lotNo        炉次号
     * @param specs        产品规格
     * @param againNum     复投次数
     * @param againCount   复投第几颗
     * @param lotCount     炉次第几根
     * @param piecewiseNum 段号
     * @return
     */
    SideSkinCodingRule findBySegmentInfo(String area, String series, String thermal, String lotNo, String specs, Integer againNum, Integer againCount, Integer lotCount, String piecewiseNum);

    /**
     * 根据圆棒编号查询边皮打码规则
     *
     * @param ybSegmentNo 圆棒编号
     * @return
     */
    SideSkinCodingRule findByYbSegmentNo(String ybSegmentNo);



}
