package com.sw.mes.yb.plan.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "计划单产Dto")
public class PlanEquipmentOutputDto extends BaseRowModel {

     @ExcelIgnore
     private Long id;

     @ExcelProperty(value = "基地")
     @ApiModelProperty(value = "基地")
     String site;

     @ExcelProperty(value = "车间")
     @ApiModelProperty(value = "车间")
     String workshop;

     @ExcelProperty(value = "片区1")
     @ApiModelProperty(value = "片区1")
     String area1;

     @ExcelProperty(value = "片区2")
     @ApiModelProperty(value = "片区2")
     String area2;

     @ExcelProperty(value = "片区3")
     @ApiModelProperty(value = "片区3")
     String area3;

     @ExcelIgnore
     @ApiModelProperty(value = "设备ID")
     Long equipmentId;

     @ExcelProperty(value = "设备号")
     @ApiModelProperty(value = "设备号")
     String equipmentCode;

     @ExcelProperty(value = "日期")
     @ApiModelProperty(value = "日期")
     String outputDate;

     @ExcelProperty(value = "计划单产")
     @ApiModelProperty(value = "计划单产")
     BigDecimal outputCount;

     @ExcelProperty(value = "热场尺寸")
     @ApiModelProperty(value = "热场尺寸")
     String cruSize;

     @ExcelProperty(value = "坩埚品类")
     @ApiModelProperty(value = "坩埚品类")
     String cruClass;

     @ExcelProperty(value = "规格")
     @ApiModelProperty(value = "规格")
     String prodSpec;

     @ExcelProperty(value = "产品简称")
     @ApiModelProperty(value = "产品简称")
     String prodSub;

     @ExcelProperty(value = "创建人")
     @ApiModelProperty(value = "创建人")
     String createUser;

     @ExcelProperty(value = "创建时间")
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createTime;

     @ExcelProperty(value = "更新人")
     @ApiModelProperty(value = "更新人" )
     String updateUser;

     @ExcelProperty(value = "更新时间")
     @ApiModelProperty(value = "更新时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateTime;

     @ExcelIgnore
     @ApiModelProperty(value = "状态(0:异常, 1:正常)" )
     Integer status;

     @ExcelIgnore
     @ApiModelProperty(value = "设备号集合" )
     List<String> equipmentCodeList;
}