package com.sw.mes.yb.plan.service.impl;



import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.plan.dao.WaterLineManageMediumDao;
import com.sw.mes.yb.plan.entity.WaterLineManageMedium;
import com.sw.mes.yb.plan.service.WaterLineManageMediumService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
* @author JS111801
* @description 针对表【water_line_manage_medium(水位拉动配置中间表)】的数据库操作Service实现
* @createDate 2023-09-13 10:44:57
*/
@Service
@Transactional
@Slf4j
public class WaterLineManageMediumServiceImpl extends BaseServiceImpl<WaterLineManageMedium>
implements WaterLineManageMediumService {

    WaterLineManageMediumDao dao;

    @Autowired
    public void setDao(WaterLineManageMediumDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public List<WaterLineManageMedium> findByParams(String productType, String conductiveType, String specification, String dopant,String sideLengthRange,String ybProductGrade, String resistanceLevel) {
        return dao.findByParams(productType,conductiveType,specification,dopant, sideLengthRange,ybProductGrade, resistanceLevel);
    }
}
