package com.sw.mes.yb.printer.dto;

import com.sw.mes.core.annotation.NumberHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-20 11:53
 */
@ApiModel
@Data
@NumberHandler
public class DocketPrintDto {
    @ApiModelProperty(value = "是否关联打印")
    Boolean isAssociated;
    @ApiModelProperty(value = "编码（如：单晶编码、晶段编码,批次号,pp号,托号）")
    @NotBlank(message = "编码，不能为空")
    String Code;
    @ApiModelProperty(value = "打印模板对应打印模板的documentMould")
    @NotBlank(message = "打印模板,不能为空")
    String printModel;
    @ApiModelProperty(value = "打印类型:对应打印模板的documentName")
    @NotBlank(message = "打印类型,不能为空")
    String printType;
    @ApiModelProperty(value = "打印份数")
    Integer printNum;
    @ApiModelProperty(value = "是否预览")
    Boolean isPreview;
    @ApiModelProperty(value = "是否打印回收料")
    Boolean isPrint;

}
