package com.sw.mes.yb.printer.dto;

import com.sw.mes.core.annotation.NumberHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-21 11:45
 */
@ApiModel(value = "圆棒反切标签Dto")
@Data
@NumberHandler
public class ReCuttingLabelDto {
    @ApiModelProperty(value = "打码标识")
    String codeMark;
    @ApiModelProperty(value = "第几共几")
    String remark;
    @ApiModelProperty(value = "晶段编号(短棒)")
    String sectionNo;
    @ApiModelProperty(value = "规格/实际规格")
    String productTypeSecond;
    @ApiModelProperty(value = "掺杂剂")
    String dopant;
    @ApiModelProperty(value = "反切原因")
    String cause;
    @ApiModelProperty(value = "划线类型(晶段属性)")
    String segmentType;
    @ApiModelProperty(value = "划线时间")
    String endTime;

    /**
     * 产品等级
     */
    @ApiModelProperty(value = "产品等级")
    private String productLevel;

    /**
     * 产品类别
     */
    @ApiModelProperty(value = "产品类别")
    private String productCategory;


    /**
     * 晶段长度
     */
    @ApiModelProperty(value = "晶段长度")
    private BigDecimal length;


    /**
     * 边宽
     */
    @ApiModelProperty(value = "边宽")
    private String multipleSideLogic;

}
