package com.sw.mes.yb.printer.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sw.mes.core.annotation.NumberHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-20 19:09
 */
@ApiModel(value = "圆棒合格证Dto")
@Data
@NumberHandler
public class YbCrystalCertificateDto {

    @ApiModelProperty(value = "晶段编号(短棒)")
    String sectionNo;
    @ApiModelProperty(value = "产品等级")
    String productLevel;
    @ApiModelProperty(value = "导电类型/型号")
    String conductiveType;
    @ApiModelProperty(value = "单晶头方向")
    String crystalDirection;
    @ApiModelProperty(value = "径向电阻率T中心点")
    @JSONField(format = "￥#0.0")
    String tRadialCentre;
    @ApiModelProperty(value = "径向电阻率T边缘1")
    @JSONField(format = "￥#0.0")
    String tRadialEdge1;
    @ApiModelProperty(value = "径向电阻率W中心点")
    String wRadialCentre;
    @ApiModelProperty(value = "径向电阻率W边缘1")
    String wRadialEdge1;
    @ApiModelProperty(value = "电阻率头尾中心边缘4点均值")
    String endCentreEdgeAvg4;
    @ApiModelProperty(value = "径向电阻率TW边缘1平均")
    String twRadialEdge1Avg;
    @ApiModelProperty(value = "实际称重/实测重量")
    String actualWeight;
    //
//    //223
//    @ApiModelProperty(value = "电阻率头中心边缘平均" )
//    String topCentreEdgeAvg;
//    @ApiModelProperty(value = "电阻率尾中心边缘平均" )
//    String endCentreEdgeAvg;
//    //247 295
    @ApiModelProperty(value = "电阻率头均值")
    String resistivityTopAvg;
    @ApiModelProperty(value = "电阻率尾均值")
    String resistivityEndAvg;

    //圆棒长度-单晶减长长度
    @ApiModelProperty(value = "圆棒长度-单晶减长长度")
    String actualLength;
//    @ApiModelProperty(value = "单晶减长长度" )
//    String reduceCrystalLength;

    @ApiModelProperty(value = "异常汇总")
    String anomaly;
    @ApiModelProperty(value = "实验等级")
    String productLevelExperiment;
    @ApiModelProperty(value = "评级时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    String levelTime;
    //导电型号-实际规格
    @ApiModelProperty(value = "规格/实际规格")
    String productTypeSecond;


    @ApiModelProperty(value = "直径Min-Max")
    String diameterMin;

//    @Column(length=19)
//    private String diameterMax;

    @ApiModelProperty(value = "头斜")
    String headSlope;

    @ApiModelProperty(value = "尾斜")
    String tailSlope;
    @ApiModelProperty(value = "崩晶线")
    String collapseLine;

    @ApiModelProperty(value = "细")
    String fineDiameter;
    @ApiModelProperty(value = "细减长")
    String fineCutLength;

    /**
     * 温度补偿后径向电阻率T中心点
     */
    @ApiModelProperty(value = "温度补偿后径向电阻率T中心点")
    private String tTempRadialCentre;

    /**
     * 温度补偿后径向电阻率T边缘1
     */
    @ApiModelProperty(value = "温度补偿后径向电阻率T边缘1")
    private String tTempRadialEdge1;

    /**
     * 温度补偿后径向电阻率W中心点
     */
    @ApiModelProperty(value = "温度补偿后径向电阻率W中心点")
    private String wTempRadialCentre;

    /**
     * 温度补偿后径向电阻率W边缘1
     */
    @ApiModelProperty(value = "温度补偿后径向电阻率W边缘1")
    private String wTempRadialEdge1;

}
