/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.printer.entity;

import java.util.Date;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="zhxx_operate_printer_log")
@DynamicUpdate
@DynamicInsert
public class PrinterLog{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 编码（如：单晶编号、晶段编号）
	 */
    @Column(nullable=false, length=100)
    private String code;
    
	/**
	 * 打印类型（如：画线标签、圆棒合格证）
	 */
    @Column(nullable=false, length=100)
    private String type;

	/**
	 * 模板名称（如：画线标签、圆棒合格证）
	 */
	@Column(nullable=false, length=100)
	private String model;
    
	/**
	 * 打印人
	 */
    @Column(nullable=false, length=100)
    private String createUser;
    
	/**
	 * 打印人id
	 */
    @Column(nullable=false, length=10)
    private Integer createUserId;
    
	/**
	 * 打印时间
	 */
    @Column(nullable=false, length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 是否删除：0否，1是
	 */
    @Column(length=0)
    private Boolean isDelete;
    
	/**
	 * 删除人
	 */
    @Column(length=100)
    private String deleteUser;
    
	/**
	 * 删除人id
	 */
    @Column(length=10)
    private Integer deleteUserId;
    
	/**
	 * 删除时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date deleteTime;
    
	/**
	 * 打印详情，json格式字符串
	 */
    @Column(length=500)
    private String detail;

	/**
	 * 打印是否成功
	 */
	@Column(length = 0)
	private Boolean isSuccessful;


	public PrinterLog() {
	}

	public PrinterLog(Long id) {
		this.id = id;
	}
}
