package com.sw.mes.yb.production.dto.AgainTaskPrepare;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "预装料任务Dto")
public class AgainTaskPrepareDto {

    private Long id;
     @ApiModelProperty(value = "设备号" )
     String equipmentCode;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "所属系列" )
     String series;
     @ApiModelProperty(value = "所属模块" )
     String area;
     @ApiModelProperty(value = "料号" )
     String productCode;
     @ApiModelProperty(value = "产品评级" )
     String productGrade;
     @ApiModelProperty(value = "规格" )
     String specs;
     @ApiModelProperty(value = "掺杂剂" )
     String dopant;
     @ApiModelProperty(value = "产品类别" )
     String productType;
     @ApiModelProperty(value = "SAP订单号" )
     String sapNo;
     @ApiModelProperty(value = "复投次数" )
     Integer againNum;
     @ApiModelProperty(value = "炉台类型【0:默认；0-量产;1-在建;2-研发;】" , required = true)
     Integer furnaceType;
     @ApiModelProperty(value = "状态【0：默认；0-新建;1-生产;2-已取消;3-自动完工;4-人工完工;】" , required = true)
     Integer rawStatus;
     @ApiModelProperty(value = "复投总重量" )
     BigDecimal againWeigth;
     @ApiModelProperty(value = "复投总桶数" )
     Integer againPailNum;
     @ApiModelProperty(value = "装载总重量" )
     BigDecimal freightWeigth;
     @ApiModelProperty(value = "车上桶数" )
     Integer num;
     @ApiModelProperty(value = "当前桶数(载具上桶顺序号,号分割)" )
     String pailNum;
     @ApiModelProperty(value = "复投重量集合(,分割)" )
     String taskWeigths;
     @ApiModelProperty(value = "配方方案ID(production_formula_scheme.id)" )
     Long recipeId;
     @ApiModelProperty(value = "重量方案ID(production_formula_weight_scheme.id)" )
     Long weigthId;
     @ApiModelProperty(value = "载具编号" )
     String carrierNo;
     @ApiModelProperty(value = "开始灌料时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date startTime;
     @ApiModelProperty(value = "结束灌料时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date endTime;
     @ApiModelProperty(value = "创建时间" , required = true)
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date gmtCreate;
     @ApiModelProperty(value = "上报时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date reportTime;
     @ApiModelProperty(value = "完工时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date feedingEndTime;
     @ApiModelProperty(value = "完工方式0自动1手动" )
     Integer finishType;
     @ApiModelProperty(value = "报工类型 0：正常任务1：转人工任务" )
     Integer reportType;
}