package com.sw.mes.yb.production.dto.BlastFurnaceDetail;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "装料(配料)明细记录表Dto")
public class BlastFurnaceDetailLogDto {

    private Long id;
     @ApiModelProperty(value = "装料记录id(production_loading_task_log.id)" , required = true)
     Long blastFurnaceId;
     @ApiModelProperty(value = "物料条码" )
     String materialCode;
     @ApiModelProperty(value = "料号" )
     String productCode;
     @ApiModelProperty(value = "物料名称" )
     String materialName;
     @ApiModelProperty(value = "批次号" )
     String batchNo;
     @ApiModelProperty(value = "物料唯一码")
     String uniqueCode;
     @ApiModelProperty(value = "重量 " )
     BigDecimal weight;
     @ApiModelProperty(value = "厂牌 " )
     String factoryBrand;
     @ApiModelProperty(value = "单位" )
     String unit;
     @ApiModelProperty(value = "配料人" )
     String userName;
     @ApiModelProperty(value = "配料时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date installTime;
     @ApiModelProperty(value = "标注坩埚(0:否 1:是)" )
     Boolean markCrucible;
     @ApiModelProperty(value = "详情数据" )
     String remark;
     @ApiModelProperty(value = "40kg箱数")
     private Integer bucketForty;
     @ApiModelProperty(value = "10kg箱数")
     private Integer bucketTen;
     @ApiModelProperty(value = "物料类型名称")
     private String materialTypeName;
     @ApiModelProperty(value = "供应商")
     private String supplierName;
}
