package com.sw.mes.yb.production.dto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ApiModel(value = "CleanReworking对象", description = "返工主表")
public class CleanReworkingDto {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("成箱号")
    private String materialBoxNo;

    @ApiModelProperty("备注")
    private String note;

    @ApiModelProperty("重量")
    private BigDecimal weight;

    @ApiModelProperty("已领用重量")
    private BigDecimal usedWeight;

    @ApiModelProperty("未领用重量")
    private BigDecimal unusedWeight;

    @ApiModelProperty("物料编号")
    private String materialCode;

    @ApiModelProperty("物料名称")
    private String materialName;

    @ApiModelProperty("物料等级")
    private String materialLevel;

    @ApiModelProperty("物料型号")
    private String materialModel;

    @ApiModelProperty("电阻档位")
    private String materialGear;

    @ApiModelProperty("生产pp批次")
    private String productBatchNo;

    @ApiModelProperty("返工来源")
    private String source;

    @ApiModelProperty("暂存标记")
    private Integer stagingFlag;

    @ApiModelProperty("创建人")
    private String createUser;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新人")
    private String updateUser;

    @ApiModelProperty("更新时间")
    private Date updateDate;

    @ApiModelProperty("来源生产批次")
    private String sourceProductBatchNo;

    @ApiModelProperty(value = "工单号")
    private String workOrderNo;
}
