package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "批次操作Dto")
public class CrystalBatchOperationDto {

    private Long id;
     @ApiModelProperty(value = "单晶编号" )
     String sectionNo;
     @ApiModelProperty(value = "母棒编号" )
     String crystalNo;
     @ApiModelProperty(value = "当前位置" )
     String position;
     @ApiModelProperty(value = "状态[0: 默认,锁定;1: 已解锁 ]" )
     Integer status;
     @ApiModelProperty(value = "物料号" )
     String materialCode;
     @ApiModelProperty(value = "物料名称" )
     String materialName;
     @ApiModelProperty(value = "产品简称" )
     String abbreviation;
     @ApiModelProperty(value = "等级码" )
     String levelCode;
     @ApiModelProperty(value = "型号" )
     String conductiveType;
     @ApiModelProperty(value = "规格" )
     String specs;
     @ApiModelProperty(value = "产品等级" )
     String productLevel;
     @ApiModelProperty(value = "掺杂剂" )
     String dopant;
     @ApiModelProperty(value = "配方名称" )
     String recipeName;
     @ApiModelProperty(value = "锁定人" )
     String lockUser;
     @ApiModelProperty(value = "锁定时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date lockTime;
     @ApiModelProperty(value = "锁定原因" )
     String lockReason;
     @ApiModelProperty(value = "锁定备注" )
     String lockRemark;
     @ApiModelProperty(value = "解锁人" )
     String unlockUser;
     @ApiModelProperty(value = "解锁时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date unlockTime;
     @ApiModelProperty(value = "解锁原因" )
     String unlockReason;
     @ApiModelProperty(value = "解锁备注" )
     String unlockRemark;
     @ApiModelProperty(value = "在制状态（0：待进站；1：已经站；2：已出站）" )
     Integer siteStatus;
     @ApiModelProperty(value = "删除标识[0: 默认;1: 删除 ]" )
     Integer deleteFlag;
}