package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 分选成箱信息
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Data
@ApiModel(value = "FxToBoxInfoDto对象", description = "分选成箱信息")
public class FxToBoxInfoDto implements Serializable {


    @ApiModelProperty("箱号")
    private String boxNo;

    @ApiModelProperty("分选批次")
    private String fxProductBatchNo;

    @ApiModelProperty("追溯厂家")
    private String fromMark;

    @ApiModelProperty("接收重量")
    private String weight;

    @ApiModelProperty("硅料名称")
    private String materialName;

    @ApiModelProperty("物料编号")
    private String materialCode;

    @ApiModelProperty("物料型号")
    private String materialModel;

    @ApiModelProperty("等级")
    private String materialLevel;

    @ApiModelProperty("档位")
    private String materialGear;

//    @ApiModelProperty("物料来源")
//    private String sourceProcess;

    @ApiModelProperty("操作员")
    private String createUser;

    @ApiModelProperty("生产日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("生产批次")
    private String productBatchNo;

    @ApiModelProperty(value = "班组")
    String teamName;

}
