package com.sw.mes.yb.production.dto.InspectionRecord;

import java.math.BigDecimal;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @Author 李儒
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "送验退料Dto")
public class InspectionBackDto {

    private Long id;
     @ApiModelProperty(value = "设备号" )
     @NotBlank(message = "请输入设备号")
     String equipmentCode;
     @ApiModelProperty(value = "炉次号" )
     @NotBlank(message = "请输入炉次号")
     String lotNo;
     @ApiModelProperty(value = "所属系列" )
     @NotBlank(message = "请输入所属系列")
     String series;
     @ApiModelProperty(value = "所属模块" )
     String area;
     @ApiModelProperty(value = "单晶编号" )
     @NotBlank(message = "请输入单晶编号")
     String crystalNo;
     @ApiModelProperty(value = "收尾方式" )
     String windUp;
     @ApiModelProperty(value = "复投次数" )
     Integer againNum;
     @ApiModelProperty(value = "单晶颗数" )
     Integer crystalNum;
     @ApiModelProperty(value = "晶体长度" )
     @NotNull(message = "请输入送验长度")
     BigDecimal length;
     @ApiModelProperty(value = "重量" )
     @NotNull(message = "请输入送验重量")
     BigDecimal weight;
     @ApiModelProperty(value = "送验人" )
     @NotBlank(message = "请输入送验人")
     String userName;
     @ApiModelProperty(value = "班次" )
     @NotBlank(message = "请输入班次")
     String classNo;
     @ApiModelProperty(value = "班组" )
     @NotBlank(message = "请输入班组")
     String teamGroup;
     
     @ApiModelProperty(value = "是否整颗晶棒" )
     Boolean wholeCrystal;
     
     @ApiModelProperty(value = "退料长度" )
     BigDecimal backLength;
     @ApiModelProperty(value = "退料理论重量" )
     BigDecimal backWeight;
     
     @ApiModelProperty(value = "长晶棒id(production_long_crystal.id)" )
     @NotNull(message = "请输入长晶棒id")
     Long longCrystalId;
}