package com.sw.mes.yb.production.dto.LoadingTask;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lf
 * @description
 * @date 2024/2/23 14:30
 */
@Data
@ApiModel("配料单信息")
public class IngredientInfoDto {
    /**
     * 配料人
     */
    @ApiModelProperty("配料人")
    private String ingredientUser;
    /**
     * 配料日期
     */
    @ApiModelProperty("配料日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date ingredientDate;
    /**
     * 任务类型
     */
    @ApiModelProperty("任务类型")
    private String missionType;
    /**
     * 工艺方案
     */
    @ApiModelProperty("工艺方案")
    private String processPlan;
    /**
     * 坩埚厂家
     */
    @ApiModelProperty("坩埚厂家")
    private String crucibleManufacturer;
    /**
     * 坩埚批次
     */
    @ApiModelProperty("坩埚批次")
    private String crucibleBatch;
    /**
     * 坩埚尺寸
     */
    @ApiModelProperty("坩埚尺寸")
    private String crucibleDimension;
    /**
     * 车间
     */
    @ApiModelProperty("车间")
    private String area;
    /**
     * 二维码
     */
    @ApiModelProperty("二维码")
    private String equipmentCode;
    /**
     * 投料信息
     */
    @ApiModelProperty("投料信息")
    private List<FeedingInformationDto> feedingInformationDtoList;
}
