/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.dto.LoadingTask;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "圆棒MK-WMS圆棒/毛棒报工数据接收Dto")
public class LongCrystalToMkWmsOfflineSemiProductDto {

    /**
     * 单据号
     */
    @ApiModelProperty(value = "单据号")
    private String PlanNo;

    /**
     * 存货编码
     */
    @ApiModelProperty(value = "存货编码")
    private String MaterialNo;

    /**
     * 生产批次
     */
    @ApiModelProperty(value = "生产批次")
    private String BatchNo;

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private BigDecimal MaterialQty;

    /**
     * 规格
     */
    @ApiModelProperty(value = "规格")
    private String Specification;

    /**
     * 主计量单位
     */
    @ApiModelProperty(value = "主计量单位")
    private String Unit;

    /**
     * 总长度
     */
    @ApiModelProperty(value = "总长度")
    private BigDecimal Length;

    /**
     * 总重量
     */
    @ApiModelProperty(value = "总重量")
    private BigDecimal Width;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String Remark;

}
