package com.sw.mes.yb.production.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 破碎下料
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Data
@ApiModel(value = "MaterialBrokenDownBoxDto对象", description = "破碎下料(小箱成箱成品包装)")
public class MaterialBrokenDownBoxDto implements Serializable {

    @ApiModelProperty("重量")
    private BigDecimal weight;

    @ApiModelProperty("成箱箱号")
    private String materialBoxNo;

    @ApiModelProperty("生产批次号")
    private String productBatchNo;

    @ApiModelProperty("硅料大类")
    private String materialCode;

    @ApiModelProperty("硅料名称")
    private String materialName;

    @ApiModelProperty("等级")
    private String materialLevel;

    @ApiModelProperty("档位")
    private String materialGear;

    @ApiModelProperty("操作员")
    private String downUser;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("生产日期")
    private Date downTime;

    @ApiModelProperty("备注")
    private String remark;

}
