package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "外发标识操作Dto")
public class OutgoMarkOperateDto {

    private Long id;
     @ApiModelProperty(value = "单晶编号" )
     String sectionNo;
     @ApiModelProperty(value = "母棒编号" )
     String crystalNo;
     @ApiModelProperty(value = "当前位置" )
     String position;
     @ApiModelProperty(value = "状态[0: 默认,外发;1: 已解除外发 ]" )
     Integer status;
     @ApiModelProperty(value = "工单号" )
     String orderNo;
     @ApiModelProperty(value = "物料号" )
     String materialCode;
     @ApiModelProperty(value = "物料名称" )
     String materialName;
     @ApiModelProperty(value = "产品简称" )
     String abbreviation;
     @ApiModelProperty(value = "等级码" )
     String levelCode;
     @ApiModelProperty(value = "型号" )
     String conductiveType;
     @ApiModelProperty(value = "规格" )
     String specs;
     @ApiModelProperty(value = "产品等级" )
     String productLevel;
     @ApiModelProperty(value = "掺杂剂" )
     String dopant;
     @ApiModelProperty(value = "配方名称" )
     String recipeName;
     @ApiModelProperty(value = "操作人" )
     String operateUser;
     @ApiModelProperty(value = "操作时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date operateTime;
     @ApiModelProperty(value = "操作备注" )
     String operateRemark;
     @ApiModelProperty(value = "解除人" )
     String secureUser;
     @ApiModelProperty(value = "解除时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date secureTime;
     @ApiModelProperty(value = "解除备注" )
     String secureRemark;
     @ApiModelProperty(value = "在制状态（0：待进站；1：已经站；2：已出站）" )
     Integer siteStatus;
     @ApiModelProperty(value = "毛棒标识（0：毛棒外发；1：晶段外发）" )
     Integer stickMark;
}