package com.sw.mes.yb.production.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: xushu
 * @Date: 2022/08/04/10:20
 * @Description:
 */
@Data
@ApiModel(value = "每桶各物料重量方案记录表")
public class ProductionBucketRecipeRecordDto {

    private Integer id;
    @ApiModelProperty(value = "复投任务id" )
    Long againTaskDetailId;
    @ApiModelProperty(value = "复投次数" )
    Integer againNum;
    @ApiModelProperty(value = "配方方案Id" )
    Long recipeId;
    @ApiModelProperty(value = "配方类型" )
    String recipeKind;
    @ApiModelProperty(value = "物料分类" )
    String suppliesType;
    @ApiModelProperty(value = "物料类型名称" )
    String suppliesName;
    @ApiModelProperty(value = "物料重量" )
    Integer weight;
    @ApiModelProperty(value = "剩余重量" )
    Integer weight1;
    @ApiModelProperty(value = "单桶总重量" )
    Integer gross;
    @ApiModelProperty(value = "桶数" )
    Integer bucketNum;
    @ApiModelProperty(value = "40Kg箱数" )
    Integer bucketForty;
    @ApiModelProperty(value = "10Kg箱数" )
    Integer bucketTen;
    @ApiModelProperty(value = "设备号" )
    String equipmentCode;
    @ApiModelProperty(value = "物料类型编码" )
    String suppliesCode;
    @ApiModelProperty(value = "掺杂剂" )
    String suppliesDopant;
    @ApiModelProperty(value = "电阻率最大值" )
    String suppliesResistanceMax;
    @ApiModelProperty(value = "电阻率最小值" )
    String suppliesResistanceMin;
    @ApiModelProperty(value = "粒径最小值" )
    String suppliesGrainMin;
    @ApiModelProperty(value = "粒径最大值" )
    String suppliesGrainMax;
    @ApiModelProperty(value = "优先级" )
    Integer priority;
    @ApiModelProperty(value = "替代物料分类" )
    List<String> suppliesTypeList = new ArrayList<>();

}
