package com.sw.mes.yb.production.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;

@Data
@ApiModel(value = "投料分解记录Dto")
public class ProductionFurnaceMaterialSplitDto {

    private Long id;
     @ApiModelProperty(value = "设备号" )
     String equipmentCode;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "叫料类型(0:默认,1:初始复投,2:取段复投)" )
     Integer rawType;
     @ApiModelProperty(value = "复投次数" )
     Integer againNum;
     @ApiModelProperty(value = "料号" )
     String productCode;
     @ApiModelProperty(value = "装料复投任务id" )
     Long taskId;
     @ApiModelProperty(value = "配方方案id" )
     Long schemeId;
     @ApiModelProperty(value = "配方方案编号" )
     String schemeCode;
     @ApiModelProperty(value = "配方方案版本号" )
     Integer schemeVersion;
     @ApiModelProperty(value = "重量方案id" )
     Long weightSchemeId;
     @ApiModelProperty(value = "重量方案名称" )
     String weightSchemeName;
     @ApiModelProperty(value = "桶数序号" )
     Integer bucketIndex;
     @ApiModelProperty(value = "桶重量" )
     BigDecimal bucketWeight;
     @ApiModelProperty(value = "物料种类" )
     String materialType;
     @ApiModelProperty(value = "物料分类" )
     String materialClassName;
     @ApiModelProperty(value = "物料重量" )
     BigDecimal materialWeight;
     @ApiModelProperty(value = "桶规格")
     BigDecimal barrelSpecs;
}