package com.sw.mes.yb.production.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.sw.mes.core.annotation.Jinko;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Jinko(value = "灌料部分退料", author = "wxl")
@Data
@ApiModel(value = "退料记录Dto")
public class ProductionMaterialReturnRecordDto {


    @ExcelIgnore
    private Long id;

    /**
     * 配料灌料任务ID
     */
    @ExcelIgnore
    private Long taskId;

    /**
     * 配料灌料记录ID
     */
    @ExcelIgnore
    private Long taskRecordId;

    /**
     * 设备号
     */
    @ExcelProperty(value = "设备编号", index = 0)
    private String equipmentNo;

    /**
     * 炉次号
     */
    @ExcelProperty(value = "炉次号", index = 1)
    private String lotNo;

    /**
     * 复投次数
     */
    @ExcelIgnore
    private Integer againNum;

    /**
     * 任务类型
     */
    @ExcelProperty(value = "任务类型", index = 4)
    private String rawTypeName;

    /**
     * 料号
     */
    @ExcelProperty(value = "产品料号", index = 5)
    private String productCode;

    /**
     * 产品描述
     */
    @ExcelProperty(value = "产品描述", index = 6)
    private String productName;

    /**
     * 物料条码
     */
    @ExcelProperty(value = "物料号", index = 17)
    private String materialCode;

    /**
     * 物料名称
     */
    @ExcelProperty(value = "物料名称", index = 16)
    private String materialName;

    /**
     * 批次号
     */
    @ExcelProperty(value = "物料批次", index = 15)
    private String batchNo;

    /**
     * 退料重量
     */
    @ExcelProperty(value = "退料重量", index = 11)
    private BigDecimal weight;

    /**
     * 物料类型名称
     */
    @ExcelIgnore
    private String materialTypeName;

    /**
     * 供应商
     */
    @ExcelProperty(value = "物料厂家", index = 18)
    private String supplierName;

    /**
     * 原因
     */
    @ExcelProperty(value = "退料原因", index = 12)
    private String reason;

    /**
     * 退料时间
     */
    @ExcelProperty(value = "退料时间", index = 14)
    private Date createTime;

    /**
     * 灌料时间
     */
    @ExcelProperty(value = "灌料时间", index = 10)
    private Date installTime;

    /**
     * 退料人
     */
    @ExcelProperty(value = "退料人", index = 13)
    private String createUser;

    /**
     * 灌料人
     */
    @ExcelProperty(value = "灌料人", index = 9)
    private String installUser;

    /**
     * sap订单单号
     */
    @ExcelProperty(value = "订单号", index = 7)
    private String sapOrderNo;

    /**
     * sap料号
     */
    @ExcelIgnore
    private String sapProductCode;

    /**
     * 灌料桶数
     */
    @ExcelProperty(value = "灌料桶数", index = 8)
    private String pailNum;

    /**
     * 载具号
     */
    @ExcelProperty(value = "载具编号", index = 2)
    private String carrierNo;

    /**
     * 桶号
     */
    @ExcelProperty(value = "桶编号", index = 3)
    private String bucketNo;

    /**
     * 班次
     */
    @ExcelIgnore
    private String classNo;


    /**
     * 班组
     */
    @ExcelIgnore
    private String teamGroup;

}
