package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "圆棒WSM库存信息Dto")
public class ProductionWsmReserveDto {

    private Long id;
     @ApiModelProperty(value = "库位编码" )
     String outcode;
     @ApiModelProperty(value = "托盘编号" )
     String trayCode;
     @ApiModelProperty(value = "晶段编号" )
     String crystalNo;
     @ApiModelProperty(value = "入库时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date instockTime;
     @ApiModelProperty(value = "停留时间" )
     String stayTime;
     @ApiModelProperty(value = "是否定向画线" )
     Integer isOrientLine;
     @ApiModelProperty(value = "是否反切" )
     Integer isReCut;
     @ApiModelProperty(value = "晶棒类型【0-非标；1-整棒；1-默认值；】" , required = true)
     Integer crystaType;
     @ApiModelProperty(value = "规格" )
     String spec;
     @ApiModelProperty(value = "PN型" )
     String pn;
     @ApiModelProperty(value = "产品等级" )
     String productGrade;
     @ApiModelProperty(value = "实验等级" )
     String experimentGrade;
     @ApiModelProperty(value = "入库长度(mm)" )
     BigDecimal wareHouseLength;
     @ApiModelProperty(value = "总长(mm)" )
     BigDecimal totalLength;
     @ApiModelProperty(value = "称重(kg)" )
     String weight;
     @ApiModelProperty(value = "直径min" )
     String diameterMin;
     @ApiModelProperty(value = "直径max" )
     BigDecimal diameterMax;
     @ApiModelProperty(value = "直径判定" )
     Integer diamDecide;
     @ApiModelProperty(value = "斜" )
     String bevel;
     @ApiModelProperty(value = "扭" )
     String twist;
     @ApiModelProperty(value = "细总长" )
     BigDecimal fineDiameter;
     @ApiModelProperty(value = "细减长" )
     BigDecimal fineReduction;
     @ApiModelProperty(value = "扭可拼" )
     Integer twistFlag;
     @ApiModelProperty(value = "细可拼" )
     Integer thinFlag;
     @ApiModelProperty(value = "细减可拼" )
     Integer fineFlag;
     @ApiModelProperty(value = "扭1" )
     String twist1;
     @ApiModelProperty(value = "扭2" )
     String twist2;
     @ApiModelProperty(value = "是否为应急上下料" )
     Integer isEmergency;
     @ApiModelProperty(value = "更新时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateTime;
}