package com.sw.mes.yb.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 回收料信息
 * </p>
 *
 * @author liuzemin
 * @since 2022-11-10
 */
@Data
@ApiModel(value = "RecycledGroupInfoDto对象", description = "回收料信息")
public class RecycledGroupInfoDto implements Serializable {


    @ApiModelProperty("箱号")
    private String boxNo;

    @ApiModelProperty("追溯厂家")
    private String fromMark;

    @ApiModelProperty("接收重量")
    private String weight;

    @ApiModelProperty("硅料名称")
    private String materialName;

    @ApiModelProperty("等级")
    private String materialLevel;

    @ApiModelProperty("档位")
    private String materialGear;

    @ApiModelProperty("操作员")
    private String createUser;

    @ApiModelProperty("生产日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("备注")
    private String remark;

}
