package com.sw.mes.yb.production.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "余料采集关联Dto")
public class SurplusInfoDto {

    @ExcelIgnore
    private Long id;

    @ApiModelProperty(value = "余料编码")
    @ExcelProperty(value = "单晶余料编码", index = 0)
    String surplusCode;

    @ApiModelProperty(value = "工单号")
    @ExcelProperty(value = "工单号", index = 1)
    String workOrderNo;

    @ApiModelProperty(value = "炉号")
    @ExcelProperty(value = "炉号", index = 2)
    String deviceNo;

    @ApiModelProperty(value = "炉次号")
    @ExcelProperty(value = "炉次号", index = 3)
    String lotNo;

    @ApiModelProperty(value = "投料次数")
    @ExcelProperty(value = "加料次数", index = 4)
    Integer feedTimes;

    @ApiModelProperty(value = "余料类型")
    @ExcelProperty(value = "余料类型", index = 5)
    String surplusType;

    @ApiModelProperty(value = "重量")
    @ExcelProperty(value = "重量", index = 6)
    BigDecimal weight;

    @ApiModelProperty(value = "长度")
    @ExcelIgnore
    BigDecimal length;

    @ApiModelProperty(value = "状态(1待入库，2取消，3待确定，4已接收，5拒收)")
    @ExcelIgnore
    Integer status;

    @ApiModelProperty(value = "数据采集类型(1 EAP自动采集，2 人工采集)")
    @ExcelIgnore
    Integer dataType;

    @ApiModelProperty(value = "区域")
    @ExcelIgnore
    String area;

    @ApiModelProperty(value = "删除状态(1：删除，0未删除 默认)")
    @ExcelIgnore
    Integer del;

    @ApiModelProperty(value = "创建人")
    @ExcelProperty(value = "创建人", index = 7)
    String createBy;

    @ApiModelProperty(value = "创建时间")
    @ExcelProperty(value = "创建时间", index = 8)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date createTime;

    @ApiModelProperty(value = "更新人")
    @ExcelIgnore
    String updateBy;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ExcelIgnore
    Date updateTime;

    @ApiModelProperty(value = "第一备用字段")
    @ExcelIgnore
    String filedFirst;

    @ApiModelProperty(value = "第二备用字段")
    @ExcelIgnore
    String filedSecond;

    @ApiModelProperty(value = "车间")
    @ExcelIgnore
    String workShop;

    @ApiModelProperty("原始的重量")
    private BigDecimal originalWeight;
}