/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.entity;

import java.util.Date;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="production_equipment_click_log")
@DynamicUpdate
@DynamicInsert
public class EquipmentClickLog{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 设备号
	 */
    @Column(length=100)
    private String equipmentCode;
    
	/**
	 * 所属系列
	 */
    @Column(length=50)
    private String series;
    
	/**
	 * 所属模块
	 */
    @Column(length=50)
    private String area;
    
	/**
	 * 操作名称
	 */
    @Column(length=120)
    private String buttonName;
    
	/**
	 * 操作时参数
	 */
    @Column(length=65535)
    private String clickParam;
    
	/**
	 * 操作结果
	 */
    @Column(length=65535)
    private String context;
    
	/**
	 * 操作时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date clickTime;
    
	/**
	 * 复投确认人员
	 */
    @Column(length=50)
    private String userName;
    
	/**
	 * 班次
	 */
    @Column(length=50)
    private String classNo;
    
	/**
	 * 班组
	 */
    @Column(length=80)
    private String teamGroup;
    
    /**
	 * 炉次号
	 */
    @Column(length=100)
    private String lotNo;
    

	public EquipmentClickLog() {
	}

	public EquipmentClickLog(Long id) {
		this.id = id;
	}
}
