/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.entity;

import java.util.Date;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="fb_product_card")
@DynamicUpdate
@DynamicInsert
public class FbProductCard{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/**
	 * 客户名称
	 */
    @Column(length=255)
    private String customerName;
    
	/**
	 * 规格
	 */
    @Column(length=40)
    private String specification;
    
	/**
	 * 直径
	 */
    @Column(length=40)
    private String diameter;
    
	/**
	 * 边长
	 */
    @Column(length=40)
    private String sideLength;
    
	/**
	 * 垂直度
	 */
    @Column(length=40)
    private String verticality;
    
	/**
	 * 弧长投影
	 */
    @Column(length=40)
    private String projection;
    
	/**
	 * X锥度
	 */
    @Column(length=40)
    private String taperXz;
    
	/**
	 * Y锥度
	 */
    @Column(length=40)
    private String taperYz;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 创建人
	 */
    @Column(length=100)
    private String createUser;
    
	/**
	 * 创建人id
	 */
    @Column(length=10)
    private Integer createUserId;
    
	/**
	 * 修改时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;
    
	/**
	 * 修改人
	 */
    @Column(length=100)
    private String updateUser;
    
	/**
	 * 修改人ID
	 */
    @Column(length=10)
    private Integer updateUserId;
    
	/**
	 * 是否删除
	 */
    @Column(length=0)
    private Boolean deleted;
    
	/**
	 * 删除人
	 */
    @Column(length=100)
    private String deletedUser;
    
	/**
	 * 删除人id
	 */
    @Column(length=10)
    private Integer deletedUserId;
    
	/**
	 * 删除时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date deletedTime;
    

	public FbProductCard() {
	}

	public FbProductCard(Integer id) {
		this.id = id;
	}
}
