/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.entity;

import java.math.BigDecimal;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="production_input_furnace_detail")
@DynamicUpdate
@DynamicInsert
public class InputFurnaceDetail{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 罐料记录id
	 */
    @Column(nullable=false, length=20)
    private Long inputFurnaceId;
    /**
     * 罐料任务id
     */
    @Column(nullable=false, length=20)
    private Long againTaskDetailId;

	/**
	 * 桶号
	 */
	@Column(length=50)
	private String bucketNo;

	/**
	 * 桶序号
	 */
	@Column(length=11)
	private Integer bucketIndex;
    
    /**
	 * 物料条码
	 */
    @Column(length=100)
    private String materialCode;
    
	/**
	 * 料号
	 */
    @Column(length=50)
    private String productCode;
    
	/**
	 * 物料名称
	 */
    @Column(length=100)
    private String materialName;
    
	/**
	 * 批次号
	 */
    @Column(length=100)
    private String batchNo;

	/**
	 * 循环料批次号
	 */
	@Column(length=60)
	private String crystalNo;

	/**
	 * 物料唯一码
	 */
	@Column(length=50)
	private String uniqueCode;
    
	/**
	 * 重量 
	 */
    @Column(length=19)
    private BigDecimal weight;
    
	/**
	 * 厂牌 
	 */
    @Column(length=50)
    private String factoryBrand;
    
	/**
	 * 单位
	 */
    @Column(length=50)
    private String unit;

	/**
	 * 物料粒径
	 */
	@Column(length=30)
	private String suppliesGrain;


	/**
	 * 物料等级
	 */
	@Column(length=30)
	private String materialLevel;


	/**
	 * 电阻档位
	 */
	@Column(length=10)
	private String resistanceGear;
    
	/**
	 * 照片地址(多个;号隔开)
	 */
    @Column(length=255)
    private String imgUrl;
    
    /**
	 * 扫码详情
	 */
    @Column
    private String remark;

	/**
	 * 40kg箱数
	 */
	@Column(length=11)
	private Integer bucketForty;

	/**
	 * 10kg箱数
	 */
	@Column(length=11)
	private Integer bucketTen;


	/**
	 * 物料类型名称
	 */
	@Column(length=19)
	private String materialTypeName;

	/**
	 * 供应商
	 */
	@Column(length=100)
	private String supplierName;

	/**
	 * 库位id
	 */
	@Column(length=11)
	private Integer storeLocationId;

	/**
	 * 库位名称
	 */
	@Column(length=64)
	private String storeLocationName;

	/**
	 * 合金牌号
	 */
	@Column(length=15)
	private String alloyBrand;

	/**
	 * 合金类型
	 */
	@Column(length=15)
	private String alloyType;

	/**
	 * 试投类型
	 */
	@Column(length=15)
	private String trialType;

	/**
	 * 是否拉取（0未拉取，1已拉取）
	 */
	@Column(length=2)
	private Integer pulled = 0;

	/**
	 * erp库位
	 */
	@Column(length=100)
	private String erpWarehouseCode;

	/**
	 * erp批次号
	 */
	@Column(length=100)
	private String erpBatchNo;

	/**
	 * 箱号
	 */
	@Column(length=50)
	private String serialNo;

	/**
	 * 托号
	 */
	@Column(length=50)
	private String traceId;

    

	public InputFurnaceDetail() {
	}

	public InputFurnaceDetail(Long id) {
		this.id = id;
	}
}
