/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.entity;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import lombok.Data;

/**
 * @Author 李儒 @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name = "production_inspection_record")
@DynamicUpdate
@DynamicInsert
public class InspectionRecord {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;

	/**
	 * 设备号
	 */
	@Column(length = 100)
	private String equipmentCode;

	/**
	 * 炉次号
	 */
	@Column(length = 100)
	private String lotNo;

	/**
	 * 所属系列
	 */
	@Column(length = 50)
	private String series;

	/**
	 * 所属模块
	 */
	@Column(length = 50)
	private String area;

	/**
	 * 单晶编号
	 */
	@Column(length = 100)
	private String crystalNo;

	/**
	 * 收尾方式
	 */
	@Column(length = 50)
	private String windUp;

	/**
	 * 复投次数
	 */
	@Column(length = 10)
	private Integer againNum;

	/**
	 * 单晶颗数
	 */
	@Column(length = 10)
	private Integer crystalNum;

	/**
	 * 重量
	 */
	@Column(length = 19)
	private BigDecimal weight;

	/**
	 * 长度
	 */
	@Column(length = 19)
	private BigDecimal length;

	/**
	 * 送验车编号
	 */
	@Column(length = 255)
	private String pailNum;

	/**
	 * 地标码
	 */
	@Column(length = 255)
	private String landmarkCode;

	/**
	 * 工位号
	 */
	@Column(length = 50)
	private String locationNo;

	/**
	 * 送验人
	 */
	@Column(length = 50)
	private String userName;

	/**
	 * 班次
	 */
	@Column(length = 50)
	private String classNo;

	/**
	 * 班组
	 */
	@Column(length = 255)
	private String teamGroup;
	/**
	 * 送验异常
	 */
	@Column(length = 255)
	private String abnormal;

	/**
	 * 绑定时间
	 */
	@Column(nullable = false, length = 19)
	@Temporal(TemporalType.TIMESTAMP)
	private Date buildTime;

	/**
	 * 送检时间
	 */
	@Column(nullable = false, length = 19)
	@Temporal(TemporalType.TIMESTAMP)
	private Date inspectionTime;

	/**
	 * 送检完成时间
	 */
	@Column(nullable = false, length = 19)
	@Temporal(TemporalType.TIMESTAMP)
	private Date inspectionSuccessTime;

	/**
	 * 任务编号(production_transport_inspect_task.id)
	 */
	@Column(length = 19)
	private Long taskId;

	/**
	 * 长晶棒id(production_long_crystal.id)
	 */
	@Column(length = 19)
	private Long longCrystalId;

	public InspectionRecord() {
	}

	public InspectionRecord(Long id) {
		this.id = id;
	}
}
