/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.entity;

import java.util.Date;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="outgo_mark_operate")
@DynamicUpdate
@DynamicInsert
public class OutgoMarkOperate{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 单晶编号
	 */
    @Column(length=100)
    private String sectionNo;
    
	/**
	 * 母棒编号
	 */
    @Column(length=100)
    private String crystalNo;
    
	/**
	 * 当前位置
	 */
    @Column(length=20)
    private String position;
    
	/**
	 * 状态[0: 默认,外发;1: 已解除外发 ]
	 */
    @Column(length=10)
    private Integer status;
    
	/**
	 * 工单号
	 */
    @Column(length=100)
    private String orderNo;
    
	/**
	 * 物料号
	 */
    @Column(length=50)
    private String materialCode;
    
	/**
	 * 物料名称
	 */
    @Column(length=255)
    private String materialName;
    
	/**
	 * 产品简称
	 */
    @Column(length=40)
    private String abbreviation;
    
	/**
	 * 等级码
	 */
    @Column(length=100)
    private String levelCode;
    
	/**
	 * 型号
	 */
    @Column(length=10)
    private String conductiveType;
    
	/**
	 * 规格
	 */
    @Column(length=32)
    private String specs;
    
	/**
	 * 产品等级
	 */
    @Column(length=80)
    private String productLevel;
    
	/**
	 * 掺杂剂
	 */
    @Column(length=20)
    private String dopant;
    
	/**
	 * 配方名称
	 */
    @Column(length=50)
    private String recipeName;
    
	/**
	 * 操作人
	 */
    @Column(length=32)
    private String operateUser;
    
	/**
	 * 操作时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date operateTime;
    
	/**
	 * 操作备注
	 */
    @Column(length=255)
    private String operateRemark;
    
	/**
	 * 解除人
	 */
    @Column(length=32)
    private String secureUser;
    
	/**
	 * 解除时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date secureTime;
    
	/**
	 * 解除备注
	 */
    @Column(length=255)
    private String secureRemark;
    
	/**
	 * 在制状态（0：待进站；1：已经站；2：已出站）
	 */
    @Column(length=10)
    private Integer siteStatus;
    
	/**
	 * 毛棒标识（0：毛棒外发；1：晶段外发）
	 */
    @Column(length=10)
    private Integer stickMark;
    

	public OutgoMarkOperate() {
	}

	public OutgoMarkOperate(Long id) {
		this.id = id;
	}
}
