/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.entity;

import java.util.Date;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name = "production_process_no_diameter")
@DynamicUpdate
@DynamicInsert
public class ProcessNoDiameter {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 设备编号
	 */
    @Column(length=30)
    private String equipmentCode;
    
	/**
	 * 炉次号
	 */
    @Column(length=30)
    private String lotNo;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 工艺名称
	 */
    @Column(length=50)
    private String stepName;
    
	/**
	 * 等径长度
	 */
    @Column(length=10)
    private Double equalDiameterLength;
    

	public ProcessNoDiameter() {
	}

	public ProcessNoDiameter(Long id) {
		this.id = id;
	}
}
