/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="production_process_working_hours")
@DynamicUpdate
@DynamicInsert
public class ProcessWorkingHours{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 设备号
	 */
    @Column(length=100)
    private String equipmentCode;
    
	/**
	 * 炉次号
	 */
    @Column(length=100)
    private String lotNo;
    
	/**
	 * 工步发生时间
	 */
    @Column(nullable=false, length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date startTime;
    
	/**
	 * 工步结束时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date endTime;
    
	/**
	 * 工艺名称
	 */
    @Column(length=40)
    private String stepName;
    
	/**
	 * 模块号
	 */
    @Column(length=50)
    private String area;
    
    /**
	 * 系列
	 */
    @Column(length=40)
    private String series;

	/**
	 * 车间 factory_model.name
	 */
	@Column(length=50)
	private String workshop;

	/**
	 * 片区 factory_model.name
	 */
	@Column(length=40)
	private String district;
    
	/**
	 * 时长(ms)
	 */
    @Column(length=19)
    private Long timeLong;

	/**
	 * 单晶长度(mm)
	 */
	@Column(length=19)
	private BigDecimal length;

	/**
	 * 开始操作人
	 */
    @Column(length=80)
    private String startOperatorUser;
    
	/**
	 * 结束操作人
	 */
    @Column(length=80)
    private String endOperatorUser;
    
	/**
	 * 理论工时(h)
	 */
    @Column(length=19)
    private BigDecimal theoryTime;
    
	/**
	 * 浪费工时(ms)
	 */
    @Column(length=19)
    private Long wasteTime;
    
    
    /**
	 * 复投次数(取段复投 - 专用字段)
	 */
    @Column(length=11)
    private Integer againNum;
    

	public ProcessWorkingHours() {
	}

	public ProcessWorkingHours(Long id) {
		this.id = id;
	}
}
