/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.entity;

import java.util.Date;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name = "production_process_working_step")
@DynamicUpdate
@DynamicInsert
public class ProcessWorkingStep {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 设备号
	 */
    @Column(length=100)
    private String equipmentCode;
    
	/**
	 * 炉次号
	 */
    @Column(length=100)
    private String lotNo;
    
	/**
	 * 工步发生时间
	 */
    @Column(nullable=false, length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date startTime;
    
	/**
	 * 上一次工艺名称
	 */
    @Column(length=40)
    private String lastStepName;
    
	/**
	 * 当前工艺名称
	 */
    @Column(length=40)
    private String stepName;
    
	/**
	 * 模块号
	 */
    @Column(length=50)
    private String area;
    
	/**
	 * 开始操作人
	 */
    @Column(length=80)
    private String startOperatorUser;
    
	/**
	 * 系列
	 */
    @Column(length=40)
    private String series;
    
	/**
	 * 复投次数
	 */
    @Column(length=10)
    private Integer againNum;
    

	public ProcessWorkingStep() {
	}

	public ProcessWorkingStep(Long id) {
		this.id = id;
	}
}
