/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="production_circle_weight_detail")
@DynamicUpdate
@DynamicInsert
public class ProductionCircleWeightDetail {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/**
	 * 重量方案名称
	 */
    @Column(length=50)
    private String weightName;
    
	/**
	 * 重量方案编码
	 */
    @Column(length=50)
    private String weightCode;

	/**
	 * 配方重量方案Id
	 */
	@Column(length=20)
	private Long weightId;
    
	/**
	 * 版本号
	 */
    @Column(length=10)
    private Integer version;
    
	/**
	 * 配方用途
	 */
    @Column(length=50)
    private String recipePurpose;
    
//	/**
//	 * 配方类型
//	 */
//    @Column(length=50)
//    private String recipeKind;
//
//	/**
//	 * 物料名称
//	 */
//    @Column(length=50)
//    private String suppliesName;
//
//	/**
//	 * 物料类型编码
//	 */
//    @Column(length=255)
//    private String suppliesCode;
//
	/**
	 * 重量
	 */
    @Column(length=10)
    private Integer weight;
//
//	/**
//	 * 总重量
//	 */
//	@Column(length=10)
//	private Integer gross;
//
//	/**
//	 * 尺寸(坩埚属性)
//	 */
//	@Column(length=255)
//	private String suppliesSize;
//
//	/**
//	 * 高度(坩埚属性)
//	 */
//	@Column(length=255)
//	private String suppliesHeight;
//
//	/**
//	 * 厂牌(坩埚属性)
//	 */
//	@Column(length=255)
//	private String suppliesBrand;
//
//	/**
//	 * 工艺(坩埚属性)
//	 */
//	@Column(length=255)
//	private String suppliesCraft;
	/**
	 * 桶数类型
	 */
	@Column(length=32)
	private String bucketType;

	/**
	 * 上限
	 */
	@Column(length=10)
	private Integer upperLimit;

	/**
	 * 下限
	 */
	@Column(length=10)
	private Integer lowerLimit;

	/**
	 * 第一桶
	 */
	@Column(length=10)
	private Integer firstBarrel;

	/**
	 * 第二桶
	 */
	@Column(length=10)
	private Integer secondBarrel;

	/**
	 * 第三桶
	 */
	@Column(length=10)
	private Integer thirdBarrel;

	/**
	 * 第四桶
	 */
	@Column(length=10)
	private Integer fourthBarrel;

	/**
	 * 第五桶
	 */
	@Column(length=10)
	private Integer fifthBarrel;

	/**
	 * 第六桶
	 */
	@Column(length=10)
	private Integer sixBarrel;

	/**
	 * 第七桶
	 */
	@Column(length=10)
	private Integer seventhBarrel;

	/**
	 * 第八桶
	 */
	@Column(length=10)
	private Integer eightBarrel;

	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createDate;
    
    
    /**
	 * 状态(1：删除，0未删除 默认)
	 */
	@Column(length=2)
	private Integer del = 0;
    

	public ProductionCircleWeightDetail() {
	}

	public ProductionCircleWeightDetail(Integer id) {
		this.id = id;
	}
}
