/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="production_recycled_material")
@DynamicUpdate
@DynamicInsert
public class ProductionRecycledMaterial{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 班组
	 */
    @Column(length=40)
    private String classGroup;
    
	/**
	 * 班次
	 */
    @Column(length=10)
    private String classNo;
    
	/**
	 * 系列
	 */
    @Column(length=50)
    private String series;
    
	/**
	 * 炉台号
	 */
    @Column(length=50)
    private String deviceNo;
    
	/**
	 * 炉次号
	 */
    @Column(length=80)
    private String lotNo;
    
	/**
	 * 单晶编号
	 */
    @Column(length=120)
    private String sn;
    
	/**
	 * 回收料类型
	 */
    @Column(length=40)
    private String recycledType;
    
	/**
	 * 单晶长度
	 */
    @Column(length=19)
    private BigDecimal length;
    
	/**
	 * 单晶重量
	 */
    @Column(length=19)
    private BigDecimal weight;
    
	/**
	 * 创建人
	 */
    @Column(length=80)
    private String createBy;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
	/**
	 * 更新人
	 */
    @Column(length=80)
    private String updateUser;
    
	/**
	 * 更新时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;
    

	public ProductionRecycledMaterial() {
	}

	public ProductionRecycledMaterial(Long id) {
		this.id = id;
	}
}
