/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name = "production_resistivity_maintenance")
@DynamicUpdate
@DynamicInsert
public class ProductionResistivity {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 模块
     */
    @Column(length = 50)
    private String module;

    /**
     * 系列
     */
    @Column(length = 50)
    private String series;

    /**
     * 设备号
     */
    @Column(length = 50)
    private String equipmentCode;

    /**
     * 复投次数
     */
    @Column(length = 50)
    private String againNum;

    /**
     * 目标电阻率
     */
    @Column(length = 50)
    private String targetResistivity;

    /**
     * 小头电阻率
     */
    @Column(length = 50)
    private String lastTargetResistivity;

    public ProductionResistivity() {
    }

    public ProductionResistivity(Integer id) {
        this.id = id;
    }
}
