/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.entity;

import java.util.Date;
import java.math.BigDecimal;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="production_wsm_reserve")
@DynamicUpdate
@DynamicInsert
public class ProductionWsmReserve{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 库位编码
	 */
    @Column(length=100)
    private String outcode;
    
	/**
	 * 托盘编号
	 */
    @Column(length=100)
    private String trayCode;
    
	/**
	 * 晶段编号
	 */
    @Column(length=100)
    private String crystalNo;
    
	/**
	 * 入库时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date instockTime;
    
	/**
	 * 停留时间
	 */
    @Column(length=32)
    private String stayTime;
    
	/**
	 * 是否定向画线
	 */
    @Column(length=3)
    private Integer isOrientLine;
    
	/**
	 * 是否反切
	 */
    @Column(length=3)
    private Integer isReCut;
    
	/**
	 * 晶棒类型【0-非标；1-整棒；1-默认值；】
	 */
    @Column(nullable=false, length=3)
    private Integer crystaType;
    
	/**
	 * 规格
	 */
    @Column(length=50)
    private String spec;
    
	/**
	 * PN型
	 */
    @Column(length=50)
    private String pn;
    
	/**
	 * 产品等级
	 */
    @Column(length=50)
    private String productGrade;
    
	/**
	 * 实验等级
	 */
    @Column(length=50)
    private String experimentGrade;
    
	/**
	 * 入库长度(mm)
	 */
    @Column(length=19)
    private BigDecimal wareHouseLength;
    
	/**
	 * 总长(mm)
	 */
    @Column(length=19)
    private BigDecimal totalLength;
    
	/**
	 * 称重(kg)
	 */
    @Column(length=19)
    private String weight;
    
	/**
	 * 直径min
	 */
    @Column(length=19)
    private String diameterMin;
    
	/**
	 * 直径max
	 */
    @Column(length=19)
    private BigDecimal diameterMax;
    
	/**
	 * 直径判定
	 */
    @Column(length=3)
    private Integer diamDecide;
    
	/**
	 * 斜
	 */
    @Column(length=50)
    private String bevel;
    
	/**
	 * 扭
	 */
    @Column(length=50)
    private String twist;
    
	/**
	 * 细总长
	 */
    @Column(length=19)
    private BigDecimal fineDiameter;
    
	/**
	 * 细减长
	 */
    @Column(length=19)
    private BigDecimal fineReduction;
    
	/**
	 * 扭可拼
	 */
    @Column(length=3)
    private Integer twistFlag;
    
	/**
	 * 细可拼
	 */
    @Column(length=3)
    private Integer thinFlag;
    
	/**
	 * 细减可拼
	 */
    @Column(length=3)
    private Integer fineFlag;
    
	/**
	 * 扭1
	 */
    @Column(length=50)
    private String twist1;
    
	/**
	 * 扭2
	 */
    @Column(length=50)
    private String twist2;
    
	/**
	 * 是否为应急上下料
	 */
    @Column(length=3)
    private Integer isEmergency;
    
	/**
	 * 更新时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;
    

	public ProductionWsmReserve() {
	}

	public ProductionWsmReserve(Long id) {
		this.id = id;
	}
}
