/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.production.entity;

import java.util.Date;
import java.math.BigDecimal;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="zaijing_judgment_rule")
@DynamicUpdate
@DynamicInsert
public class ZaijingJudgmentRule{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/**
	 * 规则名称
	 */
    @Column(length=50)
    private String ruleName;
    
	/**
	 * 规格
	 */
    @Column(length=32)
    private String specs;
    
	/**
	 * 掺杂剂
	 */
    @Column(length=12)
    private String dopant;
    
	/**
	 * 状态说明【0：默认，无效close;1:启用，有效open;】
	 */
    @Column(length=10)
    private Integer ruleType;
    
	/**
	 * 导电型号
	 */
    @Column(length=10)
    private String conductiveType;
    
	/**
	 * 段数
	 */
    @Column(length=10)
    private Integer lineNum;
    
	/**
	 * 长度
	 */
    @Column(length=19)
    private BigDecimal length;
    
	/**
	 * 分段数
	 */
    @Column(length=10)
    private Integer segmentNum;
    
	/**
	 * 电阻率
	 */
    @Column(length=255)
    private String resistivity;
    
	/**
	 * 寿命
	 */
    @Column(length=255)
    private String lifeTime;
    
	/**
	 * 创建者
	 */
    @Column(length=32)
    private String userCreate;
    
	/**
	 * 修改者
	 */
    @Column(length=32)
    private String userUpdate;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreate;
    
	/**
	 * 修改时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date gmtUpdate;
    

	public ZaijingJudgmentRule() {
	}

	public ZaijingJudgmentRule(Integer id) {
		this.id = id;
	}
}
