package com.sw.mes.yb.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.entity.ProductionMaterialReturnRecord;

import java.util.List;


public interface ProductionMaterialReturnRecordService extends BaseService<ProductionMaterialReturnRecord> {
    /**
     * 根据复投次数和批次号查询退料记录
     * @param againNum 复投次数
     * @param batchNo 批次号
     * @return 退料记录
     */
    List<ProductionMaterialReturnRecord> findByAgainNumAndBatchNo(Integer againNum, String batchNo);

    /**
     * 根据复投次数和批次号和炉次号查询退料记录
     * @param againNum 复投次数
     * @param batchNo 批次号
     * @param lotNo 炉次号
     * @return 退料记录
     */
    List<ProductionMaterialReturnRecord> findByAgainNumAndBatchNoAndLotNo(Integer againNum, String batchNo, String lotNo);
}