package com.sw.mes.yb.report.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "连续断线Dto")
public class BrokenBractBaseContinuousDto {

    private Long id;
     @ApiModelProperty(value = "日期(格式yyyy-MM-dd hh:mm:ss)" )
     String dateTime;
     @ApiModelProperty(value = "班组" )
     String classGroup;
     @ApiModelProperty(value = "班次" )
     String classNo;
     @ApiModelProperty(value = "系列" )
     String series;
     @ApiModelProperty(value = "炉台号" )
     String deviceNo;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "规格" )
     String specs;
     @ApiModelProperty(value = "运行时长" )
     BigDecimal runTime;
     @ApiModelProperty(value = "断苞类别" )
     String brokenBractType;
     @ApiModelProperty(value = "断苞工序" )
     String brokenBractProcesses;
     @ApiModelProperty(value = "晶体长度" )
     BigDecimal crystalLength;
     @ApiModelProperty(value = "复投情况" )
     String repeatedInfo;
     @ApiModelProperty(value = "引晶功率" )
     BigDecimal crystalPower;
     @ApiModelProperty(value = "引晶时长(h)" )
     BigDecimal crystalTime;
     @ApiModelProperty(value = "投料量" )
     BigDecimal feedingQuantity;
     @ApiModelProperty(value = "长度区间" )
     String crystalLengthArea;
     @ApiModelProperty(value = "等径1000mm液面像素值" )
     BigDecimal liquidLevelPixel;
     @ApiModelProperty(value = "液位光标" )
     BigDecimal liquidCursor;
     @ApiModelProperty(value = "干锅类型" )
     String dryPotType;
     @ApiModelProperty(value = "uap发送给mes报文内容" )
     String toMesDataBody;
     @ApiModelProperty(value = "加次" )
     Integer addTime;
     @ApiModelProperty(value = "工单" )
     String workOrder;
     @ApiModelProperty(value = "坩埚编号" )
     String crucibleCode;
     @ApiModelProperty(value = "断线类型" )
     String lineBreakType;
     @ApiModelProperty(value = "等径拉速异常" )
     String isometricSpeedAbnormal;
     @ApiModelProperty(value = "总引放次数" )
     Integer shoulderNum;
     @ApiModelProperty(value = "引晶液面温度" )
     BigDecimal crystalSurfacTemperature;
     @ApiModelProperty(value = "引晶长度" )
     BigDecimal leadCrystalLength;
     @ApiModelProperty(value = "放肩长度" )
     BigDecimal shoulderLength;
     @ApiModelProperty(value = "引晶100mm拉速" )
     BigDecimal crystalOneHundredSpeed;
     @ApiModelProperty(value = "是否手动放肩" )
     String isShoulderManual;
     @ApiModelProperty(value = "等径开始时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date isometricStartTime;
     @ApiModelProperty(value = "月份" )
     String month;
     @ApiModelProperty(value = "周" )
     String week;
     @ApiModelProperty(value = "天" )
     String day;
     @ApiModelProperty(value = "剩料重量" )
     BigDecimal residueWeight;
     @ApiModelProperty(value = "放肩开始时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date shoulderStartTime;
     @ApiModelProperty(value = "引晶结束液温" )
     BigDecimal crystalEndTemperature;
     @ApiModelProperty(value = "引放像素值" )
     BigDecimal crystalBeginPixel;
     @ApiModelProperty(value = "引晶液口距精测值" )
     BigDecimal crystalLiquidDistancePrecise;
     @ApiModelProperty(value = "引晶液口距粗测值" )
     BigDecimal crystalLiquidDistanceCoarse;
     @ApiModelProperty(value = "放肩时长" )
     BigDecimal shoulderTime;
     @ApiModelProperty(value = "等径功率" )
     BigDecimal isometricPower;
     @ApiModelProperty(value = "等径最低功率" )
     BigDecimal isometricPowerMin;
     @ApiModelProperty(value = "等径功率降幅" )
     BigDecimal isometricPowerDecline;
     @ApiModelProperty(value = "等径平均拉速" )
     BigDecimal isometricSpeedAverage;
}