package com.sw.mes.yb.report.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "断苞基础表口Dto")
public class BrokenBractBaseDto {
    @ExcelIgnore
    private Long id;
    @ExcelProperty(value = "日期")
    @ApiModelProperty(value = "日期(格式yyyy-MM-dd hh:mm:ss)" )
    String dateTime;
    @ExcelProperty(value = "班组")
    @ApiModelProperty(value = "班组" )
    String classGroup;
    @ExcelProperty(value = "班次")
    @ApiModelProperty(value = "班次" )
    String classNo;
    @ExcelProperty(value = "系列")
    @ApiModelProperty(value = "系列" )
    String series;
    @ExcelProperty(value = "炉台号")
    @ApiModelProperty(value = "炉台号" )
    String deviceNo;
    @ExcelProperty(value = "炉次号")
    @ApiModelProperty(value = "炉次号" )
    String lotNo;
    @ExcelProperty(value = "加次")
    @ApiModelProperty(value = "加次" )
    Integer addTime;
    @ExcelProperty(value = "规格")
    @ApiModelProperty(value = "规格" )
    String specs;
    @ExcelProperty(value = "运行时长")
    @ApiModelProperty(value = "运行时长" )
    BigDecimal runTime;
    @ExcelIgnore
    @ApiModelProperty(value = "断苞类别" )
    String brokenBractType;
    @ExcelProperty(value = "断苞工序")
    @ApiModelProperty(value = "断苞工序" )
    String brokenBractProcesses;
    @ExcelProperty(value = "晶体长度")
    @ApiModelProperty(value = "晶体长度" )
    BigDecimal crystalLength;
    @ExcelProperty(value = "剩料重量")
    @ApiModelProperty(value = "剩料重量" )
    BigDecimal residueWeight;
    @ExcelProperty(value = "复投情况")
    @ApiModelProperty(value = "复投情况" )
    String repeatedInfo;
    @ExcelProperty(value = "引晶功率")
    @ApiModelProperty(value = "引晶功率" )
    BigDecimal crystalPower;
    @ExcelProperty(value = "引晶时长(h)")
    @ApiModelProperty(value = "引晶时长(h)" )
    BigDecimal crystalTime;
    @ExcelIgnore
    @ApiModelProperty(value = "投料量" )
    BigDecimal feedingQuantity;
    @ExcelProperty(value = "长度区间")
    @ApiModelProperty(value = "长度区间" )
    String crystalLengthArea;
    @ExcelIgnore
    @ApiModelProperty(value = "等径1000mm液面像素值" )
    BigDecimal liquidLevelPixel;
    @ExcelProperty(value = "液位光标")
    @ApiModelProperty(value = "液位光标" )
    BigDecimal liquidCursor;
    @ExcelIgnore
    @ApiModelProperty(value = "干锅类型" )
    String dryPotType;
    @ExcelProperty(value = "工单")
    @ApiModelProperty(value = "工单" )
    String workOrder;
    @ExcelProperty(value = "坩埚编号")
    @ApiModelProperty(value = "坩埚编号" )
    String crucibleCode;
    @ExcelProperty(value = "断线类型")
    @ApiModelProperty(value = "断线类型" )
    String lineBreakType;
    @ExcelProperty(value = "等径拉速异常")
    @ApiModelProperty(value = "等径拉速异常" )
    String isometricSpeedAbnormal;
    @ExcelProperty(value = "总引放次数")
    @ApiModelProperty(value = "总引放次数" )
    Integer shoulderNum;
    @ExcelProperty(value = "引晶液面温度")
    @ApiModelProperty(value = "引晶液面温度" )
    BigDecimal crystalSurfacTemperature;
    @ExcelProperty(value = "引晶长度")
    @ApiModelProperty(value = "引晶长度" )
    BigDecimal leadCrystalLength;
    @ExcelProperty(value = "放肩长度")
    @ApiModelProperty(value = "放肩长度" )
    BigDecimal shoulderLength;
    @ExcelProperty(value = "引晶100mm拉速")
    @ApiModelProperty(value = "引晶100mm拉速" )
    BigDecimal crystalOneHundredSpeed;
    @ExcelProperty(value = "是否手动放肩")
    @ApiModelProperty(value = "是否手动放肩" )
    String isShoulderManual;
    @ExcelProperty(value = "等径开始时间")
    @ApiModelProperty(value = "等径开始时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date isometricStartTime;
    @ExcelProperty(value = "放肩开始时间")
    @ApiModelProperty(value = "放肩开始时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date shoulderStartTime;
    @ExcelProperty(value = "月份")
    @ApiModelProperty(value = "月份" )
    String month;
    @ExcelProperty(value = "周")
    @ApiModelProperty(value = "周" )
    String week;
    @ExcelProperty(value = "天")
    @ApiModelProperty(value = "天" )
    String day;

    @ExcelProperty(value = "引晶结束液温")
    @ApiModelProperty(value = "引晶结束液温" )
    BigDecimal crystalEndTemperature;

    @ExcelProperty(value = "引放像素值")
    @ApiModelProperty(value = "引放像素值" )
    BigDecimal crystalBeginPixel;

    @ExcelProperty(value = "引晶液口距精测值")
    @ApiModelProperty(value = "引晶液口距精测值" )
    BigDecimal crystalLiquidDistancePrecise;

    @ExcelProperty(value = "引晶液口距粗测值")
    @ApiModelProperty(value = "引晶液口距粗测值" )
    BigDecimal crystalLiquidDistanceCoarse;

    @ExcelProperty(value = "放肩时长")
    @ApiModelProperty(value = "放肩时长" )
    BigDecimal shoulderTime;

    @ExcelProperty(value = "等径功率")
    @ApiModelProperty(value = "等径功率" )
    BigDecimal isometricPower;

    @ExcelProperty(value = "等径最低功率")
    @ApiModelProperty(value = "等径最低功率" )
    BigDecimal isometricPowerMin;

    @ExcelProperty(value = "等径功率降幅")
    @ApiModelProperty(value = "等径功率降幅" )
    BigDecimal isometricPowerDecline;

    @ExcelProperty(value = "等径平均拉速")
    @ApiModelProperty(value = "等径平均拉速" )
    BigDecimal isometricSpeedAverage;

    @ExcelProperty(value = "放肩最终直径")
    @ApiModelProperty(value = "放肩最终直径" )
    BigDecimal shoulderDiameter;

    @ExcelProperty(value = "主加热设定值")
    @ApiModelProperty(value = "主加热设定值" )
    BigDecimal isometricPowerSetting;

    @ExcelProperty(value = "细颈长度")
    @ApiModelProperty(value = "细颈长度" )
    BigDecimal slenderNeckLength;

    @ExcelProperty(value = "目标液口距值")
    @ApiModelProperty(value = "目标液口距值" )
    BigDecimal liquidDistanceTarget;

    @ExcelProperty(value = "测量液口距值")
    @ApiModelProperty(value = "测量液口距值" )
    BigDecimal liquidDistanceActual;

    @ExcelProperty(value = "等径时炉压")
    @ApiModelProperty(value = "等径时炉压" )
    BigDecimal isometricPressure;

    @ExcelProperty(value = "等径时干泵开度")
    @ApiModelProperty(value = "等径时干泵开度" )
    BigDecimal isometricPumpOpening;

    @ExcelProperty(value = "等径时氩气流量")
    @ApiModelProperty(value = "等径时氩气流量" )
    BigDecimal isometricArgonFlow;

}