package com.sw.mes.yb.report.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "ExpansionBaseDto")
public class ExpansionBaseDto {

    private Long id;
     @ApiModelProperty(value = "日期(格式yyyy-MM-dd)" )
     String dateTime;
     @ApiModelProperty(value = "班次" )
     String classNo;
     @ApiModelProperty(value = "系列" )
     String series;
     @ApiModelProperty(value = "班组" )
     String classGroup;
     @ApiModelProperty(value = "炉台号" )
     String deviceNo;
     @ApiModelProperty(value = "炉次号" )
     String lotNo;
     @ApiModelProperty(value = "规格" )
     String specs;
     @ApiModelProperty(value = "运行时长" )
     BigDecimal runTime;
     @ApiModelProperty(value = "扩断时间点" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date expansionTime;
     @ApiModelProperty(value = "扩断类别" )
     String expansionType;
     @ApiModelProperty(value = "扩断工序" )
     String expansionProcesses;
     @ApiModelProperty(value = "复投情况" )
     String repeatedInfo;
     @ApiModelProperty(value = "引晶功率" )
     BigDecimal crystalPower;
     @ApiModelProperty(value = "引晶时长(h)" )
     BigDecimal crystalTime;
     @ApiModelProperty(value = "投料量" )
     BigDecimal feedingQuantity;
     @ApiModelProperty(value = "数据更新时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date updateTime;
     @ApiModelProperty(value = "开炉时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date startTime;
     @ApiModelProperty(value = "扩断长度" )
     private BigDecimal expansionLength;
     @ApiModelProperty(value = "等径1000mm液面像素值" )
     BigDecimal liquidLevelPixel;
     @ApiModelProperty(value = "液位光标" )
     BigDecimal liquidCursor;
     @ApiModelProperty(value = "干锅类型" )
     String dryPotType;
}