package com.sw.mes.yb.report.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(value = "成晶基础表Dto")
public class SuccessCrystalBaseDto {
    private Long id;
    @ApiModelProperty(value = "模块")
     String moudle;
    @ApiModelProperty(value = "系列")
     String series;
    @ApiModelProperty(value = "炉台号")
     String deviceNo;
    @ApiModelProperty(value = "炉次号")
     String lotNo;
    @ApiModelProperty(value = "参数名称")
     String parameterName;
    @ApiModelProperty(value = "复投次数")
    String againNum;
    @ApiModelProperty(value = "熔接开始时间")
     Date spliceStartTime;
    @ApiModelProperty(value = "熔接起始液面温度")
    BigDecimal spliceStartTemperature;
    @ApiModelProperty(value = "熔接过热液面温度")
    BigDecimal spliceOverheatingTemperature;
    @ApiModelProperty(value = "过热完成时间")
    Date spliceOverheatingTime;
    @ApiModelProperty(value = "过热时间")
    BigDecimal spliceTime;
    @ApiModelProperty(value = "熔接断时间")
    Date spliceBrokenTime;
    @ApiModelProperty(value = "引晶开始时间")
    Date crystalStartTime;
    @ApiModelProperty(value = "引晶主加热功率测量值kw")
    BigDecimal crystalPower;
    @ApiModelProperty(value = "引晶埚位")
    String crystalLocation;
    @ApiModelProperty(value = "引晶剩料重量kg")
    BigDecimal crystalResidueWeight;
    @ApiModelProperty(value = "引晶起始液面温度")
    BigDecimal crystalStartTemperature;
    @ApiModelProperty(value = "引晶起始液面像素值")
    BigDecimal crystalStartPixel;
    @ApiModelProperty(value = "引晶长度mm")
    BigDecimal crystalLength;
    @ApiModelProperty(value = "引晶最终液面温度")
    BigDecimal crystalEndTemperature;
    @ApiModelProperty(value = "引晶50mm长度时间")
    Date crystalFiftyTime;
    @ApiModelProperty(value = "引晶时间h")
    BigDecimal crystalTime;
    @ApiModelProperty(value = "引晶平均拉速mm/hr")
    BigDecimal crystalSpeed;
    @ApiModelProperty(value = "引晶开始平均拉速(15min)mm/hr")
    BigDecimal crystalStartAverageSpeed;
    @ApiModelProperty(value = "引晶结束平均拉速(50mm)mm/hr")
    BigDecimal crystalEndAverageSpeed;
    @ApiModelProperty(value = "引晶最终拉速mm/hr")
    BigDecimal crystalEndSpeed;
    @ApiModelProperty(value = "引断时间点")
    Date crystalBrokenTime;
    @ApiModelProperty(value = "是否引断")
    Integer crystalWithBroken;
    @ApiModelProperty(value = "是否进入手动引晶")
    Integer crystalWithManual;
    @ApiModelProperty(value = "放肩开始时间")
    Date shoulderingStartTime;
    @ApiModelProperty(value = "放肩直径60mm对应长度")
    BigDecimal shoulderingSixtyLength;
    @ApiModelProperty(value = "放肩长度60mm对应直径")
    BigDecimal shoulderingSixtyDiameter;
    @ApiModelProperty(value = "扩断时间")
    Date shoulderingBrokenTime;
    @ApiModelProperty(value = "是否扩断")
    Integer shoulderingWithBroken;
    @ApiModelProperty(value = "放肩扩断直径mm")
    BigDecimal shoulderingDiameter;
    @ApiModelProperty(value = "放肩完成液面像素值")
    BigDecimal shoulderingFinishPixel;
    @ApiModelProperty(value = "放肩最终直径mm")
    BigDecimal shoulderingEndDiameter;
    @ApiModelProperty(value = "放肩长度mm")
    BigDecimal shoulderingLength;
    @ApiModelProperty(value = "大角°")
    BigDecimal shoulderingBigAngle;
    @ApiModelProperty(value = "小角°")
    BigDecimal shoulderingSmallAngle;
    @ApiModelProperty(value = "放肩重量kg")
    BigDecimal shoulderingWeight;
    @ApiModelProperty(value = "放肩时间h")
    BigDecimal shoulderingTime;
    @ApiModelProperty(value = "转肩开始时间")
    Date shouderCircuitStartTime;
    @ApiModelProperty(value = "转肩最大拉速mm/hr")
    BigDecimal shouderCircuitTopSpeed;
    @ApiModelProperty(value = "转肩启动直径")
    BigDecimal shouderCircuitStartDiameter;
    @ApiModelProperty(value = "转肩晶体重量kg")
    BigDecimal shouderCircuitWeight;
    @ApiModelProperty(value = "转肩扩断时间")
    Date shouderCircuitBrokenTime;
    @ApiModelProperty(value = "转肩时间h")
    BigDecimal shouderCircuitTime;
    @ApiModelProperty(value = "等径开始时间")
    Date isometricStartTime;
    @ApiModelProperty(value = "等径50mm液口距")
    BigDecimal isometricFiftyDistance;
    @ApiModelProperty(value = "等径起始功率")
    BigDecimal isometricStartPower;
    @ApiModelProperty(value = "等径1000mm功率")
    BigDecimal isometricThousandPower;
    @ApiModelProperty(value = "等径起始液面像素值")
    BigDecimal isometricStartPixel;
    @ApiModelProperty(value = "等径500mm液面像素值")
    BigDecimal isometricFiveHundredPixel;
    @ApiModelProperty(value = "等径起始直径")
    BigDecimal isometricStartDiameter;
    @ApiModelProperty(value = "等径100mm时间")
    Date isometricOneHundredTime;
    @ApiModelProperty(value = "等径前100mm拉速mm/hr")
    BigDecimal isometricOneHundredSpeed;
    @ApiModelProperty(value = "等径500mm时间")
    Date isometricFiveHundredTime;
    @ApiModelProperty(value = "等径前500mm拉速mm/hr")
    BigDecimal isometricFiveHundredSpeed;
    @ApiModelProperty(value = "等径长度")
    BigDecimal isometricLength;
    @ApiModelProperty(value = "等径前500mm是否断苞")
    Integer isometricFiveHundredWithBroken;
    @ApiModelProperty(value = "是否一次成晶>500mm")
    Integer isometricWithOnce;
    @ApiModelProperty(value = "等径平均拉速mm/min")
    BigDecimal isometricAverageSpeed;
    @ApiModelProperty(value = "等径晶体重量kg")
    BigDecimal isometricWeight;
    @ApiModelProperty(value = "等径结束时间")
    Date isometricEndTime;
    @ApiModelProperty(value = "等径用时h")
    BigDecimal isometricTime;
    @ApiModelProperty(value = "取段剩料重量kg")
    BigDecimal sectionResidueWeight;
    @ApiModelProperty(value = "是否一次整棒＞3600mm（可配置）")
    Integer fullWithOnce;
    @ApiModelProperty(value = "收尾开始时间")
    Date finishingStartTime;
    @ApiModelProperty(value = "收尾长度mm")
    BigDecimal finishingLength;
    @ApiModelProperty(value = "收尾结束时间")
    Date finishingEndTime;
    @ApiModelProperty(value = "收尾时间min")
    BigDecimal finishingTime;
    @ApiModelProperty(value = "收尾重量kg")
    BigDecimal finishingWeight;
    @ApiModelProperty(value = "取段（结晶/稳温）开始时间")
    Date sectionStartTime;
    @ApiModelProperty(value = "取段（结晶/稳温）结束时间")
    Date sectionEndTime;
    @ApiModelProperty(value = "取段（结晶/稳温）时间")
    BigDecimal sectionTime;
    @ApiModelProperty(value = "取段晶体重量kg")
    BigDecimal sectionWeight;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
