package com.sw.mes.yb.report.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sw.mes.core.dto.sap.ReportSapGoodsmvtDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "工单进度Dto")
public class WorkOrderProgressReportDto {

    @ApiModelProperty(value = "工单号" )
    private String aufnr;

    @ApiModelProperty(value = "订单状态 (正常:REL) 其他则为关闭状态")
    String status;

    @ApiModelProperty(value = "计划结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gltrp;

    @ApiModelProperty(value = " 计划开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gstrp;

    @ApiModelProperty(value = "工序名称")
    String field4;

    @ApiModelProperty(value = "投料重量")
    BigDecimal feedWeight;

    @ApiModelProperty(value = "主产品已报")
    BigDecimal productionReportedWeight;

    @ApiModelProperty(value = "主产品未报")
    BigDecimal productionUnReportedWeight;

    @ApiModelProperty(value = "副产品已报")
    BigDecimal byProductionReportedWeight;

    @ApiModelProperty(value = "副产品未报")
    BigDecimal byProductionUnReportedWeight;

    @ApiModelProperty(value = "投入产出比")
    String inputOutputRatio;

    @ApiModelProperty(value = "在制数量" )
    BigDecimal count;

    @ApiModelProperty(value = "工单详情" )
    List<ReportSapGoodsmvtDto> reportSapGoodsmvtDtoDetails;
}
