/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.report.entity;

import java.util.Date;
import java.math.BigDecimal;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name = "rpt_broken_bract_base_continuous")
@DynamicUpdate
@DynamicInsert
public class BrokenBractBaseContinuous {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 日期(格式yyyy-MM-dd hh:mm:ss)
	 */
    @Column(length=50)
    private String dateTime;
    
	/**
	 * 班组
	 */
    @Column(length=40)
    private String classGroup;
    
	/**
	 * 班次
	 */
    @Column(length=10)
    private String classNo;
    
	/**
	 * 系列
	 */
    @Column(length=50)
    private String series;
    
	/**
	 * 炉台号
	 */
    @Column(length=50)
    private String deviceNo;
    
	/**
	 * 炉次号
	 */
    @Column(length=80)
    private String lotNo;
    
	/**
	 * 规格
	 */
    @Column(length=50)
    private String specs;
    
	/**
	 * 运行时长
	 */
    @Column(length=19)
    private BigDecimal runTime;
    
	/**
	 * 断苞类别
	 */
    @Column(length=20)
    private String brokenBractType;
    
	/**
	 * 断苞工序
	 */
    @Column(length=40)
    private String brokenBractProcesses;
    
	/**
	 * 晶体长度
	 */
    @Column(length=19)
    private BigDecimal crystalLength;
    
	/**
	 * 复投情况
	 */
    @Column(length=40)
    private String repeatedInfo;
    
	/**
	 * 引晶功率
	 */
    @Column(length=19)
    private BigDecimal crystalPower;
    
	/**
	 * 引晶时长(h)
	 */
    @Column(length=19)
    private BigDecimal crystalTime;
    
	/**
	 * 投料量
	 */
    @Column(length=19)
    private BigDecimal feedingQuantity;
    
	/**
	 * 长度区间
	 */
    @Column(length=40)
    private String crystalLengthArea;
    
	/**
	 * 等径1000mm液面像素值
	 */
    @Column(length=19)
    private BigDecimal liquidLevelPixel;
    
	/**
	 * 液位光标
	 */
    @Column(length=19)
    private BigDecimal liquidCursor;
    
	/**
	 * 干锅类型
	 */
    @Column(length=30)
    private String dryPotType;
    
	/**
	 * uap发送给mes报文内容
	 */
    @Column(length=2147483647)
    private String toMesDataBody;
    
	/**
	 * 加次
	 */
    @Column(length=10)
    private Integer addTime;
    
	/**
	 * 工单
	 */
    @Column(length=50)
    private String workOrder;
    
	/**
	 * 坩埚编号
	 */
    @Column(length=50)
    private String crucibleCode;
    
	/**
	 * 断线类型
	 */
    @Column(length=50)
    private String lineBreakType;
    
	/**
	 * 等径拉速异常
	 */
    @Column(length=50)
    private String isometricSpeedAbnormal;
    
	/**
	 * 总引放次数
	 */
    @Column(length=10)
    private Integer shoulderNum;
    
	/**
	 * 引晶液面温度
	 */
    @Column(length=19)
    private BigDecimal crystalSurfacTemperature;
    
	/**
	 * 引晶长度
	 */
    @Column(length=19)
    private BigDecimal leadCrystalLength;
    
	/**
	 * 放肩长度
	 */
    @Column(length=19)
    private BigDecimal shoulderLength;
    
	/**
	 * 引晶100mm拉速
	 */
    @Column(length=19)
    private BigDecimal crystalOneHundredSpeed;
    
	/**
	 * 是否手动放肩
	 */
    @Column(length=50)
    private String isShoulderManual;
    
	/**
	 * 等径开始时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date isometricStartTime;
    
	/**
	 * 月份
	 */
    @Column(length=20)
    private String month;
    
	/**
	 * 周
	 */
    @Column(length=20)
    private String week;
    
	/**
	 * 天
	 */
    @Column(length=20)
    private String day;
    
	/**
	 * 剩料重量
	 */
    @Column(length=19)
    private BigDecimal residueWeight;
    
	/**
	 * 放肩开始时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date shoulderStartTime;
    
	/**
	 * 引晶结束液温
	 */
    @Column(length=19)
    private BigDecimal crystalEndTemperature;
    
	/**
	 * 引放像素值
	 */
    @Column(length=19)
    private BigDecimal crystalBeginPixel;
    
	/**
	 * 引晶液口距精测值
	 */
    @Column(length=19)
    private BigDecimal crystalLiquidDistancePrecise;
    
	/**
	 * 引晶液口距粗测值
	 */
    @Column(length=19)
    private BigDecimal crystalLiquidDistanceCoarse;
    
	/**
	 * 放肩时长
	 */
    @Column(length=19)
    private BigDecimal shoulderTime;
    
	/**
	 * 等径功率
	 */
    @Column(length=19)
    private BigDecimal isometricPower;
    
	/**
	 * 等径最低功率
	 */
    @Column(length=19)
    private BigDecimal isometricPowerMin;
    
	/**
	 * 等径功率降幅
	 */
    @Column(length=19)
    private BigDecimal isometricPowerDecline;
    
	/**
	 * 等径平均拉速
	 */
    @Column(length=19)
    private BigDecimal isometricSpeedAverage;
    

	public BrokenBractBaseContinuous() {
	}

	public BrokenBractBaseContinuous(Long id) {
		this.id = id;
	}
}
