/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.report.entity;

import java.util.Date;
import java.math.BigDecimal;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="rpt_crystal_broken_base")
@DynamicUpdate
@DynamicInsert
public class CrystalBrokenBase{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 日期
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date dateTime;
    
	/**
	 * 班组
	 */
    @Column(length=40)
    private String classGroup;
    
	/**
	 * 班次
	 */
    @Column(length=10)
    private String classNo;
    
	/**
	 * 系列
	 */
    @Column(length=50)
    private String series;
    
	/**
	 * 炉台号
	 */
    @Column(length=50)
    private String deviceNo;
    
	/**
	 * 炉次号
	 */
    @Column(length=80)
    private String lotNo;
    
	/**
	 * 复投次数
	 */
    @Column(length=32)
    private String againNum;
    
	/**
	 * 原因类型
	 */
    @Column(length=50)
    private String reasonType;
    
	/**
	 * 原因分析
	 */
    @Column(length=65535)
    private String reasonInfo;
    
	/**
	 * 操作人
	 */
    @Column(length=80)
    private String operationUser;
    
	/**
	 * 操作时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date operationTime;
    
	/**
	 * 更新人
	 */
    @Column(length=80)
    private String updateUser;
    
	/**
	 * 更新时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;
    
	/**
	 * 引晶长度mm
	 */
    @Column(length=19)
    private BigDecimal crystalLength;
    
	/**
	 * 引晶剩料重量kg
	 */
    @Column(length=19)
    private BigDecimal crystalResidueWeight;
    
	/**
	 * 创建人
	 */
    @Column(length=80)
    private String createBy;
    
	/**
	 * 创建时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    

	public CrystalBrokenBase() {
	}

	public CrystalBrokenBase(Long id) {
		this.id = id;
	}
}
