/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.report.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="rpt_expansion_base")
@DynamicUpdate
@DynamicInsert
public class ExpansionBase{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 日期(格式yyyy-MM-dd)
	 */
    @Column(length=50)
    private String dateTime;
    
	/**
	 * 班次
	 */
    @Column(length=10)
    private String classNo;
    
	/**
	 * 系列
	 */
    @Column(length=50)
    private String series;
    
	/**
	 * 班组
	 */
    @Column(length=40)
    private String classGroup;
    
	/**
	 * 炉台号
	 */
    @Column(length=50)
    private String deviceNo;
    
	/**
	 * 炉次号
	 */
    @Column(length=80)
    private String lotNo;
    
	/**
	 * 规格
	 */
    @Column(length=50)
    private String specs;
    
	/**
	 * 运行时长
	 */
    @Column(length=19)
    private BigDecimal runTime;
    
	/**
	 * 扩断时间点
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date expansionTime;
    
	/**
	 * 扩断类别
	 */
    @Column(length=20)
    private String expansionType;
    
	/**
	 * 扩断工序
	 */
    @Column(length=40)
    private String expansionProcesses;
    
	/**
	 * 复投情况
	 */
    @Column(length=40)
    private String repeatedInfo;
    
	/**
	 * 引晶功率
	 */
    @Column(length=19)
    private BigDecimal crystalPower;
    
	/**
	 * 引晶时长(h)
	 */
    @Column(length=19)
    private BigDecimal crystalTime;
    
	/**
	 * 投料量
	 */
    @Column(length=19)
    private BigDecimal feedingQuantity;
    
	/**
	 * 数据更新时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date updateTime;
    
    /**
     * 开炉时间
     */
    @Column(length=19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date startTime;
    
    /**
	 * 扩断长度
	 */
    @Column(length=19)
    private BigDecimal expansionLength;

	/**
	 * 等径1000mm液面像素值（等径1000mm液面像素值）
	 */
	@Column(length=19)
	private BigDecimal liquidLevelPixel;

	/**
	 * 液位光标（8032）
	 */
	@Column(length=19)
	private BigDecimal liquidCursor;

	/**
	 * 干锅类型（1196）
	 */
	@Column(length=40)
	private String dryPotType;

	public ExpansionBase() {
	}

	public ExpansionBase(Long id) {
		this.id = id;
	}
}
