/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.report.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="scheduled_production_config")
@DynamicUpdate
@DynamicInsert
public class ScheduledProductionConfig {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

	/**
	 * 订单号
	 */
	@Column(length=60)
	private String orderNo;

	/**
	 * 车间
	 */
	@Column(length=20)
	private String workShop;


	/**
	 * 日期(格式yyyy-MM-dd hh:mm:ss)
	 */
    @Column(length=20)
    private String date;

	/**
	 * 订单类型
	 */
    @Column(length=10)
    private String orderType;

	/**
	 * 产品类别
	 */
    @Column(length=50)
    private String productType;

	/**
	 * 边距
	 */
	@Column(length=20)
	private String side;

	/**
	 * 日计划量
	 */
    @Column(length=19)
    private BigDecimal dayPlan;

	/**
	 * 四小时计划量
	 */
	@Column(length=19)
	private BigDecimal hourPlan;

	/**
	 * 创建人
	 */
	@Column(length = 50)
	private String createUser;

	/**
	 * 创建时间
	 */
	@Column(length = 19)
	@Temporal(TemporalType.TIMESTAMP)
	private Date createTime;

	public ScheduledProductionConfig() {
	}

	public ScheduledProductionConfig(Long id) {
		this.id = id;
	}
}
