/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.report.entity;

import java.util.Date;
import java.math.BigDecimal;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="rpt_shoulder_survival_rate")
@DynamicUpdate
@DynamicInsert
public class ShoulderSurvivalRate{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
	
	/**
	 * 模块
	 */
	@Column(length=50)
	private String area;
    
	/**
	 * 系列
	 */
    @Column(length=50)
    private String series;
    
	/**
	 * 炉台号
	 */
    @Column(length=50)
    private String deviceNo;
    
	/**
	 * 炉次号
	 */
    @Column(length=80)
    private String lotNo;
    
	/**
	 * 班次
	 */
    @Column(length=10)
    private String classNo;
    
	/**
	 * 扩肩成活率
	 */
    @Column(length=19)
    private BigDecimal shoulderSurvivalRate;
    
	/**
	 * 剩余重量
	 */
    @Column(length=19)
    private Double residueWeight;
    
	/**
	 * 进入放肩
	 */
    @Column(length=10)
    private Integer intoShouldering;
    
	/**
	 * 是否断取
	 */
    @Column(length=10)
    private Integer breakTake;
    
	/**
	 * 进入放肩时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date infoShoulderingTime;
    
	/**
	 * 进入等径时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date infoIsodiametricTime;
    
    /**
     * 记录创建时间
     */
    @Column(length=19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date createTime;
    
    /**
     * 引晶功率
     */
    @Column(length=19)
    private BigDecimal crystalPower;
    
    /**
     * 放肩长度
     */
    @Column(length=19)
    private BigDecimal infoShoulderingLength;

	/**
	 * 车间 factory_model.name
	 */
	@Column(length=50)
	private String workshop;

	/**
	 * 片区 factory_model.name
	 */
	@Column(length=40)
	private String district;

	public ShoulderSurvivalRate() {
	}

	public ShoulderSurvivalRate(Long id) {
		this.id = id;
	}
}
