/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.report.entity;

import java.util.Date;
import java.math.BigDecimal;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="zhxx_wip_storage")
@DynamicUpdate
@DynamicInsert
public class WipStorageReport{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    
	/**
	 * 晶棒编号
	 */
    @Column(length=30)
    private String sectionNo;
    
	/**
	 * 长度
	 */
    @Column(length=20)
    private BigDecimal length;
    
	/**
	 * 等级
	 */
    @Column(length=30)
    private String level;
    
	/**
	 * 尺寸
	 */
    @Column(length=30)
    private String size;
    
	/**
	 * 掺杂剂
	 */
    @Column(length=30)
    private String dopant;
    
	/**
	 * 物料类型
	 */
    @Column(length=30)
    private String materialType;
    
	/**
	 * 物料状态
	 */
    @Column(length=30)
    private String materialState;
    
	/**
	 * 操作人
	 */
    @Column(length=30)
    private String username;
    
	/**
	 * 盘点时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date time;
    
	/**
	 * 盘点区位
	 */
    @Column(length=30)
    private String processes;
    
	/**
	 * 站点及状态
	 */
    @Column(length=255)
    private String siteAndStatus;

	/**
	 * 创建时间
	 */
	@Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
	private Date createTime;
    

	public WipStorageReport() {
	}

	public WipStorageReport(Integer id) {
		this.id = id;
	}
}
