package com.sw.mes.yb.seed.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.util.Date;

@Data
public class SeedMaterialsRecordDto implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    private Long id;
    /**
     * 工单号
     */
    @ApiModelProperty(value = "工单号")
    @ExcelProperty(value = "工单号")
    private String billCode;
    /**
     * 籽晶批次号
     */
    @ApiModelProperty(value = "籽晶批次号",required = true)
    @ExcelProperty(value = "籽晶批次号")
    private String seedBatchNo;
    /**
     *物料编码
     */
    @ApiModelProperty(value = "物料编码")
    @ExcelProperty(value = "物料编码")
    private String materialCode;
    /**
     *车间名称
     */
    @ApiModelProperty(value = "车间名称")
    @ExcelProperty(value = "车间名称")
    private String workshopName;
    /**
     *车间id
     */
    @ApiModelProperty(value = "车间id")
    @ExcelIgnore
    private Integer workshopId;
    /**
     *炉号
     */
    @ApiModelProperty(value = "炉号",required = true)
    @ExcelProperty(value = "炉号")
    private String deviceCode;
    /**
     *炉次号
     */
    @ApiModelProperty(value = "炉次号")
    @ExcelProperty(value = "炉次号")
    private String deviceBatch;
    /**
     *复投次数
     */
    @ApiModelProperty(value = "复投次数")
    @ExcelProperty(value = "复投次数")
    private Integer rethrowsNumber;
    /**
     *籽晶编码
     */
    @ApiModelProperty(value = "籽晶编码")
    @ExcelProperty(value = "籽晶编码")
    private String seedCode;
    /**
     *领用人
     */
    @ApiModelProperty(value = "领用人")
    @ExcelProperty(value = "领用人")
    private String createBy;
    /**
     * 创建日期
     */
    @ApiModelProperty(value = "创建日期")
    @ExcelProperty(value = "创建日期")
    private Date createDate;
}
