package com.sw.mes.yb.seed.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.Date;
@Data
@NoArgsConstructor
public class SeedPlanOrderDto implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    private Long id;
    /**
     *sap char(12)sap中最多12位
     */
    @ApiModelProperty(value = "sap char(12)sap中最多12位")
    private String aufnr;
    /**
     *need to sync with sap 需要与sap一致
     */
    @ApiModelProperty(value = "需要与sap一致")
    private String auart;
    /**
     *计划单号
     */
    @ApiModelProperty(value = "计划单号",required = false)
    private String planCode;
    /**
     *计划类型
     */
    @ApiModelProperty(value = "计划类型")
    private String planType;
    /**
     *物料id
     */
    @ApiModelProperty(value = "物料id",required = false)
    private Integer materialId;
    /**
     *物料编码
     */
    @ApiModelProperty(value = "物料编码",required = true)
    private String materialCode;
    /**
     *物料名称
     */
    @ApiModelProperty(value = "物料名称",required = false)
    private String materialName;
    /**
     *物料类型
     */
    @ApiModelProperty(value = "物料类型",required = false)
    private String materialType;
    /**
     *规格
     */
    @ApiModelProperty(value = "规格",required = false)
    private String spec;
    /**
     *物料型号
     */
    @ApiModelProperty(value = "物料型号",required = false)
    private String materialModel;
    /**
     *研发唯一标识
     */
    @ApiModelProperty(value = "研发唯一标识")
    private String rdonlylogo;
    /**
     *计划开始时间
     */
    @ApiModelProperty(value = "计划开始时间")
    private Date beginTime;
    /**
     *计划结束时间
     */
    @ApiModelProperty(value = "计划结束时间")
    private Date endTime;
    /**
     *计划单状态
     */
    @ApiModelProperty(value = "计划单状态")
    private String status;
    /**
     *是否生产
     */
    @ApiModelProperty(value = "是否生产")
    private Boolean productionStatus;
    /**
     *加工能力id
     */
    @ApiModelProperty(value = "加工能力id")
    private Integer MachineCapacityId;
    /**
     *基地
     */
    @ApiModelProperty(value = "基地")
    private String baseMark;
    /**
     *溯源标识
     */
    @ApiModelProperty(value = "溯源标识")
    private String formMark;
    /**
     *车间id
     */
    @ApiModelProperty(value = "车间id")
    private Integer workShopId;
    /**
     *车间
     */
    @ApiModelProperty(value = "车间")
    private String workShop;
    /**
     *掺杂剂
     */
    @ApiModelProperty(value = "掺杂剂")
    private String dopant;
    /**
     *客户
     */
    @ApiModelProperty(value = "客户")
    private String customer;
    /**
     *数量
     */
    @ApiModelProperty(value = "数量",required = true)
    private Integer count;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建日期
     */
    @ApiModelProperty(value = "创建日期")
    private Date createDate;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateDate;
    /**
     * 操作人
     */
    @ApiModelProperty(value = "操作人")
    private String operationBy;
    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    private Date operationDate;
    /**
     * 定向标识
     */
    @ApiModelProperty(value = "定向标识")
    private String directionalSign;
    /**
     * 软删除 1：删除；0：未删除
     */
    private Boolean deleted;
}
