package com.sw.mes.yb.seed.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 籽晶原料需求任务表
 */
@Data
public class SeedRequireTaskDto {
    
    private Long id;

    /**
     * 任务编码
     */
    @ApiModelProperty(value = "任务编码")
    private String code;
    /**
     * 规则ID
     */
    @ApiModelProperty(value = "规则ID")
    private Long seedRuleId;

    /**
     * 规则名称
     */
    @ApiModelProperty(value = "规则名称")
    private String seedRuleName;

    /**
     * 需求数量
     */
    @ApiModelProperty(value = "需求数量")
    private BigDecimal requireCount;

    /**
     * 需求长度
     */
    @ApiModelProperty(value = "需求长度")
    private BigDecimal requireLength;
    /**
     * 分配数量
     */
    @ApiModelProperty(value = "分配数量")
    private BigDecimal allotQuantity;
    /**
     * 已分配数量
     */
    @ApiModelProperty(value = "已分配数量")
    private BigDecimal allocatedQuantity;

    /**
     * 未分配数量
     */
    @ApiModelProperty(value = "未分配数量")
    private BigDecimal noAllocatedQuantity;

    /**
     * 逻辑删除，1：删除，0：未删除
     */
    @ApiModelProperty(value = "逻辑删除")
    private boolean del;

    /**
     * 关联工单号
     */
    @ApiModelProperty(value = "关联工单号")
    private String planOrderNo;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createUser;

    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    private String updateUser;

    /**
     * 创建日期
     */
    @ApiModelProperty(value = "创建日期")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private Date endTime;
}
