package com.sw.mes.yb.seed.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
 * 籽晶对象
 *
 * @Author：wanjia
 * @Date：2024/1/9 14:41
 */
@Data
@Entity
@Table(name = "seed_group_bracket_details")
@DynamicUpdate
@DynamicInsert
public class SeedGroupBracketDetails {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    /**
     * 父级id
     */
    @Column
    private Long parentId;
    /**
     * 籽晶编码
     */
    @Column
    private String seedCode;
    /**
     * 计划单号
     */
    @Column
    private String planCode;
    /**
     * 籽晶批次号
     */
    @Column
    private String seedBatchNo;
    /**
     * 批次号
     */
    @Column
    private String batchNo;
    /**
     * 锥度
     */
    @Column
    private Double taper;
    /**
     *总长度
     */
    @Column
    private Double totalLength;
    /**
     *理论重量
     */
    @Column
    private Double theWeight;
    /**
     *总长度大头长度
     */
    @Column
    private Double totalBigLength;
    /**
     *小头长度
     */
    @Column
    private Double smallLength;
    /**
     *小头平均直径
     */
    @Column
    private Double smallAverageDiameter;
    /**
     *大头平均直径
     */
    @Column
    private Double bigAverageDiameter;
    /**
     *小头直径最小值
     */
    @Column
    private Double smallDiameterMin;
    /**
     *小头直径最大值
     */
    @Column
    private Double smallDiameterMax;
    /**
     *大头直径最小值
     */
    @Column
    private Double bigDiameterMin;
    /**
     *大头直径最大值
     */
    @Column
    private Double bigDiameterMax;
    /**
     *同轴度
     */
    @Column
    private Double coaxiality;
    /**
     *隐裂
     */
    @Column
    private Double subfissure;
    /**
     *是否合格
     */
    @Column
    private Boolean isQualified;
    /**
     * 创建人
     */
    @Column
    private String createBy;

    /**
     * 创建日期
     */
    @Column
    private Date createDate;

    /**
     * 修改人
     */
    @Column
    private String updateBy;
    /**
     * 更新时间
     */
    @Column
    private Date updateDate;
    /**
     * 状态
     */
    @Column
    private String status;
}
