package com.sw.mes.yb.seed.entity;

import com.sw.mes.yb.seed.utils.SeedCodeGenerator;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 籽晶判定规则
 *
 * @Author：wanjia
 * @Date：2024/1/9 14:41
 */
@Data
@Entity
@Table(name = "seed_painting_line")
@DynamicUpdate
@DynamicInsert
public class SeedPaintingLine {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 判定规则名称
     */
    @Column
    private String ruleName;
    /**
     * 规格
     */
    @Column
    private String specs;

    /**
     * 掺杂剂
     */
    @Column
    private String dopant;
    /**
     * 导电型号
     */
    @Column
    private String conductiveType;

    /**
     * 定向标识
     */
    @Column
    private String directionalSign;

    /**
     * 段数
     */
    @Column
    private int lineNum;

    /**
     * 总长度
     */
    @Column
    private BigDecimal totalLength;

    /**
     * 分段数
     */
    @Column
    private int segmentNum;

    /**
     * 电阻率
     */
    @Column
    private String resistivity;

    /**
     * 创建人
     */
    @Column
    private String createUser;

    /**
     * 修改人
     */
    @Column
    private String updateUser;

    /**
     * 创建日期
     */
    @Column
    private Date createTime;

    /**
     * 更新时间
     */
    @Column
    private Date updateTime;

    /**
     * 寿命
     */
    @Column
    private String lifeTime;

}
