package com.sw.mes.yb.seed.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

@Data
@Entity
@Table(name = "seed_plan_order")
@DynamicUpdate
@DynamicInsert
public class SeedPlanOrder {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    /**
     *sap char(12)sap中最多12位
     */
    @Column
    private String aufnr;
    /**
     *need to sync with sap 需要与sap一致
     */
    @Column
    private String auart;
    /**
     *计划单号
     */
    @Column
    private String planCode;
    /**
     *计划类型
     */
    @Column
    private String planType;
    /**
     *物料id
     */
    @Column
    private Integer materialId;
    /**
     *物料编码
     */
    @Column
    private String materialCode;
    /**
     *物料名称
     */
    @Column
    private String materialName;
    /**
     *物料类型
     */
    @Column
    private String materialType;
    /**
     *规格
     */
    @Column
    private String spec;
    /**
     *物料型号
     */
    @Column
    private String materialModel;
    /**
     *研发唯一标识
     */
    @Column
    private String rdonlylogo;
    /**
     *计划开始时间
     */
    @Column
    private Date beginTime;
    /**
     *计划结束时间
     */
    @Column
    private Date endTime;
    /**
     *计划单状态
     */
    @Column
    private String status;
    /**
     *是否生产
     */
    @Column
    private Boolean productionStatus;
    /**
     *加工能力id
     */
    @Column
    private Integer MachineCapacityId;
    /**
     *基地
     */
    @Column
    private String baseMark;
    /**
     *溯源标识
     */
    @Column
    private String formMark;
    /**
     *车间id
     */
    @Column
    private Integer workShopId;
    /**
     *车间
     */
    @Column
    private String workShop;
    /**
     *掺杂剂
     */
    @Column
    private String dopant;
    /**
     *客户
     */
    @Column
    private String customer;
    /**
     *数量
     */
    @Column
    private Integer count;

    /**
     * 创建人
     */
    @Column
    private String createBy;

    /**
     * 创建日期
     */
    @Column
    private Date createDate;

    /**
     * 修改人
     */
    private String updateBy;
    /**
     * 更新时间
     */
    @Column
    private Date updateDate;

    /**
     * 操作人
     */
    @Column
    private String operationBy;
    /**
     * 操作时间
     */
    @Column
    private Date operationDate;
    /**
     * 定向标识
     */
    @Column
    private String directionalSign;
    /**
     * 预留字段
     */
    @Column
    private String field1;
    /**
     * 预留字段
     */
    @Column
    private String field2;
    /**
     * 预留字段
     */
    @Column
    private String field3;
    /**
     * 预留字段
     */
    @Column
    private String field4;
    /**
     * 预留字段
     */
    @Column
    private String field5;
    /**
     * 软删除 1：删除；0：未删除
     */
    @Column
    private Boolean deleted;
}
