package com.sw.mes.yb.turnstore.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "托盘绑定/解绑日志记录Dto")
public class ProductionBindingTrayLogDto {

    private Long id;
    @ApiModelProperty(value = "托盘编号")
    String trayNo;
    @ApiModelProperty(value = "单晶编号")
    String crystalNo;
    @ApiModelProperty(value = "操类型【0-自动绑定；1-人工绑定(记录绑定人）；2-解除绑定；】")
    Integer isBinding;
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date bindingTime;
    @ApiModelProperty(value = "绑定地点(自定义名称)")
    String bindingSite;
    @ApiModelProperty(value = "操作人")
    String bindingPeople;
    @ApiModelProperty(value = "托盘工位号(送验车为例:1,2)")
    String locationNo;
    @ApiModelProperty(value = "班次名(中文)")
    String classnoname;
    @ApiModelProperty(value = "班组名称")
    String className;
    @ApiModelProperty(value = "记录创建时间", required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date gmtCreate;
    @ApiModelProperty(value = "所属系列")
    String series;
    @ApiModelProperty(value = "所属模块")
    String area;
    @ApiModelProperty(value = "解绑原因")
    String reason;
}