package com.sw.mes.yb.turnstore.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@ApiModel(value = "周转库入库申请明细Dto")
public class TurnstoreInItemDto {

    private Integer id;
     @ApiModelProperty(value = "入库申请主表id" )
     Integer inId;
     @ApiModelProperty(value = "入库类型（圆棒入库、方棒退料、综计退料" )
     String type;
     @ApiModelProperty(value = "入库申请单状态(待入库、已入库、退回)" )
     String state;
     @ApiModelProperty(value = "入库申请单号" )
     String orderNo;
     @ApiModelProperty(value = "入库申请人" )
     String user;
     @ApiModelProperty(value = "确认人" )
     String confirmUser;
     @ApiModelProperty(value = "入库申请时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date time;
     @ApiModelProperty(value = "晶段编号" )
     String sectionNo;
     @ApiModelProperty(value = "产品等级" )
     String productLevelSecond;
    @ApiModelProperty(value = "实验等级" )
    String productLevelExperiment;
     @ApiModelProperty(value = "产品规格" )
     String productTypeSecond;
     @ApiModelProperty(value = "入库长度" )
     BigDecimal instoreLength;
     @ApiModelProperty(value = "入库重量" )
     BigDecimal instoreWeight;
     @ApiModelProperty(value = "圆棒长度" )
     BigDecimal actualLength;
     @ApiModelProperty(value = "重量" )
     BigDecimal actualWeight;
     @ApiModelProperty(value = "细减长" )
     BigDecimal fineCutLength;
     @ApiModelProperty(value = "崩晶线" )
     BigDecimal collapseLine;
     @ApiModelProperty(value = "库位名称" )
     String locationName;
     @ApiModelProperty(value = "原因（退料入周转库时才有用" )
     String reason;
    @ApiModelProperty(value = "晶段类型" )
    String sectionType;
    @ApiModelProperty(value = "圆棒入库批次号" )
    Long batchNo;
    @ApiModelProperty(value = "复检类别" )
    String reCheckType;
    @ApiModelProperty(value = "单晶不同入库类型的次数(累加)" )
    Integer times;
    @ApiModelProperty(value = "细总长" )
    BigDecimal fineDiameter;
    @ApiModelProperty(value = "备注" )
    String remark;
    @ApiModelProperty(value = "退库类型" )
    String withdrawingType;
    @ApiModelProperty(value = "退库单备注" )
    String withdrawinRemark;
    @ApiModelProperty(value = "去向" )
    String purpose;
    @ApiModelProperty(value = "退料站点" )
    String returnStation;
}
