package com.sw.mes.yb.turnstore.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "圆棒组托详情Dto")
public class TurnstoreTrayItemDto {

    private Integer id;
    @ApiModelProperty(value = "序号")
    Integer orderNum;
    @ApiModelProperty(value = "组托主表id(zhxx_turnstore_tray.id)")
    Integer trayId;
    @ApiModelProperty(value = "晶段编号(短棒)")
    String sectionNo;
    @ApiModelProperty(value = "单晶组合")
    String sectionCompose;
    @ApiModelProperty(value = "导电型号")
    String conductiveType;
    @ApiModelProperty(value = "去向")
    String hasGone;
    @ApiModelProperty(value = "规格")
    String productTypeSecond;
    @ApiModelProperty(value = "圆棒入库长度")
    BigDecimal wareHouseLength;
    @ApiModelProperty(value = "理论重量")
    BigDecimal theoryWeight;
    @ApiModelProperty(value = "圆棒长度(mm)")
    BigDecimal actualLength;
    @ApiModelProperty(value = "入库状态【0：默认，未入库；1：是，已入库；】")
    Integer state;
    @ApiModelProperty(value = "圆棒称重")
    BigDecimal actualWeight;
    @ApiModelProperty(value = "细减长(mm)")
    BigDecimal fineCutLength;
    @ApiModelProperty(value = "崩晶线")
    BigDecimal collapseLine;
    @ApiModelProperty(value = "工厂")
    String factory;
    @ApiModelProperty(value = "库存地点")
    String stockPlace;
    @ApiModelProperty(value = "圆棒备注")
    String remark;
    @ApiModelProperty(value = "客户类别")
    String customerType;
    @ApiModelProperty(value = "订单号")
    String orderNo;
    @ApiModelProperty(value = "崩边长度")
    BigDecimal edgeBark;
    @ApiModelProperty(value = "斜【0：默认，否；1：是；】", required = true)
    Integer isBevel;
    @ApiModelProperty(value = "细")
    BigDecimal fineDiameter;
    @ApiModelProperty(value = "扭")
    BigDecimal distortion;
    @ApiModelProperty(value = "棒寿命分档")
    String lifeGrading;
    @ApiModelProperty(value = "产品等级")
    String productLevel;
    @ApiModelProperty(value = "库位名称")
    String locationName;
    @ApiModelProperty(value = "组托操作人")
    String user;
    @ApiModelProperty(value = "组托时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date time;
    @ApiModelProperty(value = "原因（退料入周转库时才有用）")
    String reason;
    @ApiModelProperty(value = "产品类型")
    String productType;
    @ApiModelProperty(value = "托盘编号")
    String trayNo;
    @ApiModelProperty(value = "实验等级")
    String productLevelExperiment;
    @ApiModelProperty(value = "晶段类型")
    String sectionType;
    @ApiModelProperty(value = "是否出库到WMS【0：否；1：是；】")
    Integer isToWms;
    @ApiModelProperty(value = "出库到WMS时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date toWmsTime;
    @ApiModelProperty(value = "料号")
    String itemNo;
    @ApiModelProperty(value = "异常")
    String errorMsg;
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date operationTime;
    @ApiModelProperty(value = "确认时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date confirmTime;
    @ApiModelProperty(value = "确认人")
    String confirmUser;
    @ApiModelProperty(value = "炉次号")
    String lotNo;
    @ApiModelProperty(value = "系列")
    String series;
    @ApiModelProperty(value = "订单类型")
    String orderType;
    @ApiModelProperty(value = "计划订单号")
    String planOrderNo;
    @ApiModelProperty(value = "计划订单类型")
    String planOrderType;
    @ApiModelProperty(value = "计划物料编码")
    String planMaterialCode;
    @ApiModelProperty(value = "计划产品等级")
    String planGrade;
    @ApiModelProperty(value = "计划拼数")
    String planStickCount;
    @ApiModelProperty(value = "计划长度范围")
    String planLenRange;
    @ApiModelProperty(value = "计划掺杂剂")
    String planDopant;
    @ApiModelProperty(value = "计划导电型号")
    String planConductiveType;
    @ApiModelProperty(value = "直径差")
    String demcMax;
    @ApiModelProperty(value = "直径Min")
    BigDecimal diameterMin;
    @ApiModelProperty(value = "直径Max")
    BigDecimal diameterMax;
    @ApiModelProperty(value = "直径判定")
    String diamDecide;
    @ApiModelProperty(value = "异常汇总")
    String anomaly;
    @ApiModelProperty(value = "拉晶车间")
    String crystalWorkshop;
    @ApiModelProperty(value = "库别【0-正常；1-直径不良单晶；2-退料；】")
    String kube;
    @ApiModelProperty(value = "拼数")
    Integer sticksCount;
    @ApiModelProperty(value = "圆棒检验类型")
    String checkoutName;
    @ApiModelProperty(value = "拼棒总长(mm)")
    BigDecimal spellBarLength;
    @ApiModelProperty(value = "复检类别")
    String reCheckType;
    @ApiModelProperty(value = "炉台号")
    String deviceNo;
    @ApiModelProperty(value = "计划规格")
    String planSpecs;
    @ApiModelProperty(value = "单晶减长长度")
    BigDecimal reduceCrystalLength;
}