package com.sw.mes.yb.turnstore.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sw.mes.base.factory.inspect.entity.BarSupportRule;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "组拖主表+明细Dto")
public class TurnstoreTrayPostDto {
    private Integer id;
    @ApiModelProperty(value = "托号")
    String trayNo;
    @ApiModelProperty(value = "状态（满托 未满托）")
    String status;
    @ApiModelProperty(value = "产品等级")
    String productLevel;
    @ApiModelProperty(value = "操作人")
    String user;
    @ApiModelProperty(value = "更新人")
    String updateUser;
    @ApiModelProperty(value = "单晶总数")
    Integer count;
    @ApiModelProperty(value = "打印时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date printTime;
    @ApiModelProperty(value = "备注")
    String remark;
    @ApiModelProperty(value = "组托时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date time;

    @ApiModelProperty(value = "P/N")
    String conductionType;

    @ApiModelProperty(value = "单晶类型")
    String type;

    @ApiModelProperty(value = "出库到WMS时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date toWmsTime;
    @ApiModelProperty(value = "是否出库到WMS 0否 1是")
    Integer isToWms;

    @ApiModelProperty(value = "规格")
    String specs;
    @ApiModelProperty(value = "实验等级")
    String experGrade;
    @ApiModelProperty(value = "去向")
    String hasGone;
    @ApiModelProperty(value = "入库状态【0：默认，未入库；1：是，已入库；】")
    Integer state;
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date operationTime;
    @ApiModelProperty(value = "顺序号")
    Integer orderNum;
    @ApiModelProperty(value = "圆棒组托规则名称")
    String ruleName;
    @ApiModelProperty(value = "拼数")
    String sticksCount;
    @ApiModelProperty(value = "确认时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date confirmTime;
    @ApiModelProperty(value = "确认人")
    String confirmUser;

    @ApiModelProperty(value = "组拖明细list")
    List<TurnstoreTrayItemDto> items;

    @ApiModelProperty(value = "组拖规则")
    BarSupportRule ruleDto;

    @ApiModelProperty(value = "托号1")
    String trayNo1;
    @ApiModelProperty(value = "托号2")
    String trayNo2;
}
