/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.turnstore.entity;

import java.util.Date;
import java.math.BigDecimal;

import lombok.Data;
import javax.persistence.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="material_warehousing_binding")
@DynamicUpdate
@DynamicInsert
public class MaterialWarehousingBinding{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    
	/**
	 * 库位编号
	 */
    @Column(length=50)
    private String warehouseStock;
    
	/**
	 * 地码
	 */
    @Column(length=50)
    private String forkliftLocationCode;
    
	/**
	 * 物料批次
	 */
    @Column(length=50)
    private String materialBatch;
    
	/**
	 * 物料编号
	 */
    @Column(length=50)
    private String materialNo;
    
	/**
	 * 物料名称
	 */
    @Column(length=50)
    private String materialName;
    
	/**
	 * 物料类型
	 */
    @Column(length=50)
    private String materialType;
    
	/**
	 * 定向
	 */
    @Column(length=50)
    private String directional;
    
	/**
	 * 数量 
	 */
    @Column(length=19)
    private BigDecimal count;
    
	/**
	 * 档位
	 */
    @Column(length=50)
    private String materialGear;
    
	/**
	 * 等级
	 */
    @Column(length=50)
    private String materialLevel;
    
	/**
	 * 规格
	 */
    @Column(length=50)
    private String specification;
    
	/**
	 * 供应商
	 */
    @Column(length=50)
    private String supplier;
    
	/**
	 * 粒径
	 */
    @Column(length=50)
    private String suppliesGrain;
    
	/**
	 * 唯一码
	 */
    @Column(length=50)
    private String uniqueCode;
    
	/**
	 * 单位
	 */
    @Column(length=50)
    private String unit;

	/**
	 * AGV任务编号
	 **/
	@Column(length = 50)
	private String agvTaskCode;


	/**
	 * AGV任务装态 0等待创建1已创建2正在执行5已取消9已结束
	 **/
	@Column(length = 50)
	private Integer agvTaskState;

	/**
	 * AGV任务异常信息
	 **/
	@Column(length = 50)
	private String agvTaskMsg;
    
	/**
	 * 操作时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date operateTime;
    
	/**
	 * 操作人
	 */
    @Column(length=50)
    private String operateUser;
    

	public MaterialWarehousingBinding() {
	}

	public MaterialWarehousingBinding(Long id) {
		this.id = id;
	}
}
