/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.turnstore.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="zhxx_turnstore_store")
@DynamicUpdate
@DynamicInsert
public class Turnstore{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

	/**
	 * 入库申请单号
	 */
    @Column(length=255)
    private String instoreOrderNo;

	/**
	 * 晶段编号
	 */
    @Column(length=255)
    private String sectionNo;

	/**
	 * 产品等级
	 */
    @Column(length=40)
    private String productLevelSecond;

	/**
	 * 实验等级
	 */
	@Column(length=40)
	private String productLevelExperiment;

	/**
	 * 产品规格
	 */
	@Column(length=40)
	private String productTypeSecond;


	/**
	 * 入库长度
	 */
    @Column(length=19)
    private BigDecimal instoreLength;

	/**
	 * 入库重量
	 */
    @Column(length=19)
    private BigDecimal instoreWeight;

	/**
	 * 圆棒长度
	 */
    @Column(length=19)
    private BigDecimal actualLength;

	/**
	 * 重量
	 */
    @Column(length=19)
    private BigDecimal actualWeight;

	/**
	 * 细减长
	 */
    @Column(length=19)
    private BigDecimal fineCutLength;

	/**
	 *
	 */
    @Column(length=19)
    private BigDecimal collapseLine;

	/**
	 * 库位名称
	 */
    @Column(length=40)
    private String locationName;

	/**
	 * 入库类型
	 */
    @Column(length=40)
    private String instoreType;

	/**
	 * 入库操作人
	 */
    @Column(length=80)
    private String instoreOperateUser;

	/**
	 * 入库时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date instoreTime;

	/**
	 * 出库状态
	 */
    @Column(length=40)
    private String outState;

	/**
	 * 托号
	 */
    @Column(length=255)
    private String trayNo;

	/**
	 * 组拖主表ID
	 */
	@Column(length=10)
	private Integer trayId;

	/**
	 * 备注
	 */
    @Column(length=255)
    private String remark;

	/**
	 * 晶段类型
	 */
	@Column(length = 40)
	private String sectionType;


	/**
	 * 退料原因
	 */
	@Column(length=255)
	private String reason;


	public Turnstore() {
	}

	public Turnstore(Integer id) {
		this.id = id;
	}
}
