/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.turnstore.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="zhxx_turnstore_out")
@DynamicUpdate
@DynamicInsert
public class TurnstoreOut{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

	/**
	 * 出库类型（退料到圆棒、出库到方棒、出库到综计）
	 */
    @Column(length=40)
    private String type;

	/**
	 * 出库申请单状态(待出库、已出库、退回)
	 */
    @Column(length=255)
    private String state;

	/**
	 * 出库申请单号
	 */
    @Column(length=255)
    private String orderNo;

	/**
	 * 出库申请人
	 */
    @Column(length=40)
    private String user;

	/**
	 * 确认人
	 */
	@Column(length=40)
	private String confirmUser;

	/**
	 * 出库申请时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date time;

	/**
	 * 单晶总数
	 */
    @Column(length=10)
    private Integer count;

	/**
	 * 出库申请日期
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date date;

	/**
	 * 出库申请顺序
	 */
    @Column(length=10)
    private Integer sort;

	/**
	 * 备注
	 */
    @Column(length=255)
    private String remark;


	/**
	 * 去向
	 */
	@Column(length=40)
	private String hasGone;

	public TurnstoreOut() {
	}

	public TurnstoreOut(Integer id) {
		this.id = id;
	}
}
