/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.turnstore.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Data
@Entity
@Table(name="zhxx_turnstore_out_item")
@DynamicUpdate
@DynamicInsert
public class TurnstoreOutItem{
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

	/**
	 * 出库申请主表id
	 */
    @Column(length=10)
    private Integer outId;

	/**
	 *  出库类型（退料到圆棒、出库到方棒、出库到综计）
	 */
    @Column(length=40)
    private String type;

	/**
	 * 出库申请单状态(待出库、已出库、退回)
	 */
    @Column(length=255)
    private String state;

	/**
	 * 出库申请单号
	 */
    @Column(length=255)
    private String orderNo;

	/**
	 * 出库申请人
	 */
    @Column(length=40)
    private String user;

	/**
	 * 确认人
	 */
	@Column(length=40)
	private String confirmUser;

	/**
	 * 出库申请时间
	 */
    @Column(length=19)
	@Temporal(TemporalType.TIMESTAMP)
    private Date time;

	/**
	 * 晶段编号
	 */
    @Column(length=255)
    private String sectionNo;

	/**
	 * 产品等级
	 */
    @Column(length=40)
    private String productLevelSecond;
	/**
	 * 实验等级
	 */
	@Column(length=40)
	private String productLevelExperiment;
	/**
	 * 产品规格
	 */
	@Column(length=40)
	private String productTypeSecond;

	/**
	 * 入库长度
	 */
    @Column(length=19)
    private BigDecimal instoreLength;

	/**
	 * 入库重量
	 */
    @Column(length=19)
    private BigDecimal instoreWeight;

	/**
	 * 圆棒长度
	 */
    @Column(length=19)
    private BigDecimal actualLength;

	/**
	 * 重量
	 */
    @Column(length=19)
    private BigDecimal actualWeight;

	/**
	 * 细减长
	 */
    @Column(length=19)
    private BigDecimal fineCutLength;

	/**
	 * 崩晶线
	 */
    @Column(length=19)
    private BigDecimal collapseLine;

	/**
	 * 库位名称
	 */
    @Column(length=40)
    private String locationName;

	/**
	 * 原因
	 */
    @Column(length=255)
    private String reason;

	/**
	 * 晶段类型
	 */
	@Column(length = 40)
	private String sectionType;

	/**
	 * 去向
	 */
	@Column(length=40)
	private String hasGone;

	/**
	 * 单晶不同出库类型的次数(累加)
	 */
	@Column(length=10)
	private Integer times;

	/**
	 * 检验人
	 */
	@Column(length=40)
	private String inspectUser;

	/**
	 * 复检类型
	 */
	@Column(length=40)
	private String reCheckType;

	/**
	 * 细总长
	 */
	@Column(length = 10)
	private BigDecimal fineDiameter;

	/**
	 * 外观检验备注
	 */
	@Lob
	private String remark;


	public TurnstoreOutItem() {
	}

	public TurnstoreOutItem(Integer id) {
		this.id = id;
	}
}
