/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.yb.turnstore.entity;

import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@Entity
@Table(name = "zhxx_turnstore_tray")
@DynamicUpdate
@DynamicInsert
public class TurnstoreTray {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 托号
     */
    @Column(length = 50)
    private String trayNo;

    /**
     * 规格
     */
    @Column(length = 100)
    private String specs;

    /**
     * 产品等级
     */
    @Column(length = 100)
    private String productLevel;

    /**
     * 实验等级
     */
    @Column(length = 100)
    private String experGrade;

    /**
     * 单晶个数
     */
    @Column(length = 10)
    private Integer count;

    /**
     * 组托状态（满托 未满托）
     */
    @Column(length = 10)
    private String status;

    /**
     * 去向
     */
    @Column(length = 40)
    private String hasGone;

    /**
     * 入库状态【0：默认，未入库；1：是，已入库；】
     */
    @Column(length = 3)
    private Integer state;

    /**
     * 操作人
     */
    @Column(length = 80)
    private String user;
    /**
     * 更新人
     */
    @Column(length=50)
    private String updateUser;

    /**
     * 操作时间
     */
    @Column(length = 19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date operationTime;

    /**
     * 备注
     */
    @Column(length = 50)
    private String remark;

    /**
     * 打印时间
     */
    @Column(length = 19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date printTime;

    /**
     * 组托时间
     */
    @Column(length = 19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date time;

    /**
     * 是否出库到WMS 0否 1是
     */
    @Column(length = 10)
    private Integer isToWms;

    /**
     * 出库到WMS时间
     */
    @Column(length = 19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date toWmsTime;

    /**
     * 顺序号
     */
    @Column(length = 10)
    private Integer orderNum;

    /**
     * 圆棒组托规则
     */
    @Column(length = 10)
    private String ruleName;

    /**
     * 拼数
     */
    @Column(length = 32)
    private String sticksCount;

    /**
     * 确认时间
     */
    @Column(length = 19)
    @Temporal(TemporalType.TIMESTAMP)
    private Date confirmTime;

    /**
     * 确认人
     */
    @Column(length = 19)
    private String confirmUser;

    public TurnstoreTray() {
    }

    public TurnstoreTray(Integer id) {
        this.id = id;
    }
}
