package com.sw.mes.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 检验报警信息
 * @TableName production_exception_log
 */
@TableName(value ="production_exception_log")
@Data
public class ProductionExceptionLog implements Serializable {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 0：圆棒，1:方棒
     */
    private Integer type;

    /**
     * 晶段编号
     */
    private String sectionNo;

    /**
     * 异常名称
     */
    private String exceptionName;

    /**
     * 标准
     */
    private String conditions;

    /**
     * 标准-转换后
     */
    private String conditionsValue;

    /**
     * 是否已确认
     */
    private Boolean status;

    /**
     * 标准-转换后
     */
    private String processInfo;

    /**
     * 创建者
     */
    private String userCreate;

    /**
     * 修改者
     */
    private String userUpdate;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtUpdate;

    /**
     * 设备号
     */
    private String deviceNo;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}