package com.sw.mes.store.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "调拨单明细Dto")
public class WarehouseAllotBillDetailDto {

    private Long id;
    @ApiModelProperty(value = "调拨单ID")
    private Long allotBillId;
    @ApiModelProperty(value = "调拨单号")
    private String allotBillNo;
    @ApiModelProperty(value = "物料主数据ID", required = true)
    private Long materialModelId;
    @ApiModelProperty(value = "物料主数据料号")
    private String materialModelCode;
    @ApiModelProperty(value = "物料主数据名称")
    private String materialModelName;
    @ApiModelProperty(value = "物料主数据类型")
    private String materialTypeName;
    @ApiModelProperty(value = "物料类别名称")
    private String materialCategoryName;
    @ApiModelProperty(value = "唯一码")
    private String uniqueCode;
    @ApiModelProperty(value = "批次号")
    private String batchNo;
    @ApiModelProperty(value = "物料主数据供应商")
    private String supplier;
    @ApiModelProperty(value = "物料主数据规格")
    private String specification;
    @ApiModelProperty(value = "物料主数据图号")
    private String materialTh;
    @ApiModelProperty(value = "调拨数量")
    private BigDecimal count;
    @ApiModelProperty(value = "物料单位")
    private String unitName;
    @ApiModelProperty(value = "原库存数据ID")
    private Long inventoryId;
    @ApiModelProperty(value = "原库位ID")
    private Long warehouseId;
    @ApiModelProperty(value = "原库位名称")
    private String warehouseName;
    @ApiModelProperty(value = "原库位编码")
    private String warehouseCode;
    @ApiModelProperty(value = "调拨库位ID")
    private Long allotWarehouseId;
    @ApiModelProperty(value = "调拨库位编码")
    private String allotWarehouseCode;
    @ApiModelProperty(value = "调拨库位名称")
    private String allotWarehouseName;
    @ApiModelProperty(value = "创建人ID")
    private Integer createUserId;
    @ApiModelProperty(value = "创建人名称")
    private String createUserName;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty(value = "操作人ID")
    private Integer updateUserId;
    @ApiModelProperty(value = "操作人名称")
    private String updateUserName;
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "单据状态。 待审核，审核成功，审核失败")
    private String status;
    @ApiModelProperty(value = "载具编号")
    private String traceid;
    @ApiModelProperty(value = "物料等级")
    private String materialLevel;
    @ApiModelProperty(value = "物料粒径")
    private String suppliesGrain;
    @ApiModelProperty("物料档位")
    private String materialGear;
    @ApiModelProperty("晶编编码")
    private String crystalNo;
}