package com.sw.mes.store.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "调拨单Dto")
public class WarehouseAllotBillDto {

    private Long id;
    @ApiModelProperty(value = "调拨单号")
    private String billNo;
    @ApiModelProperty(value = "单据状态。 待审核，审核成功，审核失败")
    private String status;
    @ApiModelProperty(value = "调拨库位ID")
    private Long allotWarehouseId;
    @ApiModelProperty(value = "调拨库位名称")
    private String allotWarehouseName;
    @ApiModelProperty(value = "调拨库位编码")
    private String allotWarehouseCode;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "拒收原因")
    private String rejectReason;
    @ApiModelProperty(value = "拒收原因备注")
    private String rejectReasonRemark;
    @ApiModelProperty(value = "是否自动审核，0 否，默认否。1 自动审核")
    private Boolean autoAudit;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty(value = "创建人ID")
    private Integer createUserId;
    @ApiModelProperty(value = "创建人")
    private String createUserName;
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @ApiModelProperty(value = "操作人ID")
    private Integer updateUserId;
    @ApiModelProperty(value = "操作人姓名")
    private String updateUserName;
    /**
     * 调拨类型
     */
    @ApiModelProperty(value = "调拨类型")
    private String allotType;
    /**
     * 业务类型
     */
    @ApiModelProperty(value = "业务类型")
    private String businessType;
    @ApiModelProperty(value = "明细")
    private List<WarehouseAllotBillDetailDto> allotBillDetailDtos;
}