package com.sw.mes.store.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Author wupeng
 * @Description 出库单
 * @Date 18:48 2023/7/31
 * @Param
 * @return
 **/
@Data
@ApiModel(value = "出库单Dto")
public class WarehouseOutputBillDto {

    private Integer id;
    @ApiModelProperty(value = "出库单号", required = true)
    private String billNo;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty(value = "创建人ID")
    private Integer createUserId;
    @ApiModelProperty(value = "创建人")
    private String createUserName;
    @ApiModelProperty(value = "单据状态。待出库、已出库、锁定、取消")
    private String status;
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @ApiModelProperty(value = "操作人ID")
    private Integer updateUserId;
    @ApiModelProperty(value = "操作人姓名")
    private String updateUserName;
    @ApiModelProperty(value = "出库类型")
    private String type;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "去向")
    private String destination;
    @ApiModelProperty(value = "是否自动审核")
    private Boolean autoAudit;
    @ApiModelProperty(value = "扫描的物料号/唯一码/批次号")
    private String scanCode;
    @ApiModelProperty(value = "入库单号")
    private String inputBillCode;
    @ApiModelProperty(value = "出库明细")
    private List<WarehouseOutputBillDetailDto> outputBillDetails = new ArrayList<>();
}