package com.sw.mes.store.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@ApiModel(value = "出库审核记录单Dto")
public class WarehouseOutputRecordBillDto {

    private Long id;
    @ApiModelProperty(value = "出库审核记录单号", required = true)
    private String recordBillNo;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty(value = "创建人ID")
    private Integer createUserId;
    @ApiModelProperty(value = "创建人")
    private String createUserName;
    @ApiModelProperty(value = "单据状态。待出库、已出库、锁定、取消")
    private String status;
    @ApiModelProperty(value = "出库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @ApiModelProperty(value = "出库人ID")
    private Integer updateUserId;
    @ApiModelProperty(value = "出库人姓名")
    private String updateUserName;
    @ApiModelProperty(value = "出库类型")
    private String type;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "去向")
    private String destination;
    @ApiModelProperty(value = "是否自动出库，1 是，0否")
    private Boolean autoAudit;
    @ApiModelProperty(value = "扫描的物料号/唯一码/批次号")
    private String scanCode;
    @ApiModelProperty(value = "出库申请单号")
    private String outputBillNo;
    @ApiModelProperty(value = "出库申请单id")
    private Long outputBillId;
}