/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.store.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sw.mes.store.dto.WarehouseAllotBillDetailDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@TableName(value = "warehouse_allot_bill")
public class WarehouseAllotBill implements Serializable {
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 调拨单号
     */
    private String billNo;

    /**
     * 单据状态。 待审核，审核成功，审核失败
     */
    private String status;

    /**
     * 调拨库位ID
     */
    private Long allotWarehouseId;

    /**
     * 调拨库位名称
     */
    private String allotWarehouseName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 拒收原因
     */
    private String rejectReason;

    /**
     * 拒收原因备注
     */
    private String rejectReasonRemark;

    /**
     * 是否自动审核，0 否，默认否。1 自动审核
     */
    private Boolean autoAudit;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人ID
     */
    private Integer createUserId;

    /**
     * 创建人
     */
    private String createUserName;

    /**
     * 操作时间
     */
    private Date updateTime;

    /**
     * 操作人ID
     */
    private Integer updateUserId;

    /**
     * 操作人姓名
     */
    private String updateUserName;
    /**
     * 调拨类型
     */
    private String allotType;
    /**
     * 业务类型
     */
    private String businessType;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "明细")
    @TableField(exist = false)
    private List<WarehouseAllotBillDetail> allotBillDetailDtos;
}
