/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.store.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@TableName(value = "warehouse_allot_record_bill_detail")
public class WarehouseAllotRecordBillDetail implements Serializable {
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 调拨单ID
     */
    private Long recordBillId;

    /**
     * 调拨单号
     */
    private String recordBillNo;

    /**
     * 物料主数据ID
     */
    private Integer materialModelId;

    /**
     * 物料主数据料号
     */
    private String materialModelCode;

    /**
     * 物料主数据名称
     */
    private String materialModelName;

    /**
     * 物料主数据类型
     */
    private String materialTypeName;

    /**
     * 物料类别名称
     */
    private String materialCategoryName;

    /**
     * 物料等级
     */
    private String materialLevel;
    /**
     * 物料粒径
     */

    private String suppliesGrain;

    /**
     * 物料档位
     */
    private String materialGear;

    /**
     * 唯一码
     */
    private String uniqueCode;

    /**
     * 批次号
     */
    private String batchNo;

    /**
     * 物料主数据供应商
     */
    private String supplier;

    /**
     * 物料主数据规格
     */
    private String specification;

    /**
     * 物料主数据图号
     */
    private String materialTh;

    /**
     * 调拨数量
     */
    private BigDecimal count;

    /**
     * 物料单位
     */
    private String unitName;

    /**
     * 原库位ID
     */
    private Integer warehouseId;

    /**
     * 原库位名称
     */
    private String warehouseName;

    /**
     * 调拨库位ID
     */
    private Integer allotWarehouseId;
    /**
     * 调拨库位编码
     */
    private String allotWarehouseCode;
    /**
     * 调拨库位名称
     */
    private String allotWarehouseName;

    /**
     * 创建人ID
     */
    private Integer createUserId;

    /**
     * 创建人名称
     */
    private String createUserName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 操作人ID
     */
    private Integer updateUserId;

    /**
     * 操作人名称
     */
    private String updateUserName;

    /**
     * 操作时间
     */
    private Date updateTime;

    /**
     * 原库存数据ID
     */
    private Integer inventoryId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 审核状态
     */
    private String status;

    /**
     * 调拨审核记录单号
     */
    private String allotBillNo;

    /**
     * 调拨审核记录单id
     */
    private Long allotBillId;
    /**
     * 晶编编码
     */
    private String crystalNo;
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
