/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.store.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Data
@TableName(value = "warehouse_input_record_bill")
public class WarehouseInputRecordBill implements Serializable {
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 入库审核记录单号
     */
    private String recordBillNo;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人ID
     */
    private Integer createUserId;

    /**
     * 创建人
     */
    private String createUserName;

    /**
     * 单据状态。 待接收，已入库，拒收
     */
    private String status;

    /**
     * 操作时间
     */
    private Date updateTime;

    /**
     * 操作人ID
     */
    private Integer updateUserId;

    /**
     * 操作人姓名
     */
    private String updateUserName;

    /**
     * 入库类型
     */
    private String type;

    /**
     * 备注
     */
    private String remark;

    /**
     * 拒收原因
     */
    private String rejectReason;

    /**
     * 拒收原因备注
     */
    private String rejectReasonRemark;

    /**
     * 是否自动审核，0 否，默认否。1 自动审核
     */
    private Boolean autoAudit;

    /**
     * 入库申请表单据号
     */
    private String inputBillNo;

    /**
     * 入库申请表单据id
     */
    private Long inputBillId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
