/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.store.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author wupeng
 * @Description 库存表
 * @Date 11:57 2023/7/31
 * @Param
 * @return
 **/
@Data
@TableName(value = "warehouse_inventory")
public class WarehouseInventory implements Serializable {
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("物料主数据ID")
    private Long materialModelId;

    @ApiModelProperty("物料主数据料号")
    private String materialModelCode;

    @ApiModelProperty("物料主数据名称")
    private String materialModelName;

    @ApiModelProperty("物料主数据类型")
    private String materialTypeName;

    @ApiModelProperty("物料主数据类别")
    private String materialCategoryName;

    @ApiModelProperty("物料等级")
    private String materialLevel;

    @ApiModelProperty("物料粒径")
    private String suppliesGrain;

    @ApiModelProperty("物料档位")
    private String materialGear;

    @ApiModelProperty(value = "直径")
    private String diameter;

    @ApiModelProperty("唯一码")
    private String uniqueCode;

    @ApiModelProperty("批次号")
    private String batchNo;

    @ApiModelProperty("物料主数据供应商")
    private String supplier;

    @ApiModelProperty("物料主数据规格")
    private String specification;

    @ApiModelProperty("物料主数据图号")
    private String materialTh;

    @ApiModelProperty("当前库位下的库存数量")
    private BigDecimal quantity;

    @ApiModelProperty("库存总量数量")
    @TableField(exist = false)
    private BigDecimal totalQuantity;

    @ApiModelProperty("锁定库存数量")
    private BigDecimal lockQuantity;

    @ApiModelProperty("物料单位")
    private String unitName;

    @ApiModelProperty("库位ID")
    private Long warehouseId;

    @ApiModelProperty("库位名称")
    private String warehouseName;

    @ApiModelProperty("库位编码")
    private String warehouseCode;

    @ApiModelProperty("入库人ID")
    private Integer receiveUserId;

    @ApiModelProperty("入库人名称")
    private String receiveUserName;

    @ApiModelProperty("接受时间")
    private Date receiveTime;

    @ApiModelProperty("物料型号")
    private String materialXh;

    @ApiModelProperty("停留时间")
    private Integer residenceTime;

    @ApiModelProperty("停留时间单位")
    private String timeUnit;

    @ApiModelProperty("安全库存")
    private String safetyStock;

    @ApiModelProperty("逻辑删除")
    private Boolean del = false;

    @ApiModelProperty("载具编号")
    private String traceid;

    @ApiModelProperty("SAP工厂")
    private String customer;

    @ApiModelProperty("箱号")
    private String serialNo;
    /**
     * 晶编编码
     */
    @ApiModelProperty("晶编编码")
    private String crystalNo;
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
