package com.sw.mes.store.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 线边仓-物料模型
 * @Author wupeng
 * @Date 2023/7/24 19:09
 **/
@TableName(value = "warehouse_material")
@Data
public class WarehouseMaterial {

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 物料id
     **/
    private Long materialId;

    /**
     * 物料编码
     **/
    private String materialCode;

    /**
     * 物料名称
     **/
    private String materialName;

    /**
     * 物料单位名称
     **/
    @TableField(exist = false)
    private String materialUnit;

    /**
     * 库存下限
     **/
    private BigDecimal lowerLimit;

    /**
     * 库存上限
     **/
    private BigDecimal upperLimit;

    /**
     * 停留时间
     **/
    private Integer residenceTime;

    /**
     * 时间单位
     **/
    private String timeUnit;

    /**
     * 默认仓库地点
     **/
    private String defaultLocation;
    /**
     * 默认仓库地点编码
     **/
    private String defaultLocationCode;
    /**
     * 默认仓库地点
     **/
    private Long defaultLocationId;

    /**
     * 是否开启唯一码管理，1 开启，0 不开启
     **/
    private Boolean uniqueCode;

    /**
     * 是否开启批次管理，1 开启，0 不开启
     **/
    private Boolean batch;

    /**
     * 安全库存
     **/
    private String safetyStock;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人ID
     */
    private Integer createUserId;

    /**
     * 创建人名称
     */
    private String createUserName;

    /**
     * 更新人ID
     */
    private Integer updateUserId;

    /**
     * 更新人名称
     */
    private String updateUserName;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}
