package com.sw.mes.store.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author wupeng
 * @Description 线边仓模型
 * @Date 14:00 2023/7/26
 * @Param
 * @return
 **/
@TableName(value = "warehouse_model")
@Data
public class WarehouseModel implements Serializable {

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 库位名称
     */
    private String name;

    /**
     * 库位编码
     */
    private String code;

    /**
     * 父ID
     */
    private Long parentId;

    /**
     * 父库位名称
     */
    private String parentName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人ID
     */
    private Integer createUserId;

    /**
     * 创建人名称
     */
    private String createUserName;

    /**
     * 更新人ID
     */
    private Integer updateUserId;

    /**
     * 更新人名称
     */
    private String updateUserName;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 公司厂区id
     */
    private Long factoryId;

    /**
     * 所属仓库id
     */
    private Long warehouseId;

    /**
     * 所属库区id
     */
    private Long areaId;

    /**
     * 类型
     */
    private String type;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}
