/**
 * There are <a href="https://github.com/ketayao/keta-custom">keta-custom</a> code generation
 */
package com.sw.mes.store.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Author wupeng
 * @Description 出库单
 * @Date 18:48 2023/7/31
 * @Param
 * @return
 **/
@Data
@TableName(value = "warehouse_output_bill")
public class WarehouseOutputBill implements Serializable {
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 出库单号
     */
    private String billNo;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人ID
     */
    private Integer createUserId;

    /**
     * 创建人
     */
    private String createUserName;

    /**
     * 单据状态。待出库、已出库、锁定、取消
     */
    private String status;

    /**
     * 操作时间
     */
    private Date updateTime;

    /**
     * 操作人ID
     */
    private Integer updateUserId;

    /**
     * 操作人姓名
     */
    private String updateUserName;

    /**
     * 出库类型
     */
    private String type;

    /**
     * 备注
     */
    private String remark;

    /**
     * 去向
     */
    private String destination;

    /**
     * 是否自动审核出库
     */
    private Boolean autoAudit = false;

    /**
     * 扫描的物料号/唯一码/批次号
     **/
    private String scanCode;

    private String inputBillCode;
    /**
     * 出库明细
     **/
    @TableField(exist = false)
    private List<WarehouseOutputBillDetail> outputBillDetails = new ArrayList<>();

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
