package com.sw.mes.store.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.persistence.Transient;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 线边仓物料盘点记录表
 *
 * @Author：wanjia
 * @Date：2024/3/17 19:39
 */
@Data
@TableName(value = "warehouse_stock_taking")
@ApiModel(value = "入库单模型")
public class WarehouseStocktaking {

    @TableId(type = IdType.AUTO)
    @ExcelIgnore
    private Long id;


    @ExcelProperty(value = "序号")
    @Transient
    private transient long no;


    /**
     * 物料主数据料号
     */
    @ExcelProperty(value = "料号")
    private String materialModelCode;

    /**
     * 物料主数据名称
     */
    @ExcelProperty(value = "物料名称")
    private String materialModelName;

    /**
     * 唯一码
     */
    @ExcelProperty(value = "唯一码")
    private String uniqueCode;

    /**
     * 唯一码（手动输入）
     */
    @ExcelProperty(value = "唯一码（手动）")
    private String manualUniqueCode;

    /**
     * 批次号
     */
    @ExcelProperty(value = "批次号")
    private String batchNo;

    /**
     * 库位ID
     */
    @ExcelProperty(value = "库位ID")
    private Long warehouseId;

    /**
     * 库位编码
     */
    @ExcelProperty(value = "库位编码")
    private String warehouseCode;

    /**
     * 库位名称
     */
    @ExcelProperty(value = "库位名称")
    private String warehouseName;

    /**
     * 箱号
     */
    @ExcelProperty(value = "箱号")
    private String serialNo;

    /**
     * 托号
     */
    @ExcelProperty(value = "托号")
    private String traceId;

    /**
     * 操作时间
     */
    @ExcelProperty(value = "操作时间")
    private Date gmtCreate;

    /**
     * 操作人
     */
    @ExcelProperty(value = "操作人")
    private String username;

    /**
     * 数量
     */
    @ExcelProperty(value = "数量")
    private BigDecimal count;

    /**
     * 单位
     */
    @ExcelProperty(value = "单位")
    private String unit;
}
