package com.sw.mes.store.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sw.mes.store.dto.WarehouseInputBillPdaBo;
import com.sw.mes.store.entity.WarehouseInputBill;
import com.sw.mes.store.entity.WarehouseMaterial;
import com.sw.mes.store.entity.WarehouseQueryParam;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

/**
 * @Author wupeng
 * @Description 针对表【warehouse_input_bill】的数据库操作Mapper
 * @Date 11:15 2023/7/24
 * @Param
 * @return
 **/
@Repository
public interface WarehouseInputBillMapper extends BaseMapper<WarehouseInputBill> {

    @Select("select * from warehouse_input_bill where bill_no = #{billNo}")
    WarehouseInputBill getByBillNo(@Param("billNo") String billNo);

    Page<WarehouseInputBill> listByPagePda(IPage<WarehouseInputBill> iPage, @Param("param") WarehouseInputBillPdaBo param);
}




